<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppBook">
    
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'com.apple.iBooks'" />
        <xsl:with-param name="title1" select="'ブック'" />
		<xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/RESULT/com.apple.iBooks" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	
	<!--xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BookCellularBehavior'" />
		<xsl:with-param name="title2" select="'モバイルデータ通信'" />
		<xsl:with-param name="valueNode" select="/RESULT/BookCellularBehavior" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/BookCellularBehavior = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BookCellularBehavior = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BookCellularBehavior = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/BookCellularBehavior/@master = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BookCellularBehavior/@master = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BookCellularBehavior/@master = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template-->
	
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AppleLanguageBook'" />
		<xsl:with-param name="title2" select="'言語'" />
		<xsl:with-param name="valueNode" select="/RESULT/AppleLanguageBook" />
        <xsl:with-param name="value">
		  <xsl:choose>
			<xsl:when test="/RESULT/AppleLanguageBook = ''">
				<xsl:text>日本語</xsl:text>
			</xsl:when>
			<xsl:otherwise>
			  <xsl:call-template name="language2" >
				<xsl:with-param name="countrycode" select="/RESULT/AppleLanguageBook"/>
			  </xsl:call-template>
			</xsl:otherwise>
		  </xsl:choose>
		</xsl:with-param>
	  <xsl:with-param name="mastervalue">
		<xsl:choose>
		  <xsl:when test="/RESULT/AppleLanguageBook/@master = ''">
			<xsl:text>日本語</xsl:text>
		  </xsl:when>
		  <xsl:otherwise>
			<xsl:call-template name="language2" >
			  <xsl:with-param name="countrycode" select="/RESULT/AppleLanguageBook/@master"/>
			</xsl:call-template>
		  </xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutomaticDownloadBook'" />
		<xsl:with-param name="title2" select="'他のデバイスから購入'" />
        <xsl:with-param name="valueNode" select="/RESULT/AutomaticDownloadBook" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AllowAutoDownloadOnCellularBook'" />
		<xsl:with-param name="title2" select="'自動ダウンロード'" />
        <xsl:with-param name="valueNode" select="/RESULT/AllowAutoDownloadOnCellularBook" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CellularDataPromptDownload'" />
		<xsl:with-param name="title2" select="'ダウンロード'" />
		<xsl:with-param name="valueNode" select="/RESULT/CellularDataPromptDownload" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/CellularDataPromptDownload = 'OverLimit'">
					<xsl:text>200MB以上の時は確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CellularDataPromptDownload = 'Never'">
					<xsl:text>常に許可</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CellularDataPromptDownload = 'Always'">
					<xsl:text>常に確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CellularDataPromptDownload = ''">
					<xsl:text>200MB以上の時は確認</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/CellularDataPromptDownload/@master = 'OverLimit'">
					<xsl:text>200MB以上の時は確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CellularDataPromptDownload/@master = 'Never'">
					<xsl:text>常に許可</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CellularDataPromptDownload/@master = 'Always'">
					<xsl:text>常に確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CellularDataPromptDownload/@master = ''">
					<xsl:text>200MB以上の時は確認</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKLibrary.ReadingNow'" />
		<xsl:with-param name="title2" select="'今すぐ読む'" />
        <xsl:with-param name="valueNode" select="/RESULT/BKLibrary.ReadingNow" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BCSyncICloudDrive'" />
		<xsl:with-param name="title2" select="'iCloud Drive'" />
        <xsl:with-param name="valueNode" select="/RESULT/BCSyncICloudDrive" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKFullJustification'" />
		<xsl:with-param name="title2" select="'両端揃え'" />
        <xsl:with-param name="valueNode" select="/RESULT/BKFullJustification" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKAutoHyphenation'" />
		<xsl:with-param name="title2" select="'自動行末ハイフン処理'" />
        <xsl:with-param name="valueNode" select="/RESULT/BKAutoHyphenation" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKLeftTapTurnToNext'" />
		<xsl:with-param name="title2" select="'両方の余白で進む'" />
        <xsl:with-param name="valueNode" select="/RESULT/BKLeftTapTurnToNext" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKReadingGoalsUserDefaultsKey'" />
		<xsl:with-param name="title2" select="'読書目標'" />
        <xsl:with-param name="valueNode" select="/RESULT/BKReadingGoalsUserDefaultsKey" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:if test="/RESULT/BKReadingGoalsUserDefaultsKey ='true' or /RESULT/BKReadingGoalsUserDefaultsKey =''">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKReadingGoalsIncludePDFsUserDefaultsKey'" />
		<xsl:with-param name="title2" select="'PDFを含める'" />
        <xsl:with-param name="valueNode" select="/RESULT/BKReadingGoalsIncludePDFsUserDefaultsKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKExcludeBookStoreResultsInSearch'" />
		<xsl:with-param name="title2" select="'ブックストア'" />
		<xsl:with-param name="valueNode" select="/RESULT/BKExcludeBookStoreResultsInSearch" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/BKExcludeBookStoreResultsInSearch = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			<xsl:when test="/RESULT/BKExcludeBookStoreResultsInSearch = '0'">
				<xsl:text>オン</xsl:text>
			</xsl:when>
			<xsl:when test="/RESULT/BKExcludeBookStoreResultsInSearch = ''">
				<xsl:text>オン</xsl:text>
			</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/BKExcludeBookStoreResultsInSearch/@master = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKExcludeBookStoreResultsInSearch/@master = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKExcludeBookStoreResultsInSearch/@master = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<!-- 順方向にスキップ -->
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKAudioBookSkipForward'" />
		<xsl:with-param name="title2" select="'順方向にスキップ'" />
		<xsl:with-param name="valueNode" select="/RESULT/BKAudioBookSkipForward" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/BKAudioBookSkipForward = '10'">
					<xsl:text>10秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward = '15'">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward = '30'">
					<xsl:text>30秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward = '45'">
					<xsl:text>45秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward = '60'">
					<xsl:text>60秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward = ''">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/BKAudioBookSkipForward/@master = '10'">
					<xsl:text>10秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward/@master = '15'">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward/@master = '30'">
					<xsl:text>30秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward/@master = '45'">
					<xsl:text>45秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward/@master = '60'">
					<xsl:text>60秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipForward/@master = ''">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<!-- 逆方向にスキップ -->
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKAudioBookSkipBackward'" />
		<xsl:with-param name="title2" select="'逆方向にスキップ'" />
		<xsl:with-param name="valueNode" select="/RESULT/BKAudioBookSkipBackward" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward = '10'">
					<xsl:text>10秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward = '15'">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward = '30'">
					<xsl:text>30秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward = '45'">
					<xsl:text>45秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward = '60'">
					<xsl:text>60秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward = ''">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward/@master = '10'">
					<xsl:text>10秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward/@master = '15'">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward/@master = '30'">
					<xsl:text>30秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward/@master = '45'">
					<xsl:text>45秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward/@master = '60'">
					<xsl:text>60秒</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BKAudioBookSkipBackward/@master = ''">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKRemoteSkipInsteadOfNextTrackDefaultKey'" />
		<xsl:with-param name="title2" select="'外部コントロール'" />
        <xsl:with-param name="valueNode" select="/RESULT/BKRemoteSkipInsteadOfNextTrackDefaultKey" />
        <xsl:with-param name="template" select="'defaultOn'"/>
		<xsl:with-param name="param1" select="'スキップして進む／戻る'"/>
        <xsl:with-param name="param2" select="'次／前'"/>
	</xsl:call-template>
	
    
  </xsl:template>

</xsl:stylesheet>