<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppCalender">
        
	<!-- 時間帯を指定 -->
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ViewedTimeZoneAutomatic'" />
        <xsl:with-param name="title1" select="'カレンダー'" />
		<xsl:with-param name="title2" select="'時間帯を指定'" />
        <xsl:with-param name="valueNode" select="/RESULT/ViewedTimeZoneAutomatic" />
        <xsl:with-param name="template" select="'defaultOn'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
	<!-- // 時間帯を指定 -->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'overlayCalendarID'" />
		<xsl:with-param name="title2" select="'別の暦の表示'" />
		<xsl:with-param name="valueNode" select="/RESULT/overlayCalendarID" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/overlayCalendarID = 'chinese'">
					<xsl:text>中国暦</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/overlayCalendarID = 'hebrew'">
					<xsl:text>ユダヤ暦</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/overlayCalendarID = 'islamic-civil'">
					<xsl:text>イスラム暦</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/overlayCalendarID = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/overlayCalendarID/@master = 'chinese'">
					<xsl:text>中国暦</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/overlayCalendarID/@master = 'hebrew'">
					<xsl:text>ユダヤ暦</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/overlayCalendarID/@master = 'islamic-civil'">
					<xsl:text>イスラム暦</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/overlayCalendarID/@master = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ShowWeekNumbers'" />
        <xsl:with-param name="title2" select="'週番号'" />
        <xsl:with-param name="valueNode" select="/RESULT/ShowWeekNumbers" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:if test="/RESULT/DeviceClass = 'iPad'">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'WeekViewStartsOnToday'" />
        <xsl:with-param name="title2" select="'週の始まりを今日にする'" />
        <xsl:with-param name="valueNode" select="/RESULT/WeekViewStartsOnToday" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'InviteeDeclineAlerts'" />
        <xsl:with-param name="title2" select="'欠席者を表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/InviteeDeclineAlerts" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'kCalPreferredDaysToSyncKey'" />
		<xsl:with-param name="title2" select="'同期'" />
		<xsl:with-param name="valueNode" select="/RESULT/kCalPreferredDaysToSyncKey" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey = '0'">
					<xsl:text>すべてのイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey = '14'">
					<xsl:text>2週間前のイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey = '31'">
					<xsl:text>1か月前のイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey = '92'">
					<xsl:text>3か月前のイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey = '183'">
					<xsl:text>6か月前のイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey = ''">
					<xsl:text>すべてのイベント</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey/@master = '0'">
					<xsl:text>すべてのイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey/@master = '14'">
					<xsl:text>2週間前のイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey/@master = '31'">
					<xsl:text>1か月前のイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey/@master = '92'">
					<xsl:text>3か月前のイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey/@master = '183'">
					<xsl:text>6か月前のイベント</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kCalPreferredDaysToSyncKey/@master = ''">
					<xsl:text>すべてのイベント</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
    
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BirthdayAlarmOffset'" />
		<xsl:with-param name="title3" select="'誕生日'" />
		<xsl:with-param name="valueNode" select="/RESULT/BirthdayAlarmOffset" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/BirthdayAlarmOffset = '32400'">
					<xsl:text>イベントの当日（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BirthdayAlarmOffset = '-54000'">
					<xsl:text>1日前（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BirthdayAlarmOffset = '-140400'">
					<xsl:text>2日前（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BirthdayAlarmOffset = '-572400'">
					<xsl:text>1週間前</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BirthdayAlarmOffset = ''">
					<xsl:text>なし</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/BirthdayAlarmOffset/@master = '32400'">
					<xsl:text>イベントの当日（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BirthdayAlarmOffset/@master = '-54000'">
					<xsl:text>1日前（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BirthdayAlarmOffset/@master = '-140400'">
					<xsl:text>2日前（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BirthdayAlarmOffset/@master = '-572400'">
					<xsl:text>1週間前</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/BirthdayAlarmOffset/@master = ''">
					<xsl:text>なし</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DefaultTimedAlarmOffset'" />
		<xsl:with-param name="title3" select="'イベント'" />
		<xsl:with-param name="valueNode" select="/RESULT/DefaultTimedAlarmOffset" />
        <xsl:with-param name="value">
			<xsl:call-template name="eventcal" >
				<xsl:with-param name="value" select="/RESULT/DefaultTimedAlarmOffset"/>
			</xsl:call-template>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:call-template name="eventcal" >
				<xsl:with-param name="value" select="/RESULT/DefaultTimedAlarmOffset/@master"/>
			</xsl:call-template>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DefaultAllDayAlarmOffset'" />
		<xsl:with-param name="title3" select="'終日イベント'" />
		<xsl:with-param name="valueNode" select="/RESULT/DefaultAllDayAlarmOffset" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset = '32400'">
					<xsl:text>イベント当日（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset = '-54000'">
					<xsl:text>1日前（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset = '-140400'">
					<xsl:text>2日前（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset = '-572400'">
					<xsl:text>1週間前</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset = ''">
					<xsl:text>なし</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset/@master = '32400'">
					<xsl:text>イベント当日（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset/@master = '-54000'">
					<xsl:text>1日前（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset/@master = '-140400'">
					<xsl:text>2日前（9:00）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset/@master = '-572400'">
					<xsl:text>1週間前</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DefaultAllDayAlarmOffset/@master = ''">
					<xsl:text>なし</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:if test="/RESULT/SuggestionsAllowGeocode = 'true'">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'enableTravelAdvisoriesForAutomaticBehavior'" />
        <xsl:with-param name="title3" select="'出発時刻'" />
        <xsl:with-param name="valueNode" select="/RESULT/enableTravelAdvisoriesForAutomaticBehavior" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'WeekStart'" />
		<xsl:with-param name="title2" select="'週の開始曜日'" />
		<xsl:with-param name="valueNode" select="/RESULT/WeekStart" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/WeekStart = ''">
					<xsl:text>日曜日</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="weeks" >
						<xsl:with-param name="value" select="/RESULT/WeekStart"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/WeekStart/@master = ''">
					<xsl:text>日曜日</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="weeks" >
						<xsl:with-param name="value" select="/RESULT/WeekStart/@master"/>	
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'suggestEventLocations'" />
        <xsl:with-param name="title2" select="'場所の提案'" />
        <xsl:with-param name="valueNode" select="/RESULT/suggestEventLocations" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	


  </xsl:template>

</xsl:stylesheet>