<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
    exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionAppMap">
    
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Authorization'" />
		<xsl:with-param name="title1" select="'マップ'" />
		<xsl:with-param name="title2" select="'位置情報'" />
		<xsl:with-param name="valueNode" select="/RESULT/Authorization" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/Authorization = '1'">
					<xsl:text>許可しない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Authorization = '2'">
					<xsl:text>使用中のみ許可</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Authorization = ''">
					<xsl:text>確認</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/Authorization/@master = '1'">
					<xsl:text>許可しない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Authorization/@master = '2'">
					<xsl:text>使用中のみ許可</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Authorization/@master = ''">
					<xsl:text>確認</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'com.apple.Maps'" />
        <xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/RESULT/com.apple.Maps" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	
	<!--xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapCellularBehavior'" />
		<xsl:with-param name="title2" select="'モバイルデータ通信'" />
		<xsl:with-param name="valueNode" select="/RESULT/MapCellularBehavior" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/MapCellularBehavior = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/MapCellularBehavior = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/MapCellularBehavior = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/MapCellularBehavior/@master = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/MapCellularBehavior/@master = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/MapCellularBehavior/@master = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template-->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'PreferredTransportType'" />
		<xsl:with-param name="title2" select="'優先する移動手段の種類'" />
		<xsl:with-param name="valueNode" select="/RESULT/PreferredTransportType" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/PreferredTransportType = '0'">
					<xsl:text>車</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PreferredTransportType = '1'">
					<xsl:text>徒歩</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PreferredTransportType = '2'">
					<xsl:text>交通機関</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PreferredTransportType = '4'">
					<xsl:text>自転車</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PreferredTransportType = ''">
					<xsl:text>交通機関</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/PreferredTransportType/@master = '0'">
					<xsl:text>車</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PreferredTransportType/@master = '1'">
					<xsl:text>徒歩</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PreferredTransportType/@master = '2'">
					<xsl:text>交通機関</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PreferredTransportType/@master = '4'">
					<xsl:text>自転車</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PreferredTransportType/@master = ''">
					<xsl:text>交通機関</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapsDefaultAvoidTollsKey'" />
        <xsl:with-param name="title2" select="'経路/車'" />
		<xsl:with-param name="title3" select="'通行料金'" />
        <xsl:with-param name="valueNode" select="/RESULT/MapsDefaultAvoidTollsKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapsDefaultAvoidHighwaysKey'" />
		<xsl:with-param name="title3" select="'高速道路'" />
        <xsl:with-param name="valueNode" select="/RESULT/MapsDefaultAvoidHighwaysKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NavigationShowHeadingKey'" />
		<xsl:with-param name="title3" select="'コンパス'" />
        <xsl:with-param name="valueNode" select="/RESULT/NavigationShowHeadingKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NavigationShowSpeedLimitKey'" />
		<xsl:with-param name="title3" select="'制限速度'" />
        <xsl:with-param name="valueNode" select="/RESULT/NavigationShowSpeedLimitKey" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	  </xsl:call-template>
	
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DefaultDisabledTransitModesKey'" />
		<xsl:with-param name="title2" select="'経路/交通機関'" />
		<xsl:with-param name="valueNode" select="/RESULT/DefaultDisabledTransitModesKey" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/DefaultDisabledTransitModesKey = ''">
					<xsl:text>バス </xsl:text>
					<xsl:text>地下鉄 </xsl:text>
					<xsl:text>電車 </xsl:text>
					<xsl:text>フェリー </xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="cs:FlagOn(/RESULT/DefaultDisabledTransitModesKey, '1') = 'false'">
						<xsl:text>バス </xsl:text>
					</xsl:if>
					<xsl:if test="cs:FlagOn(/RESULT/DefaultDisabledTransitModesKey, '2') = 'false'">
						<xsl:text>地下鉄 </xsl:text>
					</xsl:if>
					<xsl:if test="cs:FlagOn(/RESULT/DefaultDisabledTransitModesKey, '4') = 'false'">
						<xsl:text>電車 </xsl:text>
					</xsl:if>
					<xsl:if test="cs:FlagOn(/RESULT/DefaultDisabledTransitModesKey, '8') = 'false'">
						<xsl:text>フェリー </xsl:text>
					</xsl:if>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:if test="/RESULT/DefaultDisabledTransitModesKey/@master">
			<xsl:choose>
				<xsl:when test="/RESULT/DefaultDisabledTransitModesKey/@master = ''">
					<xsl:text>バス </xsl:text>
					<xsl:text>地下鉄 </xsl:text>
					<xsl:text>電車 </xsl:text>
					<xsl:text>フェリー </xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="cs:FlagOn(/RESULT/DefaultDisabledTransitModesKey/@master, '1') = 'false'">
						<xsl:text>バス </xsl:text>
					</xsl:if>
					<xsl:if test="cs:FlagOn(/RESULT/DefaultDisabledTransitModesKey/@master, '2') = 'false'">
						<xsl:text>地下鉄 </xsl:text>
					</xsl:if>
					<xsl:if test="cs:FlagOn(/RESULT/DefaultDisabledTransitModesKey/@master, '4') = 'false'">
						<xsl:text>電車 </xsl:text>
					</xsl:if>
					<xsl:if test="cs:FlagOn(/RESULT/DefaultDisabledTransitModesKey/@master, '8') = 'false'">
						<xsl:text>フェリー </xsl:text>
					</xsl:if>
			</xsl:otherwise>
			</xsl:choose>
			</xsl:if>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapsDefaultAvoidHillsKey'" />
        <xsl:with-param name="title2" select="'経路/自転車'" />
		<xsl:with-param name="title3" select="'坂道'" />
        <xsl:with-param name="valueNode" select="/RESULT/MapsDefaultAvoidHillsKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapsDefaultAvoidBusyRoadsKey'" />
		<xsl:with-param name="title3" select="'交通量の多い道路'" />
        <xsl:with-param name="valueNode" select="/RESULT/MapsDefaultAvoidBusyRoadsKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
		<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Naviguidance'" />
		<xsl:with-param name="title2" select="'ナビゲーションとガイダンス'" />
		<xsl:with-param name="title3" select="'ナビゲーション音声音量'" />
		<xsl:with-param name="valueNode" select="/RESULT/Naviguidance" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/Naviguidance = 'Normal Volumefalse'">
					<xsl:text>普通音量</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Naviguidance = 'Low Volumefalse'">
					<xsl:text>小音量</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Naviguidance = 'Loud Volumefalse'">
					<xsl:text>大音量</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Naviguidance = 'true'">
					<xsl:text>音声なし</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Naviguidance = ''">
					<xsl:text>普通音量</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/Naviguidance/@master = 'Normal Volumefalse'">
					<xsl:text>普通音量</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Naviguidance/@master = 'Low Volumefalse'">
					<xsl:text>小音量</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Naviguidance/@master = 'Loud Volumefalse'">
					<xsl:text>大音量</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Naviguidance/@master = 'true'">
					<xsl:text>音声なし</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Naviguidance/@master = ''">
					<xsl:text>普通音量</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	
	
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NavVolumeSettingPauseSpokenAudio'" />
		<xsl:with-param name="title3" select="'読み上げオーディオを停止'" />
        <xsl:with-param name="valueNode" select="/RESULT/NavVolumeSettingPauseSpokenAudio" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NavigationPromptsUndimScreen'" />
		<xsl:with-param name="title3" select="'ナビゲーションのときにデバイスをスリープ解除'" />
        <xsl:with-param name="valueNode" select="/RESULT/NavigationPromptsUndimScreen" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ShareETAUserEnabled'" />
		<xsl:with-param name="title3" select="'到着予定を共有'" />
        <xsl:with-param name="valueNode" select="/RESULT/ShareETAUserEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DistanceUnits'" />
		<xsl:with-param name="title2" select="'距離'" />
		<xsl:with-param name="valueNode" select="/RESULT/DistanceUnits" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/DistanceUnits = 'Metric'">
					<xsl:text>キロメートル表示</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DistanceUnits = 'Imperial'">
					<xsl:text>マイル表示</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DistanceUnits = ''">
					<xsl:text>キロメートル表示</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/DistanceUnits/@master = 'Metric'">
					<xsl:text>キロメートル表示</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DistanceUnits/@master = 'Imperial'">
					<xsl:text>マイル表示</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DistanceUnits/@master = ''">
					<xsl:text>キロメートル表示</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ClimateShowAirQualityIndex'" />
		<xsl:with-param name="title2" select="'空気質指数'" />
        <xsl:with-param name="valueNode" select="/RESULT/ClimateShowAirQualityIndex" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ClimateShowWeatherConditions'" />
		<xsl:with-param name="title2" select="'気象状況'" />
        <xsl:with-param name="valueNode" select="/RESULT/ClimateShowWeatherConditions" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'GEOMapLocalizeLabels'" />
		<xsl:with-param name="title2" select="'常に日本語'" />
        <xsl:with-param name="valueNode" select="/RESULT/GEOMapLocalizeLabels" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:if test="/RESULT/DeviceClass = 'iPhone'">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowFindMyCar'" />
		<xsl:with-param name="title2" select="'駐車した場所を表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowFindMyCar" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'RAPContactBackByEmailPreference'" />
		<xsl:with-param name="title2" select="'メールによる事後連絡'" />
		<xsl:with-param name="valueNode" select="/RESULT/RAPContactBackByEmailPreference" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/RAPContactBackByEmailPreference = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/RAPContactBackByEmailPreference = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/RAPContactBackByEmailPreference = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/RAPContactBackByEmailPreference/@master = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/RAPContactBackByEmailPreference/@master = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/RAPContactBackByEmailPreference/@master = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
    
  </xsl:template>

</xsl:stylesheet>