<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppSlideshow">
    
	
		<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'iCloudPhoto'" />
		<xsl:with-param name="title1" select="'写真'" />
		<xsl:with-param name="title2" select="'iCloud写真'" />
		<xsl:with-param name="valueNode" select="/RESULT/iCloudPhoto" />
        <xsl:with-param name="template" select="'defaultOn'" />
	</xsl:call-template>

	<xsl:if test="/RESULT/iCPL-enable-reason ='0' or /RESULT/iCPL-enable-reason =''">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'optimizePhotoStorage'" />
		<xsl:with-param name="title3" select="'iPhone/iPadのストレージを最適化'" />
        <xsl:with-param name="valueNode" select="/RESULT/optimizePhotoStorage" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'downloadAndKeepOriginals'" />
		<xsl:with-param name="title3" select="'オリジナルをダウンロード'" />
        <xsl:with-param name="valueNode" select="/RESULT/downloadAndKeepOriginals" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	</xsl:if>
	
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'iCloudSharePhotos14'" />
        <xsl:with-param name="title2">
            <xsl:text>共有アルバム</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="/RESULT/iCloudSharePhotos14" />
        <xsl:with-param name="template" select="'defaultOn'" />
      </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'HiddenAlbumVisible'" />
		<xsl:with-param name="title2" select="'”非表示”アルバム'" />
        <xsl:with-param name="valueNode" select="/RESULT/HiddenAlbumVisible" />
        <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>
	
	<!--xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'PicCellularBehavior'" />
		<xsl:with-param name="title2" select="'モバイルデータ通信'" />
		<xsl:with-param name="valueNode" select="/Root/PicCellularBehavior" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/PicCellularBehavior = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PicCellularBehavior = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PicCellularBehavior = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/PicCellularBehavior/@master = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PicCellularBehavior/@master = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/PicCellularBehavior/@master = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template-->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'unlimitedUpdateSlideshow'" />
        <xsl:with-param name="title2" select="'モバイルデータ通信'" />
		<xsl:with-param name="title3" select="'アップデートの制限なし'" />
        <xsl:with-param name="valueNode" select="/RESULT/unlimitedUpdateSlideshow" />
        <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'VideoAutoplayEnabled'" />
		<xsl:with-param name="title2" select="'ビデオとLive Photosを自動再生'" />
        <xsl:with-param name="valueNode" select="/RESULT/VideoAutoplayEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'showHolidayCalendarEvents'" />
		<xsl:with-param name="title2" select="'祝日イベントを表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/showHolidayCalendarEvents" />
        <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceMediaTransferBehavior'" />
		<xsl:with-param name="title2" select="'MACまたはPCに転送'" />
		<xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferenceMediaTransferBehavior" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/CAMUserPreferenceMediaTransferBehavior = '1'">
					<xsl:text>元のフォーマットのまま</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceMediaTransferBehavior = '0'">
					<xsl:text>自動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceMediaTransferBehavior = ''">
					<xsl:text>自動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/CAMUserPreferenceMediaTransferBehavior/@master = '1'">
					<xsl:text>元のフォーマットのまま</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceMediaTransferBehavior/@master = '0'">
					<xsl:text>自動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceMediaTransferBehavior/@master = ''">
					<xsl:text>自動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
    
  </xsl:template>

</xsl:stylesheet>