<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionSpotlight14">

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SpotlightSearchEnabled'" />
      <xsl:with-param name="title2">
        <xsl:text>Siriからの提案</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="title3">
        <xsl:text>検索時の提案</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/SpotlightSearchEnabled" />
      <xsl:with-param name="template" select="'defaultOn'" />
    </xsl:call-template>

    <xsl:if test="$MajorVersion &lt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'LookupSuggestionsEnabled'" />
        <xsl:with-param name="title3">
          <xsl:text>”調べる”の候補</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="/RESULT/LookupSuggestionsEnabled" />
        <xsl:with-param name="template" select="'defaultOn'" />
      </xsl:call-template>
    </xsl:if>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'LockScreenSuggestionsEnabled'" />
      <xsl:with-param name="title3">
        <xsl:text>ロック画面上での提案</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/LockScreenSuggestionsEnabled" />
      <xsl:with-param name="template" select="'defaultOn'" />
    </xsl:call-template>

    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SuggestionsAppLibraryEnabled'" />
        <xsl:with-param name="title3">
          <xsl:text>ホーム画面上での提案</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="/RESULT/SuggestionsAppLibraryEnabled" />
        <xsl:with-param name="template" select="'defaultOn'" />
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SharingPeopleSuggestionsDisabled'" />
        <xsl:with-param name="title3">
          <xsl:text>共有時の提案</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="/RESULT/SharingPeopleSuggestionsDisabled" />
        <xsl:with-param name="template" select="'defaultOn'" />
      </xsl:call-template>
    </xsl:if>

    <xsl:for-each select="/RESULT/SBSearchResults/Item">
      <xsl:sort select="cs:GetAppName(Identifier, /RESULT/DeviceClass, /RESULT/Applications)"/>
      <!--並び替え前の位置を取得-->
      <xsl:variable name="id" select="Identifier"/>
      <xsl:variable name="pos" select="count(/RESULT/SBSearchResults/Item[./Identifier = $id]/preceding-sibling::*)+1"/>

      <xsl:choose>
        <xsl:when test="Identifier = 'com.apple.tips' or 
Identifier = 'com.apple.Maps' or 
Identifier = 'com.apple.Home' or 
Identifier = 'com.apple.mobilemail' or 
Identifier = 'com.apple.mobilephone' or 
Identifier = 'com.apple.podcasts' or 
Identifier = 'com.apple.mobilesafari' or 
Identifier = 'com.apple.mobilecal' or 
Identifier = 'com.apple.MobileSMS' or 
Identifier = 'com.apple.reminders' or 
Identifier = 'com.apple.MobileAddressBook'">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Suggestion')" />
            <xsl:with-param name="title3">
              <xsl:if test="position() = 1">検索結果</xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title4">
              <xsl:call-template name="GetAppName">
                <xsl:with-param name="appID" select="Identifier"/>
                <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="title5">
              <xsl:choose>
                <xsl:when test="Identifier = 'com.apple.mobilephone'">
                  <xsl:text>通話時にSiriからの提案を表示</xsl:text>
                </xsl:when>
                <xsl:when test="Identifier = 'com.apple.MobileAddressBook'">
                  <xsl:text>Siriからの連絡先の提案を表示</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:text>Siriからの提案をAppで表示</xsl:text>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="Suggestion" />
            <xsl:with-param name="template" select="'OnOff'"/>
          </xsl:call-template>
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Learn')" />
            <xsl:with-param name="title5">
              <xsl:text>このAppから学習</xsl:text>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="Learn" />
            <xsl:with-param name="template" select="'OnOff'"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Learn')" />
            <xsl:with-param name="title3">
              <xsl:if test="position() = 1">検索結果</xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title4">
              <xsl:call-template name="GetAppName">
                <xsl:with-param name="appID" select="Identifier"/>
                <xsl:with-param name="device" select="/RESULT/DeviceClass"/>
              </xsl:call-template>
            </xsl:with-param>
            <xsl:with-param name="title5">
              <xsl:text>このAppから学習</xsl:text>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="Learn" />
            <xsl:with-param name="template" select="'OnOff'"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Shortcut')" />
        <xsl:with-param name="title5">
          <xsl:text>ホーム画面上</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="title6">
          <xsl:text>Appからの提案を表示</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="Shortcut" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>
		
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/SuggestApp')" />
        <xsl:with-param name="title6">
          <xsl:text>Appを提案</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="SuggestApp" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/App')" />
        <xsl:with-param name="title6">
          <xsl:text>検索でAppを表示</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="App" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>

      <xsl:if test="App = 'true' or App/@master = 'true'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Enabled')" />
          <xsl:with-param name="title6">
            <xsl:text>検索でコンテンツを表示</xsl:text>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="Enabled" />
          <xsl:with-param name="template" select="'OnOff'"/>
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('SBSearchResults/Item_', $pos, '/Lockscreen')" />
        <xsl:with-param name="title5">
          <xsl:text>ロック画面上</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="title6">
          <xsl:text>Appからの提案を表示</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="Lockscreen" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>


    </xsl:for-each>

  </xsl:template>

</xsl:stylesheet>