<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">
  
  <xsl:output method="text" media-type="text/plain" encoding="UTF-8" indent="no"/>

  <xsl:variable name="MajorVersion" select="''"/>
  
  <xsl:param name="outputdate"/>
  <xsl:param name="devicename"/>
  <xsl:param name="mastername"/>
  <xsl:param name="modified"/>
  <xsl:param name="created"/>
  <xsl:param name="count"/>

  <xsl:param name="networkCount"/>
  <xsl:param name="notificationCount"/>
  <xsl:param name="contorolcenterCount"/>
  <xsl:param name="spotlightCount"/>
  <xsl:param name="rotorItemCount"/>
  <xsl:param name="compactVoiceCount"/>
  <xsl:param name="langRotorCount"/>
  <xsl:param name="savedGestureCount"/>
  <xsl:param name="customGestureCount"/>
  <xsl:param name="updateappCount"/>
  <xsl:param name="locsvcCount"/>
  <xsl:param name="keyboardCount"/>
  <xsl:param name="languageCount"/>
  <xsl:param name="payloadCount"/>
  <xsl:param name="provCount"/>
  <xsl:param name="iCloudAppCount"/>
  <xsl:param name="recvCount"/>
  <xsl:param name="sendCount"/>
  <xsl:param name="signCount"/>
  <xsl:param name="appCount"/>
  <xsl:param name="bookmarkCount"/>
  <xsl:param name="shortcutCount"/>
  <xsl:param name="arrivalSmsCount"/>
  <xsl:param name="arrivalFacetimeCount"/>
  <xsl:param name="notesAccountCount"/>
  <xsl:param name="dictionaryCount"/>
  
  <xsl:include href="Function.xslt" />

  <xsl:template name="asdf">
    <xsl:param name="line"/>
    <xsl:for-each select="/header/column">
      <xsl:for-each select="line">
        <xsl:if test="position() = $line"><xsl:choose>
          <xsl:when test="not(../@repeat)"><xsl:value-of select="text()"/>,</xsl:when>
          <xsl:when test="../@counter='networkCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$networkCount"/>
            </xsl:call-template>
          </xsl:when>
		  <xsl:when test="../@counter='notificationCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$notificationCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='contorolcenterCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$contorolcenterCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='spotlightCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$spotlightCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='rotorItemCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$rotorItemCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='langRotorCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$langRotorCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='compactVoiceCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$compactVoiceCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='keyboardCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$keyboardCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='recvCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$recvCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='sendCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$sendCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='appCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$appCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='locsvcCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$locsvcCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='languageCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$languageCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='provCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$provCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='iCloudAppCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$iCloudAppCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='payloadCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$payloadCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='savedGestureCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$savedGestureCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='customGestureCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$customGestureCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='updateappCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$updateappCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='signCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$signCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='bookmarkCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$bookmarkCount"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="../@counter='shortcutCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$shortcutCount"/>
            </xsl:call-template>
          </xsl:when>
		  <xsl:when test="../@counter='arrivalSmsCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$arrivalSmsCount"/>
            </xsl:call-template>
          </xsl:when>
		  <xsl:when test="../@counter='arrivalFacetimeCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$arrivalFacetimeCount"/>
            </xsl:call-template>
          </xsl:when>
		  <xsl:when test="../@counter='notesAccountCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$notesAccountCount"/>
            </xsl:call-template>
          </xsl:when>
		  <xsl:when test="../@counter='dictionaryCount' and ../@repeat='true'">
            <xsl:call-template name="Repeat">
              <xsl:with-param name="only1st" select="@first"/>
              <xsl:with-param name="other" select="@other"/>
              <xsl:with-param name="text" select="text()"/>
              <xsl:with-param name="count" select="$dictionaryCount"/>
            </xsl:call-template>
          </xsl:when>
        </xsl:choose>
        </xsl:if>
      </xsl:for-each>
      
    </xsl:for-each>
    
  </xsl:template>

  <xsl:template name="Repeat">
    <xsl:param name="only1st" select="'false'"/>
    <xsl:param name="other" />
    <xsl:param name="index" select="1"/>
    <xsl:param name="count"/>
    <xsl:param name="text"/>

    <xsl:if test="number($index) &lt;= $count">    
      <xsl:choose>
        <xsl:when test="($only1st='true' and $index=1) or (not($only1st) or $only1st='false')">
          <xsl:value-of select="cs:Replace($text,$index)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$other"/>
        </xsl:otherwise>
      </xsl:choose>,<xsl:call-template name="Repeat">
        <xsl:with-param name="only1st" select="$only1st"/>
        <xsl:with-param name="other" select="$other"/>
        <xsl:with-param name="index" select="number($index) + 1"/>
        <xsl:with-param name="count" select="$count"/>
        <xsl:with-param name="text" select="$text"/>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  
  <xsl:template match="/">
    <xsl:text>デバイス設定全件一覧</xsl:text>
    <xsl:text>&#x20;&#x0a;</xsl:text>
    <xsl:text>出力日時,,</xsl:text><xsl:value-of select="$outputdate"/>
    <xsl:text>&#x20;&#x0a;</xsl:text>
    <xsl:text>&#x20;&#x0a;</xsl:text>
    <xsl:text>差異のある項目,,</xsl:text>
    <xsl:text>&#x20;&#x0a;</xsl:text>
   <!-- <xsl:call-template name="setting">
      <xsl:with-param name="number" select="1"/>
    </xsl:call-template>
    <xsl:call-template name="setting">
      <xsl:with-param name="number" select="2"/>
    </xsl:call-template>
    <xsl:call-template name="setting">
      <xsl:with-param name="number" select="3"/>
    </xsl:call-template>
    <xsl:call-template name="setting">
      <xsl:with-param name="number" select="4"/>
    </xsl:call-template>
    <xsl:call-template name="setting">
      <xsl:with-param name="number" select="5"/>
    </xsl:call-template>
    <xsl:call-template name="setting">
      <xsl:with-param name="number" select="6"/>
    </xsl:call-template>
  </xsl:template>-->
    <xsl:text>項目(1),</xsl:text>
    <xsl:call-template name="asdf">
      <xsl:with-param name="line" select="1"/>
    </xsl:call-template>
    <xsl:text>&#x20;&#x0a;</xsl:text>
    <xsl:text>項目(2),</xsl:text>
    <xsl:call-template name="asdf">
      <xsl:with-param name="line" select="2"/>
    </xsl:call-template>
    <xsl:text>&#x20;&#x0a;</xsl:text>
    <xsl:text>項目(3),</xsl:text>
    <xsl:call-template name="asdf">
      <xsl:with-param name="line" select="3"/>
    </xsl:call-template>
    <xsl:text>&#x20;&#x0a;</xsl:text>
    <xsl:text>項目(4),</xsl:text>
    <xsl:call-template name="asdf">
      <xsl:with-param name="line" select="4"/>
    </xsl:call-template>
    <xsl:text>&#x20;&#x0a;</xsl:text>
    <xsl:text>項目(5),</xsl:text>
    <xsl:call-template name="asdf">
      <xsl:with-param name="line" select="5"/>
    </xsl:call-template>
    <xsl:text>&#x20;&#x0a;</xsl:text>
    <xsl:text>項目(6),</xsl:text>
    <xsl:call-template name="asdf">
      <xsl:with-param name="line" select="6"/>
    </xsl:call-template>
    <xsl:text>&#x20;&#x0a;</xsl:text>
    
  </xsl:template>


  <xsl:template name="setting">
    <xsl:param name="number"/>
項目(<xsl:value-of select="$number"/>),<xsl:choose>
    <xsl:when test="$number = 1">取得日時</xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">AppleID</xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">アプリ</xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">充電率</xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">画面向きのロック</xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">機内モード</xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">Wifi</xsl:when>
    <xsl:when test="$number = 2">不要なアクセスポイント名</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">一般</xsl:when>
    <xsl:when test="$number = 2">情報</xsl:when>
    <xsl:when test="$number = 3">名前</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ネットワーク</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">回線</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">容量</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">使用可能</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">バージョン</xsl:when>
    <xsl:when test="$number = 4">プロダクトバージョン</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">ビルドバージョン</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">モデル</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">シリアル番号</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">データ通信契約番号</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">Wi-Fiアドレス</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">Bluetooth</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">IMEI</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ICCID</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">MEID</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">モデムファームウェア</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">Siri</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">言語</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">声の性別</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">音声フィードバック</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">自分の情報</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">耳にあてて話す</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:for-each select="/Root/SBSearchResultsDomains/Item">
    <xsl:choose>
      <xsl:when test="$number = 1"></xsl:when>
      <xsl:when test="$number = 2">
        <xsl:if test="position() = 1">Spotlight検索</xsl:if></xsl:when>
      <xsl:when test="$number = 3">"=""(<xsl:value-of select="position()"/>)"""</xsl:when>
      <xsl:when test="$number = 4"></xsl:when>
      <xsl:when test="$number = 5"></xsl:when>
      <xsl:when test="$number = 6"></xsl:when>
    </xsl:choose>,</xsl:for-each><xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">文字サイズを変更</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">アクセシビリティ</xsl:when>
    <xsl:when test="$number = 3">VoiceOver</xsl:when>
    <xsl:when test="$number = 4">VoiceOver</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">読み上げ速度</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">ヒントを読み上げる</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">ピッチ変更を使用</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">サウンドエフェクトを使用</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">圧縮ボイスを使用</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">点字</xsl:when>
    <xsl:when test="$number = 5">2級英語点字</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">自動点訳</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">8点式点字</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">状況セル</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">方程式でNemethコードを使用</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">オンスクリーンキーボード表示</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="/Root/VoiceOverTouchRotorItemsPreference">
      <xsl:for-each select="/Root/VoiceOverTouchRotorItemsPreference/Item">
        <xsl:choose>
          <xsl:when test="$number = 1"></xsl:when>
          <xsl:when test="$number = 2"></xsl:when>
          <xsl:when test="$number = 3"></xsl:when>
          <xsl:when test="$number = 4">
            <xsl:if test="position() = 1">ローター</xsl:if></xsl:when>
          <xsl:when test="$number = 5">"=""(<xsl:value-of select="position()"/>)"""</xsl:when>
          <xsl:when test="$number = 6"></xsl:when>
        </xsl:choose>,</xsl:for-each>
    </xsl:when>
    <xsl:otherwise>
      <xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4">ローター</xsl:when>
        <xsl:when test="$number = 5">"=""(1)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(2)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(3)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(4)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(5)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(6)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(7)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(8)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(9)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(10)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(11)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(12)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(13)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(14)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(15)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(16)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(17)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(18)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(19)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(20)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(21)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(22)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(23)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(24)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(25)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(26)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5">"=""(27)"""</xsl:when>
        <xsl:when test="$number = 6"></xsl:when>
      </xsl:choose>,
    </xsl:otherwise>
  </xsl:choose><xsl:for-each select="/Root/VoiceOverTouchLanguageRotor/Item[./Enabled='true']">
      <xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4">
          <xsl:if test="position() = 1">言語と方言</xsl:if></xsl:when>
        <xsl:when test="$number = 5">"=""(<xsl:value-of select="position()"/>)"""</xsl:when>
        <xsl:when test="$number = 6">言語</xsl:when>
      </xsl:choose>,<xsl:choose>
        <xsl:when test="$number = 1"></xsl:when>
        <xsl:when test="$number = 2"></xsl:when>
        <xsl:when test="$number = 3"></xsl:when>
        <xsl:when test="$number = 4"></xsl:when>
        <xsl:when test="$number = 5"></xsl:when>
        <xsl:when test="$number = 6">高品質</xsl:when>
      </xsl:choose>,<xsl:choose>
      <xsl:when test="$number = 1"></xsl:when>
      <xsl:when test="$number = 2"></xsl:when>
      <xsl:when test="$number = 3"></xsl:when>
      <xsl:when test="$number = 4"></xsl:when>
      <xsl:when test="$number = 5"></xsl:when>
      <xsl:when test="$number = 6">読み上げ速度</xsl:when>
    </xsl:choose>,</xsl:for-each><xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">欧文通話表フィードバック</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">入力フィードバック</xsl:when>
    <xsl:when test="$number = 5">ソフトウェアキーボード</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">ハードウェアキーボード</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">通知を読み上げる</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">イメージをナビゲート</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">大きいカーソルを使用</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ズーム機能</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">色を反転</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">選択項目の読み上げ</xsl:when>
    <xsl:when test="$number = 4">声</xsl:when>
    <xsl:when test="$number = 5">English</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">Español</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">Français</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">Nederlands</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">Portugués</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">中文</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">読み上げ速度</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">単語を強調表示</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">自動テキスト読み上げ</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">より大きな文字</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">テキストを大きな文字で表示</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">文字を太くする</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ボタンの形</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">コントラストを上げる</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">視差効果を減らす</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">オン/オフラベル</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">補聴器</xsl:when>
    <xsl:when test="$number = 4">補聴器モード</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">字幕とキャプション</xsl:when>
    <xsl:when test="$number = 4">クローズドキャプション+SDH</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">スタイル</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">LEDフラッシュ通知</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">モノラルオーディオ</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">左右</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">アクセスガイド</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">ショートカットを表示</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">スイッチコントロール</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">自動ハイライト</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">自動タップ</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">移動の繰り返し</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">保持継続時間</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">繰り返しを無視</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">グライドカーソルの速度</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">効果音</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">音声読み上げ</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">含まれているメニュー項目</xsl:when>
    <xsl:when test="$number = 5">ホーム</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">スクロール</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">デバイス</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">ジェスチャ</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">設定</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">項目をグループ化</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">大きいカーソルを使用</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">カーソルの色</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">保存済みのジェスチャ</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">設定数</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">AssistiveTouch</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">カスタムジェスチャ</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">設定数</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ホームクリックの間隔</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">着信</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ショートカット</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">Appのバックグラウンド更新</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">com.apple.weather</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">com.apple.stocks</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">自動ロック</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">パスコードロック</xsl:when>
    <xsl:when test="$number = 3">パスコードロック</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">パスコードを要求</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">簡単なパスコード</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">音声ダイヤル</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ロック中にアクセスを許可</xsl:when>
    <xsl:when test="$number = 4">Siri</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">Passbook</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">メッセージで返信</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">データを消去</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">機能制限</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">許可</xsl:when>
    <xsl:when test="$number = 4">Safari</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">カメラ</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">FaceTime</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">iTunes</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">iBookstore</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">インストール</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">Appの削除</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">App内での購入</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">AirDrop</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">コンテンツの許可</xsl:when>
    <xsl:when test="$number = 4">レートの対象</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">音楽とPodcast</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">ムービー</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">テレビ番組</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">ブック</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">App</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">Siri</xsl:when>
    <xsl:when test="$number = 5">不適切な言葉</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">Web検索コンテンツ</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">パスワードを要求</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">プライバシー</xsl:when>
    <xsl:when test="$number = 4">位置情報サービス</xsl:when>
    <xsl:when test="$number = 5">変更を許可</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">位置情報サービス</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">Safari</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">カメラ</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">マップ</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">天気</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">Siri</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">iPadを探す</xsl:when>
    <xsl:when test="$number = 6">iPadを探す</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">ステータスバーアイコン</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">システムサービス</xsl:when>
    <xsl:when test="$number = 6">Wi-Fiネットワーキング</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">この近くで人気</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">コンパスの調整</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">位置情報に基づくiAd</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">携帯電話通信網検索</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">交通情報</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">時間帯の設定</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">診断/使用状況</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">利用頻度の高い位置情報</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">マップを改善</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6">ステータスバーアイコン</xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">連絡先</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">カレンダー</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">リマインダー</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">写真</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">Bluetooth共有</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">マイク</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">Twitter</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">Facebook</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">広告</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">変更の許可</xsl:when>
    <xsl:when test="$number = 4">アカウント</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">友達を検索</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">モバイルデータ通信の使用</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">Appのバックグラウンド更新</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">音量制限</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">Game Center</xsl:when>
    <xsl:when test="$number = 4">マルチプレイヤー</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">友達を追加</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">本体横のスイッチの機能</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">マルチタスク用ジェスチャ</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">日付と時刻</xsl:when>
    <xsl:when test="$number = 3">24時間表示</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">自動設定</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">時間帯</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">日付と時刻の設定確認</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">キーボード</xsl:when>
    <xsl:when test="$number = 3">自動大文字入力</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">自動修正</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">スペルチェック</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">Caps loackの使用</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ピリオドの簡易入力</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">キーボード</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">キーボード数</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">キーボード 1</xsl:when>
    <xsl:when test="$number = 5">言語</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">ソフトウェアキーボード配列</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">ハードウェアキーボード配列</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">キーボード 2</xsl:when>
    <xsl:when test="$number = 5">言語</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">ソフトウェアキーボード配列</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">ハードウェアキーボード配列</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">言語環境</xsl:when>
    <xsl:when test="$number = 3">言語</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">音声コントロール</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">書式</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">カレンダー</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">プロファイル</xsl:when>
    <xsl:when test="$number = 3">プロファイル1</xsl:when>
    <xsl:when test="$number = 4">プロファイル名</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">組織名</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">id</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">プロビジョニングプロファイル</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">メール/連絡先/カレンダー</xsl:when>
    <xsl:when test="$number = 2">アカウント1</xsl:when>
    <xsl:when test="$number = 3">種類</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">名前</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">メール</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">説明</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ホスト名</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">ユーザ名</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">送信メールサーバ</xsl:when>
    <xsl:when test="$number = 4">プライマリサーバ</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">ほかのSMTPサーバ</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">下書きメールボックス</xsl:when>
    <xsl:when test="$number = 4">場所</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">下書きメールボックス名</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">送信済メールボックス</xsl:when>
    <xsl:when test="$number = 4">場所</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">送信済メールボックス名</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">削除済メールボックス</xsl:when>
    <xsl:when test="$number = 4">場所</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">削除済メールボックス名</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">削除したメッセージ</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">SSLを使用</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">認証</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">IMAPパス接頭辞</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">サーバポート</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">S/MIME</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">データの取得方法</xsl:when>
    <xsl:when test="$number = 3">プッシュ</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">フェッチ</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">メール</xsl:when>
    <xsl:when test="$number = 3">表示</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">プレビュー</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">TO/CCラベルを表示</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">削除前に確認</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">画像を読み込む</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">スレッドにまとめる</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">常にBccに自分を追加</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">引用レベルを上げる</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">署名</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">すべてのアカウント</xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">デフォルトアカウント</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">アプリケーション</xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">ドック</xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">アプリケーション1</xsl:when>
    <xsl:when test="$number = 3">名前</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1">Safari</xsl:when>
    <xsl:when test="$number = 2">ブックマーク</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3">フォルダ名</xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4">ブックマーク</xsl:when>
    <xsl:when test="$number = 5">タイトル</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2"></xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5">URL</xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,<xsl:choose>
    <xsl:when test="$number = 1"></xsl:when>
    <xsl:when test="$number = 2">閲覧履歴</xsl:when>
    <xsl:when test="$number = 3"></xsl:when>
    <xsl:when test="$number = 4"></xsl:when>
    <xsl:when test="$number = 5"></xsl:when>
    <xsl:when test="$number = 6"></xsl:when>
  </xsl:choose>,</xsl:template>

</xsl:stylesheet>