<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppSafari">
    
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'SearchEngineStringSetting'" />
		<xsl:with-param name="title1" select="'Safari'" />
		<xsl:with-param name="title2" select="'検索エンジン'" />
		<xsl:with-param name="valueNode" select="/RESULT/SearchEngineStringSetting" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/SearchEngineStringSetting = 'Google'">
					<xsl:text>Google</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting = 'Yahoo!'">
					<xsl:text>Yahoo!</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting = 'Bing'">
					<xsl:text>Bing</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting = 'DuckDuckGo'">
					<xsl:text>DuckDuckGo</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting = 'Ecosia'">
					<xsl:text>Ecosia</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting = ''">
					<xsl:text>Google</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/SearchEngineStringSetting/@master = 'Google'">
					<xsl:text>Google</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting/@master = 'Yahoo!'">
					<xsl:text>Yahoo!</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting/@master = 'Bing'">
					<xsl:text>Bing</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting/@master = 'DuckDuckGo'">
					<xsl:text>DuckDuckGo</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting/@master = 'Ecosia'">
					<xsl:text>Ecosia</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SearchEngineStringSetting/@master = ''">
					<xsl:text>Google</xsl:text>
				</xsl:when>
				
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SuppressSearchSuggestions'" />
        <xsl:with-param name="title2" select="'検索エンジン候補'" />
        <xsl:with-param name="valueNode" select="/RESULT/SuppressSearchSuggestions" />
        <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
    
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SpotlightSuggestionsEnabled'" />
        <xsl:with-param name="title2" select="'Safari検索候補'" />
        <xsl:with-param name="valueNode" select="/RESULT/SpotlightSuggestionsEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DisableWebsiteSpecificSearch'" />
        <xsl:with-param name="title2" select="'クイックWebサイト検索'" />
        <xsl:with-param name="valueNode" select="/RESULT/DisableWebsiteSpecificSearch" />
         <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SpeculativeLoading'" />
        <xsl:with-param name="title2" select="'トップヒットを事前に読み込む'" />
        <xsl:with-param name="valueNode" select="/RESULT/SpeculativeLoading" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutoFillFromAddressBook'" />
		<xsl:with-param name="title2" select="'自動入力'" />
        <xsl:with-param name="title3" select="'連絡先の情報を使用'" />
        <xsl:with-param name="valueNode" select="/RESULT/AutoFillFromAddressBook" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SafariMyInfo'" />
	  <xsl:with-param name="title3" select="'自分の情報'" />
      <xsl:with-param name="valueNode" select="/RESULT/SafariMyInfo" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/RESULT/SafariMyInfo = ''">
				<xsl:text>なし</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="/RESULT/SafariMyInfo/text()"/>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
	  <xsl:with-param name="mastervalue">
		<xsl:choose>
			<xsl:when test="/RESULT/SafariMyInfo/@master = ''">
				<xsl:text>なし</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="/RESULT/SafariMyInfo/@master"/>
			</xsl:otherwise>
		  </xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutoFillCreditCards'" />
        <xsl:with-param name="title3" select="'クレジットカード'" />
        <xsl:with-param name="valueNode" select="/RESULT/AutoFillCreditCards" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'HideFrequentlyVisitedSites'" />
        <xsl:with-param name="title2" select="'よく閲覧するサイト'" />
        <xsl:with-param name="valueNode" select="/RESULT/HideFrequentlyVisitedSites" />
         <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/FavoritesFolder'" />
        <xsl:with-param name="title2" select="'お気に入り'" />
		<xsl:with-param name="valueNode" select="/RESULT/Safari/FavoritesFolder" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/FavoritesFolder = 'BookmarksBar'">
					<xsl:text>お気に入り</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					 <xsl:value-of select="/RESULT/Safari/FavoritesFolder/text()"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/FavoritesFolder/@master = 'BookmarksBar'">
					<xsl:text>お気に入り</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					 <xsl:value-of select="/RESULT/Safari/FavoritesFolder/@master/text()"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<!-- お気に入り 再調査 -->
	<xsl:if test="/RESULT/DeviceClass = 'iPad'">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AlwaysShowBookmarksBar'" />
        <xsl:with-param name="title2" select="'お気に入りバー表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/AlwaysShowBookmarksBar" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'JavaScriptCanOpenWindowsAutomatically'" />
        <xsl:with-param name="title2" select="'ポップアップブロック'" />
        <xsl:with-param name="valueNode" select="/RESULT/JavaScriptCanOpenWindowsAutomatically" />
         <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'Safari/LocalDownloadFolder'" />
        <xsl:with-param name="title2" select="'ダウンロード'" />
		<xsl:with-param name="valueNode" select="/RESULT/Safari/LocalDownloadFolder" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/LocalDownloadFolder = 'true'">
					<xsl:text>デバイス内（デフォルト）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/LocalDownloadFolder = 'false'">
					<xsl:text>iCloud Drive</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/LocalDownloadFolder/@master = 'true'">
					<xsl:text>デバイス内（デフォルト）</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/LocalDownloadFolder/@master = 'false'">
					<xsl:text>iCloud Drive</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DownloadExpirationInterval'" />
		<xsl:with-param name="title3" select="'ダウンロードリストからの削除'" />
		<xsl:with-param name="valueNode" select="/RESULT/DownloadExpirationInterval" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/DownloadExpirationInterval = '86400'">
					<xsl:text>１日後</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DownloadExpirationInterval = '-2'">
					<xsl:text>ダウンロードが完了したとき</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DownloadExpirationInterval = '-1'">
					<xsl:text>手動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DownloadExpirationInterval = ''">
					<xsl:text>１日後</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/DownloadExpirationInterval/@master = '86400'">
					<xsl:text>１日後</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DownloadExpirationInterval/@master = '-2'">
					<xsl:text>ダウンロードが完了したとき</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DownloadExpirationInterval/@master = '-1'">
					<xsl:text>手動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DownloadExpirationInterval/@master = ''">
					<xsl:text>１日後</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:if test="/RESULT/DeviceClass = 'iPad'">
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ShowTabBar'" />
        <xsl:with-param name="title2" select="'タブバーを表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/ShowTabBar" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'IconsInTabsEnabled'" />
        <xsl:with-param name="title2" select="'タブにアイコンを表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/IconsInTabsEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:if test="/RESULT/DeviceClass = 'iPad'">
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'OpenLinksInBackground'" />
        <xsl:with-param name="title2" select="'新規タブをバックグラウンドで開く'" />
        <xsl:with-param name="valueNode" select="/RESULT/OpenLinksInBackground" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CloseTabsAutomatically'" />
		<xsl:with-param name="title2" select="'タブを閉じる'" />
		<xsl:with-param name="valueNode" select="/RESULT/CloseTabsAutomatically" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/CloseTabsAutomatically = '0'">
					<xsl:text>手動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CloseTabsAutomatically = '1'">
					<xsl:text>１日後</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CloseTabsAutomatically = '2'">
					<xsl:text>１週間後</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CloseTabsAutomatically = '3'">
					<xsl:text>１か月後</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CloseTabsAutomatically = ''">
					<xsl:text>手動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/CloseTabsAutomatically/@master = '0'">
					<xsl:text>手動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CloseTabsAutomatically/@master = '1'">
					<xsl:text>１日後</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CloseTabsAutomatically/@master = '2'">
					<xsl:text>１週間後</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CloseTabsAutomatically/@master = '3'">
					<xsl:text>１か月後</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CloseTabsAutomatically/@master = ''">
					<xsl:text>手動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<!-- 17.サイト越えトラッキングを防ぐ -->

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'safariAcceptCookies'" />
        <xsl:with-param name="title2" select="'サイト越えトラッキングを防ぐ'" />
        <xsl:with-param name="valueNode" select="/RESULT/safariAcceptCookies" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/safariAcceptCookies = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/safariAcceptCookies = '1.5'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/safariAcceptCookies = '0.0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/safariAcceptCookies = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/safariAcceptCookies/@master = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/safariAcceptCookies/@master = '1.5'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/safariAcceptCookies/@master = '0.0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/safariAcceptCookies/@master = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NanoBlockAllCookiesEnabled'" />
        <xsl:with-param name="title2" select="'すべてのCookieをブロック'" />
        <xsl:with-param name="valueNode" select="/RESULT/NanoBlockAllCookiesEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'WarnAboutFraudulentWebsites'" />
        <xsl:with-param name="title2" select="'詐欺Webサイトの警告'" />
        <xsl:with-param name="valueNode" select="/RESULT/WarnAboutFraudulentWebsites" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SafariApplePayDisclosureAllowed'" />
        <xsl:with-param name="title2" select="'Apple Payの確認'" />
        <xsl:with-param name="valueNode" select="/RESULT/SafariApplePayDisclosureAllowed" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	

		<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'Safari/PerSitePreferencesPageZoom'" />
        <xsl:with-param name="title2" select="'ページの拡大縮小'" />
		<xsl:with-param name="valueNode" select="/RESULT/Safari/PerSitePreferencesPageZoom" />
        <xsl:with-param name="value">
			<xsl:call-template name="Zoom" >
					<xsl:with-param name="value" select="/RESULT/Safari/PerSitePreferencesPageZoom"/>
				</xsl:call-template>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:call-template name="Zoom" >
					<xsl:with-param name="value" select="/RESULT/Safari/PerSitePreferencesPageZoom/@master"/>
			</xsl:call-template>
		</xsl:with-param>
	</xsl:call-template>
		<!-- 再調査 -->
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'Safari/PerSitePreferencesRequestDesktopSite'" />
        <xsl:with-param name="title2" select="'デスクトップ用Webサイトを表示'" />
		<xsl:with-param name="valueNode" select="/RESULT/Safari/PerSitePreferencesRequestDesktopSite" />
		<xsl:with-param name="template" select="'OnOff'"/>
	</xsl:call-template>
		
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/PerSitePreferencesUseReader'" />
        <xsl:with-param name="title2" select="'リーダー'" />
		<xsl:with-param name="valueNode" select="/RESULT/Safari/PerSitePreferencesUseReader" />
		<xsl:with-param name="template" select="'OnOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/PerSitePreferencesCamera'" />
        <xsl:with-param name="title2" select="'カメラ'" />
		<xsl:with-param name="valueNode" select="/RESULT/Safari/PerSitePreferencesCamera" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesCamera = '0'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesCamera = '1'">
					<xsl:text>拒否</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesCamera = '2'">
					<xsl:text>許可</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesCamera/@master = '0'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesCamera/@master = '1'">
					<xsl:text>拒否</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesCamera/@master = '2'">
					<xsl:text>許可</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/PerSitePreferencesMicrophone'" />
        <xsl:with-param name="title2" select="'マイク'" />
		<xsl:with-param name="valueNode" select="/RESULT/Safari/PerSitePreferencesMicrophone" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesMicrophone = '0'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesMicrophone = '1'">
					<xsl:text>拒否</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesMicrophone = '2'">
					<xsl:text>許可</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesMicrophone/@master = '0'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesMicrophone/@master = '1'">
					<xsl:text>拒否</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesMicrophone/@master = '2'">
					<xsl:text>許可</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
		<!-- 再調査 -->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/PerSitePreferencesGeolocation'" />
        <xsl:with-param name="title2" select="'場所'" />
		<xsl:with-param name="valueNode" select="/RESULT/Safari/PerSitePreferencesGeolocation" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesGeolocation = '0'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesGeolocation = '1'">
					<xsl:text>拒否</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesGeolocation = '2'">
					<xsl:text>許可</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesGeolocation/@master = '0'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesGeolocation/@master = '1'">
					<xsl:text>拒否</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/Safari/PerSitePreferencesGeolocation/@master = '2'">
					<xsl:text>許可</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
		
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutomaticallyArchiveReadingListItemsEnabled'" />
        <xsl:with-param name="title2" select="'自動的にオフライン用に保存'" />
        <xsl:with-param name="valueNode" select="/RESULT/AutomaticallyArchiveReadingListItemsEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'JavaScriptEnabled'" />
		<xsl:with-param name="title2" select="'詳細'" />
        <xsl:with-param name="title3" select="'JavaScript'" />
        <xsl:with-param name="valueNode" select="/RESULT/JavaScriptEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'RemoteInspectorEnabled'" />
        <xsl:with-param name="title3" select="'Webインスペクタ'" />
        <xsl:with-param name="valueNode" select="/RESULT/RemoteInspectorEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'RemoteAutomationEnabled'" />
        <xsl:with-param name="title3" select="'リモートオートメーション'" />
        <xsl:with-param name="valueNode" select="/RESULT/RemoteAutomationEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	<!-- リモートオートメーションがオンになると自動的にWebインスペクタもオンへ変わる -->
    
  </xsl:template>

</xsl:stylesheet>