<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                 xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="Section003">

    <xsl:if test="$MajorVersion = 12 or $MajorVersion = 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SUAutomaticUpdateV2Enabled'" />
        <xsl:with-param name="title2" select="'ソフトウェア・アップデート'" />
        <xsl:with-param name="title3" select="'自動アップデート'" />
        <xsl:with-param name="valueNode" select="/RESULT/SUAutomaticUpdateV2Enabled" />
        <xsl:with-param name="template" select="'defaultOff'" />
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SUEnableAutoDownload'" />
        <xsl:with-param name="title2" select="'ソフトウェア・アップデート'" />
        <xsl:with-param name="title3" select="'自動アップデート'" />
        <xsl:with-param name="title4" select="'自動的に行う操作'" />
        <xsl:with-param name="title5" select="'iOSアップデートをダウンロード'" />
        <xsl:with-param name="valueNode" select="SUEnableAutoDownload" />
        <xsl:with-param name="template" select="'defaultOn'" />
      </xsl:call-template>

      <xsl:if test="SUEnableAutoDownload = 'true' or 
	  SUEnableAutoDownload/@master = 'true' or 
	  SUEnableAutoDownload = '' or
	  SUEnableAutoDownload/@master = ''">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SUAutomaticUpdateV2Enabled'" />
          <xsl:with-param name="title5" select="'iOSアップデートをインストール'" />
          <xsl:with-param name="valueNode" select="SUAutomaticUpdateV2Enabled" />
          <xsl:with-param name="template" select="'defaultOn'" />
        </xsl:call-template>
      </xsl:if>
    </xsl:if>
    
    <!--AirDrop-->
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DiscoverableMode'" />
        <xsl:with-param name="title2" select="'AirDrop'" />
        <xsl:with-param name="valueNode" select="DiscoverableMode" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/RESULT/DiscoverableMode = 'Contacts Only'">
              <xsl:text>連絡先のみ</xsl:text>
            </xsl:when>
            <xsl:when test="/RESULT/DiscoverableMode = 'Everyone'">
              <xsl:text>すべての人</xsl:text>
            </xsl:when>
            <xsl:when test="/RESULT/DiscoverableMode = 'Off'">
              <xsl:text>受信しない</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>連絡先のみ</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:choose>
            <xsl:when test="/RESULT/DiscoverableMode/@master = 'Contacts Only'">
              <xsl:text>連絡先のみ</xsl:text>
            </xsl:when>
            <xsl:when test="/RESULT/DiscoverableMode/@master = 'Everyone'">
              <xsl:text>すべての人</xsl:text>
            </xsl:when>
            <xsl:when test="/RESULT/DiscoverableMode/@master = 'Off'">
              <xsl:text>受信しない</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>連絡先のみ</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <!--Handoff-->
    <!--<xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowActivityContinuation'" />
        <xsl:with-param name="title2">
          <xsl:call-template name="getname">
            <xsl:with-param name="id" select="'Handoff'" />
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="title3" select="'自動的にTVへAirPlay'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowActivityContinuation" />
        <xsl:with-param name="template" select="'OnOff'" />
      </xsl:call-template>
      
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowActivityContinuation'" />
        <xsl:with-param name="title3" select="'HomePodへ転送'" />
        <xsl:with-param name="valueNode" select="/RESULT/allowActivityContinuation" />
        <xsl:with-param name="template" select="'OnOff'" />
      </xsl:call-template>
    </xsl:if>-->
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'AutoAirPlay'" />
		<xsl:with-param name="title2" >
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>AirPlayとHandoff</xsl:text>
            </xsl:if>
          </xsl:with-param>
        <xsl:with-param name="title3" select="'自動的にTVへAirPlay'" />
		<xsl:with-param name="valueNode" select="/RESULT/AutoAirPlay" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/AutoAirPlay = 'truetrue'">
					<xsl:text>自動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/AutoAirPlay = 'falsefalse'">
					<xsl:text>しない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/AutoAirPlay = 'falsetrue'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/AutoAirPlay = ''">
					<xsl:text>自動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/AutoAirPlay/@master = 'truetrue'">
					<xsl:text>自動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/AutoAirPlay/@master = 'falsefalse'">
					<xsl:text>しない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/AutoAirPlay/@master = 'falsetrue'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/AutoAirPlay/@master = ''">
					<xsl:text>自動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowActivityContinuation'" />
      <xsl:with-param name="title2" >
            <xsl:if test="$MajorVersion &lt; 13">
              <xsl:text>AirPlayとHandoff</xsl:text>
            </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title3" select="'Handoff'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowActivityContinuation" />
      <xsl:with-param name="template" select="'OnOff'" />
    </xsl:call-template>

    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBAllowAutoPIP'" />
        <xsl:with-param name="title2" select="'ピクチャ・イン・ピクチャ'"/>
        <xsl:with-param name="title3" select="'ピクチャ・イン・ピクチャを自動的に開始'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBAllowAutoPIP" />
        <xsl:with-param name="template" select="'OnOff'" />
      </xsl:call-template>
    </xsl:if>
    
    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 10">

      </xsl:when>
      <xsl:when test="$MajorVersion &gt;= 9">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowInstalledAppNearMeSuggestions'" />
          <xsl:with-param name="title3" select="'インストール済みApp'" />
          <xsl:with-param name="valueNode" select="/RESULT/allowInstalledAppNearMeSuggestions" />
          <xsl:with-param name="template" select="'OnOff'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowInstalledAppNearMeSuggestions'" />
          <xsl:with-param name="title3" select="'自分のApp'" />
          <xsl:with-param name="valueNode" select="/RESULT/allowInstalledAppNearMeSuggestions" />
          <xsl:with-param name="template" select="'OnOff'" />
        </xsl:call-template>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'allowUninstalledAppNearMeSuggestions'" />
          <xsl:with-param name="title3" select="'App Store'" />
          <xsl:with-param name="valueNode" select="/RESULT/allowUninstalledAppNearMeSuggestions" />
          <xsl:with-param name="template" select="'OnOff'" />
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

	<xsl:if test="$MajorVersion &lt;= 13">
    <xsl:if test="$MajorVersion &gt;= 9 and /RESULT/DeviceClass = 'iPad'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBMedusaEnabled'" />
        <xsl:with-param name="title2">
          <xsl:text>マルチタスク</xsl:text>
          <xsl:if test="$MajorVersion &gt;= 11">
            <xsl:text>とDock</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title3" select="'複数のAppを許可'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBMedusaEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBAllowAutoPIP'" />
        <xsl:with-param name="title3">
          <xsl:if test="$MajorVersion &lt;= 11">
            <xsl:text>オーバーレイでのビデオの継続再生</xsl:text>
          </xsl:if>
          <xsl:if test="$MajorVersion &gt;= 12">
            <xsl:text>ピクチャインピクチャ</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="/RESULT/SBAllowAutoPIP" />
        <xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBUseSystemGestures'" />
        <xsl:with-param name="title3" select="'ジェスチャ'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBUseSystemGestures" />
        <xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 11">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBRecentsEnabled'" />
          <xsl:with-param name="title3" select="'DOCK'" />
          <xsl:with-param name="title4" select="'おすすめApp/最近使用したAppを表示'" />
          <xsl:with-param name="valueNode" select="/RESULT/SBRecentsEnabled" />
          <xsl:with-param name="template" select="'defaultOn'"/>
        </xsl:call-template>
      </xsl:if>
      </xsl:if>
    </xsl:if>
    
  </xsl:template>

</xsl:stylesheet>