<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionDoNotDisturb">
  
		<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'DoNotDisturb/Enabled'" />
        <xsl:with-param name="title1" select="'おやすみモード'" />
		<xsl:with-param name="valueNode" select="/RESULT/DoNotDisturb/Enabled" />
		<xsl:with-param name="template" select="'OnOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DoNotDisturb/scheduleEnabledSetting'" />
        <xsl:with-param name="title2" select="'時間指定'" />
		<xsl:with-param name="valueNode" select="/RESULT/DoNotDisturb/scheduleEnabledSetting" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/scheduleEnabledSetting = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/scheduleEnabledSetting = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/scheduleEnabledSetting/@master = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/scheduleEnabledSetting/@master = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:if test="/RESULT/DoNotDisturb/scheduleEnabledSetting = '2'">
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'DoNotDisturb/timePeriodStart'" />
		<xsl:with-param name="title2" select="'開始'" />
		<xsl:with-param name="valueNode" select="/RESULT/DoNotDisturb/timePeriodStart" />
		<xsl:with-param name="value">
			<xsl:value-of select="format-number(number(substring-before(/RESULT/DoNotDisturb/timePeriodStart, ':')), '00')"/>
			<xsl:text>：</xsl:text>
			<xsl:value-of select="format-number(number(substring-after(/RESULT/DoNotDisturb/timePeriodStart, ':')), '00')"/>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
		<xsl:if test="/RESULT/DoNotDisturb/timePeriodStart/@master">
			<xsl:value-of select="format-number(number(substring-before(/RESULT/DoNotDisturb/timePeriodStart/@master, ':')), '00')"/>
			<xsl:text>：</xsl:text>
			<xsl:value-of select="format-number(number(substring-after(/RESULT/DoNotDisturb/timePeriodStart/@master, ':')), '00')"/>
		</xsl:if>
		</xsl:with-param>
	</xsl:call-template>
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'DoNotDisturb/timePeriodEnd'" />
		<xsl:with-param name="title2" select="'終了'" />
		<xsl:with-param name="valueNode" select="/RESULT/DoNotDisturb/timePeriodEnd" />
		<xsl:with-param name="value">
			<xsl:value-of select="format-number(number(substring-before(/RESULT/DoNotDisturb/timePeriodEnd, ':')), '00')"/>
			<xsl:text>：</xsl:text>
			<xsl:value-of select="format-number(number(substring-after(/RESULT/DoNotDisturb/timePeriodEnd, ':')), '00')"/>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
		<xsl:if test="/RESULT/DoNotDisturb/timePeriodEnd/@master">
			<xsl:value-of select="format-number(number(substring-before(/RESULT/DoNotDisturb/timePeriodEnd/@master, ':')), '00')"/>
			<xsl:text>：</xsl:text>
			<xsl:value-of select="format-number(number(substring-after(/RESULT/DoNotDisturb/timePeriodEnd/@master, ':')), '00')"/>
		</xsl:if>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DoNotDisturb/bedtimeBehaviorEnabledSetting'" />
        <xsl:with-param name="title2" select="'ロック画面を暗くする'" />
		<xsl:with-param name="valueNode" select="/RESULT/DoNotDisturb/bedtimeBehaviorEnabledSetting" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/bedtimeBehaviorEnabledSetting = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/bedtimeBehaviorEnabledSetting = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/bedtimeBehaviorEnabledSetting = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/bedtimeBehaviorEnabledSetting/@master = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/bedtimeBehaviorEnabledSetting/@master = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/bedtimeBehaviorEnabledSetting/@master = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DoNotDisturb/interruptionBehaviorSetting'" />
        <xsl:with-param name="title2" select="'通知'" />
		<xsl:with-param name="valueNode" select="/RESULT/DoNotDisturb/interruptionBehaviorSetting" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/interruptionBehaviorSetting = '1'">
					<xsl:text>常に知らせない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/interruptionBehaviorSetting = '2'">
					<xsl:text>ロック中は知らせない</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/interruptionBehaviorSetting/@master = '1'">
					<xsl:text>常に知らせない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/interruptionBehaviorSetting/@master = '2'">
					<xsl:text>ロック中は知らせない</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DoNotDisturb/immediateBypassEventSourceType'" />
        <xsl:with-param name="title2" select="'着信を許可'" />
		<xsl:with-param name="valueNode" select="/RESULT/DoNotDisturb/immediateBypassEventSourceType" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/immediateBypassEventSourceType = '1'">
					<xsl:text>全員</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/immediateBypassEventSourceType = '2'">
					<xsl:text>誰も許可しない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/immediateBypassEventSourceType = '3'">
					<xsl:text>よく使う項目</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/immediateBypassEventSourceType = '4'">
					<xsl:text>すべての連絡先</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/immediateBypassEventSourceType/@master = '1'">
					<xsl:text>全員</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/immediateBypassEventSourceType/@master = '2'">
					<xsl:text>誰も許可しない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/immediateBypassEventSourceType/@master = '3'">
					<xsl:text>よく使う項目</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/immediateBypassEventSourceType/@master = '4'">
					<xsl:text>すべての連絡先</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DoNotDisturb/repeatEventSourceBehaviorEnabledSetting'" />
        <xsl:with-param name="title2" select="'繰り返しの着信'" />
		<xsl:with-param name="valueNode" select="/RESULT/DoNotDisturb/repeatEventSourceBehaviorEnabledSetting" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/repeatEventSourceBehaviorEnabledSetting = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/repeatEventSourceBehaviorEnabledSetting = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/DoNotDisturb/repeatEventSourceBehaviorEnabledSetting/@master = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/DoNotDisturb/repeatEventSourceBehaviorEnabledSetting/@master = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CARDNDAutomaticTriggeringMethod'" />
		<xsl:with-param name="title2" select="'アクティベート'" />
		<xsl:with-param name="valueNode" select="/RESULT/CARDNDAutomaticTriggeringMethod" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/CARDNDAutomaticTriggeringMethod = '0'">
					<xsl:text>手動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutomaticTriggeringMethod = '1'">
					<xsl:text>車載Bluetoothに接続時</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutomaticTriggeringMethod = '2'">
					<xsl:text>自動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutomaticTriggeringMethod = ''">
					<xsl:text>手動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/CARDNDAutomaticTriggeringMethod/@master = '0'">
					<xsl:text>手動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutomaticTriggeringMethod/@master = '1'">
					<xsl:text>車載Bluetoothに接続時</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutomaticTriggeringMethod/@master = '2'">
					<xsl:text>自動</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutomaticTriggeringMethod/@master = ''">
					<xsl:text>手動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CARDNDActivateWithCarPlay'" />
        <xsl:with-param name="title3" select="'CARPLAYで有効にする'" />
        <xsl:with-param name="valueNode" select="/RESULT/CARDNDActivateWithCarPlay" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CARDNDAutoReplyAudience'" />
		<xsl:with-param name="title2" select="'自動連絡先'" />
		<xsl:with-param name="valueNode" select="/RESULT/CARDNDAutoReplyAudience" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience = '1'">
					<xsl:text>誰にも返信しない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience = '2'">
					<xsl:text>すべての連絡先</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience = '3'">
					<xsl:text>直近の連絡先</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience = '4'">
					<xsl:text>よく使う項目</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience = ''">
					<xsl:text>よく使う項目</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience/@master = '1'">
					<xsl:text>誰にも返信しない</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience/@master = '2'">
					<xsl:text>すべての連絡先</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience/@master = '3'">
					<xsl:text>直近の連絡先</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience/@master = '4'">
					<xsl:text>よく使う項目</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CARDNDAutoReplyAudience/@master = ''">
					<xsl:text>よく使う項目</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	  </xsl:call-template>
	</xsl:if>

  </xsl:template>

</xsl:stylesheet>