<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionPrivacy">

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'forceLimitAdTracking'" />
	  <xsl:with-param name="title2" select="'トラッキング'" />
	  <xsl:with-param name="title3" select="'Appからのトラッキング要求を許可'" />
      <xsl:with-param name="valueNode" select="/RESULT/forceLimitAdTracking" />
      <xsl:with-param name="template" select="'defaultOn'"/>
	  <xsl:with-param name="param1" select="'オフ'"/>
      <xsl:with-param name="param2" select="'オン'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'EnableFitnessTracking'" />
      <xsl:with-param name="title2" select="'モーションとフィットネス'" />
      <xsl:with-param name="title3" select="'フィットネス・トラッキング'" />
      <xsl:with-param name="valueNode" select="/RESULT/EnableFitnessTracking" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AllowMotionHealth'" />
      <xsl:with-param name="title3" select="'ヘルスケア'" />
      <xsl:with-param name="valueNode" select="/RESULT/AllowMotionHealth" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowDiagnosticSubmission'" />
      <xsl:with-param name="title2">
        <xsl:text>解析</xsl:text>
        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:text>および改善</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title3">
        <xsl:value-of select="/RESULT/DeviceClass"/>
        <xsl:text>解析を共有</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/RESULT/allowDiagnosticSubmission" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowAppAnalytics'" />
      <xsl:with-param name="title3" select="'Appデベロッパと共有'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowAppAnalytics" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SiriDataSharingOpt-InStatus'" />
		<xsl:with-param name="title3" select="'Siriおよび音声入力の改善'" />
		<xsl:with-param name="valueNode" select="/RESULT/SiriDataSharingOpt-InStatus" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/SiriDataSharingOpt-InStatus = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SiriDataSharingOpt-InStatus = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SiriDataSharingOpt-InStatus = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/SiriDataSharingOpt-InStatus/@master = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SiriDataSharingOpt-InStatus/@master = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/SiriDataSharingOpt-InStatus/@master = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AllowiCloudAnalytics'" />
      <xsl:with-param name="title3" select="'iCloud解析を共有'" />
      <xsl:with-param name="valueNode" select="/RESULT/AllowiCloudAnalytics" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowHealthDataSubmission'" />
      <xsl:with-param name="title3" select="'”ヘルスケア”と”アクティビティ”の改善'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowHealthDataSubmission" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ClinicalDataCollectionOptIn'" />
      <xsl:with-param name="title3" select="'ヘルスケアレコードの改善'" />
      <xsl:with-param name="valueNode" select="/RESULT/ClinicalDataCollectionOptIn" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'allowWheelchairDataSubmission'" />
      <xsl:with-param name="title3" select="'車椅子モードの改善'" />
      <xsl:with-param name="valueNode" select="/RESULT/allowWheelchairDataSubmission" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>


    <xsl:if test="$MajorVersion &lt;= 13">
	  <xsl:call-template name="settingtable">
	    <xsl:with-param name="id" select="'forceLimitAdTracking'" />
	    <xsl:with-param name="title2" select="'広告'" />
		<xsl:with-param name="title3" select="'すべての広告主'" />
		<xsl:with-param name="title4" select="'追跡型広告を制限'" />
		<xsl:with-param name="valueNode" select="/RESULT/forceLimitAdTracking" />
		<xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:if test="$MajorVersion &gt;= 14">
	  <xsl:call-template name="settingtable">
	    <xsl:with-param name="id" select="'allowApplePersonalizedAdvertising'" />
	    <xsl:with-param name="title2" select="'Appleの広告'" />
		<xsl:with-param name="title3" select="'パーソナライズされた広告'" />
		<xsl:with-param name="valueNode" select="/RESULT/allowApplePersonalizedAdvertising" />
		<xsl:with-param name="template" select="'defaultOn'"/>
	  </xsl:call-template>
	</xsl:if>
	
	
  </xsl:template>

</xsl:stylesheet>