<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionScreen">

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DarkMode'" />
        <xsl:with-param name="title1" select="'画面表示と明るさ'" />
        <xsl:with-param name="title2" select="'外観モード'" />
        <xsl:with-param name="title3" select="'ライト/ダーク'" />
        <xsl:with-param name="valueNode" select="/RESULT/DarkMode" />
        <xsl:with-param name="template" select="'defaultOff'"/>
        <xsl:with-param name="param1" select="'ダーク'"/>
        <xsl:with-param name="param2" select="'ライト'"/>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutoDarkMode'" />
        <xsl:with-param name="title3" select="'自動'" />
        <xsl:with-param name="valueNode" select="/RESULT/AutoDarkMode" />
        <xsl:with-param name="template" select="'defaultOff'"/>
      </xsl:call-template>

      <xsl:if test="AutoDarkMode = 'true' or AutoDarkMode/@master = 'true'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'CustomDarkMode'" />
          <xsl:with-param name="title3" select="'オプション'" />
          <xsl:with-param name="title4" select="'外観モードのスケジュール'" />
          <xsl:with-param name="valueNode" select="/RESULT/CustomDarkMode" />
          <xsl:with-param name="value">
            <xsl:if test="AutoDarkMode = 'true'">
              <xsl:call-template name="CustomDarkMode">
                <xsl:with-param name="value" select="/RESULT/CustomDarkMode"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:call-template name="CustomDarkMode">
              <xsl:with-param name="value" select="/RESULT/CustomDarkMode/@master"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:if test="CustomDarkMode = 'true' or CustomDarkMode/@master = 'true'">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'DarkModeEnd'" />
            <xsl:with-param name="title4" select="'ライト'" />
            <xsl:with-param name="valueNode" select="/RESULT/DarkModeEnd" />
            <xsl:with-param name="value">
              <xsl:if test="CustomDarkMode = 'true'">
                <xsl:value-of select="format-number(number(substring-before(/RESULT/DarkModeEnd, ':')), '00')"/>
                <xsl:text>：</xsl:text>
                <xsl:value-of select="format-number(number(substring-after(/RESULT/DarkModeEnd, ':')), '00')"/>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="/RESULT/DarkModeEnd/@master">
                <xsl:value-of select="format-number(number(substring-before(/RESULT/DarkModeEnd/@master, ':')), '00')"/>
                <xsl:text>：</xsl:text>
                <xsl:value-of select="format-number(number(substring-after(/RESULT/DarkModeEnd/@master, ':')), '00')"/>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'DarkModeStart'" />
            <xsl:with-param name="title4" select="'ダーク'" />
            <xsl:with-param name="valueNode" select="/RESULT/DarkModeStart" />
            <xsl:with-param name="value">
              <xsl:if test="CustomDarkMode = 'true'">
                <xsl:value-of select="format-number(number(substring-before(/RESULT/DarkModeStart, ':')), '00')"/>
                <xsl:text>：</xsl:text>
                <xsl:value-of select="format-number(number(substring-after(/RESULT/DarkModeStart, ':')), '00')"/>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="/RESULT/DarkModeStart/@master">
                <xsl:value-of select="format-number(number(substring-before(/RESULT/DarkModeStart/@master, ':')), '00')"/>
                <xsl:text>：</xsl:text>
                <xsl:value-of select="format-number(number(substring-after(/RESULT/DarkModeStart/@master, ':')), '00')"/>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>
      
    </xsl:if>
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SBBacklightLevel2'" />
      <xsl:with-param name="title1">
        <xsl:if test="$MajorVersion &lt; 13">
          <xsl:text>画面表示と明るさ</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title2" select="'明るさ'" />
      <xsl:with-param name="valueNode" select="/RESULT/SBBacklightLevel2" />
      <xsl:with-param name="value">
        <xsl:text>暗</xsl:text>
        <xsl:call-template name="slider3">
          <xsl:with-param name="position" select="/RESULT/SBBacklightLevel2/text()"/>
          <xsl:with-param name="default" select="0.45"/>
          <xsl:with-param name="range" select="1"/>
        </xsl:call-template>
        <xsl:text>明(</xsl:text>
        <xsl:call-template name="slider4">
          <xsl:with-param name="position" select="/RESULT/SBBacklightLevel2"/>
          <xsl:with-param name="range" select="1"/>
          <xsl:with-param name="default" select="0.45"/>
        </xsl:call-template>
        <xsl:text>)</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:if test="/RESULT/SBBacklightLevel2/@master">
          <xsl:text>暗</xsl:text>
          <xsl:call-template name="slider3">
            <xsl:with-param name="position" select="/RESULT/SBBacklightLevel2/@master"/>
            <xsl:with-param name="default" select="0.45"/>
            <xsl:with-param name="range" select="1"/>
          </xsl:call-template>
          <xsl:text>明(</xsl:text>
          <xsl:call-template name="slider4">
            <xsl:with-param name="position" select="/RESULT/SBBacklightLevel2/@master"/>
            <xsl:with-param name="range" select="1"/>
            <xsl:with-param name="default" select="0.45"/>
          </xsl:call-template>
          <xsl:text>)</xsl:text>
          <xsl:call-template name="Margin">
            <xsl:with-param name="margin" select="SBBacklightLevel2/@margin"/>
          </xsl:call-template>
        </xsl:if>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &lt;= 10">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBUseSystemGestures'" />
        <xsl:with-param name="title2" select="'明るさの自動調節'" />
        <xsl:with-param name="valueNode" select="/RESULT/BKEnableALS" />
        <xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>
    </xsl:if>
	
	<xsl:if test="$MajorVersion &gt;= 14">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CBColorAdaptationEnabled'" />
		<xsl:with-param name="title2" select="'True Tone'" />
		<xsl:with-param name="valueNode" select="/RESULT/CBColorAdaptationEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/CBColorAdaptationEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CBColorAdaptationEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CBColorAdaptationEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/CBColorAdaptationEnabled/@master = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CBColorAdaptationEnabled/@master = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CBColorAdaptationEnabled/@master = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	  </xsl:call-template>
	</xsl:if>

    <xsl:if test="$MajorVersion &gt;= 10">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BlueReductionTime'" />
        <xsl:with-param name="title2" select="'Night Shift'" />
        <xsl:with-param name="title3" select="'時間指定'" />
        <xsl:with-param name="valueNode" select="/RESULT/BlueReductionTime" />
        <xsl:with-param name="template" select="'defaultOff'" />
      </xsl:call-template>

      <xsl:if test="BlueReductionTime = 'true' or BlueReductionTime/@master = 'true'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'BlueReductionMode'" />
          <xsl:with-param name="title3" select="'スケジュールを自動化'" />
          <xsl:with-param name="valueNode" select="/RESULT/BlueReductionMode" />
          <xsl:with-param name="value">
            <xsl:call-template name="BlueReductionMode">
              <xsl:with-param name="value" select="/RESULT/BlueReductionMode"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:call-template name="BlueReductionMode">
              <xsl:with-param name="value" select="/RESULT/BlueReductionMode/@master"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:if test="BlueReductionMode = '2' or BlueReductionMode/@master = '2'">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'NightStart'" />
            <xsl:with-param name="title3" select="'オンにする'" />
            <xsl:with-param name="valueNode" select="/RESULT/NightStart" />
            <xsl:with-param name="value">
              <xsl:value-of select="format-number(number(substring-before(/RESULT/NightStart, ':')), '00')"/>
              <xsl:text>：</xsl:text>
              <xsl:value-of select="format-number(number(substring-after(/RESULT/NightStart, ':')), '00')"/>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="/RESULT/NightStart/@master">
                <xsl:value-of select="format-number(number(substring-before(/RESULT/NightStart/@master, ':')), '00')"/>
                <xsl:text>：</xsl:text>
                <xsl:value-of select="format-number(number(substring-after(/RESULT/NightStart/@master, ':')), '00')"/>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'DayStart'" />
            <xsl:with-param name="title3" select="'オフにする'" />
            <xsl:with-param name="valueNode" select="/RESULT/DayStart" />
            <xsl:with-param name="value">
              <xsl:value-of select="format-number(number(substring-before(/RESULT/DayStart, ':')), '00')"/>
              <xsl:text>：</xsl:text>
              <xsl:value-of select="format-number(number(substring-after(/RESULT/DayStart, ':')), '00')"/>
            </xsl:with-param>
            <xsl:with-param name="mastervalue">
              <xsl:if test="/RESULT/DayStart/@master">
                <xsl:value-of select="format-number(number(substring-before(/RESULT/DayStart/@master, ':')), '00')"/>
                <xsl:text>：</xsl:text>
                <xsl:value-of select="format-number(number(substring-after(/RESULT/DayStart/@master, ':')), '00')"/>
              </xsl:if>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BlueReductionEnabledBool'" />
        <xsl:with-param name="title3" select="'手動で明日まで有効にする'" />
        <xsl:with-param name="valueNode" select="/RESULT/BlueReductionEnabledBool" />
        <xsl:with-param name="template" select="'defaultOff'"/>
      </xsl:call-template>
 
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CBBlueLightReductionCCTTargetRaw'" />
        <xsl:with-param name="title3" select="'色温度'" />
        <xsl:with-param name="valueNode" select="/RESULT/CBBlueLightReductionCCTTargetRaw" />
        <xsl:with-param name="value">
          <xsl:text>冷たく</xsl:text>
          <xsl:call-template name="slider5">
            <xsl:with-param name="position" select="/RESULT/CBBlueLightReductionCCTTargetRaw/text()"/>
            <xsl:with-param name="default" select="4100"/>
            <xsl:with-param name="min" select="6000"/>
            <xsl:with-param name="max" select="2700"/>
          </xsl:call-template>
          <xsl:text>暖かく(</xsl:text>
          <xsl:if test="/RESULT/CBBlueLightReductionCCTTargetRaw != ''">
            <xsl:value-of select="format-number(/RESULT/CBBlueLightReductionCCTTargetRaw, '0K')"/>
          </xsl:if>
          <xsl:if test="/RESULT/CBBlueLightReductionCCTTargetRaw = ''">
            <xsl:text>4100K</xsl:text>
          </xsl:if>
          <xsl:text>)</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:if test="/RESULT/CBBlueLightReductionCCTTargetRaw/@master">
            <xsl:call-template name="slider5">
              <xsl:with-param name="position" select="/RESULT/CBBlueLightReductionCCTTargetRaw/@master"/>
              <xsl:with-param name="default" select="4100"/>
              <xsl:with-param name="min" select="6000"/>
              <xsl:with-param name="max" select="2700"/>
            </xsl:call-template>
            <xsl:text>(</xsl:text>            
            <xsl:value-of select="format-number(/RESULT/CBBlueLightReductionCCTTargetRaw/@master, '0K')"/>
            <xsl:text>)</xsl:text>
            <xsl:call-template name="Margin">
              <xsl:with-param name="margin" select="CBBlueLightReductionCCTTargetRaw/@margin"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:with-param>
      </xsl:call-template>





      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'maxInactivity'" />
        <xsl:with-param name="title2" select="'自動ロック'" />
        <xsl:with-param name="valueNode" select="/RESULT/maxInactivity" />
        <xsl:with-param name="template" select="'maxInactivity'"/>
      </xsl:call-template>

      <xsl:if test="/RESULT/DeviceClass = 'iPhone' or /RESULT/DeviceClass/@master = 'iPhone'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBSupportLiftToWake'" />
          <xsl:with-param name="title2" select="'手前に傾けてスリープ解除'" />
          <xsl:with-param name="valueNode" select="/RESULT/SBSupportLiftToWake" />
          <xsl:with-param name="template" select="'defaultOn'" />
        </xsl:call-template>
      </xsl:if>
      
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'UIPreferredContentSizeCategoryName'" />
      <xsl:with-param name="title2">
        <xsl:call-template name="getname">
          <xsl:with-param name="id" select="'UIPreferredContentSizeCategoryName'"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="title3" select="'スライダ位置'" />
      <xsl:with-param name="valueNode" select="/RESULT/UIPreferredContentSizeCategoryName" />
      <xsl:with-param name="value">
        <xsl:call-template name="UISize">
          <xsl:with-param name="value" select="/RESULT/UIPreferredContentSizeCategoryName"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:if test="/RESULT/UIPreferredContentSizeCategoryName/@master">
          <xsl:call-template name="UISize">
            <xsl:with-param name="value" select="/RESULT/UIPreferredContentSizeCategoryName/@master"/>
          </xsl:call-template>
        </xsl:if>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'EnhancedTextLegibilityEnabled'" />
      <xsl:with-param name="title2" select="'文字を太くする'" />
      <xsl:with-param name="valueNode" select="/RESULT/EnhancedTextLegibilityEnabled" />
      <xsl:with-param name="template" select="'defaultOff'" />
    </xsl:call-template>

    <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'XBRecentScreenSize'" />
        <xsl:with-param name="title2" select="'拡大表示'" />
        <xsl:with-param name="title3" select="'表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/XBRecentScreenSize" />
        <xsl:with-param name="value">
          <xsl:call-template name="ScreenSize">
            <xsl:with-param name="value" select="/RESULT/XBRecentScreenSize"/>
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="mastervalue">
          <xsl:call-template name="ScreenSize">
            <xsl:with-param name="value" select="/RESULT/XBRecentScreenSize/@master"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="$MajorVersion = 13">
      <xsl:if test="/RESULT/DeviceClass = 'iPad'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBHomeLayoutLowDensity'" />
          <xsl:with-param name="title2" select="'ホーム画面のレイアウト'" />
          <xsl:with-param name="title3" select="'多く/大きく'" />
          <xsl:with-param name="valueNode" select="/RESULT/SBHomeLayoutLowDensity" />
          <xsl:with-param name="template" select="'defaultOff'"/>
          <xsl:with-param name="param1" select="'大きく'"/>
          <xsl:with-param name="param2" select="'多く'"/>
        </xsl:call-template>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBHomeSidebarIsPinned'" />
          <xsl:with-param name="title3" select="'”今日の表示”をホーム画面に固定'" />
          <xsl:with-param name="valueNode" select="/RESULT/SBHomeSidebarIsPinned" />
          <xsl:with-param name="template" select="'defaultOff'"/>
        </xsl:call-template>
      </xsl:if>
    </xsl:if>

    <xsl:if test="$MajorVersion &gt;= 14">

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBHomeAutomaticallyAddsNewApplications'" />
        <xsl:with-param name="title1" select="'ホーム画面'" />
        <xsl:with-param name="title2" select="'新規ダウンロードApp'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBHomeAutomaticallyAddsNewApplications" />
        <xsl:with-param name="template" select="'OnOff'"/>
        <xsl:with-param name="param1" select="'ホーム画面に追加'"/>
        <xsl:with-param name="param2" select="'Appライブラリのみ'"/>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBHomeScreenShowsBadgesInAppLibrary'" />
        <xsl:with-param name="title2" select="'通知バッジ'" />
        <xsl:with-param name="title3" select="'Appライブラリに表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBHomeScreenShowsBadgesInAppLibrary" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>
      
    </xsl:if>

	<xsl:if test="/RESULT/DeviceClass = 'iPad' and $MajorVersion &gt;= 14">
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBHomeLayoutLowDensity'" />
        <xsl:with-param name="title1" select="'ホーム画面とDock'" />
		<xsl:with-param name="title2" select="'APPアイコン'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBHomeLayoutLowDensity" />
        <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'大きく'"/>
        <xsl:with-param name="param2" select="'多く'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBHomeSidebarIsPinned'" />
		<xsl:with-param name="title2" select="'“今日の表示”をホーム画面に固定'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBHomeSidebarIsPinned" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBMedusaEnabled'" />
		<xsl:with-param name="title2" select="'マルチタスク'" />
		<xsl:with-param name="title3" select="'複数のAppを許可'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBMedusaEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBUseSystemGestures'" />
		<xsl:with-param name="title3" select="'ジェスチャ'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBUseSystemGestures" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBRecentsEnabled'" />
		<xsl:with-param name="title2" select="'おすすめのApp最近使用したAppを表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/SBRecentsEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	</xsl:if>
  </xsl:template>

</xsl:stylesheet>