<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionSound">

	<xsl:if test="/RESULT/DeviceClass = 'iPhone'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ring-vibrate'" />
        <xsl:with-param name="title1" select="'サウンド'" />
		<xsl:with-param name="title2" select="'着信スイッチ選択時'" />
        <xsl:with-param name="valueNode" select="/RESULT/ring-vibrate" />
        <xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>
	  
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'silent-vibrate'" />
		<xsl:with-param name="title2" select="'サイレントスイッチ選択時'" />
        <xsl:with-param name="valueNode" select="/RESULT/silent-vibrate" />
        <xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>
	</xsl:if>
	
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VolumeLimitEnabled'" />
	  <xsl:with-param name="title1">
            <xsl:if test="/RESULT/DeviceClass = 'iPad'">
              <xsl:text>サウンド</xsl:text>
            </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title2" select="'ヘッドフォンオーディオ'" />
      <xsl:with-param name="title3" select="'大きな音を抑える'" />
      <xsl:with-param name="valueNode" select="VolumeLimitEnabled" />
      <xsl:with-param name="template" select="'defaultOff'" />
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VolumeLimitThreshold'" />
      <xsl:with-param name="title3" select="'デシベル'" />
      <xsl:with-param name="valueNode" select="VolumeLimitThreshold" />
      <xsl:with-param name="template" select="'text'" />
    </xsl:call-template>

	
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VolumeRingtone'" />
	  <xsl:with-param name="title2" select="'着信音と通知音'" />
	  <xsl:with-param name="title3" select="'ボリューム'" />
      <xsl:with-param name="valueNode" select="/RESULT/VolumeRingtone" />
      <xsl:with-param name="value">
        <xsl:text>低</xsl:text>
        <xsl:call-template name="slider3">
          <xsl:with-param name="position" select="/RESULT/VolumeRingtone/text()"/>
          <xsl:with-param name="default" select="0.45075756311416626"/>
          <xsl:with-param name="range" select="1"/>
        </xsl:call-template>
        <xsl:text>高(</xsl:text>
        <xsl:call-template name="slider4">
          <xsl:with-param name="position" select="/RESULT/VolumeRingtone"/>
          <xsl:with-param name="range" select="1"/>
          <xsl:with-param name="default" select="0.45075756311416626"/>
        </xsl:call-template>
        <xsl:text>)</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="mastervalue">
        <xsl:if test="/RESULT/VolumeRingtone/@master">
          <xsl:text>低</xsl:text>
          <xsl:call-template name="slider3">
            <xsl:with-param name="position" select="/RESULT/VolumeRingtone/@master"/>
            <xsl:with-param name="default" select="0.45075756311416626"/>
            <xsl:with-param name="range" select="1"/>
          </xsl:call-template>
          <xsl:text>高(</xsl:text>
          <xsl:call-template name="slider4">
            <xsl:with-param name="position" select="/RESULT/VolumeRingtone/@master"/>
            <xsl:with-param name="range" select="1"/>
            <xsl:with-param name="default" select="0.45075756311416626"/>
          </xsl:call-template>
          <xsl:text>)</xsl:text>
          <xsl:call-template name="Margin">
            <xsl:with-param name="margin" select="VolumeRingtone/@margin"/>
          </xsl:call-template>
        </xsl:if>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'buttons-can-change-ringer-volume'" />
		<xsl:with-param name="title3" select="'ボタンで変更'" />
        <xsl:with-param name="valueNode" select="/RESULT/buttons-can-change-ringer-volume" />
        <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
	
　　　　<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SystemCallVibrationIdentifier'" />
	  <xsl:with-param name="title2">
        <xsl:if test="/RESULT/DeviceClass = 'iPad'">
          <xsl:text>サウンド</xsl:text>
        </xsl:if>
        <xsl:if test="/RESULT/DeviceClass = 'iPhone'">
          <xsl:text>サウンドとバイブレーションのパターン</xsl:text>
        </xsl:if>
      </xsl:with-param>
	  <xsl:with-param name="title3" select="'着信音'" />
	  <xsl:with-param name="title4" select="'バイブレーション'" />
      <xsl:with-param name="valueNode" select="/RESULT/SystemCallVibrationIdentifier" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/SystemCallVibrationIdentifier = ''">
				<xsl:text>アクセント</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="vibration" >
					<xsl:with-param name="value" select="/RESULT/SystemCallVibrationIdentifier"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/SystemCallVibrationIdentifier/@master = ''">
					<xsl:text>アクセント</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:call-template name="vibration" >
					<xsl:with-param name="value" select="/RESULT/SystemCallVibrationIdentifier/@master"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ringtone'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/RESULT/ringtone" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/ringtone = ''">
				<xsl:text>オープニング</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/ringtone"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/ringtone/@master = ''">
					<xsl:text>オープニング</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/ringtone/@master"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<!-- <xsl:call-template name="settingtable"> -->
      <!-- <xsl:with-param name="id" select="''" /> -->
	  <!-- <xsl:with-param name="title3" select="'メール'" /> -->
	  <!-- <xsl:with-param name="title4" select="'バイブレーション'" /> -->
      <!-- <xsl:with-param name="valuenode" select="/result/" /> -->
      <!-- <xsl:with-param name="template" select="'text'" /> -->
    <!-- </xsl:call-template> -->
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'sms-sound-identifier'" />
	  <xsl:with-param name="title3" select="'メッセージ'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/RESULT/sms-sound-identifier" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/sms-sound-identifier = ''">
				<xsl:text>メモ</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/sms-sound-identifier"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/sms-sound-identifier/@master = ''">
					<xsl:text>メモ</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/sms-sound-identifier/@master"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'voicemail-sound-identifier'" />
	  <xsl:with-param name="title3" select="'新着留守番電話'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/RESULT/voicemail-sound-identifier" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/voicemail-sound-identifier = ''">
				<xsl:text>クラシック/トライトーン</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/voicemail-sound-identifier"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/voicemail-sound-identifier/@master = ''">
					<xsl:text>クラシック/トライトーン</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/voicemail-sound-identifier/@master"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'newmail-sound-identifier'" />
	  <xsl:with-param name="title3" select="'新着メール'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/RESULT/newmail-sound-identifier" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/newmail-sound-identifier = ''">
				<xsl:text>なし</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/newmail-sound-identifier"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/newmail-sound-identifier/@master = ''">
					<xsl:text>なし</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/newmail-sound-identifier/@master"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'sentmail-sound-identifier'" />
	  <xsl:with-param name="title3" select="'メール送信'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/RESULT/sentmail-sound-identifier" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/sentmail-sound-identifier = ''">
				<xsl:text>クラシック/スウォッシュ</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/sentmail-sound-identifier"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/sentmail-sound-identifier/@master = ''">
					<xsl:text>クラシック/スウォッシュ</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/sentmail-sound-identifier/@master"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'calendaralert-sound-identifier'" />
	  <xsl:with-param name="title3" select="'カレンダーの通知音'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/RESULT/calendaralert-sound-identifier" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/calendaralert-sound-identifier = ''">
				<xsl:text>和音</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/calendaralert-sound-identifier"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/calendaralert-sound-identifier/@master = ''">
					<xsl:text>和音</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/calendaralert-sound-identifier/@master"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'reminderalert-sound-identifier'" />
	  <xsl:with-param name="title3" select="'リマインダーの通知音'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/RESULT/reminderalert-sound-identifier" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/reminderalert-sound-identifier = ''">
				<xsl:text>和音</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/reminderalert-sound-identifier"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/reminderalert-sound-identifier/@master = ''">
					<xsl:text>和音</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/reminderalert-sound-identifier/@master"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'airdrop-invitation-sound-identifier'" />
	  <xsl:with-param name="title3" select="'AirDrop'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/RESULT/airdrop-invitation-sound-identifier" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/airdrop-invitation-sound-identifier = ''">
				<xsl:text>パルス</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/airdrop-invitation-sound-identifier"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/airdrop-invitation-sound-identifier/@master = ''">
					<xsl:text>パルス</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/airdrop-invitation-sound-identifier/@master"/>
				</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'keyboard-audio'" />
		<xsl:with-param name="title2" select="'キーボードのクリック'" />
        <xsl:with-param name="valueNode" select="/RESULT/keyboard-audio" />
        <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'lock-audio'" />
		<xsl:with-param name="title2" select="'ロック時の音'" />
        <xsl:with-param name="valueNode" select="/RESULT/lock-audio" />
        <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>

  </xsl:template>

</xsl:stylesheet>