<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionStore">

    <xsl:if test="$MajorVersion &gt;= 10">

      <xsl:if test="$MajorVersion &gt;= 12">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'AccountPaidPurchasesPasswordSetting'" />
          <xsl:with-param name="title1" select="'iTunes StoreとApp Store'" />
          <xsl:with-param name="title2" select="'パスワードの設定'" />
          <xsl:with-param name="title3" select="'購入とApp内課金'" />
          <xsl:with-param name="valueNode" select="/RESULT/AccountPaidPurchasesPasswordSetting" />
          <xsl:with-param name="value">
            <xsl:call-template name="AccountPaidPurchasesPasswordSetting">
              <xsl:with-param name="value" select="AccountPaidPurchasesPasswordSetting/text()"/>
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:call-template name="AccountPaidPurchasesPasswordSetting">
              <xsl:with-param name="value" select="AccountPaidPurchasesPasswordSetting/@master"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'AccountFreeDownloadsPasswordEnabled'" />
          <xsl:with-param name="title3" select="'無料ダウンロード'" />
          <xsl:with-param name="title4" select="'パスワードを要求'" />
          <xsl:with-param name="valueNode" select="/RESULT/AccountFreeDownloadsPasswordEnabled" />
          <xsl:with-param name="template" select="'defaultOn'" />
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutomaticDownloadMusic'" />
        <xsl:with-param name="title1">
          <xsl:if test="$MajorVersion &lt;= 11">
            <xsl:text>iTunes StoreとApp Store</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title2" select="'自動ダウンロード'" />
        <xsl:with-param name="title3" select="'ミュージック'" />
        <xsl:with-param name="valueNode" select="/RESULT/AutomaticDownloadMusic" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutomaticDownloadApp'" />
        <xsl:with-param name="title3" select="'App'" />
        <xsl:with-param name="valueNode" select="/RESULT/AutomaticDownloadApp" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>
	  <xsl:if test="$MajorVersion &lt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutomaticDownloadBook'" />
        <xsl:with-param name="title3" select="'ブックとオーディオブック'" />
        <xsl:with-param name="valueNode" select="/RESULT/AutomaticDownloadBook" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>
	  </xsl:if>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutoUpdatesEnabled'" />
        <xsl:with-param name="title3">
          <xsl:if test="$MajorVersion &gt;= 13">
            <xsl:text>Appの</xsl:text>
          </xsl:if>
          <xsl:text>アップデート</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="/RESULT/AutoUpdatesEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AllowAutoDownloadOnCellular'" />
        <xsl:with-param name="title2" select="'モバイルデータ通信'" />
        <xsl:with-param name="title3">
          <xsl:if test="$MajorVersion &gt;= 13">
            <xsl:text>自動ダウンロード</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="/RESULT/AllowAutoDownloadOnCellular" />
        <xsl:with-param name="template" select="'defaultOff'"/>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 13">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'CellularDataPrompt'" />
          <xsl:with-param name="title3" select="'Appダウンロード'" />
          <xsl:with-param name="valueNode" select="/RESULT/CellularDataPrompt" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="/RESULT/CellularDataPrompt = 'Never'">
                <xsl:text>常に許可</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/CellularDataPrompt = 'Always'">
                <xsl:text>常に確認</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/CellularDataPrompt = 'OverLimit'">
                <xsl:text>200MB以上の時は確認</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>200MB以上の時は確認</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:choose>
              <xsl:when test="/RESULT/CellularDataPrompt/@master = 'Never'">
                <xsl:text>常に許可</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/CellularDataPrompt/@master = 'Always'">
                <xsl:text>常に確認</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/CellularDataPrompt/@master = 'OverLimit'">
                <xsl:text>200MB以上の時は確認</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/CellularDataPrompt/@master">
                <xsl:text>200MB以上の時は確認</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text></xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="$MajorVersion &gt;= 11">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'LastUserSetAutoPlayVideoValue'" />
          <xsl:with-param name="title2" select="'ビデオの自動再生'" />
          <xsl:with-param name="valueNode" select="/RESULT/LastUserSetAutoPlayVideoValue" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="/RESULT/LastUserSetAutoPlayVideoValue = 'off'">
                <xsl:text>オフ</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/LastUserSetAutoPlayVideoValue = 'wifi_only'">
                <xsl:text>Wi-Fiのみ</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/LastUserSetAutoPlayVideoValue = 'on'">
                <xsl:text>オン</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>オン</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
          <xsl:with-param name="mastervalue">
            <xsl:choose>
              <xsl:when test="/RESULT/LastUserSetAutoPlayVideoValue/@master = 'off'">
                <xsl:text>オフ</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/LastUserSetAutoPlayVideoValue/@master = 'wifi_only'">
                <xsl:text>Wi-Fiのみ</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/LastUserSetAutoPlayVideoValue/@master = 'on'">
                <xsl:text>オン</xsl:text>
              </xsl:when>
              <xsl:when test="/RESULT/LastUserSetAutoPlayVideoValue/@master">
                <xsl:text>オン</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text></xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'InAppReviewEnabled'" />
          <xsl:with-param name="title2" select="'App内評価とレビュー'" />
          <xsl:with-param name="valueNode" select="/RESULT/InAppReviewEnabled" />
          <xsl:with-param name="template" select="'defaultOn'"/>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'OffloadUnusedApps'" />
          <xsl:with-param name="title2" select="'非使用のAppを取り除く'" />
          <xsl:with-param name="valueNode" select="/RESULT/OffloadUnusedApps" />
          <xsl:with-param name="template" select="'defaultOff'"/>
        </xsl:call-template>

      </xsl:if>

    </xsl:if>

  </xsl:template>

</xsl:stylesheet>