<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppAddressBook">

	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'contactsSortOrder'" />
		<xsl:with-param name="title1" select="'連絡先'" />
		<xsl:with-param name="title2" select="'並び替え順序'" />
		<xsl:with-param name="valueNode" select="/Root/contactsSortOrder" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/contactsSortOrder = '1'">
					<xsl:text>姓/名</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/contactsSortOrder = '0'">
					<xsl:text>名/姓</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/contactsSortOrder = ''">
					<xsl:text>姓/名</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
      </xsl:call-template>
	  
	   <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NSPersonNameDefaultDisplayNameOrder'" />
		<xsl:with-param name="title2" select="'表示順序'" />
		<xsl:with-param name="valueNode" select="/Root/NSPersonNameDefaultDisplayNameOrder" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/NSPersonNameDefaultDisplayNameOrder = '2'">
					<xsl:text>姓/名</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultDisplayNameOrder = '1'">
					<xsl:text>名/姓</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultDisplayNameOrder = ''">
					<xsl:text>名/姓</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
      </xsl:call-template>
	  
  
	  <xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'NSPersonNameDefaultShortNameEnabled'" />
		<xsl:with-param name="title2" select="'略称'" />
		<xsl:with-param name="title3" select="'略称'" />
		<xsl:with-param name="valueNode" select="/Root/NSPersonNameDefaultShortNameEnabled" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/NSPersonNameDefaultShortNameEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultShortNameEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultShortNameEnabled = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
      </xsl:call-template>

    <xsl:if test="/Root/NSPersonNameDefaultShortNameEnabled = '1' or /Root/NSPersonNameDefaultShortNameEnabled =''">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NSPersonNameDefaultShortNameFormat'" />
		<xsl:with-param name="title3" select="'表記法'" />		
		<xsl:with-param name="valueNode" select="/Root/NSPersonNameDefaultShortNameFormat" />
         <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = '1'">
					<xsl:text>姓のみイニシャル</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = '2'">
					<xsl:text>名のみイニシャル</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = '3'">
					<xsl:text>名のみ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = '4'">
					<xsl:text>姓のみ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = ''">
					<xsl:text>名のみ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
      </xsl:call-template>
	  </xsl:if>
	  
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NSPersonNameDefaultShouldPreferNicknamesPreference'" />
		<xsl:with-param name="title3" select="'ニックネームを優先'" />		
		<xsl:with-param name="valueNode" select="/Root/NSPersonNameDefaultShouldPreferNicknamesPreference" />
         <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/NSPersonNameDefaultShouldPreferNicknamesPreference = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultShouldPreferNicknamesPreference = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/NSPersonNameDefaultShouldPreferNicknamesPreference = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
      </xsl:call-template>

  </xsl:template>
</xsl:stylesheet>