<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppBook">
    
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'com.apple.iBooks'" />
        <xsl:with-param name="title1" select="'ブック'" />
		<xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/Root/com.apple.iBooks" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	
	<!--xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BookCellularBehavior'" />
		<xsl:with-param name="title2" select="'モバイルデータ通信'" />
		<xsl:with-param name="valueNode" select="/Root/BookCellularBehavior" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/BookCellularBehavior = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BookCellularBehavior = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BookCellularBehavior = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template-->
	
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AppleLanguageBook'" />
		<xsl:with-param name="title2" select="'言語'" />
		<xsl:with-param name="valueNode" select="/Root/AppleLanguageBook" />
        <xsl:with-param name="value">
          <xsl:choose>
			<xsl:when test="/Root/AppleLanguageBook = ''">
				<xsl:text>日本語</xsl:text>
			</xsl:when>
			<xsl:otherwise>
			  <xsl:call-template name="language2" >
				<xsl:with-param name="countrycode" select="/Root/AppleLanguageBook"/>
			  </xsl:call-template>
			</xsl:otherwise>
		  </xsl:choose>
      </xsl:with-param>
	</xsl:call-template>


	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutomaticDownloadBook'" />
		<xsl:with-param name="title2" select="'他のデバイスから購入'" />
        <xsl:with-param name="valueNode" select="/Root/AutomaticDownloadBook" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AllowAutoDownloadOnCellularBook'" />
		<xsl:with-param name="title2" select="'自動ダウンロード'" />
        <xsl:with-param name="valueNode" select="/Root/AllowAutoDownloadOnCellularBook" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CellularDataPromptDownload'" />
		<xsl:with-param name="title2" select="'ダウンロード'" />
		<xsl:with-param name="valueNode" select="/Root/CellularDataPromptDownload" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/CellularDataPromptDownload = 'OverLimit'">
					<xsl:text>200MB以上の時は確認</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CellularDataPromptDownload = 'Never'">
					<xsl:text>常に許可</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CellularDataPromptDownload = 'Always'">
					<xsl:text>常に確認</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CellularDataPromptDownload = ''">
					<xsl:text>200MB以上の時は確認</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKLibrary.ReadingNow'" />
		<xsl:with-param name="title2" select="'今すぐ読む'" />
        <xsl:with-param name="valueNode" select="/Root/BKLibrary.ReadingNow" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BCSyncICloudDrive'" />
		<xsl:with-param name="title2" select="'iCloud Drive'" />
        <xsl:with-param name="valueNode" select="/Root/BCSyncICloudDrive" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKFullJustification'" />
		<xsl:with-param name="title2" select="'両端揃え'" />
        <xsl:with-param name="valueNode" select="/Root/BKFullJustification" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKAutoHyphenation'" />
		<xsl:with-param name="title2" select="'自動行末ハイフン処理'" />
        <xsl:with-param name="valueNode" select="/Root/BKAutoHyphenation" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKLeftTapTurnToNext'" />
		<xsl:with-param name="title2" select="'両方の余白で進む'" />
        <xsl:with-param name="valueNode" select="/Root/BKLeftTapTurnToNext" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKReadingGoalsUserDefaultsKey'" />
		<xsl:with-param name="title2" select="'読書目標'" />
        <xsl:with-param name="valueNode" select="/Root/BKReadingGoalsUserDefaultsKey" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:if test="/Root/BKReadingGoalsUserDefaultsKey ='true' or /Root/BKReadingGoalsUserDefaultsKey =''">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKReadingGoalsIncludePDFsUserDefaultsKey'" />
		<xsl:with-param name="title2" select="'PDFを含める'" />
        <xsl:with-param name="valueNode" select="/Root/BKReadingGoalsIncludePDFsUserDefaultsKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKExcludeBookStoreResultsInSearch'" />
		<xsl:with-param name="title2" select="'ブックストア'" />
		<xsl:with-param name="valueNode" select="/Root/BKExcludeBookStoreResultsInSearch" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/BKExcludeBookStoreResultsInSearch = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKExcludeBookStoreResultsInSearch = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKExcludeBookStoreResultsInSearch = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<!-- 順方向にスキップ -->
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKAudioBookSkipForward'" />
		<xsl:with-param name="title2" select="'順方向にスキップ'" />
		<xsl:with-param name="valueNode" select="/Root/BKAudioBookSkipForward" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/BKAudioBookSkipForward = '10'">
					<xsl:text>10秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipForward = '15'">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipForward = '30'">
					<xsl:text>30秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipForward = '45'">
					<xsl:text>45秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipForward = '60'">
					<xsl:text>60秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipForward = ''">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	<!-- // 順方向にスキップ -->
	
	<!-- 逆方向にスキップ -->
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKAudioBookSkipBackward'" />
		<xsl:with-param name="title2" select="'逆方向にスキップ'" />
		<xsl:with-param name="valueNode" select="/Root/BKAudioBookSkipBackward" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/BKAudioBookSkipBackward = '10'">
					<xsl:text>10秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipBackward = '15'">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipBackward = '30'">
					<xsl:text>30秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipBackward = '45'">
					<xsl:text>45秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipBackward = '60'">
					<xsl:text>60秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/BKAudioBookSkipBackward = ''">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKRemoteSkipInsteadOfNextTrackDefaultKey'" />
		<xsl:with-param name="title2" select="'外部コントロール'" />
        <xsl:with-param name="valueNode" select="/Root/BKRemoteSkipInsteadOfNextTrackDefaultKey" />
        <xsl:with-param name="template" select="'defaultOn'"/>
		<xsl:with-param name="param1" select="'スキップして進む／戻る'"/>
        <xsl:with-param name="param2" select="'次／前'"/>
	</xsl:call-template>
	
  </xsl:template>

</xsl:stylesheet>