<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppCamera">
    
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceCaptureEncodingBehavior'" />
		<xsl:with-param name="title1" select="'カメラ'" />
		<xsl:with-param name="title2" select="'フォーマット'" />
		<xsl:with-param name="valueNode" select="/Root/CAMUserPreferenceCaptureEncodingBehavior" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/CAMUserPreferenceCaptureEncodingBehavior = '1'">
					<xsl:text>互換性優先</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CAMUserPreferenceCaptureEncodingBehavior = '0'">
					<xsl:text>高効率</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CAMUserPreferenceCaptureEncodingBehavior = ''">
					<xsl:text>高効率</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceVideoConfiguration'" />
		<xsl:with-param name="title2" select="'ビデオ撮影'" />
		<xsl:with-param name="title3" select="'解像度'" />
		<xsl:with-param name="valueNode" select="/Root/CAMUserPreferenceVideoConfiguration" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/CAMUserPreferenceVideoConfiguration = '0'">
					<xsl:text>デフォルト（1080p/30fps）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CAMUserPreferenceVideoConfiguration = ''">
					<xsl:text>デフォルト（1080p/30fps）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CAMUserPreferenceVideoConfiguration != '0'">
					<xsl:text>デフォルト以外</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CAMUserPreferenceVideoConfiguration != ''">
					<xsl:text>デフォルト以外</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceEnablePALVideoFormats'" />
        <xsl:with-param name="title3" select="'PALフォーマットを表示'" />
        <xsl:with-param name="valueNode" select="/Root/CAMUserPreferenceEnablePALVideoFormats" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceEnableVideoConfigurationControl'" />
        <xsl:with-param name="title3" select="'ビデオフォーマットコントロール'" />
        <xsl:with-param name="valueNode" select="/Root/CAMUserPreferenceEnableVideoConfigurationControl" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferencePreserveCaptureMode'" />
		<xsl:with-param name="title2" select="'設定を保持'" />
        <xsl:with-param name="title3" select="'カメラモード'" />
        <xsl:with-param name="valueNode" select="/Root/CAMUserPreferencePreserveCaptureMode" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferencePreserveLivePhoto'" />
        <xsl:with-param name="title3" select="'Live Photos'" />
        <xsl:with-param name="valueNode" select="/Root/CAMUserPreferencePreserveLivePhoto" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceShowQRCodeBanners'" />
        <xsl:with-param name="title2" select="'QRコードをスキャン'" />
        <xsl:with-param name="valueNode" select="/Root/CAMUserPreferenceShowQRCodeBanners" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceShowGridOverlay'" />
        <xsl:with-param name="title2" select="'グリッド'" />
        <xsl:with-param name="valueNode" select="/Root/CAMUserPreferenceShowGridOverlay" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceMirrorFrontCameraCaptures'" />
        <xsl:with-param name="title2" select="'前面写真を左右反転'" />
        <xsl:with-param name="valueNode" select="/Root/CAMUserPreferenceMirrorFrontCameraCaptures" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceHDREV0'" />
        <xsl:with-param name="title2" select="'通常の写真を残す'" />
        <xsl:with-param name="valueNode" select="/Root/CAMUserPreferenceHDREV0" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
    
  </xsl:template>

</xsl:stylesheet>