<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
    exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionAppFaceTime">
    
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'CleethorpesEnabled'" />
		<xsl:with-param name="title1" select="'FaceTime'" />
		<xsl:with-param name="title2" select="'着信'" />
		<xsl:with-param name="valueNode" select="/Root/CleethorpesEnabled" />
		<xsl:with-param name="template" select="'defaultOn'"/>
		<xsl:with-param name="param1" select="'バナー'"/>
		<xsl:with-param name="param2" select="'フルスクリーン'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Audioannouncements'" />
		<xsl:with-param name="title2" select="'音声で知らせる'" />
		<xsl:with-param name="valueNode" select="/Root/Audioannouncements" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/Audioannouncements = '1'">
					<xsl:text>常に知らせる</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Audioannouncements = '2'">
					<xsl:text>ヘッドフォンと自転車</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Audioannouncements = '4'">
					<xsl:text>ヘッドフォンのみ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Audioannouncements = '3'">
					<xsl:text>常に知らせない</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Audioannouncements = ''">
					<xsl:text>常に知らせない</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	  
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'FacetimeOpportunistic'" />
		<xsl:with-param name="title2">
			<xsl:text>FaceTime</xsl:text>
		</xsl:with-param>
		<xsl:with-param name="valueNode" select="/Root/FacetimeOpportunistic" />
		<xsl:with-param name="template" select="'defaultOn'" />
	</xsl:call-template>
	  
	<xsl:if test="/Root/FacetimeOpportunistic = 'true'">
	  <!-- FACETIME着信用の連絡先情報 -->
	<xsl:for-each select="/Root/ArrivalFacetime/Item">
		<xsl:sort select="Name"/>
		<!--並び替え前の位置を取得-->
		<xsl:variable name="id" select="Name"/>
		<xsl:variable name="pos" select="count(/Root/ArrivalFacetime/Item[./Name = $id]/preceding-sibling::*)+1"/>

		<xsl:call-template name="settingtable">
			<xsl:with-param name="id" select="concat('ArrivalFacetime/Item_', $pos, '/Checked')" />
			<xsl:with-param name="title2">
				<xsl:if test="$pos = 1">
					<xsl:text>FACETIME着信用の連絡先情報</xsl:text>
				</xsl:if>
			</xsl:with-param>
			<xsl:with-param name="title3" select="Name"/>
			<xsl:with-param name="valueNode" select="Checked" />
			<xsl:with-param name="template" select="'OnOff'"/>
		</xsl:call-template>

	</xsl:for-each>
	  <!-- 発信者番号 -->
	  
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'allowAudioProminence'" />
		<xsl:with-param name="title2" select="'発言中'" />
		<xsl:with-param name="valueNode" select="/Root/allowAudioProminence" />
		<xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'FaceTimePhotosEnabled'" />
		<xsl:with-param name="title2" select="'FaceTime Live Photos'" />
		<xsl:with-param name="valueNode" select="/Root/FaceTimePhotosEnabled" />
		<xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	</xsl:if>

    
  </xsl:template>

</xsl:stylesheet>