<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
    exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionAppMap">
    

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Authorization'" />
		<xsl:with-param name="title1" select="'マップ'" />
		<xsl:with-param name="title2" select="'位置情報'" />
		<xsl:with-param name="valueNode" select="/Root/Authorization" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/Authorization = '1'">
					<xsl:text>許可しない</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Authorization = '2'">
					<xsl:text>使用中のみ許可</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Authorization = ''">
					<xsl:text>確認</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'com.apple.Maps'" />
        <xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/Root/com.apple.Maps" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<!--xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapCellularBehavior'" />
		<xsl:with-param name="title2" select="'モバイルデータ通信'" />
		<xsl:with-param name="valueNode" select="/Root/MapCellularBehavior" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/MapCellularBehavior = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MapCellularBehavior = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MapCellularBehavior = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template-->
	
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'PreferredTransportType'" />
		<xsl:with-param name="title2" select="'優先する移動手段の種類'" />
		<xsl:with-param name="valueNode" select="/Root/PreferredTransportType" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/PreferredTransportType = '0'">
					<xsl:text>車</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PreferredTransportType = '1'">
					<xsl:text>徒歩</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PreferredTransportType = '2'">
					<xsl:text>交通機関</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PreferredTransportType = '4'">
					<xsl:text>自転車</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PreferredTransportType = ''">
					<xsl:text>交通機関</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapsDefaultAvoidTollsKey'" />
        <xsl:with-param name="title2" select="'経路/車'" />
		<xsl:with-param name="title3" select="'通行料金'" />
        <xsl:with-param name="valueNode" select="/Root/MapsDefaultAvoidTollsKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapsDefaultAvoidHighwaysKey'" />
		<xsl:with-param name="title3" select="'高速道路'" />
        <xsl:with-param name="valueNode" select="/Root/MapsDefaultAvoidHighwaysKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NavigationShowHeadingKey'" />
		<xsl:with-param name="title3" select="'コンパス'" />
        <xsl:with-param name="valueNode" select="/Root/NavigationShowHeadingKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NavigationShowSpeedLimitKey'" />
		<xsl:with-param name="title3" select="'制限速度'" />
        <xsl:with-param name="valueNode" select="/Root/NavigationShowSpeedLimitKey" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	  </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DefaultDisabledTransitModesKey'" />
		<xsl:with-param name="title2" select="'経路/交通機関'" />
		<xsl:with-param name="valueNode" select="/Root/DefaultDisabledTransitModesKey" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="not(/Root/DefaultDisabledTransitModesKey) or /Root/DefaultDisabledTransitModesKey = ''">
					<xsl:text>バス</xsl:text>
					<br/>
					<xsl:text>地下鉄</xsl:text>
					<br/>
					<xsl:text>電車</xsl:text>
					<br/>
					<xsl:text>フェリー</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="cs:FlagOn(/Root/DefaultDisabledTransitModesKey, '1') = 'false'">
						<xsl:text>バス</xsl:text>
						<br/>
					</xsl:if>
					<xsl:if test="cs:FlagOn(/Root/DefaultDisabledTransitModesKey, '2') = 'false'">
						<xsl:text>地下鉄</xsl:text>
						<br/>
					</xsl:if>
					<xsl:if test="cs:FlagOn(/Root/DefaultDisabledTransitModesKey, '4') = 'false'">
						<xsl:text>電車</xsl:text>
						<br/>
					</xsl:if>
					<xsl:if test="cs:FlagOn(/Root/DefaultDisabledTransitModesKey, '8') = 'false'">
						<xsl:text>フェリー</xsl:text>
					</xsl:if>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapsDefaultAvoidHillsKey'" />
        <xsl:with-param name="title2" select="'経路/自転車'" />
		<xsl:with-param name="title3" select="'坂道'" />
        <xsl:with-param name="valueNode" select="/Root/MapsDefaultAvoidHillsKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MapsDefaultAvoidBusyRoadsKey'" />
		<xsl:with-param name="title3" select="'交通量の多い道路'" />
        <xsl:with-param name="valueNode" select="/Root/MapsDefaultAvoidBusyRoadsKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Naviguidance'" />
		<xsl:with-param name="title2" select="'ナビゲーションとガイダンス'" />
		<xsl:with-param name="title3" select="'ナビゲーション音声音量'" />
		<xsl:with-param name="valueNode" select="/Root/Naviguidance" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/Naviguidance = 'Normal Volumefalse'">
					<xsl:text>普通音量</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Naviguidance = 'Low Volumefalse'">
					<xsl:text>小音量</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Naviguidance = 'Loud Volumefalse'">
					<xsl:text>大音量</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Naviguidance = 'true'">
					<xsl:text>音声なし</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Naviguidance = ''">
					<xsl:text>普通音量</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NavVolumeSettingPauseSpokenAudio'" />
		<xsl:with-param name="title3" select="'読み上げオーディオを停止'" />
        <xsl:with-param name="valueNode" select="/Root/NavVolumeSettingPauseSpokenAudio" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NavigationPromptsUndimScreen'" />
		<xsl:with-param name="title3" select="'ナビゲーションのときにデバイスをスリープ解除'" />
        <xsl:with-param name="valueNode" select="/Root/NavigationPromptsUndimScreen" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ShareETAUserEnabled'" />
		<xsl:with-param name="title3" select="'到着予定を共有'" />
        <xsl:with-param name="valueNode" select="/Root/ShareETAUserEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DistanceUnits'" />
		<xsl:with-param name="title2" select="'距離'" />
		<xsl:with-param name="valueNode" select="/Root/DistanceUnits" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/DistanceUnits = 'Metric'">
					<xsl:text>キロメートル表示</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DistanceUnits = 'Imperial'">
					<xsl:text>マイル表示</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DistanceUnits = ''">
					<xsl:text>キロメートル表示</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ClimateShowAirQualityIndex'" />
		<xsl:with-param name="title2" select="'空気質指数'" />
        <xsl:with-param name="valueNode" select="/Root/ClimateShowAirQualityIndex" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ClimateShowWeatherConditions'" />
		<xsl:with-param name="title2" select="'気象状況'" />
        <xsl:with-param name="valueNode" select="/Root/ClimateShowWeatherConditions" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'GEOMapLocalizeLabels'" />
		<xsl:with-param name="title2" select="'常に日本語'" />
        <xsl:with-param name="valueNode" select="/Root/GEOMapLocalizeLabels" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:if test="/Root/DeviceClass = 'iPhone'">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'allowFindMyCar'" />
		<xsl:with-param name="title2" select="'駐車した場所を表示'" />
        <xsl:with-param name="valueNode" select="/Root/allowFindMyCar" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'RAPContactBackByEmailPreference'" />
		<xsl:with-param name="title2" select="'メールによる事後連絡'" />
		<xsl:with-param name="valueNode" select="/Root/RAPContactBackByEmailPreference" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/RAPContactBackByEmailPreference = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/RAPContactBackByEmailPreference = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/RAPContactBackByEmailPreference = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
  </xsl:template>

</xsl:stylesheet>