<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppMemo">

	<xsl:for-each select="/Root/NotesAccounts/Account">

		<xsl:variable name="id" select="Type"/>
		<xsl:variable name="pos" select="count(/Root/NotesAccounts/Account[./Type = $id]/preceding-sibling::*)+1"/>

		<xsl:call-template name="settingtable">
			<xsl:with-param name="id" select="concat('NotesAccounts/Account_', $pos, '/Enabled')" />
			<xsl:with-param name="title1">
				<xsl:if test="position() = 1">
					<xsl:text>メモ</xsl:text>
				</xsl:if>
			</xsl:with-param>
			<xsl:with-param name="title2">
				<xsl:if test="position() = 1">
					<xsl:text>アカウント</xsl:text>
				</xsl:if>
			</xsl:with-param>
			<xsl:with-param name="title3" select="Type"/>
			<xsl:with-param name="valueNode" select="Enabled" />
			<xsl:with-param name="template" select="'OnOff'"/>
		</xsl:call-template>

	</xsl:for-each>

    <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DefaultNotesAccountLocal'" />
		<xsl:with-param name="title1">
              <xsl:if test="/Root/NotesAccounts = ''">メモ</xsl:if>
            </xsl:with-param>
		<xsl:with-param name="title2" select="'デフォルトアカウント'" />
		<xsl:with-param name="valueNode" select="/Root/DefaultNotesAccountLocal" />
        <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'iPhone/iPad'"/>
        <xsl:with-param name="param2" select="'iCloud'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'LocalNotes'" />
        <xsl:with-param name="title2" select="'”iPhone”アカウント'" />
        <xsl:with-param name="valueNode" select="/Root/LocalNotes" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'kICSettingsNoteListSortTypeKey'" />
		<xsl:with-param name="title2" select="'メモの表示順序'" />
		<xsl:with-param name="valueNode" select="/Root/kICSettingsNoteListSortTypeKey" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/kICSettingsNoteListSortTypeKey = '0'">
					<xsl:text>編集日</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/kICSettingsNoteListSortTypeKey = '1'">
					<xsl:text>作成日</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/kICSettingsNoteListSortTypeKey = '2'">
					<xsl:text>タイトル</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/kICSettingsNoteListSortTypeKey = ''">
					<xsl:text>編集日</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'TTTextControllerNoteDefaultNamedStyleKey'" />
		<xsl:with-param name="title2" select="'新規メモ開始スタイル'" />
		<xsl:with-param name="valueNode" select="/Root/TTTextControllerNoteDefaultNamedStyleKey" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = '0'">
					<xsl:text>タイトル</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = '1'">
					<xsl:text>見出し</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = '2'">
					<xsl:text>小見出し</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = '3'">
					<xsl:text>本文</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = ''">
					<xsl:text>タイトル</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ICChecklistAutoSortEnabledDefaultsKey'" />
        <xsl:with-param name="title2" select="'チェックした項目を並び替え'" />
        <xsl:with-param name="valueNode" select="/Root/ICChecklistAutoSortEnabledDefaultsKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'自動'"/>
        <xsl:with-param name="param2" select="'手動'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'PaperStyle'" />
		<xsl:with-param name="title2" select="'罫線と方眼'" />
		<xsl:with-param name="valueNode" select="/Root/PaperStyle" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/PaperStyle = '2'">
					<xsl:text>方眼（小）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PaperStyle = '3'">
					<xsl:text>方眼（中）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PaperStyle = '4'">
					<xsl:text>方眼（大）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PaperStyle = '5'">
					<xsl:text>罫線幅（狭）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PaperStyle = '6'">
					<xsl:text>罫線幅（中）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PaperStyle = '7'">
					<xsl:text>罫線幅（広）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PaperStyle = '1'">
					<xsl:text>なし</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PaperStyle = ''">
					<xsl:text>なし</xsl:text>
				</xsl:when>
				
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ICShouldSavePhotosAndVideosToCameraRollKey'" />
        <xsl:with-param name="title2" select="'”写真”に保存'" />
        <xsl:with-param name="valueNode" select="/Root/ICShouldSavePhotosAndVideosToCameraRollKey" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ShowOnLockScreen'" />
		<xsl:with-param name="title2" select="'ロック画面からメモにアクセス'" />
		<xsl:with-param name="valueNode" select="/Root/ShowOnLockScreen" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/ShowOnLockScreen = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ShowOnLockScreen = '1'">
					<xsl:text>常に新規メモを作成</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ShowOnLockScreen = '3' or /Root/ShowOnLockScreen = '2'">
					<xsl:text>最後のメモ再開</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ShowOnLockScreen = ''">
					<xsl:text>常に新規メモを作成</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<!-- <xsl:if test="/Root/ShowOnLockScreen = '3' or /Root/ShowOnLockScreen = '2'"> -->
	
	<!-- <xsl:call-template name="settingtable"> -->
        <!-- <xsl:with-param name="id" select="'vibe_iv_gain_factor'" /> -->
		<!-- <xsl:with-param name="title3" select="'最後のメモ再開'" /> -->
		<!-- <xsl:with-param name="valueNode" select="/Root/vibe_iv_gain_factor" /> -->
        <!-- <xsl:with-param name="value"> -->
			<!-- <xsl:choose> -->
				<!-- <xsl:when test="/Root/vibe_iv_gain_factor = '1000'"> -->
					<!-- <xsl:text>ロック画面で作成</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/vibe_iv_gain_factor = ''"> -->
					<!-- <xsl:text>"メモ"Appで表示</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/vibe_iv_gain_factor = ''"> -->
					<!-- <xsl:text>ロック画面で作成</xsl:text> -->
				<!-- </xsl:when> -->
			<!-- </xsl:choose> -->
		<!-- </xsl:with-param> -->
	<!-- </xsl:call-template> -->
	
	  <!-- <xsl:call-template name="settingtable"> -->
        <!-- <xsl:with-param name="id" select="'ShowOnLockScreen'" /> -->
		<!-- <xsl:with-param name="title3" select="'最後のメモ再開'" /> -->
		<!-- <xsl:with-param name="valueNode" select="/Root/ShowOnLockScreen" /> -->
        <!-- <xsl:with-param name="value"> -->
			<!-- <xsl:choose> -->
				<!-- <xsl:when test="/Root/ShowOnLockScreen = '3'"> -->
					<!-- <xsl:text>ロック画面で作成</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/ShowOnLockScreen = '2'"> -->
					<!-- <xsl:text>"メモ"Appで表示</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/ShowOnLockScreen = ''"> -->
					<!-- <xsl:text>ロック画面で作成</xsl:text> -->
				<!-- </xsl:when> -->
			<!-- </xsl:choose> -->
		<!-- </xsl:with-param> -->
	<!-- </xsl:call-template> -->

	<!-- 最後のメモを選択した場合に表示される項目 -->

	<!-- <xsl:call-template name="settingtable"> -->
        <!-- <xsl:with-param name="id" select="'QuickNoteSessionExpiration'" /> -->
		<!-- <xsl:with-param name="title3" select="'新規メモを作成'" /> -->
		<!-- <xsl:with-param name="valueNode" select="/Root/QuickNoteSessionExpiration" /> -->
        <!-- <xsl:with-param name="value"> -->
			<!-- <xsl:choose> -->
				<!-- <xsl:when test="/Root/QuickNoteSessionExpiration = '300'"> -->
					<!-- <xsl:text>５分後</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/QuickNoteSessionExpiration = '900'"> -->
					<!-- <xsl:text>１５分後</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/QuickNoteSessionExpiration = '3600'"> -->
					<!-- <xsl:text>１時間後</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/QuickNoteSessionExpiration = '-2'"> -->
					<!-- <xsl:text>明日以降</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/QuickNoteSessionExpiration = '-1'"> -->
					<!-- <xsl:text>しない</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/QuickNoteSessionExpiration = '0'"> -->
					<!-- <xsl:text>常にする</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/Root/QuickNoteSessionExpiration = ''"> -->
					<!-- <xsl:text>５分後</xsl:text> -->
				<!-- </xsl:when> -->
			<!-- </xsl:choose> -->
		<!-- </xsl:with-param> -->
	  <!-- </xsl:call-template> -->
	<!-- </xsl:if> -->
	<!-- 最後のメモを選択した場合に表示される項目 -->
	<!-- 1つ上の項目と同じName -->
  </xsl:template>

</xsl:stylesheet>