<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
    exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionAppMessage">
    
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'UserLoginIntent'" />
		<xsl:with-param name="title1" select="'メッセージ'" />
		<xsl:with-param name="title2" select="'iMessage'" />
		<xsl:with-param name="valueNode" select="/Root/UserLoginIntent" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/UserLoginIntent = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/UserLoginIntent = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/UserLoginIntent = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<!-- 送受信 -->
	<xsl:for-each select="/Root/ArrivalSms/Item">
		<xsl:sort select="Name"/>
		<!--並び替え前の位置を取得-->
		<xsl:variable name="id" select="Name"/>
		<xsl:variable name="pos" select="count(/Root/ArrivalSms/Item[./Name = $id]/preceding-sibling::*)+1"/>

		<xsl:call-template name="settingtable">
			<xsl:with-param name="id" select="concat('ArrivalSms/Item_', $pos, '/Checked')" />
			<xsl:with-param name="title2">
				<xsl:if test="$pos = 1">
					<xsl:text>送受信</xsl:text>
				</xsl:if>
			</xsl:with-param>
			<xsl:with-param name="title3" select="Name"/>
			<xsl:with-param name="valueNode" select="Checked" />
			<xsl:with-param name="template" select="'OnOff'"/>
		</xsl:call-template>
	</xsl:for-each>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DepartureSms'" />
		<xsl:with-param name="title2" select="'新規チャットの発信元'" />
		<xsl:with-param name="valueNode" select="/Root/DepartureSms" />
		<xsl:with-param name="template" select="'text'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SharingAudience'" />
		<xsl:with-param name="title2" select="'名前と写真を共有'" />
		<xsl:with-param name="valueNode" select="/Root/SharingAudience" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/SharingAudience = '1true'">
					<xsl:text>オン（連絡先のみ）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SharingAudience = '2true'">
					<xsl:text>オン（常に確認）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SharingAudience = 'false'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SharingAudience = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	
	<!-- 02.名前と写真を共有 -->
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'ShowContactPhotos'" />
		<xsl:with-param name="title2" select="'連絡先の写真を表示'" />
		<xsl:with-param name="valueNode" select="/Root/ShowContactPhotos" />
		<xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'ReadReceiptsEnabled'" />
		<xsl:with-param name="title2" select="'開封証明を送信'" />
		<xsl:with-param name="valueNode" select="/Root/ReadReceiptsEnabled" />
		<xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'MMSShowSubject'" />
		<xsl:with-param name="title2" select="'件名欄を表示'" />
		<xsl:with-param name="valueNode" select="/Root/MMSShowSubject" />
		<xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'KeepMessageForDays'" />
		<xsl:with-param name="title2" select="'メッセージの保存期間'" />
		<xsl:with-param name="valueNode" select="/Root/KeepMessageForDays" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/KeepMessageForDays = '30'">
					<xsl:text>30日</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/KeepMessageForDays = '365'">
					<xsl:text>1年</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/KeepMessageForDays = '0'">
					<xsl:text>無期限</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/KeepMessageForDays = ''">
					<xsl:text>無期限</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'AddressMeInGroupchat'" />
		<xsl:with-param name="title2" select="'自分に通知'" />
		<xsl:with-param name="valueNode" select="/Root/AddressMeInGroupchat" />
		<xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'IncomingMessageAlertFiltration'" />
		<xsl:with-param name="title2" select="'不明な差出人をフィルタ'" />
		<xsl:with-param name="valueNode" select="/Root/IncomingMessageAlertFiltration" />
		<xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'AutomaticallySaveAudioMessagesEnabled'" />
		<xsl:with-param name="title2" select="'有効期限'" />
		<xsl:with-param name="valueNode" select="/Root/AutomaticallySaveAudioMessagesEnabled" />
		<xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'なし'"/>
		<xsl:with-param name="param2" select="'2分後'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'PreviewTranscodingEnabled'" />
		<xsl:with-param name="title2" select="'低解像度モード'" />
		<xsl:with-param name="valueNode" select="/Root/PreviewTranscodingEnabled" />
		<xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
    
  </xsl:template>

</xsl:stylesheet>