<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppPodcast">
    
    <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'com.apple.podcasts'" />
        <xsl:with-param name="title1" select="'Podcast'" />
		<xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/Root/com.apple.podcasts" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<!--xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'PodcastCellularBehavior'" />
		<xsl:with-param name="title2" select="'モバイルデータ通信'" />
		<xsl:with-param name="valueNode" select="/Root/PodcastCellularBehavior" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/PodcastCellularBehavior = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PodcastCellularBehavior = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PodcastCellularBehavior = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template-->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTSyncSubscriptions'" />
		<xsl:with-param name="title2" select="'Podcastを同期'" />
        <xsl:with-param name="valueNode" select="/Root/MTSyncSubscriptions" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTWiFiDownloadOnly'" />
		<xsl:with-param name="title2" select="'モバイル通信経由でダウンロードをブロック'" />
        <xsl:with-param name="valueNode" select="/Root/MTWiFiDownloadOnly" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTContinuousPlaybackEnabled'" />
		<xsl:with-param name="title2" select="'連続再生'" />
        <xsl:with-param name="valueNode" select="/Root/MTContinuousPlaybackEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTPodcastUpdateIntervalDefault'" />
		<xsl:with-param name="title2" select="'更新間隔'" />
		<xsl:with-param name="valueNode" select="/Root/MTPodcastUpdateIntervalDefault" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '0'">
					<xsl:text>1時間ごと</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '1'">
					<xsl:text>6時間ごと</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '2'">
					<xsl:text>毎日</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '3'">
					<xsl:text>毎週</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '4'">
					<xsl:text>手動</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = ''">
					<xsl:text>1時間ごと</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTPodcastAutoDownloadStateDefaultKey'" />
		<xsl:with-param name="title2" select="'エピソードをダウンロード'" />
		<xsl:with-param name="valueNode" select="/Root/MTPodcastAutoDownloadStateDefaultKey" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/MTPodcastAutoDownloadStateDefaultKey = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTPodcastAutoDownloadStateDefaultKey = '1'">
					<xsl:text>未再生</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTPodcastAutoDownloadStateDefaultKey = '3'">
					<xsl:text>新規のみ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTPodcastAutoDownloadStateDefaultKey = ''">
					<xsl:text>新規のみ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTPodcastDeletePlayedEpisodesDefaultKey'" />
		<xsl:with-param name="title2" select="'再生済みエピソードを削除'" />
        <xsl:with-param name="valueNode" select="/Root/MTPodcastDeletePlayedEpisodesDefaultKey" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTSkipForwardIntervalDefault'" />
		<xsl:with-param name="title2" select="'スキップボタン/進む'" />
		<xsl:with-param name="valueNode" select="/Root/MTSkipForwardIntervalDefault" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/MTSkipForwardIntervalDefault = '10'">
					<xsl:text>10秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipForwardIntervalDefault = '15'">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipForwardIntervalDefault = '30'">
					<xsl:text>30秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipForwardIntervalDefault = '45'">
					<xsl:text>45秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipForwardIntervalDefault = '60'">
					<xsl:text>60秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipForwardIntervalDefault = ''">
					<xsl:text>30秒</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTSkipBackwardsIntervalDefault'" />
		<xsl:with-param name="title2" select="'スキップボタン/戻る'" />
		<xsl:with-param name="valueNode" select="/Root/MTSkipBackwardsIntervalDefault" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '10'">
					<xsl:text>10秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '15'">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '30'">
					<xsl:text>30秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '45'">
					<xsl:text>45秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '60'">
					<xsl:text>60秒</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = ''">
					<xsl:text>15秒</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTRemoteSkipInsteadOfNextTrackDefault'" />
		<xsl:with-param name="title2" select="'外部コントロール'" />
        <xsl:with-param name="valueNode" select="/Root/MTRemoteSkipInsteadOfNextTrackDefault" />
        <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'スキップして進む・戻る'"/>
        <xsl:with-param name="param2" select="'次／前'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MTPrivacyResetIdentifier'" />
		<xsl:with-param name="title2" select="'識別子をリセット'" />
        <xsl:with-param name="valueNode" select="/Root/MTPrivacyResetIdentifier" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
  </xsl:template>

</xsl:stylesheet>