<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppSafari">
    
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'SearchEngineStringSetting'" />
		<xsl:with-param name="title1" select="'Safari'" />
		<xsl:with-param name="title2" select="'検索エンジン'" />
		<xsl:with-param name="valueNode" select="/Root/SearchEngineStringSetting" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/SearchEngineStringSetting = 'Google'">
					<xsl:text>Google</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SearchEngineStringSetting = 'Yahoo!'">
					<xsl:text>Yahoo!</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SearchEngineStringSetting = 'Bing'">
					<xsl:text>Bing</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SearchEngineStringSetting = 'DuckDuckGo'">
					<xsl:text>DuckDuckGo</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SearchEngineStringSetting = 'Ecosia'">
					<xsl:text>Ecosia</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SearchEngineStringSetting = ''">
					<xsl:text>Google</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SuppressSearchSuggestions'" />
        <xsl:with-param name="title2" select="'検索エンジン候補'" />
        <xsl:with-param name="valueNode" select="/Root/SuppressSearchSuggestions" />
        <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
    
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SpotlightSuggestionsEnabled'" />
        <xsl:with-param name="title2" select="'Safari検索候補'" />
        <xsl:with-param name="valueNode" select="/Root/SpotlightSuggestionsEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DisableWebsiteSpecificSearch'" />
        <xsl:with-param name="title2" select="'クイックWebサイト検索'" />
        <xsl:with-param name="valueNode" select="/Root/DisableWebsiteSpecificSearch" />
        <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SpeculativeLoading'" />
        <xsl:with-param name="title2" select="'トップヒットを事前に読み込む'" />
        <xsl:with-param name="valueNode" select="/Root/SpeculativeLoading" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutoFillFromAddressBook'" />
		<xsl:with-param name="title2" select="'自動入力'" />
        <xsl:with-param name="title3" select="'連絡先の情報を使用'" />
        <xsl:with-param name="valueNode" select="/Root/AutoFillFromAddressBook" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SafariMyInfo'" />
	  <xsl:with-param name="title3" select="'自分の情報'" />
      <xsl:with-param name="valueNode" select="/Root/SafariMyInfo" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/SafariMyInfo = ''">
				<xsl:text>なし</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				 <xsl:value-of select="/Root/SafariMyInfo/text()"/>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutoFillCreditCards'" />
        <xsl:with-param name="title3" select="'クレジットカード'" />
        <xsl:with-param name="valueNode" select="/Root/AutoFillCreditCards" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'HideFrequentlyVisitedSites'" />
        <xsl:with-param name="title2" select="'よく閲覧するサイト'" />
        <xsl:with-param name="valueNode" select="/Root/HideFrequentlyVisitedSites" />
         <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
	
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/FavoritesFolder'" />
        <xsl:with-param name="title2" select="'お気に入り'" />
		<xsl:with-param name="valueNode" select="/Root/Safari/FavoritesFolder" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/Safari/FavoritesFolder = 'BookmarksBar'">
					<xsl:text>お気に入り</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					 <xsl:value-of select="/Root/Safari/FavoritesFolder/text()"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	<!-- 再調査 -->
	
	<xsl:if test="/Root/DeviceClass = 'iPad'">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AlwaysShowBookmarksBar'" />
        <xsl:with-param name="title2" select="'お気に入りバー表示'" />
        <xsl:with-param name="valueNode" select="/Root/AlwaysShowBookmarksBar" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'JavaScriptCanOpenWindowsAutomatically'" />
        <xsl:with-param name="title2" select="'ポップアップブロック'" />
        <xsl:with-param name="valueNode" select="/Root/JavaScriptCanOpenWindowsAutomatically" />
         <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'Safari/LocalDownloadFolder'" />
        <xsl:with-param name="title2" select="'ダウンロード'" />
		<xsl:with-param name="valueNode" select="/Root/Safari/LocalDownloadFolder" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/Safari/LocalDownloadFolder = 'true'">
					<xsl:text>デバイス内（デフォルト）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Safari/LocalDownloadFolder = 'false'">
					<xsl:text>iCloud Drive</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DownloadExpirationInterval'" />
		<xsl:with-param name="title3" select="'ダウンロードリストからの削除'" />
		<xsl:with-param name="valueNode" select="/Root/DownloadExpirationInterval" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/DownloadExpirationInterval = '86400'">
					<xsl:text>１日後</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DownloadExpirationInterval = '-2'">
					<xsl:text>ダウンロードが完了したとき</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DownloadExpirationInterval = '-1'">
					<xsl:text>手動</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DownloadExpirationInterval = ''">
					<xsl:text>１日後</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:if test="/Root/DeviceClass = 'iPad'">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ShowTabBar'" />
        <xsl:with-param name="title2" select="'タブバーを表示'" />
        <xsl:with-param name="valueNode" select="/Root/ShowTabBar" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	  </xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'IconsInTabsEnabled'" />
        <xsl:with-param name="title2" select="'タブにアイコンを表示'" />
        <xsl:with-param name="valueNode" select="/Root/IconsInTabsEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:if test="/Root/DeviceClass = 'iPad'">
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'OpenLinksInBackground'" />
        <xsl:with-param name="title2" select="'新規タブをバックグラウンドで開く'" />
        <xsl:with-param name="valueNode" select="/Root/OpenLinksInBackground" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	</xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CloseTabsAutomatically'" />
		<xsl:with-param name="title2" select="'タブを閉じる'" />
		<xsl:with-param name="valueNode" select="/Root/CloseTabsAutomatically" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/CloseTabsAutomatically = '0'">
					<xsl:text>手動</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CloseTabsAutomatically = '1'">
					<xsl:text>１日後</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CloseTabsAutomatically = '2'">
					<xsl:text>１週間後</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CloseTabsAutomatically = '3'">
					<xsl:text>１か月後</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CloseTabsAutomatically = ''">
					<xsl:text>手動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<!-- 17.サイト越えトラッキングを防ぐ -->

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'safariAcceptCookies'" />
        <xsl:with-param name="title2" select="'サイト越えトラッキングを防ぐ'" />
        <xsl:with-param name="valueNode" select="/Root/safariAcceptCookies" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/safariAcceptCookies = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/safariAcceptCookies = '1.5'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/safariAcceptCookies = '0.0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/safariAcceptCookies = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>


	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'NanoBlockAllCookiesEnabled'" />
        <xsl:with-param name="title2" select="'すべてのCookieをブロック'" />
        <xsl:with-param name="valueNode" select="/Root/NanoBlockAllCookiesEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'WarnAboutFraudulentWebsites'" />
        <xsl:with-param name="title2" select="'詐欺Webサイトの警告'" />
        <xsl:with-param name="valueNode" select="/Root/WarnAboutFraudulentWebsites" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SafariApplePayDisclosureAllowed'" />
        <xsl:with-param name="title2" select="'Apple Payの確認'" />
        <xsl:with-param name="valueNode" select="/Root/SafariApplePayDisclosureAllowed" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'Safari/PerSitePreferencesPageZoom'" />
        <xsl:with-param name="title2" select="'ページの拡大縮小'" />
		<xsl:with-param name="valueNode" select="/Root/Safari/PerSitePreferencesPageZoom" />
        <xsl:with-param name="value">
			<xsl:call-template name="Zoom" >
					<xsl:with-param name="value" select="/Root/Safari/PerSitePreferencesPageZoom"/>
				</xsl:call-template>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'Safari/PerSitePreferencesRequestDesktopSite'" />
        <xsl:with-param name="title2" select="'デスクトップ用Webサイトを表示'" />
		<xsl:with-param name="valueNode" select="/Root/Safari/PerSitePreferencesRequestDesktopSite" />
		<xsl:with-param name="template" select="'OnOff'"/>
	</xsl:call-template>
		
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/PerSitePreferencesUseReader'" />
        <xsl:with-param name="title2" select="'リーダー'" />
		<xsl:with-param name="valueNode" select="/Root/Safari/PerSitePreferencesUseReader" />
		<xsl:with-param name="template" select="'OnOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/PerSitePreferencesCamera'" />
        <xsl:with-param name="title2" select="'カメラ'" />
		<xsl:with-param name="valueNode" select="/Root/Safari/PerSitePreferencesCamera" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/Safari/PerSitePreferencesCamera = '0'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Safari/PerSitePreferencesCamera = '1'">
					<xsl:text>拒否</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Safari/PerSitePreferencesCamera = '2'">
					<xsl:text>許可</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/PerSitePreferencesMicrophone'" />
        <xsl:with-param name="title2" select="'マイク'" />
		<xsl:with-param name="valueNode" select="/Root/Safari/PerSitePreferencesMicrophone" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/Safari/PerSitePreferencesMicrophone = '0'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Safari/PerSitePreferencesMicrophone = '1'">
					<xsl:text>拒否</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Safari/PerSitePreferencesMicrophone = '2'">
					<xsl:text>許可</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Safari/PerSitePreferencesGeolocation'" />
        <xsl:with-param name="title2" select="'場所'" />
		<xsl:with-param name="valueNode" select="/Root/Safari/PerSitePreferencesGeolocation" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/Safari/PerSitePreferencesGeolocation = '0'">
					<xsl:text>確認</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Safari/PerSitePreferencesGeolocation = '1'">
					<xsl:text>拒否</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/Safari/PerSitePreferencesGeolocation = '2'">
					<xsl:text>許可</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
		
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutomaticallyArchiveReadingListItemsEnabled'" />
        <xsl:with-param name="title2" select="'自動的にオフライン用に保存'" />
        <xsl:with-param name="valueNode" select="/Root/AutomaticallyArchiveReadingListItemsEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'JavaScriptEnabled'" />
		<xsl:with-param name="title2" select="'詳細'" />
        <xsl:with-param name="title3" select="'JavaScript'" />
        <xsl:with-param name="valueNode" select="/Root/JavaScriptEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'RemoteInspectorEnabled'" />
        <xsl:with-param name="title3" select="'Webインスペクタ'" />
        <xsl:with-param name="valueNode" select="/Root/RemoteInspectorEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'RemoteAutomationEnabled'" />
        <xsl:with-param name="title3" select="'リモートオートメーション'" />
        <xsl:with-param name="valueNode" select="/Root/RemoteAutomationEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	<!-- リモートオートメーションがオンになると自動的にWebインスペクタもオンへ変わる -->
	
  </xsl:template>

</xsl:stylesheet>