<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="Section001">
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'IsSupervised'" />
      <xsl:with-param name="title1" select="'監視モード'" />
      <xsl:with-param name="valueNode" select="/Root/IsSupervised" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
  
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AppleID'" />
      <xsl:with-param name="title1" select="'AppleID'" />
      <xsl:with-param name="valueNode" select="/Root/AppleID" />
      <xsl:with-param name="template" select="'text'"/>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &lt; 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBRecentDisplays'" />
        <xsl:with-param name="title1" select="'起動アプリ'" />
        <xsl:with-param name="value" select="'[全てのアプリが終了しているかをチェック]'" />
        <xsl:with-param name="valueNode" select="/Root/SBRecentDisplays"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'BatteryCapacity'" />
      <xsl:with-param name="title1" select="'充電率'" />
      <xsl:with-param name="valueNode" select="/Root/BatteryCapacity"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SBRotationLocked'" />
      <xsl:with-param name="title1" select="'画面向きのロック'" />
      <xsl:with-param name="valueNode" select="/Root/SBRotationLocked"/>
      <xsl:with-param name="param1" select="'ロック'"/>
      <xsl:with-param name="param2" select="'ロックなし'"/>
      <xsl:with-param name="template" select="'OnOff'"/>
    </xsl:call-template>
    <xsl:if test="/Root/DeviceClass = 'iPad' and /Root/SBRotationLocked = 'true'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBLastRotationLockedOrientation'" />
        <xsl:with-param name="title2" select="'画面の向き'" />
        <xsl:with-param name="valueNode" select="/Root/SBLastRotationLockedOrientation"/>
        <xsl:with-param name="template" select="'Orientation'"/>
      </xsl:call-template>
    </xsl:if>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AirplaneModeEnabled'" />
      <xsl:with-param name="title1" select="'機内モード'" />
      <xsl:with-param name="valueNode" select="/Root/AirplaneModeEnabled" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'TitleLine'" />
      <xsl:with-param name="title1" select="'Wi-Fi'" />
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'WifiAllowEnable'" />
      <xsl:with-param name="title2" select="'有効化'" />
      <xsl:with-param name="valueNode" select="/Root/WifiAllowEnable" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Listofknownnetworks'" />
      <xsl:with-param name="valueNode" select="/Root/Listofknownnetworks" />
      <xsl:with-param name="value" select="'[不要なアクセスポイント名]'"/>
    </xsl:call-template>


    <xsl:for-each select="/Root/Networks/Network">
      <xsl:if test="position() &lt;= 5">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/SSID')" />
          <xsl:with-param name="title2" select="concat('ネットワーク',position())" />
          <xsl:with-param name="title3" select="'SSID'" />
          <xsl:with-param name="valueNode" select="SSID" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>

        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/PrivateMacAddressValid')" />
            <xsl:with-param name="title3" select="'プライベートアドレス'" />
            <xsl:with-param name="valueNode" select="PrivateMacAddressValid" />
            <xsl:with-param name="template" select="'OnOff'"/>
          </xsl:call-template>

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/PrivateMacAddress')" />
            <xsl:with-param name="title3" select="'Wi-Fiアドレス'" />
            <xsl:with-param name="valueNode" select="PrivateMacAddress" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>
        
        
        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/SaveDataMode')" />
            <xsl:with-param name="title3" select="'省データモード'" />
            <xsl:with-param name="valueNode" select="SaveDataMode" />
            <xsl:with-param name="template" select="'defaultOff'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/ConfigMethod')" />
          <xsl:with-param name="title3" select="'IPV4アドレス'" />
          <xsl:with-param name="title4" select="'IPを構成'" />
          <xsl:with-param name="valueNode" select="ConfigMethod" />
          <xsl:with-param name="value">
            <xsl:call-template name ="NetworkConfigMethod">
              <xsl:with-param name="value" select="ConfigMethod"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:if test="ConfigMethod = 'DHCP'">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/DHCPClientID')" />
            <xsl:with-param name="title4" select="'クライアントID'" />
            <xsl:with-param name="valueNode" select="DHCPClientID" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>
        
        <xsl:if test="ConfigMethod = 'Manual'">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/Addresses')" />
            <xsl:with-param name="title4" select="'IPアドレス'" />
            <xsl:with-param name="valueNode" select="Addresses" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/SubnetMasks')" />
            <xsl:with-param name="title4" select="'サブネットマスク'" />
            <xsl:with-param name="valueNode" select="SubnetMasks" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/Router')" />
            <xsl:with-param name="title4" select="'ルーター'" />
            <xsl:with-param name="valueNode" select="Router" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>
        </xsl:if>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/DNS')" />
          <xsl:with-param name="title3" select="'DNS'" />
          <xsl:with-param name="title4" select="'DNSを構成'" />
          <xsl:with-param name="valueNode" select="DNS" />
          <xsl:with-param name="value">
            <xsl:call-template name ="httpproxy">
              <xsl:with-param name="value" select="DNS"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/ServerAddresses')" />
          <xsl:with-param name="title4" select="'DNSサーバ'" />
          <xsl:with-param name="valueNode" select="ServerAddresses" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/SearchDomains')" />
          <xsl:with-param name="title4" select="'検索ドメイン'" />
          <xsl:with-param name="valueNode" select="SearchDomains" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>





        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/ProxyMode')" />
          <xsl:with-param name="title3" select="'HTTPプロキシ'" />
          <xsl:with-param name="title4" select="'プロキシを構成'" />
          <xsl:with-param name="valueNode" select="ProxyMode" />
          <xsl:with-param name="value">
            <xsl:call-template name ="httpproxy">
              <xsl:with-param name="value" select="ProxyMode"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>


        <xsl:choose>
          <xsl:when test="ProxyMode = 'Auto'">
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/ProxyAutoConfigURLString')" />
              <xsl:with-param name="title4" select="'URL'" />
              <xsl:with-param name="valueNode" select="ProxyAutoConfigURLString" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="ProxyMode = 'Manual'">
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/ProxyHTTPProxy')" />
              <xsl:with-param name="title4" select="'サーバ'" />
              <xsl:with-param name="valueNode" select="ProxyHTTPProxy" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/ProxyHTTPPort')" />
              <xsl:with-param name="title4" select="'ポート'" />
              <xsl:with-param name="valueNode" select="ProxyHTTPPort" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/HTTPProxyAuthenticated')" />
              <xsl:with-param name="title4" select="'認証'" />
              <xsl:with-param name="valueNode" select="HTTPProxyAuthenticated" />
              <xsl:with-param name="template" select="'OnOff'"/>
            </xsl:call-template>
            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('Networks/Network_',position(),'/HTTPProxyUsername')" />
              <xsl:with-param name="title4" select="'ユーザ名'" />
              <xsl:with-param name="valueNode" select="HTTPProxyUsername" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>
          </xsl:when>
        </xsl:choose>
      </xsl:if>
    </xsl:for-each>

    <xsl:if test="$MajorVersion &lt; 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'WifiAutoJoin'" />
        <xsl:with-param name="title2" select="'接続を確認'" />
        <xsl:with-param name="valueNode" select="/Root/WifiAutoJoin" />
        <xsl:with-param name="template" select="'defaultOff'"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ATJPreference'" />
        <xsl:with-param name="title2" select="'接続を確認'" />
        <xsl:with-param name="valueNode" select="/Root/ATJPreference" />
        <xsl:with-param name="value">
          <xsl:call-template name ="ConfirmConnect">
            <xsl:with-param name="value" select="/Root/ATJPreference"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutoInstantHotspot'" />
        <xsl:with-param name="title2" select="'インターネット共有へ自動接続'" />
        <xsl:with-param name="valueNode" select="/Root/AutoInstantHotspot" />
        <xsl:with-param name="value">
          <xsl:call-template name ="ConnectHotspot">
            <xsl:with-param name="value" select="/Root/AutoInstantHotspot"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>


    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 9">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'BTdefaultPoweredState'" />
          <xsl:with-param name="title1" select="'Bluetooth'" />
          <xsl:with-param name="valueNode" select="/Root/BTdefaultPoweredState" />
          <xsl:with-param name="template" select="'strOnOff'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'BTdefaultPoweredState'" />
          <xsl:with-param name="title1" select="'Bluetooth'" />
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:if test="$MajorVersion &gt;= 14">
	
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'InternationalRoamingEDGE'" />
        <xsl:with-param name="title1" select="'モバイル通信'" />
        <xsl:with-param name="title2" select="'通信のオプション'" />
		<xsl:with-param name="title3" select="'データローミング'" />
        <xsl:with-param name="valueNode" select="/Root/InternationalRoamingEDGE" />
        <xsl:with-param name="template" select="'defaultOff'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ReliableNetworkFallbackToCellular'" />
        <xsl:with-param name="title3" select="'音声通話とデータ'" />
        <xsl:with-param name="value" select="''" />
        <!--<xsl:with-param name="valueNode" select="/RESULT/ReliableNetworkFallbackToCellular" />
        <xsl:with-param name="template" select="'defaultOn'"/>-->
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'VoLTEUserPreference'" />
        <xsl:with-param name="title4" select="'VoLTE'" />
        <xsl:with-param name="valueNode" select="/Root/VoLTEUserPreference" />
        <xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>
    </xsl:if>
	
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CellularBehaviorAll'" />
        <xsl:with-param name="title2" select="'モバイルデータ通信(App)'" />
        <xsl:with-param name="valueNode" select="/Root/CellularBehaviorAll" />
        <xsl:with-param name="template" select="'defaultOn'"/>
		<xsl:with-param name="param1" select="'全てのAppオン'"/>
        <xsl:with-param name="param2" select="'それ以外'"/>
      </xsl:call-template>

	
    <xsl:if test="$MajorVersion &lt; 13">
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ReliableNetworkFallbackToCellular'" />
      <xsl:with-param name="title1">
        <xsl:if test="$MajorVersion &lt;= 13">
          <xsl:text>モバイル通信</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title2" select="'Wi-Fiアシスト'" />
      <xsl:with-param name="valueNode" select="/Root/ReliableNetworkFallbackToCellular" />
      <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>
	</xsl:if>
	
	<xsl:if test="$MajorVersion &gt;= 14">
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'cellularFallbackFlags'" />
      <xsl:with-param name="title2" select="'Wi-Fiアシスト'" />
      <xsl:with-param name="valueNode" select="/Root/cellularFallbackFlags" />
      <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/cellularFallbackFlags = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/cellularFallbackFlags = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	</xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'dataclassesEnabledForCellular'" />
      <xsl:with-param name="title2" select="'iCloud Drive'" />
      <xsl:with-param name="valueNode" select="/Root/dataclassesEnabledForCellular" />
      <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>
    
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Internetbootpd'" />
      <xsl:with-param name="title1" select="'インターネット共有'" />
	  <xsl:with-param name="title2" select="'他の人の接続を許可'" />
      <xsl:with-param name="valueNode" select="/Root/Internetbootpd" />
      <xsl:with-param name="template" select="'defaultOn'"/>
	    <xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
    </xsl:call-template>


    <!--<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'effectiveWhileUnlocked'" />
      <xsl:with-param name="title1" select="'おやすみモード'" />
      <xsl:with-param name="title2" select="'通知'" />
      <xsl:with-param name="valueNode" select="/Root/effectiveWhileUnlocked" />
      <xsl:with-param name="value">
        <xsl:call-template name ="NoticeUnlocked">
          <xsl:with-param name="value" select="/Root/effectiveWhileUnlocked"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>-->

  </xsl:template>

</xsl:stylesheet>