<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAccessibility">
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverTouchEnabled'" />
      <xsl:with-param name="title1" select="'アクセシビリティ'" />
      <xsl:with-param name="title2" select="'VoiceOver'" />
      <xsl:with-param name="title3" select="'VoiceOver'" />
      <xsl:with-param name="valueNode" select="/Root/VoiceOverTouchEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/VoiceOverTouchEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverTouchSpeakingRate'" />
      <xsl:with-param name="title3" select="'読み上げ速度'" />
      <xsl:with-param name="valueNode" select="/Root/VoiceOverTouchSpeakingRate" />
      <xsl:with-param name="value">
        <xsl:text>遅</xsl:text>
        <xsl:call-template name="slider3">
          <xsl:with-param name="position" select="/Root/VoiceOverTouchSpeakingRate/text()"/>
          <xsl:with-param name="default" select="0.3"/>
          <xsl:with-param name="range" select="1"/>
        </xsl:call-template>
        <xsl:text>速(</xsl:text>
        <xsl:call-template name="slider4">
          <xsl:with-param name="position" select="/Root/VoiceOverTouchSpeakingRate"/>
          <xsl:with-param name="range" select="1"/>
          <xsl:with-param name="default" select="0.3"/>
        </xsl:call-template>
        <xsl:text>)</xsl:text>
      </xsl:with-param>
    </xsl:call-template>




    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverTouchHintsEnabled'" />
      <xsl:with-param name="title3">
        <xsl:text>詳細度</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="title4">
        <xsl:text>ヒントを読み上げる</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/VoiceOverTouchHintsEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/VoiceOverTouchHintsEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverTouchPitchChangePreference'" />
      <xsl:with-param name="title3" select="'ピッチ変更を使用'" />
      <xsl:with-param name="valueNode" select="/Root/VoiceOverTouchPitchChangePreference" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/VoiceOverTouchPitchChangePreference"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverUseSoundEffects'" />
      <xsl:with-param name="title3" select="'サウンドエフェクトを使用'" />
      <xsl:with-param name="valueNode" select="/Root/VoiceOverUseSoundEffects" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/VoiceOverUseSoundEffects"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSVoiceOverCompactVoicePreference/Item_position()=1/Enabled'" />
      <xsl:with-param name="title3" select="'スピーチ'" />
      <xsl:with-param name="title4" select="'声'" />
      <xsl:with-param name="valueNode" select="/Root/AXSVoiceOverCompactVoicePreference/Item[position()=1]/Enabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="CompactVoice">
          <xsl:with-param name="value" select="/Root/AXSVoiceOverCompactVoicePreference/Item[position()=1]/Enabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:for-each select="/Root/VoiceOverTouchLanguageRotor/Item[./Enabled='true']">
      <xsl:variable name="rotorItem" select="RotorItem" />
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('AXSVoiceOverCompactVoicePreference/Item_RotorItem=',RotorItem,'/Enabled')" />
        <xsl:with-param name="title3">
          <xsl:if test="position() = 1">言語をローテーション</xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title4">
          <xsl:call-template name="language">
            <xsl:with-param name="countrycode" select="RotorItem"/>
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="title5" select="'品質'" />
        <!--<xsl:with-param name="valueNode" select="/Root/AXSVoiceOverCompactVoicePreference/Item[starts-with(./RotorItem,$rotorItem)]/Enabled" />-->
        <xsl:with-param name="value">
          <xsl:call-template name="CompactVoice">
            <xsl:with-param name="value" select="/Root/AXSVoiceOverCompactVoicePreference/Item[starts-with(./RotorItem,$rotorItem)]/Enabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('VoiceOverTouchLanguageSpeakingRate/Item_RotorItem=',RotorItem,'/SpeakingRate')" />
        <xsl:with-param name="title5" select="'読み上げ速度'" />
        <!--<xsl:with-param name="valueNode" select="Enabled" />-->
        <xsl:with-param name="value">
          <xsl:text>遅</xsl:text>
          <xsl:call-template name="slider3">
            <xsl:with-param name="position" select="/Root/VoiceOverTouchLanguageSpeakingRate/Item[starts-with(./RotorItem,$rotorItem)]/SpeakingRate"/>
            <xsl:with-param name="default" select="0.35"/>
            <xsl:with-param name="range" select="1"/>
          </xsl:call-template>
          <xsl:text>速(</xsl:text>
          <xsl:call-template name="slider4">
            <xsl:with-param name="position" select="/Root/VoiceOverTouchLanguageSpeakingRate/Item[starts-with(./RotorItem,$rotorItem)]/SpeakingRate"/>
            <xsl:with-param name="range" select="1"/>
            <xsl:with-param name="default" select="0.35"/>
          </xsl:call-template>
          <xsl:text>)</xsl:text>
        </xsl:with-param>
      </xsl:call-template>

    </xsl:for-each>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSVoiceOverTouchBrailleDisplayOutputMode'" />
      <xsl:with-param name="title3" select="'点字'" />
      <xsl:with-param name="title4">
        <xsl:text>出力</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/AXSVoiceOverTouchBrailleDisplayOutputMode" />
      <xsl:with-param name="value">
        <xsl:call-template name="BrailleInputMode">
          <xsl:with-param name="value" select="/Root/AXSVoiceOverTouchBrailleDisplayOutputMode"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSVoiceOverTouchBrailleDisplayInputMode'" />
      <xsl:with-param name="title4">
        <xsl:text>入力</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/AXSVoiceOverTouchBrailleDisplayInputMode" />
      <xsl:with-param name="value">
        <xsl:call-template name="BrailleInputMode">
          <xsl:with-param name="value" select="/Root/AXSVoiceOverTouchBrailleDisplayInputMode"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverShowGrade2AutoTranslate'" />
      <xsl:with-param name="title5" select="'自動点訳'" />
      <xsl:with-param name="valueNode" select="/Root/VoiceOverShowGrade2AutoTranslate" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/VoiceOverShowGrade2AutoTranslate" />
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSVoiceOverTouchBrailleGesturesInputMode'" />
      <xsl:with-param name="title4" select="'点字画面入力'" />
      <xsl:with-param name="valueNode" select="/Root/AXSVoiceOverTouchBrailleGesturesInputMode" />
      <xsl:with-param name="value">
        <xsl:call-template name="BrailleInputMode">
          <xsl:with-param name="value" select="/Root/AXSVoiceOverTouchBrailleGesturesInputMode"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>



    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'BrailleStatus2'" />
      <xsl:with-param name="title4" select="'状況セル'" />
      <xsl:with-param name="valueNode" select="/Root/BrailleStatus2" />
      <xsl:with-param name="value">
        <xsl:call-template name="BrailleStatus2">
          <xsl:with-param name="value" select="/Root/BrailleStatus2"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'voiceOverAlwaysUseNemethCodeForMathEnabled'" />
      <xsl:with-param name="title4" select="'方程式でNemethコードを使用'" />
      <xsl:with-param name="valueNode" select="/Root/voiceOverAlwaysUseNemethCodeForMathEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/voiceOverAlwaysUseNemethCodeForMathEnabled" />
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverShowSWKeyboardWithBraille'" />
      <xsl:with-param name="title4" select="'オンスクリーンキーボード表示'" />
      <xsl:with-param name="valueNode" select="/Root/VoiceOverShowSWKeyboardWithBraille" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/VoiceOverShowSWKeyboardWithBraille" />
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSVoiceOverTouchBraillePanningAutoTurnsReadingContent'" />
      <xsl:with-param name="title4" select="'パンでページめくり'" />
      <xsl:with-param name="valueNode" select="/Root/AXSVoiceOverTouchBraillePanningAutoTurnsReadingContent" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/AXSVoiceOverTouchBraillePanningAutoTurnsReadingContent" />
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <!--ローター-->
    <!--空であればデフォルト設定を表示-->
    <xsl:variable name="VoiceOverTouchRotorItemsPreference">
      <xsl:choose>
        <xsl:when test="count(/Root/VoiceOverTouchRotorItemsPreference/*) &gt; 0">
          <xsl:copy-of select="/Root/VoiceOverTouchRotorItemsPreference/Item"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:copy-of select="$defsetting/VoiceOverTouchRotorItemsPreference/Item"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:for-each select="msxsl:node-set($VoiceOverTouchRotorItemsPreference)/Item">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('VoiceOverTouchRotorItemsPreference/Item_',position(),'/RotorItem')" />
        <xsl:with-param name="title3">
          <xsl:if test="position() = 1">ローター</xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title4" select="position()" />
        <xsl:with-param name="title5" select="'項目名'" />
        <xsl:with-param name="valueNode" select="RotorItem" />
        <xsl:with-param name="value">
          <xsl:call-template name="TouchRotorItem">
            <xsl:with-param name="item" select="RotorItem"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('VoiceOverTouchRotorItemsPreference/Item_',position(),'/Enabled')" />
        <xsl:with-param name="title5" select="'有効化'" />
        <xsl:with-param name="valueNode" select="Enabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="Enabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

    </xsl:for-each>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverTouchTypingMode'" />
      <xsl:with-param name="title3" select="'入力モード'" />
      <xsl:with-param name="valueNode" select="/Root/VoiceOverTouchTypingMode" />
      <xsl:with-param name="value">
        <xsl:call-template name="TypingMode">
          <xsl:with-param name="value" select="/Root/VoiceOverTouchTypingMode"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverTouchPhoneticsEnabledPreference7'" />
      <xsl:with-param name="title3">
        <xsl:text>文字説明フィードバック</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/VoiceOverTouchPhoneticsEnabledPreference7" />
      <xsl:with-param name="value">
        <xsl:call-template name="Phonetics11">
          <xsl:with-param name="value" select="/Root/VoiceOverTouchPhoneticsEnabledPreference7"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverTouchTypingFeedback8'" />
      <xsl:with-param name="title3" select="'入力フィードバック'" />
      <xsl:with-param name="title4" select="'ソフトウェアキーボード'" />
      <xsl:with-param name="valueNode" select="/Root/VoiceOverTouchTypingFeedback8" />
      <xsl:with-param name="value">
        <xsl:call-template name="VoiceOverTouchTypingFeedback">
          <xsl:with-param name="value" select="/Root/VoiceOverTouchTypingFeedback8"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VoiceOverTouchTypingHardwareFeedback8'" />
      <xsl:with-param name="title4" select="'ハードウェアキーボード'" />
      <xsl:with-param name="valueNode" select="/Root/VoiceOverTouchTypingHardwareFeedback8" />
      <xsl:with-param name="value">
        <xsl:call-template name="VoiceOverTouchTypingFeedback">
          <xsl:with-param name="value" select="/Root/VoiceOverTouchTypingHardwareFeedback8"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SpeakNotificationInLockScreen8'" />
      <xsl:with-param name="title3">
        <xsl:text>常に通知を読み上げる</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/SpeakNotificationInLockScreen8" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/SpeakNotificationInLockScreen8"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'NavigateImagesPreference8'" />
      <xsl:with-param name="title3" select="'イメージをナビゲート'" />
      <xsl:with-param name="valueNode" select="/Root/NavigateImagesPreference8" />
      <xsl:with-param name="value">
        <xsl:call-template name="NavigateImagesPreference">
          <xsl:with-param name="this" select="/Root/NavigateImagesPreference8"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'com.apple.voiceovertouch.cursors.style'" />
      <xsl:with-param name="title3" select="'大きいカーソルを使用'" />
      <xsl:with-param name="valueNode" select="/Root/com.apple.voiceovertouch.cursors.style" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/com.apple.voiceovertouch.cursors.style"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ZoomTouchEnabled'" />
      <xsl:with-param name="title2" select="'ズーム機能'" />
      <xsl:with-param name="valueNode" select="/Root/ZoomTouchEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/ZoomTouchEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ZoomShouldFollowFocus'" />
      <xsl:with-param name="title3" select="'カーソルに追従'" />
      <xsl:with-param name="valueNode" select="/Root/ZoomShouldFollowFocus" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/ZoomShouldFollowFocus"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ZoomAlwaysUseWindowZoomForTyping'" />
      <xsl:with-param name="title3" select="'ズームキーボード'" />
      <xsl:with-param name="valueNode" select="/Root/ZoomAlwaysUseWindowZoomForTyping" />
      <xsl:with-param name="value">
        <xsl:call-template name="falseOndefaultOff">
          <xsl:with-param name="bool" select="/Root/ZoomAlwaysUseWindowZoomForTyping"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ZoomShouldShowSlug'" />
      <xsl:with-param name="title3" select="'コントローラを表示'" />
      <xsl:with-param name="valueNode" select="/Root/ZoomShouldShowSlug" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/ZoomShouldShowSlug"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ZoomIdleSlugOpacity'" />
      <xsl:with-param name="title3" select="'待機状態表示'" />
      <xsl:with-param name="valueNode" select="/Root/ZoomIdleSlugOpacity" />
      <xsl:with-param name="value">
        <xsl:call-template name="ZoomOpacity">
          <xsl:with-param name="this" select="/Root/ZoomIdleSlugOpacity"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ZoomPreferredLensMode'" />
      <xsl:with-param name="title3" select="'ズーム領域'" />
      <xsl:with-param name="valueNode" select="/Root/ZoomPreferredLensMode" />
      <xsl:with-param name="value">
        <xsl:call-template name="ZoomMode">
          <xsl:with-param name="this" select="/Root/ZoomPreferredLensMode"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ZoomPreferredMaximumZoomScale'" />
      <xsl:with-param name="title3" select="'最大ズームレベル'" />
      <xsl:with-param name="valueNode" select="/Root/ZoomPreferredMaximumZoomScale" />
      <xsl:with-param name="value">
        <xsl:call-template name="ZoomScale">
          <xsl:with-param name="this" select="/Root/ZoomPreferredMaximumZoomScale"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

	<!-- 追加 -->
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MagnifierEnabled'" />
        <xsl:with-param name="title2" select="'拡大鏡'" />
        <xsl:with-param name="valueNode" select="/Root/MagnifierEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DifferentiateWithoutColor'" />
		<xsl:with-param name="title2" select="'画面表示とテキストサイズ'" />
		<xsl:with-param name="title3" select="'カラー以外で区別'" />
		<xsl:with-param name="valueNode" select="/Root/DifferentiateWithoutColor" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/DifferentiateWithoutColor = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DifferentiateWithoutColor = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DifferentiateWithoutColor = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>オフ</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKEnableALS'" />
        <xsl:with-param name="title3" select="'明るさの自動調節'" />
        <xsl:with-param name="valueNode" select="/Root/BKEnableALS" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ReduceMotionAutoplayMessagesEffectsEnabled'" />
		<xsl:with-param name="title2" select="'動作'" />
		<xsl:with-param name="title3" select="'メッセージエフェクト自動再生'" />
		<xsl:with-param name="valueNode" select="/Root/ReduceMotionAutoplayMessagesEffectsEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/ReduceMotionAutoplayMessagesEffectsEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ReduceMotionAutoplayMessagesEffectsEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ReduceMotionAutoplayMessagesEffectsEnabled = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ReduceMotionAutoplayVideoPreviewsEnabled'" />
		<xsl:with-param name="title3" select="'ビデオプレビューの自動再生'" />
		<xsl:with-param name="valueNode" select="/Root/ReduceMotionAutoplayVideoPreviewsEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/ReduceMotionAutoplayVideoPreviewsEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ReduceMotionAutoplayVideoPreviewsEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ReduceMotionAutoplayVideoPreviewsEnabled = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SpeakThisEnabled'" />
		<xsl:with-param name="title2" select="'読み上げコンテンツ'" />
		<xsl:with-param name="title3" select="'画面の読み上げ'" />
		<xsl:with-param name="valueNode" select="/Root/SpeakThisEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/SpeakThisEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SpeakThisEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SpeakThisEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'LetterFeedbackEnabled'" />
		<xsl:with-param name="title3" select="'入力フィードバック'" />
		<xsl:with-param name="title4" select="'文字'" />
		<xsl:with-param name="valueNode" select="/Root/LetterFeedbackEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/LetterFeedbackEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/LetterFeedbackEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/LetterFeedbackEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'PhoneticFeedbackEnabled'" />
		<xsl:with-param name="title4" select="'文字発音'" />
		<xsl:with-param name="valueNode" select="/Root/PhoneticFeedbackEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/PhoneticFeedbackEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PhoneticFeedbackEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/PhoneticFeedbackEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'WordFeedbackEnabled'" />
		<xsl:with-param name="title4" select="'単語を読み上げる'" />
		<xsl:with-param name="valueNode" select="/Root/WordFeedbackEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/WordFeedbackEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/WordFeedbackEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/WordFeedbackEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'QuickTypePredictionFeedbackEnabled'" />
		<xsl:with-param name="title4" select="'押さえて予測変換を読み上げる'" />
		<xsl:with-param name="valueNode" select="/Root/QuickTypePredictionFeedbackEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/QuickTypePredictionFeedbackEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/QuickTypePredictionFeedbackEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/QuickTypePredictionFeedbackEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MAAudibleMediaPrefPreferDescriptiveVideo'" />
        <xsl:with-param name="title2" select="'バリアフリー音声ガイド'" />
        <xsl:with-param name="valueNode" select="/Root/MAAudibleMediaPrefPreferDescriptiveVideo" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ForceTouchEnabled'" />
		<xsl:with-param name="title2" select="'タッチ'" />
		<xsl:with-param name="title3" select="'3D Touchおよび触覚タッチ'" />
		<xsl:with-param name="title4" select="'3D Touch'" />
		<xsl:with-param name="valueNode" select="/Root/ForceTouchEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/ForceTouchEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ForceTouchEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ForceTouchEnabled = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ForceTouchTiming'" />
		<xsl:with-param name="title4" select="'タッチの継続時間'" />
		<xsl:with-param name="valueNode" select="/Root/ForceTouchTiming" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/ForceTouchTiming = '1'">
					<xsl:text>速い</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ForceTouchTiming = '0'">
					<xsl:text>遅く</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ForceTouchTiming = ''">
					<xsl:text>速い</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'TouchAccommodationsEnabledPreference'" />
        <xsl:with-param name="title3" select="'タッチ調整'" />
		<xsl:with-param name="title4" select="'タッチ調整'" />
        <xsl:with-param name="valueNode" select="/Root/TouchAccommodationsEnabledPreference" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'TouchAccommodationsHoldDurationEnabledPreference'" />
		<xsl:with-param name="title4" select="'保持継続時間'" />
        <xsl:with-param name="valueNode" select="/Root/TouchAccommodationsHoldDurationEnabledPreference" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'TouchAccommodationsIgnoreRepeatEnabledPreference'" />
		<xsl:with-param name="title4" select="'繰り返しを無視'" />
        <xsl:with-param name="valueNode" select="/Root/TouchAccommodationsIgnoreRepeatEnabledPreference" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'TouchAccommodationsTapActivationMethodPreference'" />
		<xsl:with-param name="title4" select="'タップ補助'" />
		<xsl:with-param name="valueNode" select="/Root/TouchAccommodationsTapActivationMethodPreference" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/TouchAccommodationsTapActivationMethodPreference = '1'">
					<xsl:text>タッチ開始位置を使用</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/TouchAccommodationsTapActivationMethodPreference = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/TouchAccommodationsTapActivationMethodPreference = '2'">
					<xsl:text>タッチ終了位置を使用</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/TouchAccommodationsTapActivationMethodPreference = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ShakeToUndoDisabled'" />
		<xsl:with-param name="title3" select="'シェイクで取り消し'" />
		<xsl:with-param name="valueNode" select="/Root/ShakeToUndoDisabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/ShakeToUndoDisabled = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ShakeToUndoDisabled = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ShakeToUndoDisabled = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DefaultRouteForCallPreference'" />
		<xsl:with-param name="title3" select="'通話オーディオルーティング'" />
		<xsl:with-param name="valueNode" select="/Root/DefaultRouteForCallPreference" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/DefaultRouteForCallPreference = '0'">
					<xsl:text>自動</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DefaultRouteForCallPreference = '1'">
					<xsl:text>Bluetoothヘッドセット</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DefaultRouteForCallPreference = '2'">
					<xsl:text>スピーカー</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/DefaultRouteForCallPreference = ''">
					<xsl:text>自動</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchAutoAddedTCItem'" />
		<xsl:with-param name="title2" select="'スイッチコントロール'" />
		<xsl:with-param name="title3" select="'スイッチコントロール'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchAutoAddedTCItem" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CommandAndControlEnabled'" />
		<xsl:with-param name="title2" select="'音声コントロール'" />
		<xsl:with-param name="valueNode" select="/Root/CommandAndControlEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/CommandAndControlEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CommandAndControlEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/CommandAndControlEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	<!-- ◆8)音声コントロール -->

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'HomeClickSpeed'" />
		<xsl:with-param name="title2" select="'ホームボタン'" />
		<xsl:with-param name="title3" select="'クリックの間隔'" />
		<xsl:with-param name="valueNode" select="/Root/HomeClickSpeed" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/HomeClickSpeed = '0.34999999403953552'">
					<xsl:text>デフォルト</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/HomeClickSpeed = '0.5'">
					<xsl:text>遅く</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/HomeClickSpeed = '0.69999998807907104'">
					<xsl:text>最も遅く</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/HomeClickSpeed = ''">
					<xsl:text>デフォルト</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'HomeButtonAssistantPreference'" />
		<xsl:with-param name="title3" select="'押したままにして話す'" />
		<xsl:with-param name="valueNode" select="/Root/HomeButtonAssistantPreference" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/HomeButtonAssistantPreference = '0'">
					<xsl:text>Siri</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/HomeButtonAssistantPreference = '1'">
					<xsl:text>音声コントロール（クラシック）</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/HomeButtonAssistantPreference = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/HomeButtonAssistantPreference = ''">
					<xsl:text>Siri</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AXRestingHomeButtonUnlock'" />
		<xsl:with-param name="title3" select="'指を当てて開く'" />
		<xsl:with-param name="valueNode" select="/Root/AXRestingHomeButtonUnlock" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/AXRestingHomeButtonUnlock = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/AXRestingHomeButtonUnlock = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/AXRestingHomeButtonUnlock = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AppleTVSimpleGesturesEnabled'" />
		<xsl:with-param name="title2" select="'Apple TV Remote'" />
		<xsl:with-param name="title3" select="'方向ボタン'" />
		<xsl:with-param name="valueNode" select="/Root/AppleTVSimpleGesturesEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/AppleTVSimpleGesturesEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/AppleTVSimpleGesturesEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/AppleTVSimpleGesturesEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'FullKeyboardAccessEnabled'" />
		<xsl:with-param name="title2" select="'キーボード'" />
		<xsl:with-param name="title3" select="'フルキーボードアクセス'" />
		<xsl:with-param name="valueNode" select="/Root/FullKeyboardAccessEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/FullKeyboardAccessEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/FullKeyboardAccessEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/FullKeyboardAccessEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'KeyRepeatEnabled'" />
		<xsl:with-param name="title3" select="'キーのリピート'" />
		<xsl:with-param name="valueNode" select="/Root/KeyRepeatEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/KeyRepeatEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/KeyRepeatEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/KeyRepeatEnabled = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'StickyKeysEnabled'" />
		<xsl:with-param name="title3" select="'複合キー'" />
		<xsl:with-param name="valueNode" select="/Root/StickyKeysEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>

<!-- 2/08 -->

	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'StickyKeysShiftToggleEnabled'" />
		<xsl:with-param name="title4" select="'Shiftキーで切り替え'" />
		<xsl:with-param name="valueNode" select="/Root/StickyKeysShiftToggleEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'StickyKeysBeepEnabled'" />
		<xsl:with-param name="title4" select="'サウンド'" />
		<xsl:with-param name="valueNode" select="/Root/StickyKeysBeepEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SlowKeysEnabled'" />
		<xsl:with-param name="title3" select="'スローキー'" />
		<xsl:with-param name="valueNode" select="/Root/SlowKeysEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/SlowKeysEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SlowKeysEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/SlowKeysEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'HearingAidCompliance'" />
		<xsl:with-param name="title2" select="'ヒアリングデバイス'" />
		<xsl:with-param name="title3" select="'補聴器の互換性'" />
		<xsl:with-param name="valueNode" select="/Root/HearingAidCompliance" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/HearingAidCompliance = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/HearingAidCompliance = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/HearingAidCompliance = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AXSEnabledSoundDetectionState'" />
		<xsl:with-param name="title2" select="'サウンド認識'" />
		<xsl:with-param name="valueNode" select="/Root/AXSEnabledSoundDetectionState" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/AXSEnabledSoundDetectionState = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/AXSEnabledSoundDetectionState = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/AXSEnabledSoundDetectionState = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'PersonalMediaEnabled'" />
		<xsl:with-param name="title2" select="'オーディオ/ビジュアル'" />
		<xsl:with-param name="title3" select="'ヘッドフォン調整'" />
		<xsl:with-param name="valueNode" select="/Root/PersonalMediaEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MonoAudioEnabled'" />
		<xsl:with-param name="title3" select="'モノラルオーディオ'" />
		<xsl:with-param name="valueNode" select="/Root/MonoAudioEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/MonoAudioEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MonoAudioEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MonoAudioEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MACaptionPreferAccessibleCaptions'" />
		<xsl:with-param name="title2" select="'標準字幕とバリアフリー字幕'" />
		<xsl:with-param name="title3" select="'クローズドキャプション+SDH'" />
		<xsl:with-param name="valueNode" select="/Root/MACaptionPreferAccessibleCaptions" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MACaptionDisplayType'" />
		<xsl:with-param name="title2" select="'標準字幕とバリアフリー字幕'" />
		<xsl:with-param name="title3" select="'クローズドキャプション+SDH'" />
		<xsl:with-param name="valueNode" select="/Root/MACaptionDisplayType" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/MACaptionDisplayType = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MACaptionDisplayType = '3'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MACaptionDisplayType = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MACaptionActiveProfile'" />
		<xsl:with-param name="title3" select="'スタイル'" />
		<xsl:with-param name="valueNode" select="/Root/MACaptionActiveProfile" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/MACaptionActiveProfile = 'MACaptionProfile-OutlineText'">
					<xsl:text>アウトラインテキスト</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MACaptionActiveProfile = 'MACaptionProfile-Default'">
					<xsl:text>透明な背景</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MACaptionActiveProfile = 'MACaptionProfile-LargeText'">
					<xsl:text>大きな文字</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MACaptionActiveProfile = 'MACaptionProfile-Classic'">
					<xsl:text>クラシック</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/MACaptionActiveProfile = ''">
					<xsl:text>アウトラインテキスト</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ShowAudioTranscriptionsEnabled'" />
		<xsl:with-param name="title3" select="'オーディオ発音表記を表示'" />
		<xsl:with-param name="valueNode" select="/Root/ShowAudioTranscriptionsEnabled" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/ShowAudioTranscriptionsEnabled = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ShowAudioTranscriptionsEnabled = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/ShowAudioTranscriptionsEnabled = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SiriUITextInputEnabled'" />
		<xsl:with-param name="title2" select="'Siri'" />
		<xsl:with-param name="title3" select="'Siriにタイプ入力'" />
		<xsl:with-param name="valueNode" select="/Root/SiriUITextInputEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AlwaysPrintSiriResponseOverride'" />
		<xsl:with-param name="title2" select="'Siri'" />
		<xsl:with-param name="title3" select="'Siriにタイプ入力'" />
		<xsl:with-param name="valueNode" select="/Root/AlwaysPrintSiriResponseOverride" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'UsedevicespeakerforTTS'" />
		<xsl:with-param name="title3" select="'音声フィードバック'" />
		<xsl:with-param name="valueNode" select="/Root/UsedevicespeakerforTTS" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/UsedevicespeakerforTTS = '1'">
					<xsl:text>消音モードオフ設定</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/UsedevicespeakerforTTS = '2'">
					<xsl:text>応答を常に読み上げる</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/UsedevicespeakerforTTS = '3'">
					<xsl:text>”Hey Siri”使用時のみ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/UsedevicespeakerforTTS = ''">
					<xsl:text>消音モードオフ設定</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AlwaysAllowVoiceActivation'" />
		<xsl:with-param name="title3" select="'”HeySiri”を常に聞き取る'" />
		<xsl:with-param name="valueNode" select="/Root/AlwaysAllowVoiceActivation" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AlwaysObscureBackgroundContentWhenActive'" />
		<xsl:with-param name="title3" select="'Siriの背後にAppを表示'" />
		<xsl:with-param name="valueNode" select="/Root/AlwaysObscureBackgroundContentWhenActive" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	<!-- 追加 -->
	

	


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'InvertColorsEnabled'" />
      <xsl:with-param name="title2" select="'色を反転'" />
      <xsl:with-param name="valueNode" select="/Root/InvertColorsEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/InvertColorsEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'GrayscaleDisplay'" />
      <xsl:with-param name="title2" select="'グレイスケール'" />
      <xsl:with-param name="valueNode" select="/Root/GrayscaleDisplay" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/GrayscaleDisplay"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'QuickSpeak'" />
      <xsl:with-param name="title2">
        <xsl:text>スピーチ</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="title3">
        <xsl:text>選択項目の読み上げ</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/QuickSpeak" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/QuickSpeak"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SpeakThisEnabled'" />
      <xsl:with-param name="title3" select="'画面の読み上げ'" />
      <xsl:with-param name="valueNode" select="/Root/SpeakThisEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/SpeakThisEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="/Root/SpeakThisEnabled = '1' or /Root/SpeakThisEnabled = 'true' or /Root/QuickSpeak = 'true'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'QuickSpeakPrefersCompactForLanguage/Item_Name=ja-JP/Enabled'" />
        <xsl:with-param name="title3" select="'声'" />
        <xsl:with-param name="title4" select="'日本語'" />
        <xsl:with-param name="valueNode" select="/Root/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="CompactVoice">
            <xsl:with-param name="value" select="/Root/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>


      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'QuickSpeakRate8'" />
        <xsl:with-param name="title3" select="'読み上げ速度'" />
        <xsl:with-param name="valueNode" select="/Root/QuickSpeakRate8" />
        <xsl:with-param name="value">
          <xsl:text>遅</xsl:text>
          <xsl:call-template name="slider3">
            <xsl:with-param name="position" select="/Root/QuickSpeakRate8/text()"/>
            <xsl:with-param name="default" select="0.35"/>
            <xsl:with-param name="range" select="1"/>
          </xsl:call-template>
          <xsl:text>速(</xsl:text>
          <xsl:call-template name="slider4">
            <xsl:with-param name="position" select="/Root/QuickSpeakRate8"/>
            <xsl:with-param name="range" select="1"/>
            <xsl:with-param name="default" select="0.35"/>
          </xsl:call-template>
          <xsl:text>)</xsl:text>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'QuickSpeakHighlightText8'" />
      <xsl:with-param name="title3" select="'内容を強調表示'" />
      <xsl:with-param name="valueNode" select="/Root/QuickSpeakHighlightText8" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/QuickSpeakHighlightText8"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SpeakCorrectionsEnabled'" />
      <xsl:with-param name="title2">
      </xsl:with-param>
      <xsl:with-param name="title3">
        <xsl:text>自動テキスト読み上げ</xsl:text>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/SpeakCorrectionsEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/SpeakCorrectionsEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'largeTextUsesExtendedRange'" />
      <xsl:with-param name="title2" select="'より大きな文字'" />
      <xsl:with-param name="valueNode" select="/Root/largeTextUsesExtendedRange" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/largeTextUsesExtendedRange"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'UIPreferredContentSizeCategoryName'" />
      <xsl:with-param name="title3" select="'スライダ位置'" />
      <xsl:with-param name="valueNode" select="/Root/UIPreferredContentSizeCategoryName" />
      <xsl:with-param name="value">
        <xsl:call-template name="UISize">
          <xsl:with-param name="value" select="/Root/UIPreferredContentSizeCategoryName"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'EnhancedTextLegibilityEnabled'" />
      <xsl:with-param name="title2" select="'文字を太くする'" />
      <xsl:with-param name="valueNode" select="/Root/EnhancedTextLegibilityEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/EnhancedTextLegibilityEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="not(starts-with(/Root/ProductVersion, '7.0'))">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ButtonShapesEnabled'" />
        <xsl:with-param name="title2" select="'ボタンの形'" />
        <xsl:with-param name="valueNode" select="/Root/ButtonShapesEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/ButtonShapesEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'EnhancedBackgroundContrastEnabled'" />
      <xsl:with-param name="title2" select="'コントラストを上げる'" />
      <xsl:with-param name="title3" select="'透明度を下げる'" />
      <xsl:with-param name="valueNode" select="/Root/EnhancedBackgroundContrastEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/EnhancedBackgroundContrastEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'DarkenSystemColors'" />
      <xsl:with-param name="title3" select="'色を濃くする'" />
      <xsl:with-param name="valueNode" select="/Root/DarkenSystemColors" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/DarkenSystemColors"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ReduceWhitePointEnabled'" />
      <xsl:with-param name="title3" select="'ホワイトポイントを下げる'" />
      <xsl:with-param name="valueNode" select="/Root/ReduceWhitePointEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/ReduceWhitePointEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ReduceMotionEnabled'" />
      <xsl:with-param name="title2" select="'視差効果を減らす'" />
      <xsl:with-param name="valueNode" select="/Root/ReduceMotionEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/ReduceMotionEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'IncreaseButtonLegibilityEnabled'" />
      <xsl:with-param name="title2" select="'オン/オフラベル'" />
      <xsl:with-param name="valueNode" select="/Root/IncreaseButtonLegibilityEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/IncreaseButtonLegibilityEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <!--聴覚サポート-->
    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'EarpieceNoiseCancellationPreference'" />
        <xsl:with-param name="title2" select="'補聴器'" />
        <xsl:with-param name="title3" select="'補聴器モード'" />
        <xsl:with-param name="valueNode" select="/Root/EarpieceNoiseCancellationPreference" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOn">
            <xsl:with-param name="bool" select="/Root/EarpieceNoiseCancellationPreference"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:variable name="MACaption">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MACaptionDisplayType'" />
        <xsl:with-param name="title2" select="'字幕とキャプション'" />
        <xsl:with-param name="title3" select="'クローズドキャプション+SDH'" />
        <xsl:with-param name="valueNode" select="/Root/MACaptionDisplayType" />
        <xsl:with-param name="value">
          <xsl:call-template name="ClosedCaption">
            <xsl:with-param name="value" select="/Root/MACaptionDisplayType"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MACaptionActiveProfile'" />
        <xsl:with-param name="title3" select="'スタイル'" />
        <xsl:with-param name="valueNode" select="/Root/MACaptionActiveProfile" />
        <xsl:with-param name="value">
          <xsl:call-template name="MACaptionActiveProfile">
            <xsl:with-param name="value" select="/Root/MACaptionActiveProfile" />
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'VisualAlertEnabled'" />
        <xsl:with-param name="title2" select="'LEDフラッシュ通知'" />
        <xsl:with-param name="valueNode" select="/Root/VisualAlertEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/VisualAlertEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'MonoAudioEnabled'" />
      <xsl:with-param name="title2" select="'モノラルオーディオ'" />
      <xsl:with-param name="valueNode" select="/Root/MonoAudioEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/MonoAudioEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <!--電話ノイズキャンセリング-->

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'MasterStereoBalance'" />
      <xsl:with-param name="title2" select="'左右'" />
      <xsl:with-param name="valueNode" select="/Root/MasterStereoBalance" />
      <xsl:with-param name="value">
        左<xsl:call-template name="slider3">
          <xsl:with-param name="position" select="/Root/MasterStereoBalance/text()"/>
          <xsl:with-param name="default" select="0"/>
          <xsl:with-param name="range" select="2"/>
        </xsl:call-template>右(<xsl:call-template name="slider4">
          <xsl:with-param name="position" select="/Root/MasterStereoBalance"/>
          <xsl:with-param name="range" select="2"/>
          <xsl:with-param name="default" select="0"/>
        </xsl:call-template>)
      </xsl:with-param>
    </xsl:call-template>

    <xsl:copy-of select="$MACaption"/>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'MAAudibleMediaPrefPreferDescriptiveVideo'" />
      <xsl:with-param name="title2" select="'ビデオ説明サービス'" />
      <xsl:with-param name="valueNode" select="/Root/MAAudibleMediaPrefPreferDescriptiveVideo" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/MAAudibleMediaPrefPreferDescriptiveVideo"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'GuidedAccessEnabled7'" />
      <xsl:with-param name="title2" select="'アクセスガイド'" />
      <xsl:with-param name="valueNode" select="/Root/GuidedAccessEnabled7" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/GuidedAccessEnabled7/text()"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="/Root/GuidedAccessEnabled7 = '1'">

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'GuidedAccessToneIdentifierForTimeRestrictionEvent'" />
        <xsl:with-param name="title3" select="'時間制限'" />
        <xsl:with-param name="title4" select="'サウンド'" />
        <xsl:with-param name="valueNode" select="/Root/GuidedAccessToneIdentifierForTimeRestrictionEvent" />
        <xsl:with-param name="template" select="'text'" />
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'GuidedAccessSpeakForTimeRestrictionEvent'" />
        <xsl:with-param name="title4" select="'読み上げる'" />
        <xsl:with-param name="valueNode" select="/Root/GuidedAccessSpeakForTimeRestrictionEvent" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/GuidedAccessSpeakForTimeRestrictionEvent"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'kAXSGuidedAccessAXFeaturesEnabled'" />
        <xsl:with-param name="title4" select="'ショートカットを表示'" />
        <xsl:with-param name="valueNode" select="/Root/kAXSGuidedAccessAXFeaturesEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/kAXSGuidedAccessAXFeaturesEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchScannerEnabled'" />
      <xsl:with-param name="title2" select="'スイッチコントロール'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScannerEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchAutoScanningEnabled'" />
      <xsl:with-param name="title3" select="'自動ハイライト'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchAutoScanningEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchAutoScanningEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="/Root/AssistiveTouchAutoScanningEnabled = 'true' or /Root/AssistiveTouchAutoScanningEnabled = ''">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchStepInterval'" />
        <xsl:with-param name="title3" select="'自動ハイライトの時間'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchStepInterval" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/AssistiveTouchStepInterval = ''">1.0秒</xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="format-number(/Root/AssistiveTouchStepInterval,'0.0#')"/>秒
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchDelayAfterInputEnabledPreference'" />
        <xsl:with-param name="title3" select="'最初の項目で一時停止'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchDelayAfterInputEnabledPreference" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/AssistiveTouchDelayAfterInputEnabledPreference"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="/Root/AssistiveTouchDelayAfterInputEnabledPreference = 'true'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'AssistiveTouchDelayAfterInputPreference'" />
          <xsl:with-param name="valueNode" select="/Root/AssistiveTouchDelayAfterInputPreference" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="/Root/AssistiveTouchDelayAfterInputPreference = ''">0.5秒</xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="format-number(/Root/AssistiveTouchDelayAfterInputPreference,'0.0#')"/>秒
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>

      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchScanCyclesPreference'" />
        <xsl:with-param name="title3" select="'繰り返し'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScanCyclesPreference" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/AssistiveTouchScanCyclesPreference = ''">4</xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="/Root/AssistiveTouchScanCyclesPreference"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="/Root/AssistiveTouchAutoScanningEnabled = 'false'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchScannerScanTimeoutEnabled'" />
        <xsl:with-param name="title3" select="'自動的に隠す'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScannerScanTimeoutEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerScanTimeoutEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="/Root/AssistiveTouchScannerScanTimeoutEnabled = 'true'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'AssistiveTouchScannerScanTimeout'" />
          <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScannerScanTimeout" />
          <xsl:with-param name="value">
            <xsl:value-of select="format-number(/Root/AssistiveTouchScannerScanTimeout,'#0')"/>秒
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchScannerSelectTimeoutEnabled'" />
      <xsl:with-param name="title3" select="'自動タップ'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScannerSelectTimeoutEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSelectTimeoutEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="/Root/AssistiveTouchScannerSelectTimeoutEnabled = 'true'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchScannerSelectTimeout'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScannerSelectTimeout" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/AssistiveTouchScannerSelectTimeout = ''">0.75秒</xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="format-number(/Root/AssistiveTouchScannerSelectTimeout,'0.0#')"/>秒
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchActionRepeatEnabledPreference'" />
      <xsl:with-param name="title3" select="'移動の繰り返し'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchActionRepeatEnabledPreference" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchActionRepeatEnabledPreference"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:if test="/Root/AssistiveTouchActionRepeatEnabledPreference = 'true'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchActionRepeatIntervalPreference'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchActionRepeatIntervalPreference" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/AssistiveTouchActionRepeatIntervalPreference = ''">0.5秒</xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="format-number(/Root/AssistiveTouchActionRepeatIntervalPreference,'0.0#')"/>秒
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchInputHoldEnabledPreference'" />
      <xsl:with-param name="title3" select="'保持継続時間'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchInputHoldEnabledPreference" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchInputHoldEnabledPreference"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:if test="/Root/AssistiveTouchInputHoldEnabledPreference = 'true'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchInputHoldDurationPreference'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchInputHoldDurationPreference" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/AssistiveTouchInputHoldDurationPreference = ''">0.1秒</xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="format-number(/Root/AssistiveTouchInputHoldDurationPreference,'0.0#')"/>秒
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchInputCoalescingEnabledPreference'" />
      <xsl:with-param name="title3" select="'繰り返しを無視'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchInputCoalescingEnabledPreference" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchInputCoalescingEnabledPreference"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:if test="/Root/AssistiveTouchInputCoalescingEnabledPreference = 'true'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchInputCoalescingDurationPreference'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchInputCoalescingDurationPreference" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/AssistiveTouchInputCoalescingDurationPreference = ''">0.1秒</xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="format-number(/Root/AssistiveTouchInputCoalescingDurationPreference,'0.0#')"/>秒
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchAxisSweepSpeed'" />
      <xsl:with-param name="title3" select="'グライドカーソルの速度'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchAxisSweepSpeed" />
      <xsl:with-param name="value">
        <xsl:call-template name="SweepSpeed">
          <xsl:with-param name="value" select="/Root/AssistiveTouchAxisSweepSpeed"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchScannerSoundEnabled'" />
      <xsl:with-param name="title3" select="'効果音'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScannerSoundEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSoundEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchScannerSpeechEnabled'" />
      <xsl:with-param name="title3" select="'音声読み上げ'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScannerSpeechEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSpeechEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchScannerPrefersCompactForLanguagePreference/Item_Name=ja_JP/Enabled'" />
      <xsl:with-param name="title4" select="'声'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScannerPrefersCompactForLanguagePreference/Item[Name='ja']/Enabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="CompactVoice">
          <xsl:with-param name="value" select="/Root/AssistiveTouchScannerPrefersCompactForLanguagePreference/Item[Name='ja']/Enabled" />
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:if test="/Root/AssistiveTouchScannerSpeechEnabled = 'true'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchScannerSpeechRatePreference'" />
        <xsl:with-param name="title4" select="'読み上げ速度'" />
        <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScannerSpeechRatePreference" />
        <xsl:with-param name="value">
          <xsl:text>遅</xsl:text><xsl:call-template name="slider3">
            <xsl:with-param name="position" select="/Root/AssistiveTouchScannerSpeechRatePreference/text()"/>
            <xsl:with-param name="default" select="0.3"/>
            <xsl:with-param name="range" select="1"/>
          </xsl:call-template><xsl:text>速(</xsl:text>
          <xsl:call-template name="slider4">
            <xsl:with-param name="position" select="/Root/AssistiveTouchScannerSpeechRatePreference"/>
            <xsl:with-param name="range" select="1"/>
            <xsl:with-param name="default" select="0.3"/>
          </xsl:call-template>)
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSAssistiveTouchScannerMenuIncludeHomeItem'" />
      <xsl:with-param name="title3" select="'含まれているメニュー項目'" />
      <xsl:with-param name="title4" select="'ホーム'" />
      <xsl:with-param name="valueNode" select="/Root/AXSAssistiveTouchScannerMenuIncludeHomeItem" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeHomeItem"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSAssistiveTouchScannerMenuIncludeScrollItem'" />
      <xsl:with-param name="title4" select="'スクロール'" />
      <xsl:with-param name="valueNode" select="/Root/AXSAssistiveTouchScannerMenuIncludeScrollItem" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeScrollItem"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSAssistiveTouchScannerMenuIncludeDeviceItem'" />
      <xsl:with-param name="title4" select="'デバイス'" />
      <xsl:with-param name="valueNode" select="/Root/AXSAssistiveTouchScannerMenuIncludeDeviceItem" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeDeviceItem"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSAssistiveTouchScannerMenuIncludeGesturesItem'" />
      <xsl:with-param name="title4" select="'ジェスチャ'" />
      <xsl:with-param name="valueNode" select="/Root/AXSAssistiveTouchScannerMenuIncludeGesturesItem" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeGesturesItem"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AXSAssistiveTouchScannerMenuIncludeSettingsItem'" />
      <xsl:with-param name="title4" select="'設定'" />
      <xsl:with-param name="valueNode" select="/Root/AXSAssistiveTouchScannerMenuIncludeSettingsItem" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeSettingsItem"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchScanShouldGroupElements'" />
      <xsl:with-param name="title3" select="'項目をグループ化'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchScanShouldGroupElements" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOn">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchScanShouldGroupElements"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchCursorHighVisibilityPreference'" />
      <xsl:with-param name="title3" select="'大きいカーソルを使用'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchCursorHighVisibilityPreference" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchCursorHighVisibilityPreference"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchCursorColorPreference'" />
      <xsl:with-param name="title3" select="'カーソルの色'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchCursorColorPreference" />
      <xsl:with-param name="value">
        <xsl:call-template name="CursorColor">
          <xsl:with-param name="value" select="/Root/AssistiveTouchCursorColorPreference"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchSavedGestures'" />
      <xsl:with-param name="title3" select="'保存済みのジェスチャ'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchSavedGestures" />
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchSavedGesturesCount'" />
      <xsl:with-param name="title4" select="'設定数'" />
      <xsl:with-param name="value">
        <xsl:value-of select="count(/Root/AssistiveTouchSavedGestures/*/text())"/>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:for-each select="/Root/AssistiveTouchSavedGestures/*">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('AssistiveTouchSavedGestures_', position())" />
        <xsl:with-param name="title5">
          ジェスチャ<xsl:value-of select="position()"/>
        </xsl:with-param>
        <xsl:with-param name="value">
          <xsl:value-of select="./text()"/>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:for-each>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchEnabled'" />
      <xsl:with-param name="title2" select="'AssistiveTouch'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="ZeroOffOneOn">
          <xsl:with-param name="value" select="/Root/AssistiveTouchEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchCustomGestures'" />
      <xsl:with-param name="title3" select="'カスタムジェスチャ'" />
      <xsl:with-param name="valueNode" select="/Root/AssistiveTouchCustomGestures" />
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'AssistiveTouchCustomGesturesCount'" />
      <xsl:with-param name="title4" select="'設定数'" />
      <xsl:with-param name="value">
        <xsl:value-of select="count(/Root/AssistiveTouchCustomGestures/*/text())"/>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:for-each select="/Root/AssistiveTouchCustomGestures/*">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AssistiveTouchEnabled'" />
        <xsl:with-param name="title4">
          ジェスチャ<xsl:value-of select="position()"/>
        </xsl:with-param>
        <xsl:with-param name="value">
          <xsl:value-of select="./text()"/>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:for-each>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'HomeClickSpeed'" />
      <xsl:with-param name="title2" select="'ホームクリックの間隔'" />
      <xsl:with-param name="valueNode" select="/Root/HomeClickSpeed" />
      <xsl:with-param name="value">
        <xsl:call-template name="HomeClickSpeed">
          <xsl:with-param name="this" select="/Root/HomeClickSpeed"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DefaultRouteForCallPreference'" />
        <xsl:with-param name="title2" select="'着信'" />
        <xsl:with-param name="valueNode" select="/Root/DefaultRouteForCallPreference" />
        <xsl:with-param name="value">
          <xsl:call-template name="DefaultRouteForCall">
            <xsl:with-param name="value" select="/Root/DefaultRouteForCallPreference"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'TripleClickChoice'" />
      <xsl:with-param name="title2" select="'ショートカット'" />
      <xsl:with-param name="valueNode" select="/Root/TripleClickChoice" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="/Root/TripleClickChoice = ''">オフ</xsl:when>
          <xsl:otherwise>
            <xsl:for-each select="/Root/TripleClickChoice/string">
              <xsl:call-template name="TripleClickName">
                <xsl:with-param name="value" select="./text()"/>
              </xsl:call-template>
              <xsl:text> </xsl:text>
            </xsl:for-each>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>

  </xsl:template>

</xsl:stylesheet>