<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAccessibility01">
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ZoomTouchEnabled'" />
      <xsl:with-param name="title3" select="'ズーム機能'" />
      <xsl:with-param name="valueNode" select="/Root/ZoomTouchEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/ZoomTouchEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &gt;= 8">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ZoomShouldFollowFocus'" />
        <xsl:with-param name="title4" select="'カーソルに追従'" />
        <xsl:with-param name="valueNode" select="/Root/ZoomShouldFollowFocus" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOn">
            <xsl:with-param name="bool" select="/Root/ZoomShouldFollowFocus"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ZoomAlwaysUseWindowZoomForTyping'" />
        <xsl:with-param name="title4" select="'ズームキーボード'" />
        <xsl:with-param name="valueNode" select="/Root/ZoomAlwaysUseWindowZoomForTyping" />
        <xsl:with-param name="value">
          <xsl:call-template name="falseOndefaultOff">
            <xsl:with-param name="bool" select="/Root/ZoomAlwaysUseWindowZoomForTyping"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ZoomShouldShowSlug'" />
        <xsl:with-param name="title4" select="'コントローラを表示'" />
        <xsl:with-param name="valueNode" select="/Root/ZoomShouldShowSlug" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/ZoomShouldShowSlug"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ZoomIdleSlugOpacity'" />
        <xsl:with-param name="title4" select="'待機状態表示'" />
        <xsl:with-param name="valueNode" select="/Root/ZoomIdleSlugOpacity" />
        <xsl:with-param name="value">
          <xsl:call-template name="ZoomOpacity">
            <xsl:with-param name="this" select="/Root/ZoomIdleSlugOpacity"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ZoomPreferredLensMode'" />
        <xsl:with-param name="title4" select="'ズーム領域'" />
        <xsl:with-param name="valueNode" select="/Root/ZoomPreferredLensMode" />
        <xsl:with-param name="value">
          <xsl:call-template name="ZoomMode">
            <xsl:with-param name="this" select="/Root/ZoomPreferredLensMode"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ZoomPreferredMaximumZoomScale'" />
        <xsl:with-param name="title4" select="'最大ズームレベル'" />
        <xsl:with-param name="valueNode" select="/Root/ZoomPreferredMaximumZoomScale" />
        <xsl:with-param name="value">
          <xsl:call-template name="ZoomScale">
            <xsl:with-param name="this" select="/Root/ZoomPreferredMaximumZoomScale"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MagnifierEnabled'" />
        <xsl:with-param name="title2" select="'拡大鏡'" />
        <xsl:with-param name="valueNode" select="/Root/MagnifierEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	<!-- 出力不可 -->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DifferentiateWithoutColor'" />
		<xsl:with-param name="title2" select="'画面表示とテキストサイズ'" />
		<xsl:with-param name="title3" select="'カラー以外で区別'" />
		<xsl:with-param name="valueNode" select="/Root/DifferentiateWithoutColor" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/contactsSortOrder = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/contactsSortOrder = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/contactsSortOrder = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'InvertColorsEnabled'" />
      <xsl:with-param name="title3" select="'色を反転'" />
      <xsl:with-param name="valueNode" select="/Root/InvertColorsEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/InvertColorsEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &gt;= 8">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'GrayscaleDisplay'" />
        <xsl:with-param name="title3" select="'グレイスケール'" />
        <xsl:with-param name="valueNode" select="/Root/GrayscaleDisplay" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/GrayscaleDisplay"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'QuickSpeak'" />
      <xsl:with-param name="title3">
        <xsl:if test="$MajorVersion &gt;= 8">
          スピーチ
        </xsl:if>
        <xsl:if test="$MajorVersion &lt;= 7">
          選択項目の読み上げ
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title4">
        <xsl:if test="$MajorVersion &gt;= 8">
          選択項目の読み上げ
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/QuickSpeak" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/QuickSpeak"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &gt;= 8">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SpeakThisEnabled'" />
        <xsl:with-param name="title4" select="'画面の読み上げ'" />
        <xsl:with-param name="valueNode" select="/Root/SpeakThisEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/SpeakThisEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>


    <xsl:if test="$MajorVersion &lt;= 7">
    <xsl:if test="/Root/SpeakThisEnabled = '1' or /Root/SpeakThisEnabled = 'true' or /Root/QuickSpeak = 'true'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'QuickSpeakLocaleForLanguage-en'" />
        <xsl:with-param name="title4" select="'声'" />
      </xsl:call-template>


      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'QuickSpeakRate'" />
        <xsl:with-param name="title4" select="'読み上げ速度'" />
        <xsl:with-param name="valueNode" select="/Root/QuickSpeakRate" />
        <xsl:with-param name="value">
          遅<xsl:call-template name="slider3">
            <xsl:with-param name="position" select="/Root/QuickSpeakRate/text()"/>
            <xsl:with-param name="default" select="0.35"/>
            <xsl:with-param name="range" select="1"/>
          </xsl:call-template>速(<xsl:call-template name="slider4">
            <xsl:with-param name="position" select="/Root/QuickSpeakRate"/>
            <xsl:with-param name="range" select="1"/>
            <xsl:with-param name="default" select="0.35"/>
          </xsl:call-template>)
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    </xsl:if>
    <xsl:if test="$MajorVersion &gt;= 8">
      <xsl:if test="/Root/SpeakThisEnabled = '1' or /Root/SpeakThisEnabled = 'true' or /Root/QuickSpeak = 'true'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'QuickSpeakPrefersCompactForLanguage/Item_Name=ja-JP/Enabled'" />
          <xsl:with-param name="title4" select="'声'" />
          <xsl:with-param name="title5" select="'日本語'" />
          <xsl:with-param name="valueNode" select="/Root/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled" />
          <xsl:with-param name="value">
            <xsl:call-template name="CompactVoice">
              <xsl:with-param name="value" select="/Root/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>


        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'QuickSpeakRate8'" />
          <xsl:with-param name="title4" select="'読み上げ速度'" />
          <xsl:with-param name="valueNode" select="/Root/QuickSpeakRate8" />
          <xsl:with-param name="value">
            遅<xsl:call-template name="slider3">
              <xsl:with-param name="position" select="/Root/QuickSpeakRate8/text()"/>
              <xsl:with-param name="default" select="0.35"/>
              <xsl:with-param name="range" select="1"/>
            </xsl:call-template>速(<xsl:call-template name="slider4">
              <xsl:with-param name="position" select="/Root/QuickSpeakRate8"/>
              <xsl:with-param name="range" select="1"/>
              <xsl:with-param name="default" select="0.35"/>
            </xsl:call-template>)
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>
    </xsl:if>

    <xsl:if test="$MajorVersion &lt;= 7">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'QuickSpeakHighlightText'" />
        <xsl:with-param name="title4" select="'単語を強調表示'" />
        <xsl:with-param name="valueNode" select="/Root/QuickSpeakHighlightText" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/QuickSpeakHighlightText"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="$MajorVersion &gt;= 8">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'QuickSpeakHighlightText8'" />
        <xsl:with-param name="title4" select="'内容を強調表示'" />
        <xsl:with-param name="valueNode" select="/Root/QuickSpeakHighlightText8" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/QuickSpeakHighlightText8"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SpeakCorrectionsEnabled'" />
      <xsl:with-param name="title3">
        <xsl:if test="$MajorVersion &lt;= 7">
          自動テキスト読み上げ
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title4">
        <xsl:if test="$MajorVersion &gt;= 8">
          自動テキスト読み上げ
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/SpeakCorrectionsEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/SpeakCorrectionsEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:if test="$MajorVersion = 6">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'PreferredFontSize'" />
        <xsl:with-param name="title4" select="'指定したサイズ'" />
        <xsl:with-param name="valueNode" select="/Root/PreferredFontSize" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/PreferredFontSize[.='']">
              オフ
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="/Root/PreferredFontSize/text()"/>pt
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="$MajorVersion &gt;= 7">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'largeTextUsesExtendedRange'" />
        <xsl:with-param name="title3" select="'より大きな文字'" />
        <xsl:with-param name="valueNode" select="/Root/largeTextUsesExtendedRange" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/largeTextUsesExtendedRange"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'UIPreferredContentSizeCategoryName'" />
        <xsl:with-param name="title4" select="'スライダ位置'" />
        <xsl:with-param name="valueNode" select="/Root/UIPreferredContentSizeCategoryName" />
        <xsl:with-param name="value">
          <xsl:call-template name="UISize">
            <xsl:with-param name="value" select="/Root/UIPreferredContentSizeCategoryName"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>


      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'EnhancedTextLegibilityEnabled'" />
        <xsl:with-param name="title3" select="'文字を太くする'" />
        <xsl:with-param name="valueNode" select="/Root/EnhancedTextLegibilityEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/EnhancedTextLegibilityEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="not(starts-with(/Root/ProductVersion, '7.0'))">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'ButtonShapesEnabled'" />
          <xsl:with-param name="title3" select="'ボタンの形'" />
          <xsl:with-param name="valueNode" select="/Root/ButtonShapesEnabled" />
          <xsl:with-param name="value">
            <xsl:call-template name="defaultOff">
              <xsl:with-param name="bool" select="/Root/ButtonShapesEnabled"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'EnhancedBackgroundContrastEnabled'" />
        <xsl:with-param name="title3" select="'コントラストを上げる'" />
        <xsl:with-param name="title4" select="'透明度を下げる'" />
        <xsl:with-param name="valueNode" select="/Root/EnhancedBackgroundContrastEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/EnhancedBackgroundContrastEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DarkenSystemColors'" />
        <xsl:with-param name="title4" select="'色を濃くする'" />
        <xsl:with-param name="valueNode" select="/Root/DarkenSystemColors" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/DarkenSystemColors"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ReduceWhitePointEnabled'" />
        <xsl:with-param name="title4" select="'ホワイトポイントを下げる'" />
        <xsl:with-param name="valueNode" select="/Root/ReduceWhitePointEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/ReduceWhitePointEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'ReduceMotionEnabled'" />
        <xsl:with-param name="title3" select="'視差効果を減らす'" />
        <xsl:with-param name="valueNode" select="/Root/ReduceMotionEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/ReduceMotionEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'IncreaseButtonLegibilityEnabled'" />
        <xsl:with-param name="title3" select="'オン/オフラベル'" />
        <xsl:with-param name="valueNode" select="/Root/IncreaseButtonLegibilityEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/IncreaseButtonLegibilityEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <!--聴覚サポート-->
      <xsl:if test="/Root/DeviceClass = 'iPhone'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'EarpieceNoiseCancellationPreference'" />
          <xsl:with-param name="title3" select="'補聴器'" />
          <xsl:with-param name="title4" select="'補聴器モード'" />
          <xsl:with-param name="valueNode" select="/Root/EarpieceNoiseCancellationPreference" />
          <xsl:with-param name="value">
            <xsl:call-template name="defaultOn">
              <xsl:with-param name="bool" select="/Root/EarpieceNoiseCancellationPreference"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:variable name="MACaption">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'MACaptionDisplayType'" />
          <xsl:with-param name="title3" select="'字幕とキャプション'" />
          <xsl:with-param name="title4" select="'クローズドキャプション+SDH'" />
          <xsl:with-param name="valueNode" select="/Root/MACaptionDisplayType" />
          <xsl:with-param name="value">
            <xsl:call-template name="ClosedCaption">
              <xsl:with-param name="value" select="/Root/MACaptionDisplayType"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'MACaptionActiveProfile'" />
          <xsl:with-param name="title4" select="'スタイル'" />
          <xsl:with-param name="valueNode" select="/Root/MACaptionActiveProfile" />
          <xsl:with-param name="value">
            <xsl:call-template name="MACaptionActiveProfile">
              <xsl:with-param name="value" select="/Root/MACaptionActiveProfile" />
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:variable>

      <xsl:if test="$MajorVersion = 7">
        <xsl:copy-of select="$MACaption"/>
      </xsl:if>

      <xsl:if test="/Root/DeviceClass = 'iPhone'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'VisualAlertEnabled'" />
          <xsl:with-param name="title3" select="'LEDフラッシュ通知'" />
          <xsl:with-param name="valueNode" select="/Root/VisualAlertEnabled" />
          <xsl:with-param name="value">
            <xsl:call-template name="defaultOff">
              <xsl:with-param name="bool" select="/Root/VisualAlertEnabled"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MonoAudioEnabled'" />
        <xsl:with-param name="title3" select="'モノラルオーディオ'" />
        <xsl:with-param name="valueNode" select="/Root/MonoAudioEnabled" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/MonoAudioEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <!--電話ノイズキャンセリング-->

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'MasterStereoBalance'" />
        <xsl:with-param name="title3" select="'左右'" />
        <xsl:with-param name="valueNode" select="/Root/MasterStereoBalance" />
        <xsl:with-param name="value">
          左<xsl:call-template name="slider3">
            <xsl:with-param name="position" select="/Root/MasterStereoBalance/text()"/>
            <xsl:with-param name="default" select="0"/>
            <xsl:with-param name="range" select="2"/>
          </xsl:call-template>右(<xsl:call-template name="slider4">
            <xsl:with-param name="position" select="/Root/MasterStereoBalance"/>
            <xsl:with-param name="range" select="2"/>
            <xsl:with-param name="default" select="0"/>
          </xsl:call-template>)
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="$MajorVersion &gt;= 8">
        <xsl:copy-of select="$MACaption"/>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'MAAudibleMediaPrefPreferDescriptiveVideo'" />
          <xsl:with-param name="title3" select="'ビデオ説明サービス'" />
          <xsl:with-param name="valueNode" select="/Root/MAAudibleMediaPrefPreferDescriptiveVideo" />
          <xsl:with-param name="value">
            <xsl:call-template name="defaultOff">
              <xsl:with-param name="bool" select="/Root/MAAudibleMediaPrefPreferDescriptiveVideo"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

      </xsl:if>
    </xsl:if>

  </xsl:template>

</xsl:stylesheet>