<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

  <xsl:template name="SectionMail">

    <xsl:for-each select="/Root/Mail/ReceiveAccounts/Account">

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/Class')" />
        <xsl:with-param name="title1">
          <xsl:if test="$MajorVersion &lt; 11">
            <xsl:if test="position() = 1">
              <xsl:text>メール</xsl:text>
              <xsl:if test="$MajorVersion &lt; 10">
                <xsl:text>/連絡先/カレンダー</xsl:text>
              </xsl:if>
            </xsl:if>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title2">
          <xsl:if test="$MajorVersion &lt;= 13">
            <xsl:text>アカウント</xsl:text>
            <xsl:value-of select="position()"/>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title3">
          <xsl:if test="$MajorVersion &gt;= 14">
            <xsl:text>アカウント</xsl:text>
            <xsl:value-of select="position()"/>
          </xsl:if>
          <xsl:if test="$MajorVersion &lt;= 13">
            <xsl:text>種類</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title4">
          <xsl:if test="$MajorVersion &gt;= 14">
            <xsl:text>種類</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="Class" />
        <xsl:with-param name="value">
          <xsl:call-template name="AccountType">
            <xsl:with-param name="class" select="Class"/>
            <xsl:with-param name="host" select="ASAccountHost"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="Class != 'ASAccount'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/FullUserName')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>名前</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>名前</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="FullUserName" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>

      </xsl:if>


      <xsl:choose>

        <xsl:when test="Class = 'ASAccount'">

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountEmailAddress')" />
            <xsl:with-param name="title3">
              <xsl:if test="$MajorVersion &lt;= 13">
                <xsl:text>メール</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title4">
              <xsl:if test="$MajorVersion &gt;= 14">
                <xsl:text>メール</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="ASAccountEmailAddress" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>

        </xsl:when>
        <xsl:when test="Class = 'IMAPAccount' or Class = 'POPAccount' or Class = 'CastleIMAPAccount'">

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/EmailAddresses')" />
            <xsl:with-param name="title3">
              <xsl:if test="$MajorVersion &lt;= 13">
                <xsl:text>メール</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title4">
              <xsl:if test="$MajorVersion &gt;= 14">
                <xsl:text>メール</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="EmailAddresses" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>

        </xsl:when>
        <xsl:otherwise>

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/Username')" />
            <xsl:with-param name="title3">
              <xsl:if test="$MajorVersion &lt;= 13">
                <xsl:text>メール</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title4">
              <xsl:if test="$MajorVersion &gt;= 14">
                <xsl:text>メール</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="Username" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>

        </xsl:otherwise>
      </xsl:choose>

      <xsl:if test="Class = 'ASAccount' and ASAccountEmailAddress and ASAccountUsername and ASAccountHost != 'm.hotmail.com'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountHost')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>サーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>サーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="ASAccountHost" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountUsernameDomain')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>ドメイン</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>ドメイン</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="ASAccountUsernameDomain" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountUsernameUsername')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>ユーザ名</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>ユーザ名</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="ASAccountUsernameUsername" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="Class != 'CastleIMAPAccount'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/DisplayName')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>説明</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>説明</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="DisplayName" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="Class = 'IMAPAccount' or Class = 'POPAccount'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/Hostname')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>ホスト名</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>ホスト名</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="Hostname" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/Username')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>ユーザ名</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>ユーザ名</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="Username" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'POPAccount'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMTPIdentifier')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>送信メールサーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>送信メールサーバ</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>プライマリサーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title5">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>プライマリサーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="SMTPIdentifier" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="Class = 'CastleIMAPAccount'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMTPDisabled')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>送信メールサーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>送信メールサーバ</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>プライマリサーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title5">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>プライマリサーバ</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>iCloud SMTPサーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title6">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>iCloud SMTPサーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="SMTPDisabled" />
          <xsl:with-param name="value">
            <xsl:call-template name="falseOndefaultOn">
              <xsl:with-param select="SMTPDisabled" name="bool"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>

      <xsl:if test="Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'POPAccount'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMTPAlternateIdentifiers')" />
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>ほかのSMTPサーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title5">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>ほかのSMTPサーバ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="SMTPAlternateIdentifiers" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="SMTPAlternateIdentifiers = ''">
                <xsl:text>なし</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="cs:Split(SMTPAlternateIdentifiers,'&lt;br/&gt;')" disable-output-escaping="yes"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:if>



      <xsl:if test="Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/StoreDraftsOnServer')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>メールボックスの特性</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>メールボックスの特性</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>下書きメールボックス</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title5">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>下書きメールボックス</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>場所</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title6">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>場所</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="StoreDraftsOnServer" />
          <xsl:with-param name="value">
            <xsl:call-template name="MailBoxPlace">
              <xsl:with-param name="value" select="StoreSentMessagesOnServer"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:if test="StoreDraftsOnServer = 'true'">

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/DraftsMailboxName')" />
            <xsl:with-param name="title5">
              <xsl:if test="$MajorVersion &lt;= 13">
                <xsl:text>下書きメールボックス名</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title6">
              <xsl:if test="$MajorVersion &gt;= 14">
                <xsl:text>下書きメールボックス名</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="DraftsMailboxName" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>

        </xsl:if>

        <xsl:if test="Class != 'GmailAccount'">

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/StoreSentMessagesOnServer')" />
            <xsl:with-param name="title4">
              <xsl:if test="$MajorVersion &lt;= 13">
                <xsl:text>送信済メールボックス</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title5">
              <xsl:if test="$MajorVersion &gt;= 14">
                <xsl:text>送信済メールボックス</xsl:text>
              </xsl:if>
              <xsl:if test="$MajorVersion &lt;= 13">
                <xsl:text>場所</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title6">
              <xsl:if test="$MajorVersion &gt;= 14">
                <xsl:text>場所</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="StoreSentMessagesOnServer" />
            <xsl:with-param name="value">
              <xsl:call-template name="MailBoxPlace">
                <xsl:with-param name="value" select="StoreSentMessagesOnServer"/>
              </xsl:call-template>
            </xsl:with-param>
          </xsl:call-template>


          <xsl:if test="StoreSentMessagesOnServer = 'true'">

            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SentMessagesMailboxName')" />
              <xsl:with-param name="title5">
                <xsl:if test="$MajorVersion &lt;= 13">
                  <xsl:text>送信済メールボックス名</xsl:text>
                </xsl:if>
              </xsl:with-param>
              <xsl:with-param name="title6">
                <xsl:if test="$MajorVersion &gt;= 14">
                  <xsl:text>送信済メールボックス名</xsl:text>
                </xsl:if>
              </xsl:with-param>
              <xsl:with-param name="valueNode" select="SentMessagesMailboxName" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>

          </xsl:if>
        </xsl:if>


        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/StoreTrashOnServer')" />
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>削除済メールボックス</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title5">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>削除済メールボックス</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>場所</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title6">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>場所</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="StoreTrashOnServer" />
          <xsl:with-param name="value">
            <xsl:call-template name="MailBoxPlace">
              <xsl:with-param name="value" select="StoreTrashOnServer"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:if test="StoreTrashOnServer = 'true'">

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/TrashMailboxName')" />
            <xsl:with-param name="title5">
              <xsl:if test="$MajorVersion &lt;= 13">
                <xsl:text>削除済メールボックス名</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title6">
              <xsl:if test="$MajorVersion &gt;= 14">
                <xsl:text>削除済メールボックス名</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="TrashMailboxName" />
            <xsl:with-param name="template" select="'text'"/>
          </xsl:call-template>

        </xsl:if>

        <xsl:if test="Class = 'CastleIMAPAccount'">

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/StoreArchiveOnServer')" />
            <xsl:with-param name="title4">
              <xsl:if test="$MajorVersion &lt;= 13">
                <xsl:text>アーカイブメールボックス</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title5">
              <xsl:if test="$MajorVersion &gt;= 14">
                <xsl:text>アーカイブメールボックス</xsl:text>
              </xsl:if>
              <xsl:if test="$MajorVersion &lt;= 13">
                <xsl:text>場所</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="title6">
              <xsl:if test="$MajorVersion &gt;= 14">
                <xsl:text>場所</xsl:text>
              </xsl:if>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="StoreArchiveOnServer" />
            <xsl:with-param name="value">
              <xsl:call-template name="MailBoxPlace">
                <xsl:with-param name="value" select="StoreArchiveOnServer"/>
              </xsl:call-template>
            </xsl:with-param>
          </xsl:call-template>

          <xsl:if test="StoreArchiveOnServer = 'true'">

            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ArchiveMailboxName')" />
              <xsl:with-param name="title5">
                <xsl:if test="$MajorVersion &lt;= 13">
                  <xsl:text>アーカイブメールボックス名</xsl:text>
                </xsl:if>
              </xsl:with-param>
              <xsl:with-param name="title56">
                <xsl:if test="$MajorVersion &gt;= 14">
                  <xsl:text>アーカイブメールボックス名</xsl:text>
                </xsl:if>
              </xsl:with-param>
              <xsl:with-param name="valueNode" select="ArchiveMailboxName" />
              <xsl:with-param name="template" select="'text'"/>
            </xsl:call-template>

          </xsl:if>

        </xsl:if>

      </xsl:if>

      <xsl:if test="Class = 'CastleIMAPAccount' or Class = 'POPAccount'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ArchiveMessages')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>削除したメッセージの移動先</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>削除したメッセージの移動先</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="ArchiveMessages" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="ArchiveMessages = 'true'">
                <xsl:text>アーカイブメールボックス</xsl:text>
              </xsl:when>
              <xsl:when test="ArchiveMessages = ''">
                <xsl:text>アーカイブメールボックス</xsl:text>
              </xsl:when>
              <xsl:when test="ArchiveMessages = 'false'">
                <xsl:text>削除済メールボックス</xsl:text>
              </xsl:when>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="Class = 'CastleIMAPAccount' or Class = 'AOLAccount' or Class = 'IMAPAccount' or Class = 'POPAccount' ">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/NumberOfDaysToKeepTrash')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>削除したメッセージ</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>削除したメッセージ</xsl:text>
            </xsl:if>
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>削除</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title5">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>削除</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="NumberOfDaysToKeepTrash" />
          <xsl:with-param name="value">
            <xsl:call-template name="days2">
              <xsl:with-param name="day" select="NumberOfDaysToKeepTrash"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="Class = 'GmailAccount' or (Class = 'ASAccount' and ASAccountHost != 'm.hotmail.com') or Class = 'IMAPAccount' or Class = 'POPAccount' ">
        <xsl:choose>
          <xsl:when test="Class = 'ASAccount'">

            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ASAccountUseSSL')" />
              <xsl:with-param name="title3">
                <xsl:if test="$MajorVersion &lt;= 13">
                  <xsl:text>SSLを使用</xsl:text>
                </xsl:if>
              </xsl:with-param>
              <xsl:with-param name="title4">
                <xsl:if test="$MajorVersion &gt;= 14">
                  <xsl:text>SSLを使用</xsl:text>
                </xsl:if>
              </xsl:with-param>
              <xsl:with-param name="valueNode" select="ASAccountUseSSL" />
              <xsl:with-param name="template" select="'defaultOff'"/>
            </xsl:call-template>

          </xsl:when>
          <xsl:otherwise>

            <xsl:call-template name="settingtable">
              <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SSLEnabled')" />
              <xsl:with-param name="title3">
                <xsl:if test="$MajorVersion &lt;= 13">
                  <xsl:text>SSLを使用</xsl:text>
                </xsl:if>
              </xsl:with-param>
              <xsl:with-param name="title4">
                <xsl:if test="$MajorVersion &gt;= 14">
                  <xsl:text>SSLを使用</xsl:text>
                </xsl:if>
              </xsl:with-param>
              <xsl:with-param name="valueNode" select="SSLEnabled" />
              <xsl:with-param name="template" select="'defaultOff'"/>
            </xsl:call-template>

          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>

      <xsl:if test="Class = 'ASAccount' and ASAccountHost != 'm.hotmail.com'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ArchiveMessages')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>削除したメッセージの移動先</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>削除したメッセージの移動先</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="ArchiveMessages" />
          <xsl:with-param name="value">
            <xsl:call-template name="ArchiveMessages">
              <xsl:with-param name="value" select="ArchiveMessages"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'POPAccount' ">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/AuthenticationScheme')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>認証</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>認証</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="AuthenticationScheme" />
          <xsl:with-param name="value">
            <xsl:call-template name="AuthenticationScheme" >
              <xsl:with-param name="scheme" select="AuthenticationScheme/text()"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/ServerPathPrefix')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>IMAPパス接頭辞</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>IMAPパス接頭辞</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="ServerPathPrefix" />
          <xsl:with-param name="template" select="'text'"/>
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="Class = 'POPAccount'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/DeletionPolicy')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>サーバから削除</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>サーバから削除</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="DeletionPolicy" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="DeletionPolicy = 'WhenTransferredOutOfInbox'">
                <xsl:text>受信ボックスから削除時</xsl:text>
              </xsl:when>
              <xsl:when test="DeletionPolicy = 'AfterInterval'">
                <xsl:text>7日</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>しない</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>

      </xsl:if>

      <xsl:if test="Class = 'AOLAccount' or Class = 'GmailAccount' or Class = 'IMAPAccount' or Class = 'POPAccount' ">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/PortNumber')" />
          <xsl:with-param name="title3">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>サーバポート</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>サーバポート</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="PortNumber" />
          <xsl:with-param name="value">
            <xsl:call-template name="MailPort">
              <xsl:with-param name="class" select="Class"/>
              <xsl:with-param name="port" select="PortNumber"/>
              <xsl:with-param name="ssl" select="SSLEnabled"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMIMEEnabled')" />
        <xsl:with-param name="title3">
          <xsl:if test="$MajorVersion &lt;= 13">
            <xsl:text>S/MIME</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="title4">
          <xsl:if test="$MajorVersion &gt;= 14">
            <xsl:text>S/MIME</xsl:text>
          </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="valueNode" select="SMIMEEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
      </xsl:call-template>

      <xsl:if test="SMIMEEnabled = 'true'">

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMIMEEncryptionEnabled')" />
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>署名</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title5">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>署名</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="SMIMEEncryptionEnabled" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="SMIMEEncryptionEnabled = 'true'">
                <xsl:text>はい</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>いいえ</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/SMIMESigningEnabled')" />
          <xsl:with-param name="title4">
            <xsl:if test="$MajorVersion &lt;= 13">
              <xsl:text>暗号化</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="title5">
            <xsl:if test="$MajorVersion &gt;= 14">
              <xsl:text>暗号化</xsl:text>
            </xsl:if>
          </xsl:with-param>
          <xsl:with-param name="valueNode" select="SMIMESigningEnabled" />
          <xsl:with-param name="value">
            <xsl:choose>
              <xsl:when test="SMIMESigningEnabled = 'true'">
                <xsl:text>はい</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>いいえ</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:with-param>
        </xsl:call-template>

      </xsl:if>

    </xsl:for-each>



    <xsl:for-each select="/Root/Mail/SendAccounts/Account">

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/Hostname')" />
        <xsl:with-param name="title2">
          <xsl:text>送信サーバ</xsl:text>
          <xsl:value-of select="position()"/>
        </xsl:with-param>
        <xsl:with-param name="title3" select="'ホスト名'" />
        <xsl:with-param name="valueNode" select="Hostname" />
        <xsl:with-param name="template" select="'text'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/Username')" />
        <xsl:with-param name="title3" select="'ユーザ名'" />
        <xsl:with-param name="valueNode" select="Username" />
        <xsl:with-param name="template" select="'text'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/SSLEnabled')" />
        <xsl:with-param name="title3" select="'SSLを使用'" />
        <xsl:with-param name="valueNode" select="SSLEnabled" />
        <xsl:with-param name="template" select="'defaultOff'"/>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/AuthenticationScheme')" />
        <xsl:with-param name="title3" select="'認証'" />
        <xsl:with-param name="valueNode" select="AuthenticationScheme" />
        <xsl:with-param name="value">
          <xsl:call-template name="AuthenticationScheme" >
            <xsl:with-param name="scheme" select="AuthenticationScheme/text()"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="concat('Mail/SendAccounts/Account_',position(),'/PortNumber')" />
        <xsl:with-param name="title3" select="'サーバポート'" />
        <xsl:with-param name="valueNode" select="PortNumber" />
        <xsl:with-param name="value">
          <xsl:call-template name="MailPort">
            <xsl:with-param name="class" select="Class"/>
            <xsl:with-param name="port" select="PortNumber"/>
            <xsl:with-param name="ssl" select="SSLEnabled"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

    </xsl:for-each>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/DeviceSpecificIdentifier'" />
      <xsl:with-param name="title1">
        <xsl:if test="not(/Root/Mail/ReceiveAccounts/Account) and not(/Root/Mail/SendAccounts/Account)">
          <xsl:text>メール</xsl:text>
          <xsl:if test="$MajorVersion &lt; 10">
            <xsl:text>/連絡先/カレンダー</xsl:text>
          </xsl:if>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title2">
        <xsl:if test="$MajorVersion &lt;= 13">
          <xsl:text>ExchangeデバイスID</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title3">
        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:text>ExchangeデバイスID</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="/Root/Mail/DeviceSpecificIdentifier" />
      <xsl:with-param name="template" select="'text'"/>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AccountMobilenotes'" />
		<xsl:with-param name="title3" select="'アカウント'" />
		<xsl:with-param name="valueNode" select="/Root/AccountMobilenotes" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/PCEnablePush'" />
      <xsl:with-param name="title2">
        <xsl:if test="$MajorVersion &lt;= 13">
          <xsl:text>データの取得方法</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title3">
        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:text>データの取得方法</xsl:text>
        </xsl:if>
        <xsl:if test="$MajorVersion &lt;= 13">
          <xsl:text>プッシュ</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title4">
        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:text>プッシュ</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="Mail/PCEnablePush" />
      <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'fetchiCloud'" />
      <xsl:with-param name="title3">
        <xsl:if test="$MajorVersion &lt;= 13">
          <xsl:text>iCloud</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title4">
        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:text>iCloud</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="fetchiCloud" />
      <xsl:with-param name="value">
        <xsl:call-template name="PushFetch">
          <xsl:with-param select="/Root/fetchiCloud" name="value"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'fetchHolidayCalendar'" />
      <xsl:with-param name="title3">
        <xsl:if test="$MajorVersion &lt;= 13">
          <xsl:text>祝日カレンダー</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title4">
        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:text>日本の祝日</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="fetchHolidayCalendar" />
      <xsl:with-param name="value">
        <xsl:call-template name="PushFetch">
          <xsl:with-param select="/Root/fetchHolidayCalendar" name="value"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>



    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/PCDefaultPollInterval'" />
      <xsl:with-param name="title3">
        <xsl:if test="$MajorVersion &lt;= 13">
          <xsl:text>フェッチ</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title4">
        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:text>フェッチ</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="valueNode" select="Mail/PCDefaultPollInterval" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="/Root/Mail/PCDefaultPollInterval = ''">
            <xsl:text>自動</xsl:text>
          </xsl:when>
          <xsl:when test="/Root/Mail/PCDefaultPollInterval = '0'">
            <xsl:text>自動</xsl:text>
          </xsl:when>
          <xsl:when test="/Root/Mail/PCDefaultPollInterval = '-1'">
            <xsl:text>手動</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="Second2Time" >
              <xsl:with-param name="second" select="/Root/Mail/PCDefaultPollInterval"/>
            </xsl:call-template>
            <xsl:text>ごと</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>

    <!--
    <tr id="Mail/Push">
      <td class="t_line05"></td>
      <td class="t_line05"></td>
      <td class="t_line05"></td>
      <td class="t_line05">詳細</td>
      <td class="t_line05"></td>
      <td class="t_line05"></td>
      <td class="t_line04">
      </td>
    <xsl:call-template name ="MasterSetting">
<xsl:with-param name="name" select="'Mail/Push'" />
<xsl:with-param name="node" select="/Root/Mail/Push"/>
</xsl:call-template>
    </tr>
    -->

    <xsl:if test="$MajorVersion &lt;= 9">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Mail/RecentMessageCount'" />
        <xsl:with-param name="title2" select="'メッセージリスト'" />
        <xsl:with-param name="title3" select="'表示'" />
        <xsl:with-param name="valueNode" select="Mail/RecentMessageCount" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/Mail/RecentMessageCount = ''">
              <xsl:text>50</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="/Root/Mail/RecentMessageCount"/>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:text>件のメッセージ履歴</xsl:text>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/LinesOfPreview'" />
      <xsl:with-param name="title1">
        <xsl:if test="$MajorVersion &gt;= 11 and $MajorVersion &lt;= 13">
          <xsl:text>メール</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title2">
        <xsl:if test="$MajorVersion &gt;= 10">
          <xsl:text>メッセージリスト</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title3" select="'プレビュー'" />
      <xsl:with-param name="valueNode" select="Mail/LinesOfPreview" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="/Root/Mail/LinesOfPreview = ''">
            <xsl:text>2行</xsl:text>
          </xsl:when>
          <xsl:when test="/Root/Mail/LinesOfPreview = '0'">
            <xsl:text>なし</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="/Root/Mail/LinesOfPreview"/>
            <xsl:text>行</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ShowToCCIndicators'" />
      <xsl:with-param name="title3" select="'TO/CCラベルを表示'" />
      <xsl:with-param name="valueNode" select="Mail/ShowToCCIndicators" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/RightEdgeSwipeAction'" />
      <xsl:with-param name="title3" select="'スワイプオプション'" />
      <xsl:with-param name="title4" select="'左にスワイプ'" />
      <xsl:with-param name="valueNode" select="Mail/RightEdgeSwipeAction" />
      <xsl:with-param name="value">
        <xsl:call-template name="SwipeAction">
          <xsl:with-param name="value" select="/Root/Mail/RightEdgeSwipeAction"/>
          <xsl:with-param name="dir" select="'left'"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/LeftEdgeSwipeAction'" />
      <xsl:with-param name="title4" select="'右にスワイプ'" />
      <xsl:with-param name="valueNode" select="Mail/LeftEdgeSwipeAction" />
      <xsl:with-param name="value">
        <xsl:call-template name="SwipeAction">
          <xsl:with-param name="value" select="/Root/Mail/LeftEdgeSwipeAction"/>
          <xsl:with-param name="dir" select="'right'"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &lt; 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Mail/FlagStyle'" />
        <xsl:with-param name="title3" select="'フラグのスタイル'" />
        <xsl:with-param name="valueNode" select="Mail/FlagStyle" />
        <xsl:with-param name="value">
          <xsl:call-template name="FlagStyle">
            <xsl:with-param name="value" select="/Root/Mail/FlagStyle"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ShowMessageDeleteConfirmation'" />
      <xsl:with-param name="title2" select="'メッセージ'" />
      <xsl:with-param name="title3" select="'削除前に確認'" />
      <xsl:with-param name="valueNode" select="Mail/ShowMessageDeleteConfirmation" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/BlockRemoteImages'" />
      <xsl:with-param name="title3" select="'サーバ上の画像を読み込む'" />
      <xsl:with-param name="valueNode" select="Mail/BlockRemoteImages" />
      <xsl:with-param name="value">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param select="/Root/Mail/BlockRemoteImages" name="bool"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/DisableThreading'" />
      <xsl:with-param name="title2" select="'スレッド'" />
      <xsl:with-param name="title3" select="'スレッドにまとめる'" />
      <xsl:with-param name="valueNode" select="Mail/DisableThreading" />
      <xsl:with-param name="value">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param select="/Root/Mail/DisableThreading" name="bool"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Mail/CollapseReadConversationMessages'" />
        <xsl:with-param name="title3" select="'開封メッセージを閉じる'" />
        <xsl:with-param name="valueNode" select="Mail/CollapseReadConversationMessages" />
        <xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ConversationViewShowsNewestAtTop'" />
      <xsl:with-param name="title3" select="'最新のメッセージを一番上へ'" />
      <xsl:with-param name="valueNode" select="Mail/ConversationViewShowsNewestAtTop" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ConversationViewExcludesRelatedMessages'" />
      <xsl:with-param name="title3" select="'スレッドを全部そろえる'" />
      <xsl:with-param name="valueNode" select="Mail/ConversationViewExcludesRelatedMessages" />
      <xsl:with-param name="value">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param name="bool" select="/Root/ConversationViewExcludesRelatedMessages"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Mail/MutedThreadActionKey'" />
        <xsl:with-param name="title3" select="'ミュートにしたスレッドの操作'" />
        <xsl:with-param name="valueNode" select="Mail/MutedThreadActionKey" />
        <xsl:with-param name="value">
          <xsl:call-template name="MutedThreadAction">
            <xsl:with-param name="value" select="/Root/Mail/MutedThreadActionKey"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Mail/BlockedSenderMode'" />
        <xsl:with-param name="title3" select="'受信拒否送信者オプション'" />
        <xsl:with-param name="valueNode" select="Mail/BlockedSenderMode" />
        <xsl:with-param name="value">
          <xsl:call-template name="BlockedSenderMode">
            <xsl:with-param name="value" select="/Root/Mail/BlockedSenderMode"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/ReplyToSelf'" />
      <xsl:with-param name="title2" select="'作成'" />
      <xsl:with-param name="title3" select="'常にBccに自分を追加'" />
      <xsl:with-param name="valueNode" select="Mail/ReplyToSelf" />
      <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/managedEmailDomains'" />
      <xsl:with-param name="title3" select="'アドレスをマーク'" />
      <xsl:with-param name="valueNode" select="Mail/managedEmailDomains" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="Mail/managedEmailDomains = ''">
            <xsl:text>オフ</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="Mail/managedEmailDomains"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/DisableQuoteIncrease'" />
      <xsl:with-param name="title3" select="'引用のマークを増やす'" />
      <xsl:with-param name="valueNode" select="Mail/DisableQuoteIncrease" />
      <xsl:with-param name="value">
        <xsl:call-template name="falseOndefaultOn">
          <xsl:with-param select="/Root/Mail/DisableQuoteIncrease" name="bool"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Mail/IncludeAttachmentReplies'" />
        <xsl:with-param name="title3" select="'返信に添付ファイルを含める'" />
        <xsl:with-param name="valueNode" select="Mail/IncludeAttachmentReplies" />
        <xsl:with-param name="value">
          <xsl:call-template name="IncludeAttachment">
            <xsl:with-param name="value" select="/Root/Mail/IncludeAttachmentReplies"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/UseAccountSignatures'" />
      <xsl:with-param name="title3" select="'署名'" />
      <xsl:with-param name="valueNode" select="Mail/UseAccountSignatures" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="/Root/Mail/UseAccountSignatures = 'true'">
            <xsl:text>アカウントごと</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>すべてのアカウント</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:if test="/Root/Mail/UseAccountSignatures != 'true'">

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'Mail/SignatureKey'" />
        <xsl:with-param name="title4" select="'すべてのアカウント'" />
        <xsl:with-param name="valueNode" select="Mail/SignatureKey" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/Mail/SignatureKey = ''">
              <xsl:value-of select="/Root/DeviceClass"/>
              <xsl:text>から送信</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="/Root/Mail/SignatureKey"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>

    </xsl:if>

    <xsl:if test="/Root/Mail/UseAccountSignatures = 'true'">
      <xsl:for-each select="/Root/Mail/ReceiveAccounts/Account">
        <xsl:if test="Class != 'AAAccount'">

          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="concat('Mail/ReceiveAccounts/Account_',position(),'/CustomSignature')" />
            <xsl:with-param name="title4">
              <xsl:choose>
                <xsl:when test="Class = 'CastleIMAPAccount'">
                  <xsl:text>iCloud</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="DisplayName"/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="valueNode" select="CustomSignature" />
            <xsl:with-param name="value">
              <xsl:choose>
                <xsl:when test="CustomSignature = ''">
                  <xsl:choose>
                    <xsl:when test="/Root/Mail/SignatureKey = ''">
                      <xsl:value-of select="/Root/DeviceClass"/>
                      <xsl:text>から送信</xsl:text>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:value-of select="/Root/Mail/SignatureKey"/>
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="CustomSignature"/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
          </xsl:call-template>


        </xsl:if>
      </xsl:for-each>
    </xsl:if>

    <!--<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'Mail/DefaultSendingAccount'" />
      <xsl:with-param name="title3" select="'デフォルトアカウント'" />
      <xsl:with-param name="valueNode" select="Mail/DefaultSendingAccount" />
      <xsl:with-param name="value">
        <xsl:choose>
          <xsl:when test="/Root/Mail/DefaultSendingAccount != ''">
            <xsl:value-of select="/Root/Mail/DefaultSendingAccount"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="/Root/Mail/ReceiveAccounts/Account[1]/DisplayName"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>-->

  </xsl:template>

</xsl:stylesheet>