<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionScreen">

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'DarkMode'" />
        <xsl:with-param name="title1" select="'画面表示と明るさ'" />
        <xsl:with-param name="title2" select="'外観モード'" />
        <xsl:with-param name="title3" select="'ライト/ダーク'" />
        <xsl:with-param name="valueNode" select="/Root/DarkMode" />
        <xsl:with-param name="template" select="'defaultOff'"/>
        <xsl:with-param name="param1" select="'ダーク'"/>
        <xsl:with-param name="param2" select="'ライト'"/>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'AutoDarkMode'" />
        <xsl:with-param name="title3" select="'自動'" />
        <xsl:with-param name="valueNode" select="/Root/AutoDarkMode" />
        <xsl:with-param name="template" select="'defaultOff'"/>
      </xsl:call-template>

      <xsl:if test="AutoDarkMode = 'true'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'CustomDarkMode'" />
          <xsl:with-param name="title3" select="'オプション'" />
          <xsl:with-param name="title4" select="'外観モードのスケジュール'" />
          <xsl:with-param name="valueNode" select="/Root/CustomDarkMode" />
          <xsl:with-param name="value">
            <xsl:call-template name="CustomDarkMode">
              <xsl:with-param name="value" select="/Root/CustomDarkMode"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:if test="/Root/CustomDarkMode = 'true'">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'DarkModeEnd'" />
            <xsl:with-param name="title4" select="'ライト'" />
            <xsl:with-param name="valueNode" select="/Root/DarkModeEnd" />
            <xsl:with-param name="value">
              <xsl:value-of select="format-number(number(substring-before(/Root/DarkModeEnd, ':')), '00')"/>
              <xsl:text>：</xsl:text>
              <xsl:value-of select="format-number(number(substring-after(/Root/DarkModeEnd, ':')), '00')"/>
            </xsl:with-param>
          </xsl:call-template>
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'DarkModeStart'" />
            <xsl:with-param name="title4" select="'ダーク'" />
            <xsl:with-param name="valueNode" select="/Root/DarkModeStart" />
            <xsl:with-param name="value">
              <xsl:value-of select="format-number(number(substring-before(/Root/DarkModeStart, ':')), '00')"/>
              <xsl:text>：</xsl:text>
              <xsl:value-of select="format-number(number(substring-after(/Root/DarkModeStart, ':')), '00')"/>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>
      </xsl:if>
      
    </xsl:if>
    
    
    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SBBacklightLevel2'" />
      <xsl:with-param name="title1">
        <xsl:if test="$MajorVersion &lt; 13">
          <xsl:text>画面表示と明るさ</xsl:text>
        </xsl:if>
      </xsl:with-param>
      <xsl:with-param name="title2" select="'明るさ'" />
      <xsl:with-param name="valueNode" select="/Root/SBBacklightLevel2" />
      <xsl:with-param name="value">
        <xsl:text>暗</xsl:text>
        <xsl:call-template name="slider3">
          <xsl:with-param name="position" select="/Root/SBBacklightLevel2/text()"/>
          <xsl:with-param name="default" select="0.45"/>
          <xsl:with-param name="range" select="1"/>
        </xsl:call-template>
        <xsl:text>明(</xsl:text>
        <xsl:call-template name="slider4">
          <xsl:with-param name="position" select="/Root/SBBacklightLevel2"/>
          <xsl:with-param name="range" select="1"/>
          <xsl:with-param name="default" select="0.45"/>
        </xsl:call-template>
        <xsl:text>)</xsl:text>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:if test="$MajorVersion &lt;= 10">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BKEnableALS'" />
        <xsl:with-param name="title2" select="'明るさの自動調節'" />
        <xsl:with-param name="valueNode" select="/Root/BKEnableALS" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOn">
            <xsl:with-param name="bool" select="/Root/BKEnableALS"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>
	
	<xsl:if test="$MajorVersion &gt;= 14">
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CBColorAdaptationEnabled'" />
		<xsl:with-param name="title2" select="'True Tone'" />
		<xsl:with-param name="valueNode" select="/Root/CBColorAdaptationEnabled" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/LowerCaseKeyboard = '0'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/LowerCaseKeyboard = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/LowerCaseKeyboard = ''">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	  </xsl:call-template>
	</xsl:if>
	

    <xsl:if test="$MajorVersion &gt;= 10">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BlueReductionTime'" />
        <xsl:with-param name="title2" select="'Night Shift'" />
        <xsl:with-param name="title3" select="'時間指定'" />
        <xsl:with-param name="valueNode" select="/Root/BlueReductionTime" />
        <xsl:with-param name="template" select="'defaultOff'" />
      </xsl:call-template>

      <xsl:if test="/Root/BlueReductionTime = 'true'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'BlueReductionMode'" />
          <xsl:with-param name="title3" select="'スケジュールを自動化'" />
          <xsl:with-param name="valueNode" select="/Root/BlueReductionMode" />
          <xsl:with-param name="value">
            <xsl:call-template name="BlueReductionMode">
              <xsl:with-param name="value" select="/Root/BlueReductionMode"/>
            </xsl:call-template>
          </xsl:with-param>
        </xsl:call-template>

        <xsl:if test="/Root/BlueReductionMode = '2'">
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'NightStart'" />
            <xsl:with-param name="title3" select="'オンにする'" />
            <xsl:with-param name="valueNode" select="/Root/NightStart" />
            <xsl:with-param name="value">
              <xsl:value-of select="format-number(number(substring-before(/Root/NightStart, ':')), '00')"/>
              <xsl:text>：</xsl:text>
              <xsl:value-of select="format-number(number(substring-after(/Root/NightStart, ':')), '00')"/>
            </xsl:with-param>
          </xsl:call-template>
          <xsl:call-template name="settingtable">
            <xsl:with-param name="id" select="'DayStart'" />
            <xsl:with-param name="title3" select="'オフにする'" />
            <xsl:with-param name="valueNode" select="/Root/DayStart" />
            <xsl:with-param name="value">
              <xsl:value-of select="format-number(number(substring-before(/Root/DayStart, ':')), '00')"/>
              <xsl:text>：</xsl:text>
              <xsl:value-of select="format-number(number(substring-after(/Root/DayStart, ':')), '00')"/>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:if>

      </xsl:if>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'BlueReductionEnabledBool'" />
        <xsl:with-param name="title3" select="'手動で明日まで有効にする'" />
        <xsl:with-param name="valueNode" select="/Root/BlueReductionEnabledBool" />
        <xsl:with-param name="value">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="/Root/BlueReductionEnabledBool"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CBBlueLightReductionCCTTargetRaw'" />
        <xsl:with-param name="title3" select="'色温度'" />
        <xsl:with-param name="valueNode" select="/Root/CBBlueLightReductionCCTTargetRaw" />
        <xsl:with-param name="value">
          <xsl:text>冷たく</xsl:text>
          <xsl:call-template name="slider5">
            <xsl:with-param name="position" select="/Root/CBBlueLightReductionCCTTargetRaw/text()"/>
            <xsl:with-param name="default" select="4100"/>
            <xsl:with-param name="min" select="6000"/>
            <xsl:with-param name="max" select="2700"/>
          </xsl:call-template>
          <xsl:text>暖かく(</xsl:text>
          <xsl:if test="/Root/CBBlueLightReductionCCTTargetRaw != ''">
            <xsl:value-of select="format-number(/Root/CBBlueLightReductionCCTTargetRaw, '0K')"/>
          </xsl:if>
          <xsl:if test="/Root/CBBlueLightReductionCCTTargetRaw = ''">
            <xsl:text>4100K</xsl:text>
          </xsl:if>
          <xsl:text>)</xsl:text>
        </xsl:with-param>
      </xsl:call-template>





      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'maxInactivity'" />
        <xsl:with-param name="title2" select="'自動ロック'" />
        <xsl:with-param name="valueNode" select="/Root/maxInactivity" />
        <xsl:with-param name="value">
          <xsl:choose>
            <xsl:when test="/Root/maxInactivity/text()='0'">
              <xsl:text>なし</xsl:text>
            </xsl:when>
            <xsl:when test="/Root/maxInactivity/text()=''">
              <xsl:text>なし</xsl:text>
            </xsl:when>
            <xsl:when test="/Root/maxInactivity/text()='2147483647'">
              <xsl:text>なし</xsl:text>
            </xsl:when>
            <xsl:when test="/Root/maxInactivity/text()='30'">
              <xsl:text>30秒</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="number(/Root/maxInactivity) div 60"/>
              <xsl:text>分</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:with-param>
      </xsl:call-template>

      <xsl:if test="/Root/DeviceClass = 'iPhone'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBSupportLiftToWake'" />
          <xsl:with-param name="title2" select="'手前に傾けてスリープ解除'" />
          <xsl:with-param name="valueNode" select="/Root/SBSupportLiftToWake" />
          <xsl:with-param name="template" select="'defaultOn'" />
        </xsl:call-template>
      </xsl:if>
    </xsl:if>


    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'UIPreferredContentSizeCategoryName'" />
      <xsl:with-param name="title2">
        <xsl:call-template name="getname">
          <xsl:with-param name="id" select="'UIPreferredContentSizeCategoryName'"/>
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="title3" select="'スライダ位置'" />
      <xsl:with-param name="valueNode" select="/Root/UIPreferredContentSizeCategoryName" />
      <xsl:with-param name="value">
        <xsl:call-template name="UISize">
          <xsl:with-param name="value" select="/Root/UIPreferredContentSizeCategoryName"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'EnhancedTextLegibilityEnabled'" />
      <xsl:with-param name="title2" select="'文字を太くする'" />
      <xsl:with-param name="valueNode" select="/Root/EnhancedTextLegibilityEnabled" />
      <xsl:with-param name="value">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/EnhancedTextLegibilityEnabled"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'XBRecentScreenSize'" />
        <xsl:with-param name="title2" select="'拡大表示'" />
        <xsl:with-param name="title3" select="'表示'" />
        <xsl:with-param name="valueNode" select="/Root/XBRecentScreenSize" />
        <xsl:with-param name="value">
          <xsl:call-template name="ScreenSize">
            <xsl:with-param name="value" select="/Root/XBRecentScreenSize"/>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:if>


    <xsl:if test="$MajorVersion = 13">
      <xsl:if test="/Root/DeviceClass = 'iPad'">
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBHomeLayoutLowDensity'" />
          <xsl:with-param name="title2" select="'ホーム画面のレイアウト'" />
          <xsl:with-param name="title3" select="'多く/大きく'" />
          <xsl:with-param name="valueNode" select="/Root/SBHomeLayoutLowDensity" />
          <xsl:with-param name="template" select="'defaultOff'"/>
          <xsl:with-param name="param1" select="'大きく'"/>
          <xsl:with-param name="param2" select="'多く'"/>
        </xsl:call-template>
        <xsl:call-template name="settingtable">
          <xsl:with-param name="id" select="'SBHomeSidebarIsPinned'" />
          <xsl:with-param name="title3" select="'”今日の表示”をホーム画面に固定'" />
          <xsl:with-param name="valueNode" select="/Root/SBHomeSidebarIsPinned" />
          <xsl:with-param name="template" select="'defaultOff'"/>
        </xsl:call-template>
      </xsl:if>
    </xsl:if>

    <xsl:if test="$MajorVersion &gt;= 14">

      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBHomeAutomaticallyAddsNewApplications'" />
        <xsl:with-param name="title1" select="'ホーム画面'" />
        <xsl:with-param name="title2" select="'新規ダウンロードApp'" />
        <xsl:with-param name="valueNode" select="/Root/SBHomeAutomaticallyAddsNewApplications" />
        <xsl:with-param name="template" select="'OnOff'"/>
        <xsl:with-param name="param1" select="'ホーム画面に追加'"/>
        <xsl:with-param name="param2" select="'Appライブラリのみ'"/>
      </xsl:call-template>
      <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBHomeScreenShowsBadgesInAppLibrary'" />
        <xsl:with-param name="title2" select="'通知バッジ'" />
        <xsl:with-param name="title3" select="'Appライブラリに表示'" />
        <xsl:with-param name="valueNode" select="/Root/SBHomeScreenShowsBadgesInAppLibrary" />
        <xsl:with-param name="template" select="'OnOff'"/>
      </xsl:call-template>

    </xsl:if>
	
	<xsl:if test="/Root/DeviceClass = 'iPad' and $MajorVersion &gt;= 14">
    　　<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBHomeLayoutLowDensity'" />
        <xsl:with-param name="title1" select="'ホーム画面とDock'" />
		<xsl:with-param name="title2" select="'APPアイコン'" />
        <xsl:with-param name="valueNode" select="/Root/SBHomeLayoutLowDensity" />
        <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'大きく'"/>
        <xsl:with-param name="param2" select="'多く'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBHomeSidebarIsPinned'" />
		<xsl:with-param name="title2" select="'“今日の表示”をホーム画面に固定'" />
        <xsl:with-param name="valueNode" select="/Root/SBHomeSidebarIsPinned" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBMedusaEnabled'" />
		<xsl:with-param name="title2" select="'マルチタスク'" />
		<xsl:with-param name="title3" select="'複数のAppを許可'" />
        <xsl:with-param name="valueNode" select="/Root/SBMedusaEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBUseSystemGestures'" />
		<xsl:with-param name="title3" select="'ジェスチャ'" />
        <xsl:with-param name="valueNode" select="/Root/SBUseSystemGestures" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'SBRecentsEnabled'" />
		<xsl:with-param name="title2" select="'おすすめのApp最近使用したAppを表示'" />
        <xsl:with-param name="valueNode" select="/Root/SBRecentsEnabled" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	</xsl:if>
  </xsl:template>

</xsl:stylesheet>