<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">

    <xsl:template name="SectionSound">
	
	  <xsl:if test="/Root/DeviceClass = 'iPhone'">
		<xsl:call-template name="settingtable">
			<xsl:with-param name="id" select="'ring-vibrate'" />
			<xsl:with-param name="title1" select="'サウンド'" />
			<xsl:with-param name="title2" select="'着信スイッチ選択時'" />
			<xsl:with-param name="valueNode" select="/Root/ring-vibrate" />
			<xsl:with-param name="template" select="'defaultOn'"/>
		</xsl:call-template>
	  
		<xsl:call-template name="settingtable">
			<xsl:with-param name="id" select="'silent-vibrate'" />
			<xsl:with-param name="title2" select="'サイレントスイッチ選択時'" />
			<xsl:with-param name="valueNode" select="/Root/silent-vibrate" />
			<xsl:with-param name="template" select="'defaultOn'"/>
		</xsl:call-template>
	  </xsl:if>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VolumeLimitEnabled'" />
      <xsl:with-param name="title1">
          <xsl:if test="/Root/DeviceClass = 'iPad'">
            <xsl:text>サウンド</xsl:text>
          </xsl:if>
      </xsl:with-param>
	  <xsl:with-param name="title2" select="'ヘッドフォンオーディオ'" />
      <xsl:with-param name="title3" select="'大きな音を抑える'" />
      <xsl:with-param name="valueNode" select="VolumeLimitEnabled" />
      <xsl:with-param name="template" select="'defaultOff'" />
    </xsl:call-template>

    <xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VolumeLimitThreshold'" />
      <xsl:with-param name="title3" select="'デシベル'" />
      <xsl:with-param name="valueNode" select="VolumeLimitThreshold" />
      <xsl:with-param name="template" select="'text'" />
    </xsl:call-template>


	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'VolumeRingtone'" />
	  <xsl:with-param name="title2" select="'着信音と通知音'" />
	  <xsl:with-param name="title3" select="'ボリューム'" />
      <xsl:with-param name="valueNode" select="/Root/VolumeRingtone" />
       <xsl:with-param name="value">
        <xsl:text>低</xsl:text>
        <xsl:call-template name="slider3">
          <xsl:with-param name="position" select="/Root/VolumeRingtone/text()"/>
          <xsl:with-param name="default" select="0.45075756311416626"/>
          <xsl:with-param name="range" select="1"/>
        </xsl:call-template>
        <xsl:text>高(</xsl:text>
        <xsl:call-template name="slider4">
          <xsl:with-param name="position" select="/Root/VolumeRingtone"/>
          <xsl:with-param name="range" select="1"/>
          <xsl:with-param name="default" select="0.45075756311416626"/>
        </xsl:call-template>
        <xsl:text>)</xsl:text>
      </xsl:with-param>
    </xsl:call-template>


    <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'buttons-can-change-ringer-volume'" />
		<xsl:with-param name="title3" select="'ボタンで変更'" />
        <xsl:with-param name="valueNode" select="/Root/buttons-can-change-ringer-volume" />
        <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
	
　　　　<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'SystemCallVibrationIdentifier'" />
	  <xsl:with-param name="title2">
        <xsl:if test="/Root/DeviceClass = 'iPad'">
          <xsl:text>サウンド</xsl:text>
        </xsl:if>
        <xsl:if test="/Root/DeviceClass = 'iPhone'">
          <xsl:text>サウンドとバイブレーションのパターン</xsl:text>
        </xsl:if>
      </xsl:with-param>
	  <xsl:with-param name="title3" select="'着信音'" />
	  <xsl:with-param name="title4" select="'バイブレーション'" />
      <xsl:with-param name="valueNode" select="/Root/SystemCallVibrationIdentifier" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/SystemCallVibrationIdentifier = ''">
				<xsl:text>アクセント</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="vibration" >
					<xsl:with-param name="value" select="/Root/SystemCallVibrationIdentifier"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ringtone'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/Root/ringtone" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/ringtone = ''">
				<xsl:text>オープニング</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/Root/ringtone"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'sms-sound-identifier'" />
	  <xsl:with-param name="title3" select="'メッセージ'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/Root/sms-sound-identifier" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/sms-sound-identifier = ''">
				<xsl:text>メモ</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/Root/sms-sound-identifier"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'voicemail-sound-identifier'" />
	  <xsl:with-param name="title3" select="'新着留守番電話'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/Root/voicemail-sound-identifier" />
     <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/voicemail-sound-identifier = ''">
				<xsl:text>クラシック/トライトーン</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/Root/voicemail-sound-identifier"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'newmail-sound-identifier'" />
	  <xsl:with-param name="title3" select="'新着メール'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/Root/newmail-sound-identifier" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/newmail-sound-identifier = ''">
				<xsl:text>なし</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/Root/newmail-sound-identifier"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'sentmail-sound-identifier'" />
	  <xsl:with-param name="title3" select="'メール送信'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/Root/sentmail-sound-identifier" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/sentmail-sound-identifier = ''">
				<xsl:text>	クラシック/スウォッシュ</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/Root/sentmail-sound-identifier"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'calendaralert-sound-identifier'" />
	  <xsl:with-param name="title3" select="'カレンダーの通知音'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/Root/calendaralert-sound-identifier" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/calendaralert-sound-identifier = ''">
				<xsl:text>和音</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/Root/calendaralert-sound-identifier"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'reminderalert-sound-identifier'" />
	  <xsl:with-param name="title3" select="'リマインダーの通知音'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/Root/reminderalert-sound-identifier" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/calendaralert-sound-identifier = ''">
				<xsl:text>和音</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/Root/calendaralert-sound-identifier"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'airdrop-invitation-sound-identifier'" />
	  <xsl:with-param name="title3" select="'AirDrop'" />
	  <xsl:with-param name="title4" select="'着信音/通知音'" />
      <xsl:with-param name="valueNode" select="/Root/airdrop-invitation-sound-identifier" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/Root/airdrop-invitation-sound-identifier = ''">
				<xsl:text>パルス</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="sound" >
					<xsl:with-param name="value" select="/RESULT/airdrop-invitation-sound-identifier"/>
				</xsl:call-template>
				</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'keyboard-audio'" />
		<xsl:with-param name="title2" select="'キーボードのクリック'" />
        <xsl:with-param name="valueNode" select="/Root/keyboard-audio" />
        <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'lock-audio'" />
		<xsl:with-param name="title2" select="'ロック時の音'" />
        <xsl:with-param name="valueNode" select="/Root/lock-audio" />
        <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>

  </xsl:template>

</xsl:stylesheet>