<?xml version="1.0" encoding="UTF-8"?>
<!--全ての取得情報をエクスポート-->
<xsl:stylesheet version="2.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">
  <xsl:output method="text" media-type="text/plain" encoding="UTF-8" indent="no"/>

  <xsl:variable name="MajorVersion" select="number(substring-before(/Root/ProductVersion, '.'))"/>

  <xsl:param name="outputdate"/>
  <xsl:param name="devicename"/>
  <xsl:param name="mastername"/>
  <xsl:param name="modified"/>
  <xsl:param name="created"/>
  <xsl:param name="count"/>

  <xsl:param name="networkCount"/>
  <xsl:param name="notificationCount"/>
  <xsl:param name="contorolcenterCount"/>
  <xsl:param name="spotlightCount"/>
  <xsl:param name="rotorItemCount"/>
  <xsl:param name="langRotorCount"/>
  <xsl:param name="savedGestureCount"/>
  <xsl:param name="customGestureCount"/>
  <xsl:param name="updateappCount"/>
  <xsl:param name="locsvcCount"/>
  <xsl:param name="keyboardCount"/>
  <xsl:param name="languageCount"/>
  <xsl:param name="payloadCount"/>
  <xsl:param name="provCount"/>
  <xsl:param name="iCloudAppCount"/>
  <xsl:param name="recvCount"/>
  <xsl:param name="sendCount"/>
  <xsl:param name="signCount"/>
  <xsl:param name="appCount"/>
  <xsl:param name="bookmarkCount"/>
  <xsl:param name="shortcutCount"/>
  <xsl:param name="notesAccountCount"/>
  <xsl:param name="arrivalSmsCount"/>
  <xsl:param name="arrivalFacetimeCount"/>
  <xsl:param name="dictionaryCount"/>
  
  <xsl:include href="Function.xslt" />
  <xsl:include href="Names.xslt"/>

  <xsl:template match="/">
    <xsl:text>マスター設定,</xsl:text>
    <xsl:value-of select="$created"/>,<xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="Root">
    <xsl:call-template name="setting"/>
  </xsl:template>

  <xsl:template name="setting">
    <xsl:call-template name ="defaultOff">
      <xsl:with-param name="bool" select="/Root/IsSupervised"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
    <xsl:call-template name ="text">
      <xsl:with-param name="this" select="AppleID"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!-- <xsl:choose> -->
      <!-- <xsl:when test="/Root/SBRecentDisplays/@rule">[全てのアプリが終了しているかをチェック]</xsl:when> -->
      <!-- <xsl:otherwise></xsl:otherwise> -->
    <!-- </xsl:choose> -->
    <!-- <xsl:text>,</xsl:text> -->
    <xsl:if test="/Root/BatteryCapacity/@margin">
      <xsl:value-of select="/Root/BatteryCapacity/@margin"/>
      <xsl:text>%</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name ="OnOff">
      <xsl:with-param name="bool" select="/Root/SBRotationLocked"/>
      <xsl:with-param name="label-on" select="'ロック'"/>
      <xsl:with-param name="label-off" select="'ロックなし'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name ="Orientation">
      <xsl:with-param name="value" select="/Root/SBLastRotationLockedOrientation"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name ="defaultOff">
      <xsl:with-param name="bool" select="/Root/AirplaneModeEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="defaultOff">
      <xsl:with-param name="bool" select="WifiAllowEnable"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:value-of select="/Root/Listofknownnetworks/@compare"/>
    <xsl:choose>
      <xsl:when test="/Root/Listofknownnetworks/@part = 'full'">[完全一致]</xsl:when>
      <xsl:when test="/Root/Listofknownnetworks/@part = 'front'">[前方一致]</xsl:when>
      <xsl:when test="/Root/Listofknownnetworks/@part = 'rear'">[後方一致]</xsl:when>
    </xsl:choose>
    <xsl:text>,</xsl:text>


    <xsl:for-each select="/Root/Networks/Network">
      <xsl:if test="position() &lt;= $networkCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SSID"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:call-template name ="OnOff">
            <xsl:with-param name="bool" select="PrivateMacAddressValid"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:call-template name="text">
            <xsl:with-param name="this" select="PrivateMacAddress"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="defaultOff">
            <xsl:with-param name="bool" select="SaveDataMode"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:call-template name ="NetworkConfigMethod">
          <xsl:with-param name="value" select="ConfigMethod"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DHCPClientID"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Addresses"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SubnetMasks"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Router"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name ="httpproxy">
          <xsl:with-param name="value" select="DNS"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ServerAddresses"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SearchDomains"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name ="httpproxy">
          <xsl:with-param name="value" select="ProxyMode"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ProxyAutoConfigURLString"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ProxyHTTPProxy"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ProxyHTTPPort"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="OnOff">
          <xsl:with-param name="bool" select="HTTPProxyAuthenticated"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="HTTPProxyUsername"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,,,,,,,,,,,,,,'"/>
      <xsl:with-param name="count" select="$networkCount - count(/Root/Networks/Network)"/>
    </xsl:call-template>

    <!--<xsl:call-template name ="defaultOff">
      <xsl:with-param name="bool" select="WifiAutoJoin"/>
    </xsl:call-template>-->
    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name ="ConfirmConnect">
        <xsl:with-param name="value" select="ATJPreference"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name ="ConnectHotspot">
        <xsl:with-param name="value" select="AutoInstantHotspot"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="strOnOff">
      <xsl:with-param name="value" select="/Root/BTdefaultPoweredState"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/InternationalRoamingEDGE"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/VoLTEUserPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/CellularBehaviorAll"/>
	  <xsl:with-param name="label-on" select="'全てのAppオン'"/>
      <xsl:with-param name="label-off" select="'それ以外'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
    <xsl:if test="$MajorVersion &lt; 13">
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/ReliableNetworkFallbackToCellular"/>
    </xsl:call-template>
	</xsl:if>
    <xsl:if test="$MajorVersion &gt;= 14">
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="cellularFallbackFlags"/>
    </xsl:call-template>
		<xsl:choose>
			<xsl:when test="cellularFallbackFlags = '0'">
				<xsl:text>オン</xsl:text>
			</xsl:when>
			<xsl:when test="cellularFallbackFlags = '1'">
				<xsl:text>オフ</xsl:text>
			</xsl:when>
		</xsl:choose>
	</xsl:if>
	<xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/dataclassesEnabledForCellular"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/Internetbootpd"/>
	  <xsl:with-param name="label-on" select="'オフ'"/>
      <xsl:with-param name="label-off" select="'オン'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
    <!--<xsl:if test="$MajorVersion &lt; 10">
      <xsl:call-template name ="NoticeOrderRule">
        <xsl:with-param name="value" select="/Root/NoticeSectionOrderRule"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>-->

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name ="ContentPreviewsSetting">
        <xsl:with-param name="value" select="/Root/BBContentPreviewsSetting"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name ="defaultOn">
        <xsl:with-param name="bool" select="/Root/LockScreenSuggestionsEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
	
	<xsl:for-each select="/Root/SBSearchResults/Item">
		<xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
		<xsl:if test="position() &lt;= $spotlightCount">
			<xsl:call-template name="GetAppName">
				<xsl:with-param name="appID" select="Identifier"/>
				<xsl:with-param name="device" select="/Root/DeviceClass"/>
			</xsl:call-template>
			<xsl:text>(</xsl:text>
            <xsl:call-template name="OnOff">
              <xsl:with-param name ="bool" select="Lockscreen"/>
            </xsl:call-template>
            <xsl:text>)</xsl:text>
			<xsl:text>,</xsl:text>
		</xsl:if>
	</xsl:for-each>
	<xsl:call-template name="LoopStr">
		<xsl:with-param name="str" select="','"/>
		<xsl:with-param name="count" select="$spotlightCount - count(/Root/SBSearchResults/Item)"/>
	</xsl:call-template>

	<!-- 通知スタイル -->
	<xsl:for-each select="/Root/Notifications/Item">
		<xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
		<xsl:if test="position() &lt;= $notificationCount">
			<!-- 名前 -->
			<xsl:call-template name="GetAppName">
				<xsl:with-param name="appID" select="Identifier"/>
				<xsl:with-param name="device" select="/Root/DeviceClass"/>
			</xsl:call-template>
			<xsl:text>,</xsl:text>
			
			<!-- 通知を許可 -->
			<xsl:call-template name="sign">
                <xsl:with-param name="this" select="authorizationStatus"/>
            </xsl:call-template>
			<xsl:choose>
				<xsl:when test="authorizationStatus = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="authorizationStatus = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
			</xsl:choose>
			<xsl:text>,</xsl:text>
			
			<xsl:choose>
				<xsl:when test="Identifier != 'com.apple.mobilecal' and 
					Identifier != 'com.apple.mobileslideshow'">
					
					<!-- ロック画面 -->
					<xsl:call-template name="OnOff">
						<xsl:with-param name="bool" select="showsInLockScreen"/>
					</xsl:call-template>
					<xsl:text>,</xsl:text>
					<!-- 通知センター -->
					<xsl:call-template name="OnOff">
						<xsl:with-param name="bool" select="showsInNotificationCenter"/>
					</xsl:call-template>
					<xsl:text>,</xsl:text>
					<!-- バナー -->
					<xsl:call-template name="sign">
						<xsl:with-param name="this" select="alertType"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="alertType = '0'">
							<xsl:text>オフ</xsl:text>
						</xsl:when>
						<xsl:when test="alertType = '1'">
							<xsl:text>オン/一時的</xsl:text>
						</xsl:when>
						<xsl:when test="alertType = '2'">
							<xsl:text>オン/持続的</xsl:text>
						</xsl:when>
					</xsl:choose>
					<xsl:text>,</xsl:text>
					<xsl:call-template name="OnOff">
						<xsl:with-param name="bool" select="sound"/>
					</xsl:call-template>
					<xsl:text>,</xsl:text>
					<xsl:call-template name="OnOff">
						<xsl:with-param name="bool" select="badge"/>
					</xsl:call-template>
					<xsl:text>,</xsl:text>
					<xsl:call-template name="sign">
						<xsl:with-param name="this" select="contentPreviewSetting"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="contentPreviewSetting = '2'">
							<xsl:text>ロックされていないときのみ</xsl:text>
						</xsl:when>
						<xsl:when test="contentPreviewSetting = '3'">
							<xsl:text>しない</xsl:text>
						</xsl:when>
						<xsl:when test="contentPreviewSetting = '0'">
							<xsl:text>常に（デフォルト）</xsl:text>
						</xsl:when>
						<xsl:when test="contentPreviewSetting = '1'">
							<xsl:text>常に（デフォルト）</xsl:text>
						</xsl:when>
					</xsl:choose>
					<xsl:text>,</xsl:text>
					
				</xsl:when>
				<xsl:otherwise>
					<!-- ロック画面 -->
					<xsl:text>,</xsl:text>
					<!-- 通知センター -->
					<xsl:text>,</xsl:text>
					<!-- バナー -->
					<xsl:text>,</xsl:text>
					<xsl:text>,</xsl:text>
					<xsl:text>,</xsl:text>
					<xsl:text>,</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
			
			<!-- 通知のグループ化 -->
			<xsl:if test="Identifier != 'com.apple.mobilecal.bulletin-subsection.upcomingEvents' and 
					Identifier != 'com.apple.mobilecal.bulletin-subsection.invitations' and
					Identifier != 'com.apple.mobilecal.bulletin-subsection.Responses' and
					Identifier != 'com.apple.mobilecal.bulletin-subsection.resourceChanges' and
					Identifier != 'com.apple.mobilecal.bulletin-subsection.suggestions' and 
					Identifier != 'com.apple.mobileslideshow.memories' and
					Identifier != 'com.apple.mobileslideshow.iCloudPhotoSharing' and
					Identifier != 'com.apple.mobileslideshow.SharingSuggestions'">
				<xsl:call-template name="sign">
					<xsl:with-param name="this" select="bulletinGroupingSetting"/>
				</xsl:call-template>
				<xsl:choose>
					<xsl:when test="bulletinGroupingSetting = '1'">
						<xsl:text>App別</xsl:text>
					</xsl:when>
					<xsl:when test="bulletinGroupingSetting = '2'">
						<xsl:text>オフ</xsl:text>
					</xsl:when>
					<xsl:when test="bulletinGroupingSetting = '0'">
						<xsl:text>自動</xsl:text>
					</xsl:when>
				</xsl:choose>
			</xsl:if>
			<xsl:text>,</xsl:text>

		</xsl:if>
	</xsl:for-each>
	<xsl:call-template name="LoopStr">
		<xsl:with-param name="str" select="',,,,,,,,,'"/>
		<xsl:with-param name="count" select="$notificationCount - count(/Root/Notifications/Item)"/>
	</xsl:call-template>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="IncomingMessageAlertCount"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/IncomingMessageAlertCount = ''">
			<xsl:text>1回</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="AlertCount" >
				<xsl:with-param name="value" select="/Root/IncomingMessageAlertCount"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
    <xsl:call-template name ="defaultOn">
        <xsl:with-param name="bool" select="/Root/ShowAllIncomingMessage"/>
		<xsl:with-param name="label-on" select="'すべての人からの通知を表示（デフォルト）'"/>
		<xsl:with-param name="label-off" select="'登録済み連絡先のみ通知を表示'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
						
    <!--<xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowLockScreenControlCenter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowControlCenterInApps"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <!--<xsl:call-template name ="NoticeUnlocked">
      <xsl:with-param name="value" select="/Root/effectiveWhileUnlocked"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
	
    <!--サウンド-->
	<xsl:if test="/Root/DeviceClass = 'iPhone'">
	<xsl:call-template name ="defaultOn">
        <xsl:with-param name="bool" select="/Root/ring-vibrate"/>
    </xsl:call-template>
	</xsl:if>
    <xsl:text>,</xsl:text>
	
	<xsl:if test="/Root/DeviceClass = 'iPhone'">
	<xsl:call-template name ="defaultOn">
        <xsl:with-param name="bool" select="/Root/silent-vibrate"/>
    </xsl:call-template>
	</xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name ="defaultOff">
        <xsl:with-param name="bool" select="/Root/VolumeLimitEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name ="text">
        <xsl:with-param name="this" select="/Root/VolumeLimitThreshold"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="VolumeRingtone"/>
    </xsl:call-template>
    <xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/Root/VolumeRingtone"/>
      <xsl:with-param name="range" select="1"/>
      <xsl:with-param name="default" select="0.45"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/buttons-can-change-ringer-volume"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="SystemCallVibrationIdentifier"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/SystemCallVibrationIdentifier = ''">
			<xsl:text>アクセント</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="vibration" >
				<xsl:with-param name="value" select="/Root/SystemCallVibrationIdentifier"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="ringtone"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/ringtone = ''">
			<xsl:text>オープニング</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="sound" >
				<xsl:with-param name="value" select="/Root/ringtone"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="sms-sound-identifier"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/sms-sound-identifier = ''">
			<xsl:text>メモ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="sound" >
				<xsl:with-param name="value" select="/Root/sms-sound-identifier"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="voicemail-sound-identifier"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/voicemail-sound-identifier = ''">
			<xsl:text>クラシック/トライトーン</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="sound" >
				<xsl:with-param name="value" select="/Root/voicemail-sound-identifier"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="newmail-sound-identifier"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/newmail-sound-identifier = ''">
			<xsl:text>なし</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="sound" >
				<xsl:with-param name="value" select="/Root/newmail-sound-identifier"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
		<xsl:call-template name="sign">
      <xsl:with-param name="this" select="sentmail-sound-identifier"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/sentmail-sound-identifier = ''">
			<xsl:text>	クラシック/スウォッシュ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="sound" >
				<xsl:with-param name="value" select="/Root/sentmail-sound-identifier"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
		<xsl:call-template name="sign">
      <xsl:with-param name="this" select="calendaralert-sound-identifier"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/calendaralert-sound-identifier = ''">
			<xsl:text>和音</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="sound" >
				<xsl:with-param name="value" select="/Root/calendaralert-sound-identifier"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="reminderalert-sound-identifier"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/calendaralert-sound-identifier = ''">
			<xsl:text>和音</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="sound" >
				<xsl:with-param name="value" select="/Root/calendaralert-sound-identifier"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="airdrop-invitation-sound-identifier"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/airdrop-invitation-sound-identifier = ''">
			<xsl:text>パルス</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="sound" >
				<xsl:with-param name="value" select="/RESULT/airdrop-invitation-sound-identifier"/>
			</xsl:call-template>
			</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/keyboard-audio"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/lock-audio"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<!--おやすみモード-->
	<xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/DoNotDisturb/Enabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DoNotDisturb/scheduleEnabledSetting"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/DoNotDisturb/scheduleEnabledSetting = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DoNotDisturb/scheduleEnabledSetting = '2'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DoNotDisturb/scheduleEnabledSetting = '0'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DoNotDisturb/timePeriodStart"/>
    </xsl:call-template>
    <xsl:value-of select="format-number(number(substring-before(/Root/DoNotDisturb/timePeriodStart, ':')), '00')"/>
    <xsl:text>：</xsl:text>
    <xsl:value-of select="format-number(number(substring-after(/Root/DoNotDisturb/timePeriodStart, ':')), '00')"/>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DoNotDisturb/timePeriodEnd"/>
    </xsl:call-template>
    <xsl:value-of select="format-number(number(substring-before(/Root/DoNotDisturb/timePeriodEnd, ':')), '00')"/>
    <xsl:text>：</xsl:text>
    <xsl:value-of select="format-number(number(substring-after(/Root/DoNotDisturb/timePeriodEnd, ':')), '00')"/>
	<xsl:text>,</xsl:text>
	
	<xsl:if test="/Root/DoNotDisturb/scheduleEnabledSetting = '2'">
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DoNotDisturb/bedtimeBehaviorEnabledSetting"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/DoNotDisturb/bedtimeBehaviorEnabledSetting = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DoNotDisturb/bedtimeBehaviorEnabledSetting = '2'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DoNotDisturb/bedtimeBehaviorEnabledSetting = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
	</xsl:choose>
	</xsl:if>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DoNotDisturb/interruptionBehaviorSetting"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/DoNotDisturb/interruptionBehaviorSetting = '1'">
			<xsl:text>常に知らせない</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DoNotDisturb/interruptionBehaviorSetting = '2'">
			<xsl:text>ロック中は知らせない</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DoNotDisturb/immediateBypassEventSourceType"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/DoNotDisturb/immediateBypassEventSourceType = '1'">
			<xsl:text>全員</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DoNotDisturb/immediateBypassEventSourceType = '2'">
			<xsl:text>誰も許可しない</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DoNotDisturb/immediateBypassEventSourceType = '3'">
			<xsl:text>よく使う項目</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DoNotDisturb/immediateBypassEventSourceType = '4'">
			<xsl:text>すべての連絡先</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DoNotDisturb/repeatEventSourceBehaviorEnabledSetting"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/DoNotDisturb/repeatEventSourceBehaviorEnabledSetting = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DoNotDisturb/repeatEventSourceBehaviorEnabledSetting = '2'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/CARDNDAutomaticTriggeringMethod"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/CARDNDAutomaticTriggeringMethod = '0'">
			<xsl:text>手動</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CARDNDAutomaticTriggeringMethod = '1'">
			<xsl:text>車載Bluetoothに接続時</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CARDNDAutomaticTriggeringMethod = '2'">
			<xsl:text>自動</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CARDNDAutomaticTriggeringMethod = ''">
			<xsl:text>手動</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/CARDNDActivateWithCarPlay"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/CARDNDAutoReplyAudience"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/CARDNDAutoReplyAudience = '1'">
			<xsl:text>誰にも返信しない</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CARDNDAutoReplyAudience = '2'">
			<xsl:text>すべての連絡先</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CARDNDAutoReplyAudience = '3'">
			<xsl:text>直近の連絡先</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CARDNDAutoReplyAudience = '4'">
			<xsl:text>よく使う項目</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CARDNDAutoReplyAudience = ''">
			<xsl:text>よく使う項目</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
    <!--スクリーンタイム-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/ScreentimeEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/DigitalHealthRestrictionsEnabled"/>
    </xsl:call-template>-->
    <xsl:text>"=""-"""</xsl:text>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAppInstallation"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAppRemoval"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowInAppPurchases"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/forceITunesStorePasswordEntry"/>
      <xsl:with-param name="label-on" select="'常に必要'"/>
      <xsl:with-param name="label-off" select="'必須ではない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowMail"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowSafari"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowVideoConferencing"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowCamera"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAssistant"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowWallet"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAirDrop"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowVehicleUI"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowiTunes"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowBookstore"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowPodcasts"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowNews"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowHealth"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <!-- コンテンツ制限 -->
    <!--<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/countryCode"/>
    </xsl:call-template><xsl:call-template name="country">
      <xsl:with-param name="countrycode" select="/Root/countryCode"/>
    </xsl:call-template>-->
    <xsl:text>"=""-"""</xsl:text>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="allowExplicitContent">
      <xsl:with-param name="this" select="allowExplicitContent"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/allowMusicVideos"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowMusicArtistActivity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="ratingMovies"/>
    </xsl:call-template>
    <xsl:call-template name="ratingMovies">
      <xsl:with-param name="value" select="ratingMovies/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowShowingUndownloadedMovies"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="ratingTVShows"/>
    </xsl:call-template>
    <xsl:call-template name="ratingTVShows">
      <xsl:with-param name="value" select="ratingTVShows/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowShowingUndownloadedTV"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowBookstoreErotica"/>
      <xsl:with-param name="label-on" select="'不適切な内容'"/>
      <xsl:with-param name="label-off" select="'不適切な内容を含まない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="ratingApps"/>
    </xsl:call-template>
    <xsl:call-template name="ratingApps">
      <xsl:with-param name="value" select="ratingApps/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAppClips"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="restrictWeb"/>
    </xsl:call-template>
    <xsl:call-template name="restrictWeb2">
      <xsl:with-param name="whitelistEnabled" select="/Root/restrictWeb/whitelistEnabled"/>
      <xsl:with-param name="useContentFilter" select="/Root/restrictWeb/useContentFilter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowAssistantUserGeneratedContent"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/forceAssistantProfanityFilter"/>
      <xsl:with-param name="label-on" select="'許可しない'"/>
      <xsl:with-param name="label-off" select="'許可'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 14">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="/Root/allowedGameCenterOtherPlayerTypes"/>
        </xsl:call-template>
        <xsl:call-template name="MultiPlayer">
          <xsl:with-param name="value" select="/Root/allowedGameCenterOtherPlayerTypes"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/allowMultiplayerGaming"/>
          <xsl:with-param name="label-on" select="'許可'"/>
          <xsl:with-param name="label-off" select="'許可しない'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowAddingGameCenterFriends"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowScreenRecording"/>
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowGameCenterNearbyMultiplayer" />
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowGameCenterPrivateMessaging" />
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowGameCenterProfilePrivacyModification" />
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/allowGameCenterProfileModification" />
      <xsl:with-param name="label-on" select="'許可'"/>
      <xsl:with-param name="label-off" select="'許可しない'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--プライバシー-->
    <!--位置情報サービス-->
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/location"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 8">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn8.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$MajorVersion = 7">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn7.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabled"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="AuthorizationPromptMapDisplayEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="iCloudFindMyiPhone"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="SPSettingsServiceState"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="lowBatteryLocate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1' and LocationServicesEnabledIn8.0/text() != 'true'">
        <xsl:text>,</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="kFMFTapMessages"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages != ''">
            <xsl:text>オン</xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages = ''">
            <xsl:text>オフ</xsl:text>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/Root/locationAssistantServices8"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>-->

    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn8.0/text() = '1' or LocationServicesEnabledIn8.0/text() = 'true'">
        <xsl:for-each select="/Root/LocationServices8/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications, 'locationservice')"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
              <xsl:with-param name="type" select="'locationservice'"/>
            </xsl:call-template>
            <xsl:text>""",</xsl:text>

            <xsl:choose>
              <xsl:when test="Identifier = 'com.apple.locationd.bundle-/System/Library/LocationBundles/ClipServicesLocation.bundle'">
                <xsl:text>,</xsl:text>
                <xsl:text>,</xsl:text>
                <xsl:call-template name="sign">
                  <xsl:with-param name="this" select="Authorization"/>
                </xsl:call-template>
                <xsl:call-template name="locationAuthorization">
                  <xsl:with-param name ="value" select="Authorization"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
              </xsl:when>
              <xsl:when test="Identifier = 'com.apple.Maps'">
                <xsl:call-template name="locationAuthorization2">
                  <xsl:with-param name ="value" select="AuthorizationIncidental"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
                <xsl:if test="Authorization != '1'">
                  <xsl:call-template name="OnOff">
                    <xsl:with-param name ="bool" select="CorrectiveCompensationEnabled"/>
                  </xsl:call-template>
                </xsl:if>
                <xsl:text>,</xsl:text>
                <xsl:text>,</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="locationAuthorization2">
                  <xsl:with-param name ="value" select="Authorization"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
                <xsl:if test="Authorization != '1'">
                  <xsl:call-template name="OnOff">
                    <xsl:with-param name ="bool" select="CorrectiveCompensationEnabled"/>
                  </xsl:call-template>
                </xsl:if>
                <xsl:text>,</xsl:text>
                <xsl:text>,</xsl:text>
              </xsl:otherwise>
            </xsl:choose>

          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="LoopStr">
          <xsl:with-param name="str" select="',,,,'"/>
          <xsl:with-param name="count" select="$locsvcCount - count(/Root/LocationServices8/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="LocationServicesEnabledIn7.0/text() = '1'">
        <xsl:for-each select="/Root/LocationServices/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorized"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="defaultOff">
              <xsl:with-param name ="bool" select="Authorized"/>
              <xsl:with-param name="sign" select="'false'"/>
            </xsl:call-template>
            <xsl:text>)""",,,,</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="LoopStr">
          <xsl:with-param name="str" select="',,,,'"/>
          <xsl:with-param name="count" select="$locsvcCount - count(/Root/LocationServices/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="LoopStr">
          <xsl:with-param name="str" select="',,,,'"/>
          <xsl:with-param name="count" select="$locsvcCount"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>


    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1' and LocationServicesEnabledIn8.0/text() != 'true'">
        <xsl:text>,,,,,,,,,,,,,</xsl:text>
      </xsl:when>
      <xsl:otherwise>

        <!--<xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 10">
            <xsl:call-template name="locationAuthorization3">
              <xsl:with-param name ="value" select="/Root/locationWeather10"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="$MajorVersion &gt;= 8 and $MajorVersion &lt;= 9">
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="/Root/locationWeather8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="value" select="/Root/locationWeather"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->


        <!--システムサービス-->
        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationApplePay"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationDeviceManagement"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationDeviceManagement"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationHomeKitDaemon"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationFindMyDevice"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationAOSNotification"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <!--<xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/Root/locationParsec"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationCompassCalibration8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationCompassCalibration"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationSystemCustomization"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationSystemCustomization"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationMobileWiFi8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationMobileWiFi"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="/Root/DeviceClass = 'iPhone'">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationMotionCalibration"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <!--<xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 14">

          </xsl:when>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationiAdCore8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationiAdCore"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->

        <xsl:if test="$MajorVersion &gt;= 10">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationCoreParsec"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        		<xsl:if test="$MajorVersion &gt;= 8 and $MajorVersion &lt;= 13">
			<xsl:call-template name="locationAuthorization">
				<xsl:with-param name ="value" select="/Root/locationAppSuggestions"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$MajorVersion &gt;= 14">
			<xsl:call-template name="sign">
				<xsl:with-param name="this" select="locationAppSuggestions14"/>
			</xsl:call-template>
			<xsl:choose>
				<xsl:when test="/Root/locationAppSuggestions14 = '4'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/locationAppSuggestions14 = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/locationAppSuggestions14 = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/Root/locationFMF"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/Root/locationSOS"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationCoreTelephony8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationCoreTelephony"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationTimeZone8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationTimeZone"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationRoutine8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationRoutine"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationWirelessDiagnostics8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationWirelessDiagnostics"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationAppGenius8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationAppGenius"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>



        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationTraffic8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationTraffic"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <!--<xsl:call-template name="addrCollect">
          <xsl:with-param name="value" select="/Root/AddressCorrectionAuthStatus"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:call-template name="defaultOff">
          <xsl:with-param name ="bool" select="/Root/StatusBarIconStatesSystemService"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

      </xsl:otherwise>
    </xsl:choose>

    <!---->
    <xsl:variable name="strallow">
      <xsl:if test="$MajorVersion &gt;= 12">
        <xsl:text>許可</xsl:text>
      </xsl:if>
      <xsl:if test="$MajorVersion &lt;= 11">
        <xsl:text>変更を許可</xsl:text>
      </xsl:if>
    </xsl:variable>

    <xsl:variable name="strdeny">
      <xsl:if test="$MajorVersion &gt;= 12">
        <xsl:text>許可しない</xsl:text>
      </xsl:if>
      <xsl:if test="$MajorVersion &lt;= 11">
        <xsl:text>変更を許可しない</xsl:text>
      </xsl:if>
    </xsl:variable>

    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceAddressBook"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceCalendar"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceReminders"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServicePhotos"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowFindMyFriendsModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceBluetoothPeripheral"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceMicrophone"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceSpeechRecognition"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="TrueFalse">
      <xsl:with-param name="bool" select="SBParentalControlsCapabilities/advertising"/>
      <xsl:with-param name="label-false" select="$strallow"/>
      <xsl:with-param name="label-true" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="SBParentalControlsCapabilities">
      <xsl:with-param name="capability" select="SBParentalControlsCapabilities/kTCCServiceMediaLibrary"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--変更の許可-->


    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowPasscodeModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowAccountModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:if test="/Root/IMEI != ''">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="allowAppCellularDataModification"/>
        <xsl:with-param name="label-on" select="$strallow"/>
        <xsl:with-param name="label-off" select="$strdeny"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="TrueFalse">
      <xsl:with-param name="bool" select="SBParentalControlsCapabilities/volumeLimit"/>
      <xsl:with-param name="label-false" select="$strallow"/>
      <xsl:with-param name="label-true" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowDriverDoNotDisturbModifications"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowTVProviderModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="allowAutomaticAppUpdatesModification"/>
      <xsl:with-param name="label-on" select="$strallow"/>
      <xsl:with-param name="label-off" select="$strdeny"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <!--一般　情報-->
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="DeviceName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="ProductVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="BuildVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="MarketingName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="ModelNumber"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="RegulatoryModelNumber"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="SerialNumber"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!-- <xsl:call-template name="Network"> -->
      <!-- <xsl:with-param name ="country" select="/Root/MobileSubscriberCountryCode"/> -->
      <!-- <xsl:with-param name ="network" select="/Root/MobileSubscriberNetworkCode"/> -->
    <!-- </xsl:call-template> -->
	<xsl:call-template name="text">
      <xsl:with-param name="this" select="CarrierNetwork"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/AirplaneModeEnabled = 'false' and /Root/SIMState = 'kCTSIMSupportSIMStatusReady'">
      <xsl:call-template name="Network">
        <xsl:with-param name ="country" select="/Root/MobileSubscriberCountryCode"/>
        <xsl:with-param name ="network" select="/Root/MobileSubscriberNetworkCode"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="MusicCount"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="VideoCount"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="PhotoCount"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="AppCount"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:value-of select="round(DiskCapacity div 1000)"/>
    <xsl:text>GB,</xsl:text>
    <xsl:value-of select="round(DataAvailable div 10) div 100"/>
    <xsl:text>GB,</xsl:text>


    <xsl:call-template name="NetworkCarrier">
      <xsl:with-param name ="carrier" select="/Root/CarrierBundleName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="CarrierBundleVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="PhoneNumber"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="WiFiAddress"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="BluetoothAddress"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:text>"=""</xsl:text>
    <xsl:value-of select="substring(/Root/IMEI,1,2)"/>
    <xsl:value-of select="substring(/Root/IMEI,3,6)"/>
    <xsl:value-of select="substring(/Root/IMEI,9,6)"/>
    <xsl:value-of select="substring(/Root/IMEI,15,1)"/>
    <xsl:text>"""</xsl:text>
    <xsl:text>,</xsl:text>
    <xsl:text>"=""</xsl:text>
    <xsl:value-of select="substring(/Root/ICCID,1,4)"/>
    <xsl:value-of select="substring(/Root/ICCID,5,4)"/>
    <xsl:value-of select="substring(/Root/ICCID,9,4)"/>
    <xsl:value-of select="substring(/Root/ICCID,13,4)"/>
    <xsl:value-of select="substring(/Root/ICCID,17,4)"/>
    <xsl:text>"""</xsl:text>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="MEID"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="BasebandVersion"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="SEID"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="DeviceIdentifier"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SUEnableAutoDownload"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="SUEnableAutoDownload = 'true' or SUEnableAutoDownload = ''">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/SUAutomaticUpdateV2Enabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <!--AirDrop-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/DiscoverableMode"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/Root/DiscoverableMode = 'Contacts Only'">
        <xsl:text>連絡先のみ</xsl:text>
      </xsl:when>
      <xsl:when test="/Root/DiscoverableMode = 'Everyone'">
        <xsl:text>すべての人</xsl:text>
      </xsl:when>
      <xsl:when test="/Root/DiscoverableMode = 'Off'">
        <xsl:text>受信しない</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>連絡先のみ</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <!--Handoff-->
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/AutoAirPlay"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/AutoAirPlay = 'truetrue'">
			<xsl:text>自動</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AutoAirPlay = 'falsefalse'">
			<xsl:text>しない</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AutoAirPlay = 'falsetrue'">
			<xsl:text>確認</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AutoAirPlay = ''">
			<xsl:text>自動</xsl:text>
		</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowActivityContinuation"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowInstalledAppNearMeSuggestions"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowInstalledAppNearMeSuggestions"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowUninstalledAppNearMeSuggestions"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/SBAllowAutoPIP"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--マルチタスク-->
    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/SBMedusaEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBAllowAutoPIP"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/SBUseSystemGestures"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/SBRecentsEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <xsl:if test="/Root/DeviceClass = 'iPad'">
      <xsl:call-template name="HardwareSwitch">
        <xsl:with-param name="value" select="/Root/SBUseHardwareSwitchAsOrientationLock"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &lt;= 10">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowAutomaticAppUpdates"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="AppUpdate">
        <xsl:with-param name="value" select="/Root/allowAutomaticAppUpdates2"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/KeepAppsUpToDateAppList/Item">
      <xsl:sort select="cs:GetAppName(App, /Root/DeviceClass, /Root/Applications)"/>
      <xsl:if test="position() &lt;= $updateappCount">
        <xsl:call-template name="GetAppName">
          <xsl:with-param name="appID" select="App"/>
          <xsl:with-param name="device" select="/Root/DeviceClass"/>
        </xsl:call-template>
        <xsl:text>(</xsl:text>
        <xsl:call-template name="OnOff">
          <xsl:with-param name="bool" select="Value"/>
        </xsl:call-template>
        <xsl:text>),</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$updateappCount - count(KeepAppsUpToDateAppList/Item)"/>
    </xsl:call-template>




    <!--日付と時刻-->
    <xsl:call-template name="falseOndefaultOn">
      <xsl:with-param name="bool" select="/Root/AppleICUForce12HourTime"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:if test="AppleICUForce12HourTime = 'true'">
		<xsl:call-template name="defaultOff">
		  <xsl:with-param name="bool" select="/Root/ShowStatusBarAMPM"/>
		</xsl:call-template>
	</xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ShowStatusBarDate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/TMAutomaticTimeZoneEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
    <xsl:text>"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="timezone"/>
    </xsl:call-template>
    <xsl:call-template name="TimeZone">
      <xsl:with-param name="value" select="timezone"/>
    </xsl:call-template>
    <xsl:text>""",</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="DeviceDate"/>
    </xsl:call-template>
    <xsl:text>誤差時間:</xsl:text>
    <xsl:value-of select="DeviceDate/@margin"/>
    <xsl:text>秒</xsl:text>
    <xsl:text>,</xsl:text>

    <!--キーボード-->
    <xsl:for-each select="AppleKeyboards/*">
      <xsl:if test="position() &lt;= $keyboardCount">
        <xsl:call-template name="KeyBoard">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$keyboardCount - count(AppleKeyboards/*)"/>
    </xsl:call-template>

    <xsl:call-template name="KeyboardBias">
      <xsl:with-param name ="value" select="/Root/KeyboardBias"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardAutocorrection"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardCapsLock"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/Root/allowSmartPunctuation"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardAssistant"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:if test="/Root/DeviceClass = 'iPad'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/RivenKeyboard" />
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/Root/GesturesEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/Root/KeyboardAllowPaddle"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/DictationEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:choose>
      <xsl:when test="/Root/DictationEnabled = 'true'">
		<xsl:call-template name="OnOff">
		  <xsl:with-param name ="bool" select="/Root/DictationLanguagesEnabled_ja"/>
		</xsl:call-template>
		<xsl:text>,</xsl:text>
		<xsl:call-template name="OnOff">
		  <xsl:with-param name ="bool" select="/Root/DictationLanguagesEnabled_en"/>
		</xsl:call-template>
		<xsl:text>,</xsl:text>
	  </xsl:when>
	  <xsl:otherwise>
      <xsl:text>,,</xsl:text>
    </xsl:otherwise>
	</xsl:choose>
    

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/SmartFullwidthSpace"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="falseOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardKanaRTL"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/KeyboardKanaFlick"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardAutocapitalization"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardCheckSpelling"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardPrediction"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardContinuousPathEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardContinuousPathDeleteWholeWord"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/KeyboardPeriodShortcut"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name ="bool" select="/Root/KeyboardShowMemoji"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>


    <!--言語と地域-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="CurrentAppleLanguage"/>
    </xsl:call-template>
    <xsl:call-template name="language2" >
      <xsl:with-param name="countrycode" select="/Root/CurrentAppleLanguage"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/AppleLanguages/*">
      <xsl:if test="position() &lt;= $languageCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
        <xsl:call-template name="language2" >
          <xsl:with-param name="countrycode" select="./text()"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$languageCount - count(AppleLanguages/*)"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AppleLocaleFormat"/>
    </xsl:call-template>
    <xsl:call-template name="country">
      <xsl:with-param name="countrycode" select="cs:StrToLower(substring(substring-after(/Root/AppleLocaleFormat, '_'), 1, 2))"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AppleLocaleCalendar"/>
    </xsl:call-template>
    <xsl:call-template name="Calender">
      <xsl:with-param name="value" select="AppleLocaleCalendar"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 10">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AppleTemperatureUnit"/>
      </xsl:call-template>
      <xsl:call-template name="TemperatureUnit">
        <xsl:with-param name="value" select="/Root/AppleTemperatureUnit"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

	<xsl:for-each select="/Root/DCSAssetPreferenceKeyDownloadedDictionaries/string">
		<xsl:if test="position() &lt;= $dictionaryCount">
			<xsl:text>"=""</xsl:text>
			<xsl:call-template name="sign" >
				<xsl:with-param name="this" select="."/>
			</xsl:call-template>
			<xsl:value-of select="./text()"/>
			<xsl:text>"""</xsl:text>
			<xsl:text>,</xsl:text>
		</xsl:if>
	</xsl:for-each>
	<xsl:call-template name="LoopStr">
		<xsl:with-param name="str" select="','"/>
		<xsl:with-param name="count" select="$dictionaryCount - count(/Root/DCSAssetPreferenceKeyDownloadedDictionaries/string)"/>
	</xsl:call-template>
	
    <!--<xsl:variable name="fomat8">
      <xsl:call-template name="language">
        <xsl:with-param name="countrycode" select="/Root/AppleLocaleFormat"/>
      </xsl:call-template>
    </xsl:variable>-->
    <!--<xsl:if test="substring-before(/Root/AppleLocaleDetail/text(), '_') != /Root/CurrentAppleLanguage">オフ</xsl:if>
    <xsl:if test="substring-before(/Root/AppleLocaleDetail/text(), '_') = /Root/CurrentAppleLanguage">オン</xsl:if>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="language2">
      <xsl:with-param name="countrycode" select="substring-before(/Root/AppleLocaleDetail/text(), '_')"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->

    <!--プロファイル-->
    <xsl:for-each select="/Root/Payloads/Payload">
      <xsl:if test="position() &lt;= $payloadCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DisplayName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Organization"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Identifier"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop3">
      <xsl:with-param name="count" select="$payloadCount - count(Payloads/Payload)"/>
    </xsl:call-template>
    <xsl:for-each select="/Root/ProvisioningProfiles/Profile">
      <xsl:if test="position() &lt;= $provCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Name"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="TeamName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="UUID"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="CreationDate"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ExpirationDate"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop5">
      <xsl:with-param name="count" select="$provCount - count(ProvisioningProfiles/Profile)"/>
    </xsl:call-template>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowControlCenterInApps"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/ControlCenterModuleOrder/string">
      <xsl:if test="position() &lt;= $contorolcenterCount">
        <xsl:call-template name="ControlCenterModule">
          <xsl:with-param name="appID" select="./text()"/>
        </xsl:call-template>
      </xsl:if>
      <xsl:text>,</xsl:text>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$contorolcenterCount - count(ControlCenterModuleOrder/string)"/>
    </xsl:call-template>

    <!--画面表示と明るさ-->

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/DarkMode"/>
      <xsl:with-param name="label-on" select="'ダーク'"/>
      <xsl:with-param name="label-off" select="'ライト'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AutoDarkMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="CustomDarkMode"/>
    </xsl:call-template>
    <xsl:if test="AutoDarkMode = 'true'">
      <xsl:call-template name="CustomDarkMode">
        <xsl:with-param name="value" select="/Root/CustomDarkMode"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="DarkModeEnd"/>
    </xsl:call-template>
    <xsl:if test="CustomDarkMode = 'true'">
      <xsl:value-of select="format-number(number(substring-before(/Root/DarkModeEnd, ':')), '00')"/>
      <xsl:text>：</xsl:text>
      <xsl:value-of select="format-number(number(substring-after(/Root/DarkModeEnd, ':')), '00')"/>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="DarkModeStart"/>
    </xsl:call-template>
    <xsl:if test="CustomDarkMode = 'true'">
      <xsl:value-of select="format-number(number(substring-before(/Root/DarkModeStart, ':')), '00')"/>
      <xsl:text>：</xsl:text>
      <xsl:value-of select="format-number(number(substring-after(/Root/DarkModeStart, ':')), '00')"/>
    </xsl:if>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="SBBacklightLevel2"/>
    </xsl:call-template>
    <xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/Root/SBBacklightLevel2"/>
      <xsl:with-param name="range" select="1"/>
      <xsl:with-param name="default" select="0.45"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/BKEnableALS"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/CBColorAdaptationEnabled"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/CBColorAdaptationEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CBColorAdaptationEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CBColorAdaptationEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/BlueReductionTime"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="BlueReductionMode"/>
    </xsl:call-template>
    <xsl:if test="BlueReductionTime = 'true'">
      <xsl:call-template name="BlueReductionMode">
        <xsl:with-param name="value" select="/Root/BlueReductionMode"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/BlueReductionMode = '2'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="NightStart"/>
      </xsl:call-template>
      <xsl:value-of select="format-number(number(substring-before(/Root/NightStart, ':')), '00')"/>
      <xsl:text>：</xsl:text>
      <xsl:value-of select="format-number(number(substring-after(/Root/NightStart, ':')), '00')"/>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/BlueReductionMode = '2'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="DayStart"/>
      </xsl:call-template>
      <xsl:value-of select="format-number(number(substring-before(/Root/DayStart, ':')), '00')"/>
      <xsl:text>：</xsl:text>
      <xsl:value-of select="format-number(number(substring-after(/Root/DayStart, ':')), '00')"/>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/BlueReductionEnabledBool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="CBBlueLightReductionCCTTargetRaw"/>
    </xsl:call-template>
    <xsl:if test="/Root/CBBlueLightReductionCCTTargetRaw != ''">
      <xsl:value-of select="format-number(/Root/CBBlueLightReductionCCTTargetRaw, '0K')"/>
    </xsl:if>
    <xsl:if test="/Root/CBBlueLightReductionCCTTargetRaw = ''">
      <xsl:text>4100K</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="maxInactivity">
      <xsl:with-param name="this" select="maxInactivity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/SBSupportLiftToWake"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/UIPreferredContentSizeCategoryName"/>
    </xsl:call-template>
    <xsl:call-template name="UISize">
      <xsl:with-param name="value" select="/Root/UIPreferredContentSizeCategoryName"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/EnhancedTextLegibilityEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/XBRecentScreenSize"/>
    </xsl:call-template>
    <xsl:call-template name="ScreenSize">
      <xsl:with-param name="value" select="/Root/XBRecentScreenSize"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!-- <xsl:if test="/Root/DeviceClass = 'iPad'"> -->
      <!-- <xsl:call-template name="defaultOff"> -->
        <!-- <xsl:with-param name="bool" select="/Root/SBHomeLayoutLowDensity"/> -->
        <!-- <xsl:with-param name="label-on" select="'大きく'"/> -->
        <!-- <xsl:with-param name="label-off" select="'多く'"/> -->
      <!-- </xsl:call-template> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:if test="/Root/DeviceClass = 'iPad'"> -->
      <!-- <xsl:call-template name="defaultOff"> -->
        <!-- <xsl:with-param name="bool" select="/Root/SBHomeSidebarIsPinned"/> -->
      <!-- </xsl:call-template> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->


    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/SBHomeAutomaticallyAddsNewApplications"/>
        <xsl:with-param name="label-on" select="'ホーム画面に追加'"/>
        <xsl:with-param name="label-off" select="'Appライブラリのみ'"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 14">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/SBHomeScreenShowsBadgesInAppLibrary"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
	
	<!-- ホーム画面とDock -->
	<xsl:choose>
	<xsl:when test="/Root/DeviceClass = 'iPad' and $MajorVersion &gt;= 13">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/SBHomeLayoutLowDensity"/>
        <xsl:with-param name="label-on" select="'大きく'"/>
        <xsl:with-param name="label-off" select="'多く'"/>
      </xsl:call-template>
    <xsl:text>,</xsl:text>
	
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/SBHomeSidebarIsPinned"/>
      </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBMedusaEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBUseSystemGestures"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBRecentsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	</xsl:when>
	<xsl:otherwise>
        <xsl:text>,,,,,</xsl:text>
    </xsl:otherwise>
    </xsl:choose>

	


    <!--アクセシビリティ-->
    <!--VoiceOver-->
    <xsl:choose>
      <xsl:when  test="$MajorVersion &lt;= 13">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/VoiceOverTouchEnabled"/>
        </xsl:call-template>
	  </xsl:when>
	  <xsl:when  test="$MajorVersion &gt;= 14">
	    <xsl:call-template name="sign">
          <xsl:with-param name="this" select="/Root/VoiceOverTouchEnabled14"/>
        </xsl:call-template>
        <xsl:choose>
		  <xsl:when test="/Root/VoiceOverTouchEnabled14 = '1'">
		  	<xsl:text>オン</xsl:text>
		  </xsl:when>
		  <xsl:when test="/Root/VoiceOverTouchEnabled14 = '0'">
			  <xsl:text>オフ</xsl:text>
		  </xsl:when>
		  <xsl:when test="/Root/VoiceOverTouchEnabled14 = ''">
			  <xsl:text>オフ</xsl:text>
		  </xsl:when>
	    </xsl:choose>
	</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchSpeakingRate"/>
    </xsl:call-template>
    <xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/Root/VoiceOverTouchSpeakingRate"/>
      <xsl:with-param name="range" select="1"/>
      <xsl:with-param name="default" select="0.3"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/VoiceOverTouchPitchChangePreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/VoiceOverUseSoundEffects"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/VoiceOverTouchPitchCompactVoice"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- スピーチ-->
    <xsl:call-template name="CompactVoice">
      <xsl:with-param name="value" select="/Root/AXSVoiceOverCompactVoicePreference/Item[position()=1]/Enabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/VoiceOverTouchLanguageRotor/Item[./Enabled='true']">
      <xsl:variable name="rotorItem" select="RotorItem" />
      <xsl:if test="position() &lt;= $langRotorCount">
        <xsl:call-template name="language">
          <xsl:with-param name="countrycode" select="RotorItem"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="CompactVoice">
          <xsl:with-param name="value" select="/Root/AXSVoiceOverCompactVoicePreference/Item[starts-with(./RotorItem,$rotorItem)]/Enabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="slider4">
          <xsl:with-param name="position" select="/Root/VoiceOverTouchLanguageSpeakingRate/Item[starts-with(./RotorItem,$rotorItem)]/SpeakingRate"/>
          <xsl:with-param name="range" select="1"/>
          <xsl:with-param name="default" select="0.35"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop3">
      <xsl:with-param name="count" select="$langRotorCount - count(/Root/VoiceOverTouchLanguageRotor/Item[./Enabled='true'])"/>
    </xsl:call-template>

    <!--点字-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AXSVoiceOverTouchBrailleDisplayOutputMode"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleInputMode">
      <xsl:with-param name="value" select="AXSVoiceOverTouchBrailleDisplayOutputMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AXSVoiceOverTouchBrailleDisplayInputMode"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleInputMode">
      <xsl:with-param name="value" select="AXSVoiceOverTouchBrailleDisplayInputMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="VoiceOverShowGrade2AutoTranslate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AXSVoiceOverTouchBrailleGesturesInputMode"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleInputMode">
      <xsl:with-param name="value" select="AXSVoiceOverTouchBrailleGesturesInputMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--<xsl:call-template name="sign">
    <xsl:with-param name="this" select="BrailleContractionMode"/>
  </xsl:call-template><xsl:call-template name="BrailleContractionMode">
    <xsl:with-param name="value" select="BrailleContractionMode"/>
  </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
    <xsl:with-param name="this" select="VoiceOverShowGrade2AutoTranslate"/>
  </xsl:call-template><xsl:call-template name="defaultOn">
    <xsl:with-param name="value" select="VoiceOverShowGrade2AutoTranslate"/>
  </xsl:call-template><xsl:text>,</xsl:text>
    <xsl:if test="BrailleContractionMode/text() != '0'">
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/BrailleEightDotMode" />
    </xsl:call-template></xsl:if>
    <xsl:text>,</xsl:text>-->

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="BrailleStatus2"/>
    </xsl:call-template>
    <xsl:call-template name="BrailleStatus2">
      <xsl:with-param name="value" select="/Root/BrailleStatus2"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="voiceOverAlwaysUseNemethCodeForMathEnabled" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="VoiceOverShowSWKeyboardWithBraille" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="AXSVoiceOverTouchBraillePanningAutoTurnsReadingContent" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/VoiceOverTouchHintsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--ローター-->
    <xsl:for-each select="/Root/VoiceOverTouchRotorItemsPreference/Item">
      <xsl:if test="position() &lt;= $rotorItemCount">
        <xsl:call-template name="TouchRotorItem">
          <xsl:with-param name="item" select="RotorItem"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="Enabled"></xsl:with-param>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop2">
      <xsl:with-param name="count" select="$rotorItemCount - count(/Root/VoiceOverTouchRotorItemsPreference/Item)"/>
    </xsl:call-template>

    <!--入力モード-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchTypingMode"/>
    </xsl:call-template>
    <xsl:call-template name="TypingMode">
      <xsl:with-param name="value" select="VoiceOverTouchTypingMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchPhoneticsEnabledPreference7"/>
    </xsl:call-template>
    <xsl:call-template name="Phonetics">
      <xsl:with-param name="value" select="VoiceOverTouchPhoneticsEnabledPreference7"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchTypingFeedback8"/>
    </xsl:call-template>
    <xsl:call-template name="VoiceOverTouchTypingFeedback">
      <xsl:with-param name="value" select="VoiceOverTouchTypingFeedback8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="VoiceOverTouchTypingHardwareFeedback8"/>
    </xsl:call-template>
    <xsl:call-template name="VoiceOverTouchTypingFeedback">
      <xsl:with-param name="value" select="VoiceOverTouchTypingHardwareFeedback8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="SpeakNotificationInLockScreen8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &lt;= 7">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="NavigateImagesPreference"/>
      </xsl:call-template>
      <xsl:call-template name="NavigateImagesPreference">
        <xsl:with-param name="this" select="NavigateImagesPreference"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
    </xsl:if>
    <xsl:if test="$MajorVersion &gt;= 8">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="NavigateImagesPreference8"/>
      </xsl:call-template>
      <xsl:call-template name="NavigateImagesPreference">
        <xsl:with-param name="this" select="NavigateImagesPreference8"/>
      </xsl:call-template>
      <xsl:text>,</xsl:text>
    </xsl:if>


    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="com.apple.voiceovertouch.cursors.style"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--ズーム機能-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ZoomTouchEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/ZoomShouldFollowFocus"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="falseOndefaultOff">
      <xsl:with-param name="bool" select="/Root/ZoomAlwaysUseWindowZoomForTyping"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ZoomShouldShowSlug"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="ZoomOpacity">
      <xsl:with-param name="this" select="/Root/ZoomIdleSlugOpacity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="ZoomMode">
      <xsl:with-param name="this" select="/Root/ZoomPreferredLensMode"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="ZoomScale">
      <xsl:with-param name="this" select="/Root/ZoomPreferredMaximumZoomScale"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<!-- 拡大鏡 -->
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/MagnifierEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<!-- 画面表示とテキストサイズ -->
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/EnhancedTextLegibilityEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/largeTextUsesExtendedRange"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:if test="not(starts-with(/Root/ProductVersion, '7.0'))">
      <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ButtonShapesEnabled"/>
    </xsl:call-template>
    </xsl:if>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/IncreaseButtonLegibilityEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/EnhancedBackgroundContrastEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/DarkenSystemColors"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<!-- カラー以外で区別 -->
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/DifferentiateWithoutColor"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/DifferentiateWithoutColor = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DifferentiateWithoutColor = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DifferentiateWithoutColor = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/InvertColorsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/AXSClassicInvertColorsPreference"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/AXSClassicInvertColorsPreference = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AXSClassicInvertColorsPreference = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AXSClassicInvertColorsPreference = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/ColorMADisplayFilterCategoryEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/ColorMADisplayFilterCategoryEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ColorMADisplayFilterCategoryEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ColorMADisplayFilterCategoryEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ReduceWhitePointEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/BKEnableALS"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/ReduceMotionEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<!-- メッセージエフェクト自動再生 -->
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/ReduceMotionAutoplayMessagesEffectsEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/ReduceMotionAutoplayMessagesEffectsEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ReduceMotionAutoplayMessagesEffectsEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ReduceMotionAutoplayMessagesEffectsEnabled = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オン</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/ReduceMotionAutoplayVideoPreviewsEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/ReduceMotionAutoplayVideoPreviewsEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ReduceMotionAutoplayVideoPreviewsEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ReduceMotionAutoplayVideoPreviewsEnabled = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オン</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<!-- 読み上げコンテンツ -->
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/QuickSpeak"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/QuickSpeakHighlightText8"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/SpeakThisEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/SpeakThisEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SpeakThisEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SpeakThisEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<!-- 入力フィードバック -->
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/LetterFeedbackEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/LetterFeedbackEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/LetterFeedbackEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/LetterFeedbackEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/PhoneticFeedbackEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/PhoneticFeedbackEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PhoneticFeedbackEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PhoneticFeedbackEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/WordFeedbackEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/WordFeedbackEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/WordFeedbackEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/WordFeedbackEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/SpeakCorrectionsEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/QuickTypePredictionFeedbackEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/QuickTypePredictionFeedbackEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/QuickTypePredictionFeedbackEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/QuickTypePredictionFeedbackEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:if test="/Root/SpeakThisEnabled = '1' or /Root/SpeakThisEnabled = 'true' or /Root/QuickSpeak = 'true'">
		<xsl:call-template name="sign">
		  <xsl:with-param name="this" select="/Root/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled"/>
		</xsl:call-template>
		<xsl:call-template name="CompactVoice">
		  <xsl:with-param name="value" select="/Root/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled"/>
		</xsl:call-template>
	</xsl:if>
	<xsl:text>,</xsl:text>
	<xsl:if test="/Root/SpeakThisEnabled = '1' or /Root/SpeakThisEnabled = 'true' or /Root/QuickSpeak = 'true'">
		<xsl:call-template name="sign">
		  <xsl:with-param name="this" select="/Root/QuickSpeakRate8"/>
		</xsl:call-template>
		<xsl:call-template name="slider4">
		  <xsl:with-param name="position" select="/Root/QuickSpeakRate8"/>
		  <xsl:with-param name="range" select="1"/>
		  <xsl:with-param name="default" select="0.35"/>
		</xsl:call-template>
	</xsl:if>
    <xsl:text>,</xsl:text>
	<!-- バリアフリー音声ガイド -->
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/MAAudibleMediaPrefPreferDescriptiveVideo"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<!-- タッチ -->
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/AssistiveTouchEnabled"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/AssistiveTouchEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
		<xsl:call-template name="ZeroOffOneOn">
              <xsl:with-param name="value" select="/Root/AssistiveTouchEnabled"/>
            </xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	<!-- カスタムジェスチャ -->
	<xsl:for-each select="AssistiveTouchCustomGestures/string">
      <xsl:if test="position() &lt;= $customGestureCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="."/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each><xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$customGestureCount - count(AssistiveTouchCustomGestures/string)"/>
    </xsl:call-template>
	
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/ForceTouchEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/ForceTouchEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ForceTouchEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ForceTouchEnabled = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オン</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/ForceTouchTiming"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/ForceTouchTiming = '1'">
			<xsl:text>速い</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ForceTouchTiming = '0'">
			<xsl:text>遅く</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ForceTouchTiming = ''">
			<xsl:text>速い</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>速い</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/TouchAccommodationsEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/TouchAccommodationsHoldDurationEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/TouchAccommodationsIgnoreRepeatEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/TouchAccommodationsTapActivationMethodPreference"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/TouchAccommodationsTapActivationMethodPreference = '1'">
			<xsl:text>タッチ開始位置を使用</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/TouchAccommodationsTapActivationMethodPreference = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/TouchAccommodationsTapActivationMethodPreference = '2'">
			<xsl:text>タッチ終了位置を使用</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/TouchAccommodationsTapActivationMethodPreference = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
    <xsl:with-param name="this" select="/Root/ShakeToUndoDisabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/ShakeToUndoDisabled = '0'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ShakeToUndoDisabled = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ShakeToUndoDisabled = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オン</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
    <xsl:with-param name="this" select="/Root/DefaultRouteForCallPreference"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/DefaultRouteForCallPreference = '0'">
			<xsl:text>自動</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DefaultRouteForCallPreference = '1'">
			<xsl:text>Bluetoothヘッドセット</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DefaultRouteForCallPreference = '2'">
			<xsl:text>スピーカー</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DefaultRouteForCallPreference = ''">
			<xsl:text>自動</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<!-- スイッチコントロール -->
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchAutoAddedTCItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchAutoScanningEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:choose>
      <xsl:when test="/Root/AssistiveTouchAutoScanningEnabled = 'true' or /Root/AssistiveTouchAutoScanningEnabled = ''">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="AssistiveTouchStepInterval"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="/Root/AssistiveTouchStepInterval = ''">
            <xsl:text>1.0</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="format-number(/Root/AssistiveTouchStepInterval,'0.0#')"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>秒</xsl:text>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchDelayAfterInputEnabledPreference"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:if test="/Root/AssistiveTouchDelayAfterInputEnabledPreference = 'true'">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="AssistiveTouchDelayAfterInputPreference"/>
          </xsl:call-template>
          <xsl:choose>
            <xsl:when test="/Root/AssistiveTouchDelayAfterInputPreference = ''">
              <xsl:text>0.5</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="format-number(/Root/AssistiveTouchDelayAfterInputPreference,'0.0#')"/>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:text>秒</xsl:text>
        </xsl:if>
        <xsl:text>,</xsl:text>
		<!-- 繰り返し -->
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="AssistiveTouchScanCyclesPreference"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="/Root/AssistiveTouchScanCyclesPreference = ''">4</xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="/Root/AssistiveTouchScanCyclesPreference"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,,,</xsl:text>

      </xsl:when>
      <xsl:otherwise>
        <xsl:text>,,,,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerScanTimeoutEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:if test="/Root/AssistiveTouchScannerScanTimeoutEnabled = 'true'">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="AssistiveTouchScannerScanTimeout"/>
          </xsl:call-template>
          <xsl:value-of select="format-number(/Root/AssistiveTouchScannerScanTimeout,'#0')"/>
          <xsl:text>秒</xsl:text>
        </xsl:if>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
	
	<!-- 自動タップ-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSelectTimeoutEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:if test="/Root/AssistiveTouchScannerSelectTimeoutEnabled = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchScannerSelectTimeout"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/Root/AssistiveTouchScannerSelectTimeout = ''">0.75</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/Root/AssistiveTouchScannerSelectTimeout,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchActionRepeatEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/AssistiveTouchActionRepeatEnabledPreference = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchActionRepeatIntervalPreference"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/Root/AssistiveTouchActionRepeatIntervalPreference = ''">0.5</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/Root/AssistiveTouchActionRepeatIntervalPreference,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <!--保持継続時間-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchInputHoldEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/AssistiveTouchInputHoldEnabledPreference = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchInputHoldDurationPreference"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/Root/AssistiveTouchInputHoldDurationPreference = ''">0.1</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/Root/AssistiveTouchInputHoldDurationPreference,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <!--繰り返しを無視-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchInputCoalescingEnabledPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/AssistiveTouchInputCoalescingEnabledPreference = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchInputCoalescingDurationPreference"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/Root/AssistiveTouchInputCoalescingDurationPreference = ''">0.1</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="format-number(/Root/AssistiveTouchInputCoalescingDurationPreference,'0.0#')"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text>秒</xsl:text>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <!--グライドカーソルの速度-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="AssistiveTouchAxisSweepSpeed"/>
    </xsl:call-template>
    <xsl:call-template name="SweepSpeed">
      <xsl:with-param name="value" select="/Root/AssistiveTouchAxisSweepSpeed"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSoundEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSpeechEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="AssistiveTouchScannerPrefersCompactForLanguagePreference/Item[Name='ja']/Enabled"/>
    </xsl:call-template>
    <xsl:call-template name="CompactVoice">
      <xsl:with-param name="value" select="/Root/AssistiveTouchScannerPrefersCompactForLanguagePreference/Item[Name='ja']/Enabled" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:if test="/Root/AssistiveTouchScannerSpeechEnabled = 'true'">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="AssistiveTouchScannerSpeechRatePreference"/>
      </xsl:call-template>
      <xsl:call-template name="slider4">
        <xsl:with-param name="position" select="/Root/AssistiveTouchScannerSpeechRatePreference"/>
        <xsl:with-param name="range" select="1"/>
        <xsl:with-param name="default" select="0.3"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeHomeItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeScrollItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeDeviceItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeGesturesItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeSettingsItem"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchScanShouldGroupElements"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/AssistiveTouchCursorHighVisibilityPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="AssistiveTouchCursorColorPreference"/>
    </xsl:call-template>
    <xsl:call-template name="CursorColor">
      <xsl:with-param name="value" select="/Root/AssistiveTouchCursorColorPreference"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:for-each select="/Root/AssistiveTouchSavedGestures/*">
      <xsl:if test="position() &lt;= $savedGestureCount">
        <xsl:value-of select="./text()"/>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop">
      <xsl:with-param name="count" select="$savedGestureCount - count(AssistiveTouchSavedGestures/string)"/>
    </xsl:call-template>
	<!-- 音声コントロール -->
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/CommandAndControlEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/CommandAndControlEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CommandAndControlEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CommandAndControlEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<!-- ホームボタン -->
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/HomeClickSpeed"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/HomeClickSpeed = '0.34999999403953552'">
			<xsl:text>デフォルト</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/HomeClickSpeed = '0.5'">
			<xsl:text>遅く</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/HomeClickSpeed = '0.69999998807907104'">
			<xsl:text>最も遅く</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/HomeClickSpeed = ''">
			<xsl:text>デフォルト</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/HomeButtonAssistantPreference"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/HomeButtonAssistantPreference = '0'">
			<xsl:text>Siri</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/HomeButtonAssistantPreference = '1'">
			<xsl:text>音声コントロール（クラシック）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/HomeButtonAssistantPreference = '2'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/HomeButtonAssistantPreference = ''">
			<xsl:text>Siri</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>Siri</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/AXRestingHomeButtonUnlock"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/AXRestingHomeButtonUnlock = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AXRestingHomeButtonUnlock = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AXRestingHomeButtonUnlock = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/AppleTVSimpleGesturesEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/AppleTVSimpleGesturesEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AppleTVSimpleGesturesEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AppleTVSimpleGesturesEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/FullKeyboardAccessEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/FullKeyboardAccessEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/FullKeyboardAccessEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/FullKeyboardAccessEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/KeyRepeatEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/KeyRepeatEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/KeyRepeatEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/KeyRepeatEnabled = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オン</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/StickyKeysEnabled"/>
      </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/StickyKeysShiftToggleEnabled"/>
      </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/StickyKeysBeepEnabled"/>
      </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/SlowKeysEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/SlowKeysEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SlowKeysEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SlowKeysEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/LowerCaseKeyboard"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/LowerCaseKeyboard = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/LowerCaseKeyboard = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/LowerCaseKeyboard = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オン</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/HearingAidCompliance"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/HearingAidCompliance = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/HearingAidCompliance = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/HearingAidCompliance = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/AXSEnabledSoundDetectionState"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/AXSEnabledSoundDetectionState = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AXSEnabledSoundDetectionState = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/AXSEnabledSoundDetectionState = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/PersonalMediaEnabled"/>
      </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/MonoAudioEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/MonoAudioEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MonoAudioEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MonoAudioEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<!-- バランス -->
	 <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/MasterStereoBalance"/>
    </xsl:call-template><xsl:call-template name="slider4">
      <xsl:with-param name="position" select="/Root/MasterStereoBalance"/>
      <xsl:with-param name="range" select="2"/>
      <xsl:with-param name="default" select="0"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<!-- 標準字幕とバリアフリー字幕 -->
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="MACaptionDisplayType"/>
    </xsl:call-template>
    <xsl:call-template name="ClosedCaption">
      <xsl:with-param name="value" select="/Root/MACaptionDisplayType"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="MACaptionActiveProfile"/>
    </xsl:call-template>
	<xsl:call-template name="MACaptionActiveProfile">
      <xsl:with-param name="value" select="/Root/MACaptionActiveProfile" />
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/ShowAudioTranscriptionsEnabled"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/ShowAudioTranscriptionsEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ShowAudioTranscriptionsEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ShowAudioTranscriptionsEnabled = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>オフ</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/VisualAlertEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
	
	    <!--アクセスガイド-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/GuidedAccessEnabled7"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:choose>
	  <xsl:when  test="/Root/GuidedAccessEnabled7 = '1'">
		<xsl:call-template name="sign" >
              <xsl:with-param name="this" select="/Root/GuidedAccessToneIdentifierForTimeRestrictionEvent"/>
            </xsl:call-template>
            <xsl:choose>
				<xsl:when test="/Root/GuidedAccessToneIdentifierForTimeRestrictionEvent = ''">
				<xsl:text>なし</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					 <xsl:value-of select="/Root/GuidedAccessToneIdentifierForTimeRestrictionEvent/text()"/>
				</xsl:otherwise>
				</xsl:choose>
			<xsl:text>,</xsl:text>
		<xsl:call-template name="defaultOff">
		  <xsl:with-param name="bool" select="GuidedAccessSpeakForTimeRestrictionEvent"/>
		</xsl:call-template>
		<xsl:text>,</xsl:text>
		<xsl:call-template name="defaultOff">
		  <xsl:with-param name="bool" select="kAXSGuidedAccessAXFeaturesEnabled"/>
		</xsl:call-template>
	  </xsl:when>
	  <xsl:otherwise>
        <xsl:text>,,</xsl:text>
      </xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>

	
	<!-- アクセシビリティ内siri -->
	<xsl:choose>
	<xsl:when  test="/Root/AssistantEnabled = 'true'">
		<xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/SiriUITextInputEnabled"/>
		</xsl:call-template>
		<xsl:text>,</xsl:text>
		<xsl:call-template name="sign">
          <xsl:with-param name="this" select="/Root/AccessiblityUsedevicespeakerforTTS"/>
		</xsl:call-template>
		<xsl:choose>
		  <xsl:when test="/Root/AccessiblityUsedevicespeakerforTTS = '1'">
			<xsl:text>消音モードオフ設定</xsl:text>
		  </xsl:when>
		  <xsl:when test="/Root/AccessiblityUsedevicespeakerforTTS = '2'">
			<xsl:text>応答を常に読み上げる</xsl:text>
		  </xsl:when>
		  <xsl:when test="/Root/AccessiblityUsedevicespeakerforTTS = '3'">
			<xsl:text>”Hey Siri”使用時のみ</xsl:text>
	  	  </xsl:when>
		  <xsl:when test="/Root/AccessiblityUsedevicespeakerforTTS = ''">
			<xsl:text>消音モードオフ設定</xsl:text>
		  </xsl:when>
		</xsl:choose>
		<xsl:text>,</xsl:text>
		<xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/AlwaysAllowVoiceActivation"/>
		</xsl:call-template>
		<xsl:text>,</xsl:text>
		<xsl:call-template name="defaultOff">
		<xsl:with-param name ="bool" select="/Root/AlwaysObscureBackgroundContentWhenActive"/>
		<xsl:with-param name="label-on" select="'オフ'"/>
		<xsl:with-param name="label-off" select="'オン'"/>
		</xsl:call-template>
	</xsl:when>
	<xsl:otherwise>
      <xsl:text>,,,</xsl:text>
    </xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>

	<xsl:text>"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/TripleClickChoice" />
    </xsl:call-template>
    <xsl:call-template name="TripleClick">
      <xsl:with-param name="value" select="/Root/TripleClickChoice"/>
      <xsl:with-param name="delimiter" select="' '"/>
    </xsl:call-template>
    <xsl:text>"""</xsl:text>
    <xsl:text>,</xsl:text>
	
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/InvertColorsEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/GrayscaleDisplay"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/QuickSpeak"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/SpeakThisEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:call-template name="CompactVoice"> -->
      <!-- <xsl:with-param name="value" select="/Root/QuickSpeakPrefersCompactForLanguage/Item[Name='ja-JP']/Enabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="sign"> -->
      <!-- <xsl:with-param name="this" select="/Root/QuickSpeakRate8"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:call-template name="slider4"> -->
      <!-- <xsl:with-param name="position" select="/Root/QuickSpeakRate8"/> -->
      <!-- <xsl:with-param name="range" select="1"/> -->
      <!-- <xsl:with-param name="default" select="0.35"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/QuickSpeakHighlightText8"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/SpeakCorrectionsEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
   
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/largeTextUsesExtendedRange"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="UISize"> -->
      <!-- <xsl:with-param name="value" select="/Root/UIPreferredContentSizeCategoryName"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/EnhancedTextLegibilityEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/ButtonShapesEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!--透明度を下げる色を濃くするホワイトポイントを下げる-->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/EnhancedBackgroundContrastEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/DarkenSystemColors"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/ReduceWhitePointEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->


    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/ReduceMotionEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/IncreaseButtonLegibilityEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:if test="/Root/DeviceClass = 'iPhone'"> -->
      <!-- <xsl:call-template name="defaultOn"> -->
        <!-- <xsl:with-param name="bool" select="/Root/EarpieceNoiseCancellationPreference"/> -->
      <!-- </xsl:call-template> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:if test="/Root/DeviceClass = 'iPhone'"> -->
      <!-- <xsl:call-template name="defaultOff"> -->
        <!-- <xsl:with-param name="bool" select="/Root/VisualAlertEnabled"/> -->
      <!-- </xsl:call-template> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/MonoAudioEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:call-template name="sign"> -->
      <!-- <xsl:with-param name="this" select="/Root/MasterStereoBalance"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:call-template name="slider4"> -->
      <!-- <xsl:with-param name="position" select="/Root/MasterStereoBalance"/> -->
      <!-- <xsl:with-param name="range" select="2"/> -->
      <!-- <xsl:with-param name="default" select="0"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="ClosedCaption"> -->
      <!-- <xsl:with-param name="value" select="/Root/MACaptionDisplayType"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="MACaptionActiveProfile"> -->
      <!-- <xsl:with-param name="value" select="/Root/MACaptionActiveProfile" /> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/MAAudibleMediaPrefPreferDescriptiveVideo"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    
      <!-- <xsl:with-param name="bool" select="/Root/GuidedAccessEnabled7"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="sign"> -->
      <!-- <xsl:with-param name="this" select="GuidedAccessToneIdentifierForTimeRestrictionEvent"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:value-of select="GuidedAccessToneIdentifierForTimeRestrictionEvent"/> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="GuidedAccessSpeakForTimeRestrictionEvent"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="kAXSGuidedAccessAXFeaturesEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!--スイッチコントロール--> 
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- --> 
    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchAutoScanningEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:choose> -->
      <!-- <xsl:when test="/Root/AssistiveTouchAutoScanningEnabled = 'true' or /Root/AssistiveTouchAutoScanningEnabled = ''"> -->
        <!-- <xsl:choose> -->
          <!-- <xsl:when test="/Root/AssistiveTouchStepInterval = ''"> -->
            <!-- <xsl:text>1.0</xsl:text> -->
          <!-- </xsl:when> -->
          <!-- <xsl:otherwise> -->
            <!-- <xsl:value-of select="format-number(/Root/AssistiveTouchStepInterval,'0.0#')"/> -->
          <!-- </xsl:otherwise> -->
        <!-- </xsl:choose> -->
        <!-- <xsl:text>秒</xsl:text> -->
        <!-- <xsl:text>,</xsl:text> -->
        <!-- <xsl:call-template name="defaultOff"> -->
          <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchDelayAfterInputEnabledPreference"/> -->
        <!-- </xsl:call-template> -->
        <!-- <xsl:text>,</xsl:text> -->

        <!-- <xsl:if test="/Root/AssistiveTouchDelayAfterInputEnabledPreference = 'true'"> -->
          <!-- <xsl:choose> -->
            <!-- <xsl:when test="/Root/AssistiveTouchDelayAfterInputPreference = ''"> -->
              <!-- <xsl:text>0.5</xsl:text> -->
            <!-- </xsl:when> -->
            <!-- <xsl:otherwise> -->
              <!-- <xsl:value-of select="format-number(/Root/AssistiveTouchDelayAfterInputPreference,'0.0#')"/> -->
            <!-- </xsl:otherwise> -->
          <!-- </xsl:choose> -->
          <!-- <xsl:text>秒</xsl:text> -->
        <!-- </xsl:if> -->
        <!-- <xsl:text>,</xsl:text> -->

        <!-- <xsl:choose> -->
          <!-- <xsl:when test="/Root/AssistiveTouchScanCyclesPreference = ''">4</xsl:when> -->
          <!-- <xsl:otherwise> -->
            <!-- <xsl:value-of select="/Root/AssistiveTouchScanCyclesPreference"/> -->
          <!-- </xsl:otherwise> -->
        <!-- </xsl:choose> -->
        <!-- <xsl:text>,,,</xsl:text> -->
      <!-- </xsl:when> -->
      <!-- <xsl:otherwise> -->
        <!-- <xsl:text>,,,,</xsl:text> -->
        <!-- <xsl:call-template name="defaultOff"> -->
          <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerScanTimeoutEnabled"/> -->
        <!-- </xsl:call-template> -->
        <!-- <xsl:text>,</xsl:text> -->
        <!-- <xsl:if test="/Root/AssistiveTouchScannerScanTimeoutEnabled = 'true'"> -->
          <!-- <xsl:value-of select="format-number(/Root/AssistiveTouchScannerScanTimeout,'#0')"/> -->
          <!-- <xsl:text>秒</xsl:text> -->
        <!-- </xsl:if> -->
        <!-- <xsl:text>,</xsl:text> -->
      <!-- </xsl:otherwise> -->
    <!-- </xsl:choose> -->

    <!-- 自動タップ-->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSelectTimeoutEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:if test="/Root/AssistiveTouchScannerSelectTimeoutEnabled = 'true'"> -->
      <!-- <xsl:choose> -->
        <!-- <xsl:when test="/Root/AssistiveTouchScannerSelectTimeout = ''">0.75</xsl:when> -->
        <!-- <xsl:otherwise> -->
          <!-- <xsl:value-of select="format-number(/Root/AssistiveTouchScannerSelectTimeout,'0.0#')"/> -->
        <!-- </xsl:otherwise> -->
      <!-- </xsl:choose> -->
      <!-- <xsl:text>秒</xsl:text> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchActionRepeatEnabledPreference"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:if test="/Root/AssistiveTouchActionRepeatEnabledPreference = 'true'"> -->
      <!-- <xsl:choose> -->
        <!-- <xsl:when test="/Root/AssistiveTouchActionRepeatIntervalPreference = ''">0.5</xsl:when> -->
        <!-- <xsl:otherwise> -->
          <!-- <xsl:value-of select="format-number(/Root/AssistiveTouchActionRepeatIntervalPreference,'0.0#')"/> -->
        <!-- </xsl:otherwise> -->
      <!-- </xsl:choose> -->
      <!-- <xsl:text>秒</xsl:text> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!--保持継続時間-->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchInputHoldEnabledPreference"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:if test="/Root/AssistiveTouchInputHoldEnabledPreference = 'true'"> -->
      <!-- <xsl:choose> -->
        <!-- <xsl:when test="/Root/AssistiveTouchInputHoldDurationPreference = ''">0.1</xsl:when> -->
        <!-- <xsl:otherwise> -->
          <!-- <xsl:value-of select="format-number(/Root/AssistiveTouchInputHoldDurationPreference,'0.0#')"/> -->
        <!-- </xsl:otherwise> -->
      <!-- </xsl:choose> -->
      <!-- <xsl:text>秒</xsl:text> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!--繰り返しを無視--> 
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchInputCoalescingEnabledPreference"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:if test="/Root/AssistiveTouchInputCoalescingEnabledPreference = 'true'"> -->
      <!-- <xsl:choose> -->
        <!-- <xsl:when test="/Root/AssistiveTouchInputCoalescingDurationPreference = ''">0.1</xsl:when> -->
        <!-- <xsl:otherwise> -->
          <!-- <xsl:value-of select="format-number(/Root/AssistiveTouchInputCoalescingDurationPreference,'0.0#')"/> -->
        <!-- </xsl:otherwise> -->
      <!-- </xsl:choose> -->
      <!-- <xsl:text>秒</xsl:text> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->
     <!--グライドカーソルの速度--> 
    <!-- <xsl:call-template name="SweepSpeed"> -->
      <!-- <xsl:with-param name="value" select="/Root/AssistiveTouchAxisSweepSpeed"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSoundEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchScannerSpeechEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="CompactVoice"> -->
      <!-- <xsl:with-param name="value" select="/Root/AssistiveTouchScannerPrefersCompactForLanguagePreference/Item[Name='ja']/Enabled" /> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:if test="/Root/AssistiveTouchScannerSpeechEnabled = 'true'"> -->
      <!-- <xsl:call-template name="slider4"> -->
        <!-- <xsl:with-param name="position" select="/Root/AssistiveTouchScannerSpeechRatePreference"/> -->
        <!-- <xsl:with-param name="range" select="1"/> -->
        <!-- <xsl:with-param name="default" select="0.3"/> -->
      <!-- </xsl:call-template> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeHomeItem"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeScrollItem"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeDeviceItem"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeGesturesItem"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AXSAssistiveTouchScannerMenuIncludeSettingsItem"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchScanShouldGroupElements"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="defaultOff"> -->
      <!-- <xsl:with-param name="bool" select="/Root/AssistiveTouchCursorHighVisibilityPreference"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->
    <!-- <xsl:call-template name="CursorColor"> -->
      <!-- <xsl:with-param name="value" select="/Root/AssistiveTouchCursorColorPreference"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:for-each select="/Root/AssistiveTouchSavedGestures/*"> -->
      <!-- <xsl:if test="position() &lt;= $savedGestureCount"> -->
        <!-- <xsl:value-of select="./text()"/> -->
        <!-- <xsl:text>,</xsl:text> -->
      <!-- </xsl:if> -->
    <!-- </xsl:for-each> -->
    <!-- <xsl:call-template name="Loop"> -->
      <!-- <xsl:with-param name="count" select="$savedGestureCount - count(AssistiveTouchSavedGestures/string)"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:call-template name="ZeroOffOneOn"> -->
      <!-- <xsl:with-param name="value" select="/Root/AssistiveTouchEnabled"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:for-each select="AssistiveTouchCustomGestures/string"> -->
      <!-- <xsl:if test="position() &lt;= $customGestureCount"> -->
        <!-- <xsl:call-template name="text"> -->
          <!-- <xsl:with-param name="this" select="."/> -->
        <!-- </xsl:call-template> -->
        <!-- <xsl:text>,</xsl:text> -->
      <!-- </xsl:if> -->
    <!-- </xsl:for-each> -->
    <!-- <xsl:call-template name="Loop"> -->
      <!-- <xsl:with-param name="count" select="$customGestureCount - count(AssistiveTouchCustomGestures/string)"/> -->
    <!-- </xsl:call-template> -->

    <!-- <xsl:call-template name="sign"> -->
      <!-- <xsl:with-param name="this" select="HomeClickSpeed"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:call-template name="HomeClickSpeed"> -->
      <!-- <xsl:with-param name="this" select="HomeClickSpeed"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:if test="/Root/DeviceClass = 'iPhone'"> -->
      <!-- <xsl:call-template name="DefaultRouteForCall"> -->
        <!-- <xsl:with-param name="value" select="/Root/DefaultRouteForCallPreference"/> -->
      <!-- </xsl:call-template> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:text>"=""</xsl:text> -->
    <!-- <xsl:call-template name="TripleClick"> -->
      <!-- <xsl:with-param name="value" select="/Root/TripleClickChoice"/> -->
      <!-- <xsl:with-param name="delimiter" select="' '"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>"""</xsl:text> -->
    <!-- <xsl:text>,</xsl:text> -->

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/SBEnableWallpaperDimming"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <!--  Siri  -->
	
    <!-- <xsl:if test="/Root/SiriMyShortcuts/@rule"> -->
      <!-- <xsl:text>[ショートカットの内容をチェック]</xsl:text> -->
    <!-- </xsl:if> -->
    <!-- <xsl:text>,</xsl:text> -->

    <!-- <xsl:for-each select="/Root/SiriMyShortcuts/string"> -->
      <!-- <xsl:if test="position() &lt;= $shortcutCount"> -->
        <!-- <xsl:call-template name ="text"> -->
          <!-- <xsl:with-param name="this" select="."/> -->
        <!-- </xsl:call-template> -->
        <!-- <xsl:text>,</xsl:text> -->
      <!-- </xsl:if> -->
    <!-- </xsl:for-each> -->
    <!-- <xsl:call-template name="Loop"> -->
      <!-- <xsl:with-param name="count" select="$shortcutCount - count(/Root/SiriMyShortcuts/string)"/> -->
    <!-- </xsl:call-template> -->



    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 7">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/VoiceTriggerEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="/Root/HomeButtonAssistant"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="/Root/AssistantEnabled = 'true'">
            <xsl:call-template name="OnOff">
              <xsl:with-param name="bool" select="/Root/allowAssistantWhileLocked"/>
            </xsl:call-template>
            <xsl:text>,</xsl:text>

            <xsl:choose>
              <xsl:when test="$MajorVersion &gt;= 8 and $MajorVersion &lt;= 13">
                <xsl:choose>
                  <xsl:when test="/Root/AssistantLanguage8">
                    <xsl:call-template name="language3" >
                      <xsl:with-param name="countrycode" select="/Root/AssistantLanguage8"/>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>英語</xsl:otherwise>
                </xsl:choose>
              </xsl:when>
			  <xsl:when test="$MajorVersion &lt;= 7">
				<xsl:choose>
                  <xsl:when test="/Root/AssistantLanguage">
                    <xsl:call-template name="language3" >
                      <xsl:with-param name="countrycode" select="/Root/AssistantLanguage"/>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>日本語</xsl:otherwise>
                </xsl:choose>
			  </xsl:when>
              <xsl:otherwise>
                <xsl:choose>
                  <xsl:when test="/Root/Sirilanguagepattern">
                    <xsl:call-template name="language3" >
                      <xsl:with-param name="countrycode" select="/Root/Sirilanguagepattern"/>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>日本語</xsl:otherwise>
                </xsl:choose>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:text>,</xsl:text>


            <xsl:choose>
              <xsl:when test="$MajorVersion &gt;= 8">
                <xsl:call-template name="Gender" >
                  <xsl:with-param name="value" select="/Root/AssistantGender"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="Gender" >
                  <xsl:with-param name="value" select="/Root/AssistantGender"/>
                </xsl:call-template>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:text>,</xsl:text>
			
			<xsl:if test="$MajorVersion &gt;= 14">
				<xsl:call-template name="sign">
					<xsl:with-param name="this" select="/Root/UsedevicespeakerforSiri"/>
				</xsl:call-template>
				<xsl:choose>
					<xsl:when test="/Root/UsedevicespeakerforSiri = '1'">
						<xsl:text>消音モードがオフの時</xsl:text>
					</xsl:when>
					<xsl:when test="/Root/UsedevicespeakerforSiri = '2'">
						<xsl:text>常に</xsl:text>
					</xsl:when>
					<xsl:when test="/Root/UsedevicespeakerforSiri = '3'">
						<xsl:text>"Hey Siri"使用時のみ</xsl:text>
					</xsl:when>
					<xsl:when test="/Root/UsedevicespeakerforSiri = ''">
						<xsl:text>消音モードがオフの時</xsl:text>
					</xsl:when>
				</xsl:choose>
			</xsl:if>
			<xsl:text>,</xsl:text>
			
			<xsl:if test="$MajorVersion &gt;= 14">
				<xsl:call-template name="defaultOff">
					<xsl:with-param name="bool" select="/Root/AlwaysPrintSiriResponse"></xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:text>,</xsl:text>
			
			<xsl:if test="$MajorVersion &gt;= 14">
				<xsl:call-template name="defaultOff">
					<xsl:with-param name="bool" select="/Root/AlwaysShowRecognizedSpeech"></xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:text>,</xsl:text>

            <!-- <xsl:choose> -->
              <!-- <xsl:when test="$MajorVersion &lt;= 10"> -->
                <!-- <xsl:call-template name="HandsFreeMode" > -->
                  <!-- <xsl:with-param name="value" select="/Root/HandsFreeMode"/> -->
                <!-- </xsl:call-template> -->
              <!-- </xsl:when> -->
              <!-- <xsl:when test="$MajorVersion &gt;= 11"> -->
                <!-- <xsl:call-template name="SiriAudioFeedback" > -->
                  <!-- <xsl:with-param name="value" select="/Root/UsedevicespeakerforTTS"/> -->
                <!-- </xsl:call-template> -->
              <!-- </xsl:when> -->
            <!-- </xsl:choose> -->
            <!-- <xsl:text>,</xsl:text> -->
            <xsl:call-template name="sign" >
              <xsl:with-param name="this" select="/Root/AssitantMyInfo"/>
            </xsl:call-template>
            <xsl:choose>
				<xsl:when test="/Root/AssitantMyInfo = ''">
				<xsl:text>なし</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					 <xsl:value-of select="/Root/AssitantMyInfo/text()"/>
				</xsl:otherwise>
				</xsl:choose>
            <xsl:text>,</xsl:text>
            <!--<xsl:call-template name="ZeroOffOneOn" >
              <xsl:with-param name="value" select="/Root/GestureServiceEnabled"/>
            </xsl:call-template>-->
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>,,,,,,,</xsl:text>
          </xsl:otherwise>
        </xsl:choose>

      </xsl:when>
      <xsl:otherwise>
        <xsl:text>,,,,,,,,,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <!-- <xsl:text>,</xsl:text> -->

    <!--  Spotlight検索  -->
    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 9">
        <!--<xsl:call-template name="falseOn" >
          <xsl:with-param name="bool" select="/Root/DisabledSpotlightSiri"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 10">
            <xsl:call-template name="defaultOn" >
              <xsl:with-param name="bool" select="/Root/SpotlightSearchEnabled"/>
            </xsl:call-template>
            <xsl:text>,</xsl:text>
			<!-- <xsl:if test="$MajorVersion &lt;= 13"> -->
            <!-- <xsl:call-template name="defaultOn" > -->
              <!-- <xsl:with-param name="bool" select="/Root/LookupSuggestionsEnabled"/> -->
            <!-- </xsl:call-template> -->
			<!-- </xsl:if> -->
            <!-- <xsl:text>,</xsl:text> -->
            <xsl:if test="$MajorVersion &gt;= 12">
              <xsl:call-template name="defaultOn" >
                <xsl:with-param name="bool" select="/Root/LockScreenSuggestionsEnabled"/>
              </xsl:call-template>
            </xsl:if>
            <xsl:text>,</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>,</xsl:text>
            <xsl:text>,</xsl:text>
            <xsl:text>,</xsl:text>
          </xsl:otherwise>
        </xsl:choose>

      </xsl:when>
      <xsl:otherwise>
        <!--<xsl:text>,</xsl:text>-->
        <xsl:text>,</xsl:text>
        <xsl:text>,</xsl:text>
        <xsl:text>,</xsl:text>
      </xsl:otherwise>
    </xsl:choose>

	<xsl:if test="$MajorVersion &gt;= 14">
		<xsl:call-template name="defaultOn" >
			<xsl:with-param name="bool" select="/Root/SuggestionsAppLibraryEnabled"/>
		</xsl:call-template>
	</xsl:if>
	<xsl:text>,</xsl:text>
	<xsl:if test="$MajorVersion &gt;= 14">
		<xsl:call-template name="defaultOn" >
			<xsl:with-param name="bool" select="/Root/SharingPeopleSuggestionsDisabled"/>
		</xsl:call-template>
	</xsl:if>
	<xsl:text>,</xsl:text>
	
    <xsl:if test="$MajorVersion &gt;= 11">
      <!-- <xsl:call-template name="defaultOn" > -->
        <!-- <xsl:with-param name="bool" select="/Root/SuggestionsShowTopicsFoundInApps"/> -->
      <!-- </xsl:call-template> -->
      <!-- <xsl:text>,</xsl:text> -->
      <!-- <xsl:call-template name="defaultOn" > -->
        <!-- <xsl:with-param name="bool" select="/Root/SuggestionsShowEventsFoundInMail"/> -->
      <!-- </xsl:call-template> -->
      <!-- <xsl:text>,</xsl:text> -->
      <!-- <xsl:call-template name="defaultOn" > -->
        <!-- <xsl:with-param name="bool" select="/Root/SuggestionsShowLocationsFoundInApps"/> -->
      <!-- </xsl:call-template> -->
      <!-- <xsl:text>,</xsl:text> -->
      <!-- <xsl:call-template name="defaultOn" > -->
        <!-- <xsl:with-param name="bool" select="/Root/SuggestionsShowContactsFoundInMail"/> -->
      <!-- </xsl:call-template> -->
      <!-- <xsl:text>,</xsl:text> -->

      <xsl:for-each select="/Root/SBSearchResults/Item">
        <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
        <xsl:if test="position() &lt;= $spotlightCount">
          <xsl:call-template name="GetAppName">
            <xsl:with-param name="appID" select="Identifier"/>
            <xsl:with-param name="device" select="/Root/DeviceClass"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>

          <xsl:if test="Identifier = 'com.apple.tips' or 
Identifier = 'com.apple.Maps' or 
Identifier = 'com.apple.mobilemail' or 
Identifier = 'com.apple.Home' or 
Identifier = 'com.apple.mobilephone' or 
Identifier = 'com.apple.podcasts' or 
Identifier = 'com.apple.mobilesafari' or 
Identifier = 'com.apple.mobilecal' or 
Identifier = 'com.apple.MobileSMS' or 
Identifier = 'com.apple.reminders' or 
Identifier = 'com.apple.MobileAddressBook'">
            <xsl:call-template name="OnOff">
              <xsl:with-param name="bool" select="Suggestion"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Learn"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
<!-- ホーム画面上 -->
<!-- Appからの提案を表示 -->
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Shortcut"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
<!-- Appを提案 -->
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="SuggestApp"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
<!-- 検索でAppを表示 -->
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="App"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
<!-- 検索でコンテンツを表示 -->
          <xsl:if test="App = 'true'">
            <xsl:call-template name="OnOff">
              <xsl:with-param name="bool" select="Enabled"/>
            </xsl:call-template>
          </xsl:if>
          <xsl:text>,</xsl:text>

<!-- ロック画面上 Appからの提案を表示 (通知内に同設定）-->
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Lockscreen"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
        </xsl:if>
      </xsl:for-each>
      <xsl:call-template name="LoopStr">
        <xsl:with-param name="str" select="',,,,,,,,'"/>
        <xsl:with-param name="count" select="$spotlightCount - count(/Root/SBSearchResults/Item)"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="$MajorVersion &gt;= 9 and $MajorVersion &lt;= 10">
      <xsl:text>,,,,</xsl:text>

      <xsl:for-each select="/Root/SBSearchResults/Item">
        <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
        <xsl:if test="position() &lt;= $spotlightCount">
          <xsl:call-template name="GetAppName">
            <xsl:with-param name="appID" select="Identifier"/>
            <xsl:with-param name="device" select="/Root/DeviceClass"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Enabled"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
        </xsl:if>
      </xsl:for-each>
      <xsl:call-template name="LoopStr">
        <xsl:with-param name="str" select="',,,,,,,'"/>
        <xsl:with-param name="count" select="$spotlightCount - count(/Root/SBSearchResults/Item)"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$MajorVersion &lt;= 8">
      <xsl:text>,,,,</xsl:text>

      <xsl:for-each select="/Root/SBSearchResultsDomains/Item">
        <xsl:if test="position() &lt;= $spotlightCount">
          <xsl:call-template name="SBSearchResultsDomain">
            <xsl:with-param name="value" select="Domain"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:call-template name="OnOff">
            <xsl:with-param name="bool" select="Enabled"/>
          </xsl:call-template>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
          <xsl:text>,</xsl:text>
        </xsl:if>
      </xsl:for-each>
      <xsl:call-template name="LoopStr">
        <xsl:with-param name="str" select="',,,,,,,'"/>
        <xsl:with-param name="count" select="$spotlightCount - count(/Root/SBSearchResultsDomains/Item)"/>
      </xsl:call-template>
    </xsl:if>

    <!--パスコード-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/WasPasscodeSet"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="maxGracePeriod">
      <xsl:with-param name="this" select="maxGracePeriod"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <!--<xsl:call-template name="zeroIsOn">
      <xsl:with-param name="this" select="passcodeKeyboardComplexity"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->
    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowVoiceDialing"></xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowLockScreenTodayView"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowLockScreenNotificationsView"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowLockScreenControlCenter"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowAssistantWhileLocked"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/LockScreenMessaging"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>


    <!--
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/SBPictureFrameEnabled"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>-->


    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowPassbookWhileLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/allowOutgoingCallsWhenLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowUSBAccessoryWhileLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/SBDeviceWipeEnabled"></xsl:with-param>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--緊急SOS-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/SOSAutomaticCallCountdownEnabledKey"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/SOSPlayAudioDuringCountdownKey"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--バッテリー-->
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/SBShowBatteryPercentage"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/enabledBatterysaver"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="SmartCharging">
      <xsl:with-param name="value" select="/Root/SmartCharging"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <!--プライバシー-->
    <xsl:choose>
      <xsl:when test="$MajorVersion &gt;= 8">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn8.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$MajorVersion = 7">
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabledIn7.0"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="LocationServicesEnabled"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="AuthorizationPromptMapDisplayEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="iCloudFindMyiPhone"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="SPSettingsServiceState"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="lowBatteryLocate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1' and LocationServicesEnabledIn8.0/text() != 'true'">
        <!--<xsl:text>,</xsl:text>-->
      </xsl:when>
      <xsl:otherwise>
        <!--<xsl:call-template name="sign">
          <xsl:with-param name="this" select="kFMFTapMessages"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages != ''">
            <xsl:text>オン</xsl:text>
          </xsl:when>
          <xsl:when test="kFMFTapMessages = ''">
            <xsl:text>オフ</xsl:text>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->

        <!--<xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/Root/locationAssistantServices8"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->
      </xsl:otherwise>
    </xsl:choose>


    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn8.0/text() = '1' or LocationServicesEnabledIn8.0/text() = 'true'">
        <xsl:for-each select="/Root/LocationServices8/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications, 'locationservice')"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
              <xsl:with-param name="type" select="'locationservice'"/>
            </xsl:call-template>
            <xsl:text>""",</xsl:text>

            <xsl:choose>
              <xsl:when test="Identifier = 'com.apple.locationd.bundle-/System/Library/LocationBundles/ClipServicesLocation.bundle'">
                <xsl:text>,</xsl:text>
                <xsl:text>,</xsl:text>
                <xsl:call-template name="sign">
                  <xsl:with-param name="this" select="Authorization"/>
                </xsl:call-template>
                <xsl:call-template name="locationAuthorization">
                  <xsl:with-param name ="value" select="Authorization"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
              </xsl:when>
              <xsl:when test="Identifier = 'com.apple.Maps'">
                <xsl:call-template name="locationAuthorization2">
                  <xsl:with-param name ="value" select="AuthorizationIncidental"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
                <xsl:if test="Authorization != '1'">
                  <xsl:call-template name="OnOff">
                    <xsl:with-param name ="bool" select="CorrectiveCompensationEnabled"/>
                  </xsl:call-template>
                </xsl:if>
                <xsl:text>,</xsl:text>
                <xsl:text>,</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="locationAuthorization2">
                  <xsl:with-param name ="value" select="Authorization"/>
                </xsl:call-template>
                <xsl:text>,</xsl:text>
                <xsl:if test="Authorization != '1'">
                  <xsl:call-template name="OnOff">
                    <xsl:with-param name ="bool" select="CorrectiveCompensationEnabled"/>
                  </xsl:call-template>
                </xsl:if>
                <xsl:text>,</xsl:text>
                <xsl:text>,</xsl:text>
              </xsl:otherwise>
            </xsl:choose>

          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="LoopStr">
          <xsl:with-param name="str" select="',,,,'"/>
          <xsl:with-param name="count" select="$locsvcCount - count(/Root/LocationServices8/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="LocationServicesEnabledIn7.0/text() = '1'">
        <xsl:for-each select="/Root/LocationServices/Service">
          <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
          <xsl:if test="position() &lt;= $locsvcCount">
            <xsl:text>"=""</xsl:text>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Authorized"/>
            </xsl:call-template>
            <xsl:call-template name="GetAppName">
              <xsl:with-param name="appID" select="Identifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
            </xsl:call-template>
            <xsl:text>(</xsl:text>
            <xsl:call-template name="defaultOff">
              <xsl:with-param name ="bool" select="Authorized"/>
              <xsl:with-param name="sign" select="'false'"/>
            </xsl:call-template>
            <xsl:text>)""",,,,</xsl:text>
          </xsl:if>
        </xsl:for-each>
        <xsl:call-template name="LoopStr">
          <xsl:with-param name="str" select="',,,,'"/>
          <xsl:with-param name="count" select="$locsvcCount - count(/Root/LocationServices/Service)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="LoopStr">
          <xsl:with-param name="str" select="',,,,'"/>
          <xsl:with-param name="count" select="$locsvcCount"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>


    <xsl:choose>
      <xsl:when test="LocationServicesEnabledIn7.0/text() != '1' and LocationServicesEnabledIn8.0/text() != '1' and LocationServicesEnabledIn8.0/text() != 'true'">
        <xsl:text>,,,,,,,,,,,,,</xsl:text>
      </xsl:when>
      <xsl:otherwise>

        <!--<xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 10">
            <xsl:call-template name="locationAuthorization3">
              <xsl:with-param name ="value" select="/Root/locationWeather10"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="$MajorVersion &gt;= 8 and $MajorVersion &lt;= 9">
            <xsl:call-template name="locationAuthorization2">
              <xsl:with-param name ="value" select="/Root/locationWeather8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="value" select="/Root/locationWeather"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->


        <!--システムサービス-->
        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationApplePay"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 14">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationDeviceManagement"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationDeviceManagement"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 9">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationHomeKitDaemon"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationFindMyDevice"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationAOSNotification"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <!--<xsl:call-template name="locationAuthorization2">
          <xsl:with-param name ="value" select="/Root/locationParsec"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->



        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationCompassCalibration8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationCompassCalibration"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="$MajorVersion &gt;= 13">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="locationSystemCustomization"/>
          </xsl:call-template>
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationSystemCustomization"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationMobileWiFi8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationMobileWiFi"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="/Root/DeviceClass = 'iPhone'">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationMotionCalibration"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <!--<xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 14">

          </xsl:when>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationiAdCore8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationiAdCore"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>-->

        <xsl:if test="$MajorVersion &gt;= 10">
          <xsl:call-template name="locationAuthorization">
            <xsl:with-param name ="value" select="/Root/locationCoreParsec"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>


		<xsl:if test="$MajorVersion &gt;= 8 and $MajorVersion &lt;= 13">
			<xsl:call-template name="locationAuthorization">
				<xsl:with-param name ="value" select="/Root/locationAppSuggestions"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$MajorVersion &gt;= 14">
			<xsl:call-template name="sign">
				<xsl:with-param name="this" select="locationAppSuggestions14"/>
			</xsl:call-template>
			<xsl:choose>
				<xsl:when test="/Root/locationAppSuggestions14 = '4'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/locationAppSuggestions14 = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/locationAppSuggestions14 = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/Root/locationFMF"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="locationAuthorization">
          <xsl:with-param name ="value" select="/Root/locationSOS"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationCoreTelephony8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationCoreTelephony"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationTimeZone8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationTimeZone"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationRoutine8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationRoutine"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationWirelessDiagnostics8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationWirelessDiagnostics"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationAppGenius8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationAppGenius"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>


        <xsl:choose>
          <xsl:when test="$MajorVersion &gt;= 8">
            <xsl:call-template name="locationAuthorization">
              <xsl:with-param name ="value" select="/Root/locationTraffic8"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOn">
              <xsl:with-param name ="bool" select="/Root/locationTraffic"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>



        <!--<xsl:call-template name="addrCollect">
          <xsl:with-param name="value" select="/Root/AddressCorrectionAuthStatus"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>-->

        <xsl:call-template name="defaultOff">
          <xsl:with-param name ="bool" select="/Root/StatusBarIconStatesSystemService"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

      </xsl:otherwise>
    </xsl:choose>

	<xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/forceLimitAdTracking"/>
		<xsl:with-param name="label-on" select="'オフ'"/>
		<xsl:with-param name="label-off" select="'オン'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/EnableFitnessTracking"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/AllowMotionHealth"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/allowDiagnosticSubmission"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/allowAppAnalytics"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/SiriDataSharingOpt-InStatus"/>
    </xsl:call-template>
    <xsl:choose>
		<xsl:when test="/Root/SiriDataSharingOpt-InStatus = '2'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SiriDataSharingOpt-InStatus = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SiriDataSharingOpt-InStatus = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/AllowiCloudAnalytics"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/allowHealthDataSubmission"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/ClinicalDataCollectionOptIn"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/allowWheelchairDataSubmission"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:choose>
	<xsl:when test="$MajorVersion &lt;= 13">
    <xsl:call-template name="defaultOff">
      <xsl:with-param name ="bool" select="/Root/forceLimitAdTracking"/>
    </xsl:call-template>
	</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<xsl:choose>
	<xsl:when test="$MajorVersion &gt;= 14">
    <xsl:call-template name="defaultOn">
      <xsl:with-param name ="bool" select="/Root/allowApplePersonalizedAdvertising"/>
    </xsl:call-template>
	</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
    <!--Store-->
    <xsl:call-template name="AccountPaidPurchasesPasswordSetting">
      <xsl:with-param name="value" select="AccountPaidPurchasesPasswordSetting/text()"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AccountFreeDownloadsPasswordEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/AutomaticDownloadMusic"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/AutomaticDownloadApp"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/AutomaticDownloadBook"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/AutoUpdatesEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/IMEI != ''">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/AllowAutoDownloadOnCellular"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/CellularDataPrompt"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/Root/CellularDataPrompt = 'Never'">
          <xsl:text>常に許可</xsl:text>
        </xsl:when>
        <xsl:when test="/Root/CellularDataPrompt = 'Always'">
          <xsl:text>常に確認</xsl:text>
        </xsl:when>
        <xsl:when test="/Root/CellularDataPrompt = 'OverLimit'">
          <xsl:text>200MB以上の時は確認</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>200MB以上の時は確認</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/LastUserSetAutoPlayVideoValue"/>
      </xsl:call-template>
      <xsl:choose>
        <xsl:when test="/Root/LastUserSetAutoPlayVideoValue = 'off'">
          <xsl:text>オフ</xsl:text>
        </xsl:when>
        <xsl:when test="/Root/LastUserSetAutoPlayVideoValue = 'wifi_only'">
          <xsl:text>Wi-Fiのみ</xsl:text>
        </xsl:when>
        <xsl:when test="/Root/LastUserSetAutoPlayVideoValue = 'on'">
          <xsl:text>オン</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>オン</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/InAppReviewEnabled"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>
    <xsl:if test="$MajorVersion &gt;= 11">
      <xsl:call-template name="defaultOff">
        <xsl:with-param name="bool" select="/Root/OffloadUnusedApps"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="OnOff">
        <xsl:with-param name="bool" select="/Root/allowPassbookWhileLocked"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/AutoFillPasswords"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <!--iCloud-->
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Root/Accounts/iCloud/Username"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudPhoto"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <!--<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/downloadAndKeepOriginals"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/Root/downloadAndKeepOriginals = 'true'">
        <xsl:text>オリジナルをダウンロード</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>ストレージを最適化</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>-->
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/optimizePhotoStorage"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/downloadAndKeepOriginals"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudMyPhotoStream"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<!-- バーストの写真をアップロード -->
    <!-- <xsl:call-template name="falseOn"> -->
      <!-- <xsl:with-param name="bool" select="/Root/PLPhotoStreamHidesAvalanches"/> -->
    <!-- </xsl:call-template> -->
    <!-- <xsl:text>,</xsl:text> -->

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudSharePhotos"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudMailEnable"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudContacts"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudCalendars"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudReminders"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudNotes"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudMessages"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudBookmarks"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudStocks"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudHome"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudHealth"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="/Root/DeviceClass = 'iPhone'">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="/Root/iCloudWallet"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudGameCenter"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudSiri"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>



    <xsl:call-template name="OnOff">
      <xsl:with-param name="bool" select="/Root/allowCloudKeychainSync"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/CloudBackupEnabled"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/EnablediCloudDrive"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:for-each select="/Root/iCloudDriveApp/Application">
      <xsl:sort select="cs:GetAppName(Identifier, /Root/DeviceClass, /Root/Applications)"/>
      <xsl:if test="position() &lt;= $iCloudAppCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="Identifier"/>
        </xsl:call-template>
        <xsl:call-template name="GetAppName">
          <xsl:with-param name="appID" select="Identifier"/>
          <xsl:with-param name="device" select="/Root/DeviceClass"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="OnOff">
          <xsl:with-param name="bool" select="Allowed"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="Loop2">
      <xsl:with-param name="count" select="$iCloudAppCount - count(/Root/iCloudDriveApp/Application)"/>
    </xsl:call-template>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudFindMyiPhone"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="defaultOn">
        <xsl:with-param name="bool" select="SPSettingsServiceState"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/lowBatteryLocate"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <!--メール-->
    <xsl:for-each select="Mail/ReceiveAccounts/Account">
      <xsl:if test="position() &lt;= $recvCount">
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="Class"/>
        </xsl:call-template>
        <xsl:call-template name="AccountType">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="mail" select="ASAccountEmailAddress"/>
          <xsl:with-param name="user" select="ASAccountUsername"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="FullUserName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:choose>
          <xsl:when test="Class = 'CastleIMAPAccount'">
            <xsl:value-of select="defaultAddress" />
          </xsl:when>
          <xsl:when test="Class = 'ASAccount'">
            <xsl:value-of select="ASAccountEmailAddress" />
          </xsl:when>
          <xsl:when test="Class = 'IMAPAccount' or Class = 'POPAccount'">
            <xsl:value-of select="EmailAddresses" />
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="Username" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="ASAccountHost" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="ASAccountUsernameDomain" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="ASAccountUsernameUsername" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="DisplayName" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="Hostname" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="Username" />
        <xsl:text>,</xsl:text>
        <xsl:value-of select="SMTPIdentifier" />
        <xsl:text>,</xsl:text>

        <xsl:if test="Class = 'CastleIMAPAccount'">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="SMTPDisabled"/>
          </xsl:call-template>
          <xsl:call-template name="falseOndefaultOn" >
            <xsl:with-param name="bool" select="SMTPDisabled"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="SMTPAlternateIdentifiers"/>
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="SMTPAlternateIdentifiers = ''">
            <xsl:text>なし</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="cs:Split(SMTPAlternateIdentifiers,';')" disable-output-escaping="yes"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreDraftsOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="DraftsMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreSentMessagesOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="SentMessagesMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreTrashOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="TrashMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="MailBoxPlace">
          <xsl:with-param name="value" select="StoreArchiveOnServer"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ArchiveMailboxName"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="ArchiveMessages = 'true'">
            <xsl:text>アーカイブメールボックス</xsl:text>
          </xsl:when>
          <xsl:when test="ArchiveMessages = ''">
            <xsl:text>アーカイブメールボックス</xsl:text>
          </xsl:when>
          <xsl:when test="ArchiveMessages = 'false'">
            <xsl:text>削除済みメールボックス</xsl:text>
          </xsl:when>
        </xsl:choose>
        <xsl:text>,</xsl:text>

        <xsl:if test="NumberOfDaysToKeepTrash/@empty != 'true' or not(NumberOfDaysToKeepTrash/@empty)">
          <xsl:call-template name="days2">
            <xsl:with-param name="day" select="NumberOfDaysToKeepTrash"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>

        <xsl:choose>
          <xsl:when test="Class = 'ASAccount'">
            <xsl:call-template name="defaultOff">
              <xsl:with-param name="bool" select="ASAccountUseSSL"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="defaultOff">
              <xsl:with-param name="bool" select="SSLEnabled"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="AuthenticationScheme" >
          <xsl:with-param name="scheme" select="AuthenticationScheme/text()"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>

        <xsl:call-template name="text">
          <xsl:with-param name="this" select="ServerPathPrefix"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:if test="@empty != 'true' or not(@empty)">
          <xsl:choose>
            <xsl:when test="DeletionPolicy = 'WhenTransferredOutOfInbox'">
              <xsl:text>受信ボックスから削除時</xsl:text>
            </xsl:when>
            <xsl:when test="DeletionPolicy = 'AfterInterval'">
              <xsl:text>7日</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>しない</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:if>
        <xsl:text>,</xsl:text>


        <xsl:call-template name="MailPort">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="port" select="PortNumber"/>
          <xsl:with-param name="ssl" select="SSLEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="SMIMEEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:choose>
          <xsl:when test="SMIMEEncryptionEnabled = 'true'">はい</xsl:when>
          <xsl:otherwise>いいえ</xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
        <xsl:choose>
          <xsl:when test="SMIMESigningEnabled = 'true'">はい</xsl:when>
          <xsl:otherwise>いいえ</xsl:otherwise>
        </xsl:choose>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,,,,,,,,,,,,,,,,,,,,,,,,,,'"/>
      <xsl:with-param name="count" select="$recvCount - count(Mail/ReceiveAccounts/Account)"/>
    </xsl:call-template>

    <xsl:for-each select="/Root/Mail/SendAccounts/Account">
      <xsl:if test="position() &lt;= $sendCount">
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Hostname"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="Username"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="defaultOff">
          <xsl:with-param name="bool" select="SSLEnabled"/>
          <xsl:with-param name="empty" select="@empty"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:if test="@empty != 'true' or not(@empty)">
          <xsl:call-template name="sign">
            <xsl:with-param name="this" select="AuthenticationScheme"/>
          </xsl:call-template>
          <xsl:call-template name="AuthenticationScheme" >
            <xsl:with-param name="scheme" select="AuthenticationScheme"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:text>,</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="PortNumber"/>
        </xsl:call-template>
        <xsl:call-template name="MailPort">
          <xsl:with-param name="class" select="Class"/>
          <xsl:with-param name="port" select="PortNumber"/>
          <xsl:with-param name="ssl" select="SSLEnabled"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,'"/>
      <xsl:with-param name="count" select="$sendCount - count(Mail/SendAccounts/Account)"/>
    </xsl:call-template>

    <xsl:call-template name="text">
      <xsl:with-param name="this" select="/Root/Mail/DeviceSpecificIdentifier"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/Mail/PCEnablePush"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/Mail/fetchiCloud"/>
    </xsl:call-template>
    <xsl:call-template name="PushFetch">
      <xsl:with-param select="/Root/fetchiCloud" name="value"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/Mail/fetchHolidayCalendar"/>
    </xsl:call-template>
    <xsl:call-template name="PushFetch">
      <xsl:with-param select="/Root/fetchHolidayCalendar" name="value"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/Mail/PCDefaultPollInterval"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/Root/Mail/PCDefaultPollInterval = ''">
        <xsl:text>自動</xsl:text>
      </xsl:when>
      <xsl:when test="/Root/Mail/PCDefaultPollInterval = '0'">
        <xsl:text>自動</xsl:text>
      </xsl:when>
      <xsl:when test="/Root/Mail/PCDefaultPollInterval = '-1'">
        <xsl:text>手動</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="Second2Time" >
          <xsl:with-param name="second" select="/Root/Mail/PCDefaultPollInterval"/>
        </xsl:call-template>
        <xsl:text>ごと</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="specifiedefSuffix">
      <xsl:with-param name="this" select="Mail/RecentMessageCount"/>
      <xsl:with-param name="default" select="50"/>
      <xsl:with-param name="suffix" select="'件のメッセージ履歴'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="specifiedefSuffix">
      <xsl:with-param name="this" select="Mail/LinesOfPreview"/>
      <xsl:with-param name="default" select="2"/>
      <xsl:with-param name="suffix" select="'行'"/>
      <xsl:with-param name="except" select="'0'"/>
      <xsl:with-param name="exdesc" select="'なし'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/Mail/ShowToCCIndicators"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SwipeAction">
      <xsl:with-param name="value" select="/Root/Mail/RightEdgeSwipeAction"/>
      <xsl:with-param name="dir" select="'left'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="SwipeAction">
      <xsl:with-param name="value" select="/Root/Mail/LeftEdgeSwipeAction"/>
      <xsl:with-param name="dir" select="'right'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="FlagStyle">
      <xsl:with-param name="value" select="/Root/Mail/FlagStyle"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/Mail/ShowMessageDeleteConfirmation"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/BlockRemoteImages" />
    </xsl:call-template>
    <xsl:call-template name="falseOndefaultOn">
      <xsl:with-param select="/Root/Mail/BlockRemoteImages" name="bool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/DisableThreading" />
    </xsl:call-template>
    <xsl:call-template name="falseOndefaultOn">
      <xsl:with-param select="Mail/DisableThreading" name="bool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/Mail/CollapseReadConversationMessages"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/Mail/ConversationViewShowsNewestAtTop"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="/Root/Mail/ConversationViewExcludesRelatedMessages" />
    </xsl:call-template>
    <xsl:call-template name="falseOndefaultOn">
      <xsl:with-param name="bool" select="/Root/Mail/ConversationViewExcludesRelatedMessages"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/Mail/MutedThreadActionKey"/>
      </xsl:call-template>
      <xsl:call-template name="MutedThreadAction">
        <xsl:with-param name="value" select="Mail/MutedThreadActionKey"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/Mail/BlockedSenderMode"/>
      </xsl:call-template>
      <xsl:call-template name="BlockedSenderMode">
        <xsl:with-param name="value" select="Mail/BlockedSenderMode"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>

    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/Mail/ReplyToSelf"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/Mail/managedEmailDomains"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/Root/Mail/managedEmailDomains = ''">
        <xsl:text>オフ</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="/Root/Mail/managedEmailDomains"/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="Mail/DisableQuoteIncrease" />
    </xsl:call-template>
    <xsl:call-template name="falseOndefaultOn">
      <xsl:with-param select="Mail/DisableQuoteIncrease" name="bool"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>

    <xsl:if test="$MajorVersion &gt;= 13">
      <xsl:call-template name="sign">
        <xsl:with-param name="this" select="/Root/Mail/IncludeAttachmentReplies"/>
      </xsl:call-template>
      <xsl:call-template name="IncludeAttachment">
        <xsl:with-param name="value" select="Mail/IncludeAttachmentReplies"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:text>,</xsl:text>


    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/Mail/UseAccountSignatures"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/Root/Mail/UseAccountSignatures = 'true'">
        <xsl:text>アカウントごと</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>すべてのアカウント</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>,"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="Mail/SignatureKey" />
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="/Root/Mail/SignatureKey = ''">
        <xsl:value-of select="/Root/DeviceClass"/>
        <xsl:text>から送信</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="/Root/Mail/SignatureKey"/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>""",</xsl:text>
    <xsl:for-each select="/Root/Mail/ReceiveAccounts/Account[Class!='AAAccount']">
      <xsl:if test="position() &lt;= $signCount">
        <xsl:text>"=""</xsl:text>
        <xsl:choose>
          <xsl:when test="Class = 'CastleIMAPAccount'">iCloud</xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="DisplayName"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>""","=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="CustomSignature" />
        </xsl:call-template>
        <xsl:choose>
          <xsl:when test="CustomSignature = ''">
            <xsl:choose>
              <xsl:when test="/Root/Mail/SignatureKey = ''">
                <xsl:value-of select="/Root/DeviceClass"/>
                <xsl:text>から送信</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="/Root/Mail/SignatureKey"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="CustomSignature"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>""",</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,'"/>
      <xsl:with-param name="count" select="$signCount - count(Mail/ReceiveAccounts/Account[Class!='AAAccount'])"/>
    </xsl:call-template>
    <!--<xsl:text>"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="Mail/DefaultSendingAccount"/>
    </xsl:call-template><xsl:value-of select="Mail/DefaultSendingAccount"/>
    <xsl:text>"""</xsl:text>
    <xsl:text>,</xsl:text>-->

    <!--アプリごとの設定-->
	<!--Apple Pencil-->
	<xsl:if test="/Root/DeviceClass = 'iPad'">
    <xsl:call-template name="defaultOff">
      <xsl:with-param name="bool" select="/Root/UIPencilOnlyDrawWithPencilKey"/>
    </xsl:call-template>
	</xsl:if>
    <xsl:text>,</xsl:text>
    
	<xsl:if test="/Root/DeviceClass = 'iPad'">
	<xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/ApplePencilTextInputEnabled"/>
    </xsl:call-template>
	</xsl:if>
    <xsl:text>,</xsl:text>
	
	<!--連絡先-->
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/contactsSortOrder"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/contactsSortOrder = '1'">
			<xsl:text>姓/名</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/contactsSortOrder = '0'">
			<xsl:text>名/姓</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/contactsSortOrder = ''">
			<xsl:text>姓/名</xsl:text>
		</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/NSPersonNameDefaultDisplayNameOrder"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/NSPersonNameDefaultDisplayNameOrder = '2'">
			<xsl:text>姓/名</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultDisplayNameOrder = '1'">
			<xsl:text>名/姓</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultDisplayNameOrder = ''">
			<xsl:text>名/姓</xsl:text>
		</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/NSPersonNameDefaultShortNameEnabled"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/NSPersonNameDefaultShortNameEnabled = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultShortNameEnabled = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultShortNameEnabled = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/NSPersonNameDefaultShortNameFormat"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = '1'">
			<xsl:text>姓のみイニシャル</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = '2'">
			<xsl:text>名のみイニシャル</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = '3'">
			<xsl:text>名のみ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = '4'">
			<xsl:text>姓のみ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultShortNameFormat = ''">
			<xsl:text>名のみ</xsl:text>
		</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/NSPersonNameDefaultShouldPreferNicknamesPreference"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/NSPersonNameDefaultShouldPreferNicknamesPreference = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultShouldPreferNicknamesPreference = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/NSPersonNameDefaultShouldPreferNicknamesPreference = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<!--カレンダー-->
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/ViewedTimeZoneAutomatic"/>
		<xsl:with-param name="label-on" select="'オフ'"/>
		<xsl:with-param name="label-off" select="'オン'"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/overlayCalendarID"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/overlayCalendarID = 'chinese'">
			<xsl:text>中国暦</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/overlayCalendarID = 'hebrew'">
			<xsl:text>ユダヤ暦</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/overlayCalendarID = 'islamic-civil'">
			<xsl:text>イスラム暦</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/overlayCalendarID = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/ShowWeekNumbers"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:if test="/Root/DeviceClass = 'iPad'">
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/WeekViewStartsOnToday"/>
    </xsl:call-template>
	</xsl:if>
    <xsl:text>,</xsl:text>

	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/InviteeDeclineAlerts"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/kCalPreferredDaysToSyncKey"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/kCalPreferredDaysToSyncKey = '0'">
			<xsl:text>すべてのイベント</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kCalPreferredDaysToSyncKey = '14'">
			<xsl:text>2週間前のイベント</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kCalPreferredDaysToSyncKey = '31'">
			<xsl:text>1か月前のイベント</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kCalPreferredDaysToSyncKey = '92'">
			<xsl:text>3か月前のイベント</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kCalPreferredDaysToSyncKey = '183'">
			<xsl:text>6か月前のイベント</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kCalPreferredDaysToSyncKey = ''">
			<xsl:text>すべてのイベント</xsl:text>
		</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/BirthdayAlarmOffset"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/BirthdayAlarmOffset = '32400'">
			<xsl:text>イベントの当日（9:00）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BirthdayAlarmOffset = '-54000'">
			<xsl:text>1日前（9:00）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BirthdayAlarmOffset = '-140400'">
			<xsl:text>2日前（9:00）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BirthdayAlarmOffset = '-572400'">
			<xsl:text>1週間前</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BirthdayAlarmOffset = ''">
			<xsl:text>なし</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DefaultTimedAlarmOffset"/>
    </xsl:call-template>
	<xsl:call-template name="eventcal" >
		<xsl:with-param name="value" select="/Root/DefaultTimedAlarmOffset"/>
	</xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DefaultAllDayAlarmOffset"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/DefaultAllDayAlarmOffset = '32400'">
			<xsl:text>イベント当日（9:00）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DefaultAllDayAlarmOffset = '-54000'">
			<xsl:text>1日前（9:00）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DefaultAllDayAlarmOffset = '-140400'">
			<xsl:text>2日前（9:00）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DefaultAllDayAlarmOffset = '-572400'">
			<xsl:text>1週間前</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DefaultAllDayAlarmOffset = ''">
			<xsl:text>なし</xsl:text>
		</xsl:when>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/enableTravelAdvisoriesForAutomaticBehavior"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/WeekStart"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/WeekStart = ''">
			<xsl:text>日曜日</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="weeks" >
				<xsl:with-param name="value" select="/Root/WeekStart"/>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/suggestEventLocations"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<!--メモ-->
	<xsl:for-each select="/Root/NotesAccounts/Account">
		<xsl:if test="position() &lt;= $notesAccountCount">
			<xsl:value-of select="Type"/>
			<xsl:text>(</xsl:text>
            <xsl:call-template name="OnOff">
              <xsl:with-param name ="bool" select="Enabled"/>
            </xsl:call-template>
			<xsl:text>)</xsl:text>
			<xsl:text>,</xsl:text>
		</xsl:if>
	</xsl:for-each>
	<xsl:call-template name="LoopStr">
		<xsl:with-param name="str" select="','"/>
		<xsl:with-param name="count" select="$notesAccountCount - count(/Root/NotesAccounts/Account)"/>
	</xsl:call-template>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/DefaultNotesAccountLocal"/>
		<xsl:with-param name="label-on" select="'iPhone/iPad'"/>
		<xsl:with-param name="label-off" select="'iCloud'"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/LocalNotes"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/kICSettingsNoteListSortTypeKey"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/kICSettingsNoteListSortTypeKey = '0'">
			<xsl:text>編集日</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kICSettingsNoteListSortTypeKey = '1'">
			<xsl:text>作成日</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kICSettingsNoteListSortTypeKey = '2'">
			<xsl:text>タイトル</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kICSettingsNoteListSortTypeKey = ''">
			<xsl:text>編集日</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/TTTextControllerNoteDefaultNamedStyleKey"/>
    </xsl:call-template>
	<xsl:choose>
	<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = '0'">
			<xsl:text>タイトル</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = '1'">
			<xsl:text>見出し</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = '2'">
			<xsl:text>小見出し</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = '3'">
			<xsl:text>本文</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/TTTextControllerNoteDefaultNamedStyleKey = ''">
			<xsl:text>タイトル</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/ICChecklistAutoSortEnabledDefaultsKey"/>
		<xsl:with-param name="label-on" select="'自動'"/>
		<xsl:with-param name="label-off" select="'手動'"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/PaperStyle"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/PaperStyle = '2'">
			<xsl:text>方眼（小）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PaperStyle = '3'">
			<xsl:text>方眼（中）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PaperStyle = '4'">
			<xsl:text>方眼（大）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PaperStyle = '5'">
			<xsl:text>罫線幅（狭）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PaperStyle = '6'">
			<xsl:text>罫線幅（中）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PaperStyle = '7'">
			<xsl:text>罫線幅（広）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PaperStyle = '1'">
			<xsl:text>なし</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PaperStyle = ''">
			<xsl:text>なし</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/ICShouldSavePhotosAndVideosToCameraRollKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/ShowOnLockScreen"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/ShowOnLockScreen = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ShowOnLockScreen = '1'">
			<xsl:text>常に新規メモを作成</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ShowOnLockScreen = '3' or /Root/ShowOnLockScreen = '2'">
			<xsl:text>最後のメモ再開</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/ShowOnLockScreen = ''">
			<xsl:text>常に新規メモを作成</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:text>,</xsl:text>
	<xsl:text>,</xsl:text>
	<!--リマインダー-->
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/ReminderDefaultList"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/ReminderDefaultList = ''">
			<xsl:text>リマインダー</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			 <xsl:value-of select="/Root/ReminderDefaultList/text()"/>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/EnableTodayNotification"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/showRemindersAsOverdue"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/enableAssignmentNotifications"/>
		<xsl:with-param name="label-on" select="'オフ'"/>
		<xsl:with-param name="label-off" select="'オン'"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<!--ボイスメモ-->
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/com.apple.VoiceMemos"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<!--<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/VoiceMemoCellularBehavior"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/VoiceMemoCellularBehavior = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/VoiceMemoCellularBehavior = '2'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/VoiceMemoCellularBehavior = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>-->
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/RCVoiceMemosRecentlyDeletedWindowKey"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '0'">
			<xsl:text>すぐに</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '1'">
			<xsl:text>1日後</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '7'">
			<xsl:text>7日後</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '-1'">
			<xsl:text>しない</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '30'">
			<xsl:text>30日後</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = ''">
			<xsl:text>30日後</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/RCVoiceMemosAudioQualityKey"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/RCVoiceMemosAudioQualityKey = '0'">
			<xsl:text>非可逆圧縮</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/RCVoiceMemosAudioQualityKey = '1'">
			<xsl:text>ロスレス圧縮</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/RCVoiceMemosAudioQualityKey = ''">
			<xsl:text>非可逆圧縮</xsl:text>
		</xsl:when>
	</xsl:choose>	
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/RCVoiceMemosUseLocationBasedNaming"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	
	<!--メッセージ-->
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/UserLoginIntent"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/UserLoginIntent = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/UserLoginIntent = '2'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/UserLoginIntent = '2'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:for-each select="/Root/ArrivalSms/Item">
		<xsl:sort select="Name"/>
		<xsl:if test="position() &lt;= $arrivalSmsCount">
			<xsl:text>"=""</xsl:text>
			<xsl:value-of select="Name"/>
			<xsl:text>(</xsl:text>
            <xsl:call-template name="OnOff">
              <xsl:with-param name ="bool" select="Checked"/>
            </xsl:call-template>
			<xsl:text>)</xsl:text>
			<xsl:text>"""</xsl:text>
			<xsl:text>,</xsl:text>
		</xsl:if>
	</xsl:for-each>
	<xsl:call-template name="LoopStr">
		<xsl:with-param name="str" select="','"/>
		<xsl:with-param name="count" select="$arrivalSmsCount - count(/Root/ArrivalSms/Item)"/>
	</xsl:call-template>
	
	<xsl:call-template name ="text">
      <xsl:with-param name="this" select="DepartureSms"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/SharingAudience"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/SharingAudience = '1true'">
			<xsl:text>オン（連絡先のみ）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SharingAudience = '2true'">
			<xsl:text>オン（常に確認）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SharingAudience = 'false'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SharingAudience = ''">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/ShowContactPhotos"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/ReadReceiptsEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/MMSShowSubject"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/KeepMessageForDays"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/KeepMessageForDays = '30'">
			<xsl:text>30日</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/KeepMessageForDays = '365'">
			<xsl:text>1年</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/KeepMessageForDays = '0'">
			<xsl:text>無期限</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/KeepMessageForDays = ''">
			<xsl:text>無期限</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>

	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/AddressMeInGroupchat"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/IncomingMessageAlertFiltration"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/AutomaticallySaveAudioMessagesEnabled"/>
    	<xsl:with-param name="label-on" select="'なし'"/>
		<xsl:with-param name="label-off" select="'2分後'"/>
	</xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/PreviewTranscodingEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<!--FaceTime-->
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/CleethorpesEnabled"/>
    	<xsl:with-param name="label-on" select="'バナー'"/>
		<xsl:with-param name="label-off" select="'フルスクリーン'"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/Audioannouncements"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/Audioannouncements = '1'">
			<xsl:text>常に知らせる</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Audioannouncements = '2'">
			<xsl:text>ヘッドフォンと自転車</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Audioannouncements = '4'">
			<xsl:text>ヘッドフォンのみ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Audioannouncements = '3'">
			<xsl:text>常に知らせない</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Audioannouncements = ''">
			<xsl:text>常に知らせない</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/FacetimeOpportunistic"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
		<xsl:for-each select="/Root/ArrivalFacetime/Item">
		<xsl:sort select="Name"/>
		<xsl:if test="position() &lt;= $arrivalFacetimeCount">
			<xsl:text>"=""</xsl:text>
			<xsl:value-of select="Name"/>
			<xsl:text>(</xsl:text>
            <xsl:call-template name="OnOff">
              <xsl:with-param name ="bool" select="Checked"/>
            </xsl:call-template>
			<xsl:text>)</xsl:text>
			<xsl:text>"""</xsl:text>
			<xsl:text>,</xsl:text>
		</xsl:if>
	</xsl:for-each>
	<xsl:call-template name="LoopStr">
		<xsl:with-param name="str" select="','"/>
		<xsl:with-param name="count" select="$arrivalFacetimeCount - count(/Root/ArrivalFacetime/Item)"/>
	</xsl:call-template>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/allowAudioProminence"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/FaceTimePhotosEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<!--Safari-->
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/SearchEngineStringSetting"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/SearchEngineStringSetting = 'Google'">
			<xsl:text>Google</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SearchEngineStringSetting = 'Yahoo!'">
			<xsl:text>Yahoo!</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SearchEngineStringSetting = 'Bing'">
			<xsl:text>Bing</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SearchEngineStringSetting = 'DuckDuckGo'">
			<xsl:text>DuckDuckGo</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SearchEngineStringSetting = 'Ecosia'">
			<xsl:text>Ecosia</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/SearchEngineStringSetting = ''">
			<xsl:text>Google</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/SuppressSearchSuggestions"/>
		<xsl:with-param name="label-on" select="'オフ'"/>
		<xsl:with-param name="label-off" select="'オン'"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/SpotlightSuggestionsEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>

	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/DisableWebsiteSpecificSearch"/>
		<xsl:with-param name="label-on" select="'オフ'"/>
		<xsl:with-param name="label-off" select="'オン'"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/SpeculativeLoading"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/AutoFillFromAddressBook"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name ="text">
      <xsl:with-param name="this" select="/Root/SafariMyInfo"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/AutoFillCreditCards"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/HideFrequentlyVisitedSites"/>
		<xsl:with-param name="label-on" select="'オフ'"/>
		<xsl:with-param name="label-off" select="'オン'"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
		<!-- お気に入り -->
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/Safari/FavoritesFolder"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/Safari/FavoritesFolder = 'BookmarksBar'">
			<xsl:text>お気に入り</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			 <xsl:value-of select="/Root/Safari/FavoritesFolder/text()"/>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:if test="/Root/DeviceClass = 'iPad'">
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/AlwaysShowBookmarksBar"/>
    </xsl:call-template>
	</xsl:if>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/JavaScriptCanOpenWindowsAutomatically"/>
		<xsl:with-param name="label-on" select="'オフ'"/>
		<xsl:with-param name="label-off" select="'オン'"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
		<!-- ダウンロード -->
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/Safari/LocalDownloadFolder"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/Safari/LocalDownloadFolder = 'true'">
			<xsl:text>デバイス内（デフォルト）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Safari/LocalDownloadFolder = 'false'">
			<xsl:text>iCloud Drive</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DownloadExpirationInterval"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/DownloadExpirationInterval = '86400'">
			<xsl:text>１日後</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DownloadExpirationInterval = '-2'">
			<xsl:text>ダウンロードが完了したとき</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DownloadExpirationInterval = '-1'">
			<xsl:text>手動</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DownloadExpirationInterval = ''">
			<xsl:text>１日後</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/ShowTabBar"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/IconsInTabsEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/OpenLinksInBackground"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/CloseTabsAutomatically"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/CloseTabsAutomatically = '0'">
			<xsl:text>手動</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CloseTabsAutomatically = '1'">
			<xsl:text>１日後</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CloseTabsAutomatically = '2'">
			<xsl:text>１週間後</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CloseTabsAutomatically = '3'">
			<xsl:text>１か月後</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CloseTabsAutomatically = ''">
			<xsl:text>手動</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/safariAcceptCookies"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/safariAcceptCookies = '2'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/safariAcceptCookies = '1.5'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/safariAcceptCookies = '0.0'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/safariAcceptCookies = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/NanoBlockAllCookiesEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/WarnAboutFraudulentWebsites"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/SafariApplePayDisclosureAllowed"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
		<!-- ページの拡大縮小 -->
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/Safari/PerSitePreferencesPageZoom"/>
    </xsl:call-template>
	<xsl:call-template name="Zoom" >
		<xsl:with-param name="value" select="/Root/Safari/PerSitePreferencesPageZoom"/>
	</xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="OnOff">
		<xsl:with-param name="bool" select="/Root/Safari/PerSitePreferencesRequestDesktopSite"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="OnOff">
		<xsl:with-param name="bool" select="/Root/Safari/PerSitePreferencesUseReader"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/Safari/PerSitePreferencesCamera"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/Safari/PerSitePreferencesCamera = '0'">
			<xsl:text>確認</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Safari/PerSitePreferencesCamera = '1'">
			<xsl:text>拒否</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Safari/PerSitePreferencesCamera = '2'">
			<xsl:text>許可</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/Safari/PerSitePreferencesMicrophone"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/Safari/PerSitePreferencesMicrophone = '0'">
			<xsl:text>確認</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Safari/PerSitePreferencesMicrophone = '1'">
			<xsl:text>拒否</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Safari/PerSitePreferencesMicrophone = '2'">
			<xsl:text>許可</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
		<!-- 場所 -->
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/Safari/PerSitePreferencesGeolocation"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/Safari/PerSitePreferencesGeolocation = '0'">
			<xsl:text>確認</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Safari/PerSitePreferencesGeolocation = '1'">
			<xsl:text>拒否</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Safari/PerSitePreferencesGeolocation = '2'">
			<xsl:text>許可</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/AutomaticallyArchiveReadingListItemsEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/JavaScriptEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/RemoteInspectorEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/RemoteAutomationEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<!--マップ-->
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/Authorization"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/Authorization = '1'">
			<xsl:text>許可しない</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Authorization = '2'">
			<xsl:text>使用中のみ許可</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Authorization = ''">
			<xsl:text>確認</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/com.apple.Maps"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<!--<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/MapCellularBehavior"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/MapCellularBehavior = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MapCellularBehavior = '2'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MapCellularBehavior = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>-->
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/PreferredTransportType"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/PreferredTransportType = '0'">
			<xsl:text>車</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PreferredTransportType = '1'">
			<xsl:text>徒歩</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PreferredTransportType = '2'">
			<xsl:text>交通機関</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PreferredTransportType = '4'">
			<xsl:text>自転車</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PreferredTransportType = ''">
			<xsl:text>交通機関</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/MapsDefaultAvoidTollsKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/MapsDefaultAvoidHighwaysKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/NavigationShowHeadingKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/NavigationShowSpeedLimitKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>

	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DefaultDisabledTransitModesKey"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="not(/Root/DefaultDisabledTransitModesKey) or /Root/DefaultDisabledTransitModesKey = ''">
			<xsl:text>バス 地下鉄 電車 フェリー</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="cs:FlagOn(/Root/DefaultDisabledTransitModesKey, '1') = 'false'">
				<xsl:text>バス </xsl:text>
			</xsl:if>
			<xsl:if test="cs:FlagOn(/Root/DefaultDisabledTransitModesKey, '2') = 'false'">
				<xsl:text>地下鉄 </xsl:text>
			</xsl:if>
			<xsl:if test="cs:FlagOn(/Root/DefaultDisabledTransitModesKey, '4') = 'false'">
				<xsl:text>電車 </xsl:text>
			</xsl:if>
			<xsl:if test="cs:FlagOn(/Root/DefaultDisabledTransitModesKey, '8') = 'false'">
				<xsl:text>フェリー </xsl:text>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/MapsDefaultAvoidHillsKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/MapsDefaultAvoidBusyRoadsKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/Naviguidance"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/Naviguidance = 'Normal Volumefalse'">
			<xsl:text>普通音量</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Naviguidance = 'Low Volumefalse'">
			<xsl:text>小音量</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Naviguidance = 'Loud Volumefalse'">
			<xsl:text>大音量</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Naviguidance = 'true'">
			<xsl:text>音声なし</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/Naviguidance = ''">
			<xsl:text>普通音量</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/NavVolumeSettingPauseSpokenAudio"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/NavigationPromptsUndimScreen"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/ShareETAUserEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/DistanceUnits"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/DistanceUnits = 'Metric'">
			<xsl:text>キロメートル表示</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DistanceUnits = 'Imperial'">
			<xsl:text>マイル表示</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/DistanceUnits = ''">
			<xsl:text>キロメートル表示</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/ClimateShowAirQualityIndex"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/ClimateShowWeatherConditions"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/GEOMapLocalizeLabels"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:if test="/Root/DeviceClass = 'iPad'">
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/allowFindMyCar"/>
    </xsl:call-template>
	</xsl:if>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/RAPContactBackByEmailPreference"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/RAPContactBackByEmailPreference = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/RAPContactBackByEmailPreference = '2'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/RAPContactBackByEmailPreference = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<!--株価-->
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/com.apple.stocks"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<!--<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/StockCellularBehavior"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/StockCellularBehavior = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/StockCellularBehavior = '2'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/StockCellularBehavior = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>-->
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/StocksIdentificationResetOnNextLaunch"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<!--計測-->
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/kMeasureUnitsV1"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/kMeasureUnitsV1 = '1'">
			<xsl:text>メートル法</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kMeasureUnitsV1 = '0'">
			<xsl:text>ヤードポンド法</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/kMeasureUnitsV1 = ''">
			<xsl:text>メートル法</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<!--写真-->
	    <xsl:call-template name="defaultOn">
      <xsl:with-param name="bool" select="/Root/iCloudPhoto"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/optimizePhotoStorage"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/downloadAndKeepOriginals"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/iCloudSharePhotos14"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/HiddenAlbumVisible"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<!--<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/PicCellularBehavior"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/PicCellularBehavior = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PicCellularBehavior = '2'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PicCellularBehavior = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>-->
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/unlimitedUpdateSlideshow"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/VideoAutoplayEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/showHolidayCalendarEvents"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/CAMUserPreferenceMediaTransferBehavior"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/CAMUserPreferenceMediaTransferBehavior = '1'">
			<xsl:text>元のフォーマットのまま</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CAMUserPreferenceMediaTransferBehavior = '0'">
			<xsl:text>自動</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CAMUserPreferenceMediaTransferBehavior = ''">
			<xsl:text>自動</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<!--カメラ-->
	
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/CAMUserPreferenceCaptureEncodingBehavior"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/CAMUserPreferenceCaptureEncodingBehavior = '1'">
			<xsl:text>互換性優先</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CAMUserPreferenceCaptureEncodingBehavior = '0'">
			<xsl:text>高効率</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CAMUserPreferenceCaptureEncodingBehavior = ''">
			<xsl:text>高効率</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/CAMUserPreferenceVideoConfiguration"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/CAMUserPreferenceVideoConfiguration = '0'">
			<xsl:text>デフォルト（1080p/30fps）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CAMUserPreferenceVideoConfiguration = ''">
			<xsl:text>デフォルト（1080p/30fps）</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CAMUserPreferenceVideoConfiguration != '0'">
			<xsl:text>デフォルト以外</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CAMUserPreferenceVideoConfiguration != ''">
			<xsl:text>デフォルト以外</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/CAMUserPreferenceEnablePALVideoFormats"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/CAMUserPreferenceEnableVideoConfigurationControl"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>

	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/CAMUserPreferencePreserveCaptureMode"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/CAMUserPreferencePreserveLivePhoto"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/CAMUserPreferenceShowQRCodeBanners"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/CAMUserPreferenceShowGridOverlay"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/CAMUserPreferenceMirrorFrontCameraCaptures"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/CAMUserPreferenceHDREV0"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<!--ブック-->
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/com.apple.iBooks"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
		<xsl:with-param name="this" select="/Root/BookCellularBehavior"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/BookCellularBehavior = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BookCellularBehavior = '2'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BookCellularBehavior = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/AppleLanguageBook"/>
    </xsl:call-template>
    <xsl:call-template name="language2" >
      <xsl:with-param name="countrycode" select="/Root/AppleLanguageBook"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/AutomaticDownloadBook"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/AllowAutoDownloadOnCellularBook"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/CellularDataPromptDownload"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/CellularDataPromptDownload = 'OverLimit'">
			<xsl:text>200MB以上の時は確認</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CellularDataPromptDownload = 'Never'">
			<xsl:text>常に許可</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CellularDataPromptDownload = 'Always'">
			<xsl:text>常に確認</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/CellularDataPromptDownload = ''">
			<xsl:text>200MB以上の時は確認</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/BKLibrary.ReadingNow"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/BCSyncICloudDrive"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/BKFullJustification"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/BKAutoHyphenation"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/BKLeftTapTurnToNext"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/BKReadingGoalsUserDefaultsKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/BKReadingGoalsIncludePDFsUserDefaultsKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/BKExcludeBookStoreResultsInSearch"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/BKExcludeBookStoreResultsInSearch = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKExcludeBookStoreResultsInSearch = '0'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKExcludeBookStoreResultsInSearch = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/BKAudioBookSkipForward"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/BKAudioBookSkipForward = '10'">
			<xsl:text>10秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipForward = '15'">
			<xsl:text>15秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipForward = '30'">
			<xsl:text>30秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipForward = '45'">
			<xsl:text>45秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipForward = '60'">
			<xsl:text>60秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipForward = ''">
			<xsl:text>15秒</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/BKAudioBookSkipBackward"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/BKAudioBookSkipBackward = '10'">
			<xsl:text>10秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipBackward = '15'">
			<xsl:text>15秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipBackward = '30'">
			<xsl:text>30秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipBackward = '45'">
			<xsl:text>45秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipBackward = '60'">
			<xsl:text>60秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/BKAudioBookSkipBackward = ''">
			<xsl:text>15秒</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/BKRemoteSkipInsteadOfNextTrackDefaultKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<!--Podcast-->
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/com.apple.podcasts"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/PodcastCellularBehavior"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/PodcastCellularBehavior = '1'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PodcastCellularBehavior = '2'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/PodcastCellularBehavior = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/MTSyncSubscriptions"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/MTWiFiDownloadOnly"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/MTContinuousPlaybackEnabled"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/MTPodcastUpdateIntervalDefault"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '0'">
			<xsl:text>1時間ごと</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '1'">
			<xsl:text>6時間ごと</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '2'">
			<xsl:text>毎日</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '3'">
			<xsl:text>毎週</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = '4'">
			<xsl:text>手動</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTPodcastUpdateIntervalDefault = ''">
			<xsl:text>1時間ごと</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/MTPodcastAutoDownloadStateDefaultKey"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/MTPodcastAutoDownloadStateDefaultKey = '0'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTPodcastAutoDownloadStateDefaultKey = '1'">
			<xsl:text>未再生</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTPodcastAutoDownloadStateDefaultKey = '3'">
			<xsl:text>新規のみ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTPodcastAutoDownloadStateDefaultKey = ''">
			<xsl:text>新規のみ</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOn">
		<xsl:with-param name="bool" select="/Root/MTPodcastDeletePlayedEpisodesDefaultKey"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/MTSkipForwardIntervalDefault"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/MTSkipForwardIntervalDefault = '10'">
			<xsl:text>10秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipForwardIntervalDefault = '15'">
			<xsl:text>15秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipForwardIntervalDefault = '30'">
			<xsl:text>30秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipForwardIntervalDefault = '45'">
			<xsl:text>45秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipForwardIntervalDefault = '60'">
			<xsl:text>60秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipForwardIntervalDefault = ''">
			<xsl:text>30秒</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/MTSkipBackwardsIntervalDefault"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '10'">
			<xsl:text>10秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '15'">
			<xsl:text>15秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '30'">
			<xsl:text>30秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '45'">
			<xsl:text>45秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = '60'">
			<xsl:text>60秒</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/MTSkipBackwardsIntervalDefault = ''">
			<xsl:text>15秒</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/MTRemoteSkipInsteadOfNextTrackDefault"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<xsl:call-template name="defaultOff">
		<xsl:with-param name="bool" select="/Root/MTPrivacyResetIdentifier"/>
    </xsl:call-template>
	<xsl:text>,</xsl:text>
	<!--Game Center-->
	<xsl:call-template name="sign">
      <xsl:with-param name="this" select="/Root/com.apple.account.GameCenter.exists"/>
    </xsl:call-template>
	<xsl:choose>
		<xsl:when test="/Root/com.apple.account.GameCenter.exists = '1'">
			<xsl:text>オン</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/com.apple.account.GameCenter.exists = '2'">
			<xsl:text>オフ</xsl:text>
		</xsl:when>
		<xsl:when test="/Root/com.apple.account.GameCenter.exists = ''">
			<xsl:text>オン</xsl:text>
		</xsl:when>
	</xsl:choose>
	<xsl:text>,</xsl:text>
	
	<!--ホーム画面-->
    <xsl:for-each select="Applications/Application">
      <xsl:if test="position() &lt;= $appCount">
        <xsl:choose>
          <xsl:when test="Page = '-1'">ドック</xsl:when>
          <xsl:otherwise>
            <xsl:text>ホーム画面</xsl:text>
            <xsl:value-of select="number(Page) + 1"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="Folder">
          <xsl:text>(</xsl:text>
		  <xsl:call-template name="sign">
		    <xsl:with-param name="this" select="Folder"/>
		  </xsl:call-template>
          <xsl:value-of select="Folder" />
          <xsl:text>)</xsl:text>
        </xsl:if>
        <xsl:text>,</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:choose>
          <xsl:when test="Title">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="Title"/>
            </xsl:call-template>
            <xsl:value-of select="Title" />
          </xsl:when>
          <xsl:when test="DefaultApp">
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="CFBundleIdentifier"/>
            </xsl:call-template>
            <xsl:call-template name="DefaultApp">
              <xsl:with-param name="appID" select="CFBundleIdentifier"/>
              <xsl:with-param name="device" select="/Root/DeviceClass"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="sign">
              <xsl:with-param name="this" select="CFBundleDisplayName"/>
            </xsl:call-template>
            <xsl:value-of select="CFBundleDisplayName" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>""",</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="CFBundleVersion"/>
        </xsl:call-template>
        <xsl:value-of select="CFBundleVersion" />
        <xsl:text>""",</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="CFBundleShortVersionString"/>
        </xsl:call-template>
        <xsl:value-of select="CFBundleShortVersionString" />
        <xsl:text>""",</xsl:text>
        <xsl:call-template name="text">
          <xsl:with-param name="this" select="CFBundleIdentifier"/>
        </xsl:call-template>
        <xsl:text>,</xsl:text>
        <xsl:text>"=""</xsl:text>
        <xsl:call-template name="sign">
          <xsl:with-param name="this" select="URL"/>
        </xsl:call-template>
        <xsl:value-of select="URL" />
        <xsl:text>""",</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,,,,'"/>
      <xsl:with-param name="count" select="$appCount - count(Applications/Application)"/>
    </xsl:call-template>

    <xsl:for-each select="/Root/Safari/BookMarks/BookMark[(Folder and Folder != 'com.apple.WebFilterWhiteList') or not(Folder)]">
      <xsl:if test="position() &lt;= $bookmarkCount">
        <xsl:call-template name="BookMark">
          <xsl:with-param name="bm" select="."/>
        </xsl:call-template>
      </xsl:if>
    </xsl:for-each>
    <xsl:call-template name="LoopStr">
      <xsl:with-param name="str" select="',,,'"/>
      <xsl:with-param name="count" select="$bookmarkCount - count(Safari/BookMarks/BookMark[(Folder and Folder != 'com.apple.WebFilterWhiteList') or not(Folder)])"/>
    </xsl:call-template>

    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="Safari/HasHistory"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="Safari/HasHistory = 'true'">あり</xsl:when>
      <xsl:otherwise>なし</xsl:otherwise>
    </xsl:choose>
    <xsl:text>,</xsl:text>
    <xsl:if test="Safari/HasHistory/@match">[閲覧履歴なし]</xsl:if>


  </xsl:template>

  <xsl:template name="sign">
    <xsl:param name="this"/>
    <!--<xsl:choose>
      <xsl:when test="not($this/@match)"></xsl:when>
      <xsl:when test="$this/@match = 'true'">[○]</xsl:when>
      <xsl:when test="$this/@match = 'false'">[×]</xsl:when>
      <xsl:when test="$this/@match = 'extra'">[×]</xsl:when>
      <xsl:when test="$this/@match = 'short'">[×]</xsl:when>
    </xsl:choose>-->
  </xsl:template>

  <!--設定値がない時空白になる-->
  <xsl:template name="OnOff">
    <xsl:param name="bool" select="1"/>
    <xsl:param name="label-on">オン</xsl:param>
    <xsl:param name="label-off">オフ</xsl:param>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'true'">
        <xsl:value-of select="$label-on"/>
      </xsl:when>
      <xsl:when test="$bool = 'false'">
        <xsl:value-of select="$label-off"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <!--設定値がない時オフになる-->
  <xsl:template name="defaultOff">
    <xsl:param name="bool"/>
    <xsl:param name="label-on">オン</xsl:param>
    <xsl:param name="label-off">オフ</xsl:param>
    <xsl:param name="empty">false</xsl:param>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'true' or $bool = '1'">
        <xsl:value-of select="$label-on"/>
      </xsl:when>
      <xsl:when test="not($bool) or $empty = 'true'"></xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$label-off"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--設定値がない時オンになる-->
  <xsl:template name="defaultOn">
    <xsl:param name="bool" select="1"/>
    <xsl:param name="label-on">オン</xsl:param>
    <xsl:param name="label-off">オフ</xsl:param>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:value-of select="$label-off"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$label-on"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--false時オンになる-->
  <xsl:template name="falseOn">
    <xsl:param name="bool" select="1"/>
    <xsl:param name="label-false">オン</xsl:param>
    <xsl:param name="label-true">オフ</xsl:param>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:value-of select="$label-false"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$label-true"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="TrueFalse">
    <xsl:param name="bool" select="1"/>
    <xsl:param name="label-true">オン</xsl:param>
    <xsl:param name="label-false">オフ</xsl:param>
    <xsl:param name="label-other"></xsl:param>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'true'">
        <xsl:value-of select="$label-true"/>
      </xsl:when>
      <xsl:when test="$bool = 'false'">
        <xsl:value-of select="$label-false"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$label-other"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--false時オンになる-->
  <xsl:template name="falseOndefaultOff">
    <xsl:param name="bool" select="1"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$bool"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:text>オン</xsl:text>
      </xsl:when>
      <xsl:when test="$bool = 'true'">
        <xsl:text>オフ</xsl:text>
      </xsl:when>
      <xsl:otherwise>オフ</xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--false時オンになる-->
  <xsl:template name="falseOndefaultOn">
    <xsl:param name="bool" select="1"/>
    <xsl:choose>
      <xsl:when test="$bool = 'false'">
        <xsl:text>オン</xsl:text>
      </xsl:when>
      <xsl:when test="$bool = 'true'">
        <xsl:text>オフ</xsl:text>
      </xsl:when>
      <xsl:when test="not($bool)"></xsl:when>
      <xsl:otherwise>
        <xsl:text>オン</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="zeroIsOn">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$this/text()='0'">
        <xsl:text>オン</xsl:text>
      </xsl:when>
      <xsl:when test="not($this)"></xsl:when>
      <xsl:otherwise>
        <xsl:text>オフ</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="specifiedefSuffix">
    <xsl:param name="this"/>
    <xsl:param name="default"/>
    <xsl:param name="suffix" />
    <xsl:param name="except" />
    <xsl:param name="exdesc" />
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="$this" />
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$except and $this = $except">
        <xsl:value-of select="$exdesc"/>
      </xsl:when>
      <xsl:when test="$this = ''">
        <xsl:value-of select="$default"/>
        <xsl:value-of select="$suffix"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$this"/>
        <xsl:value-of select="$suffix"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="text">
    <xsl:param name="this"/>
    <xsl:text>"=""</xsl:text>
    <xsl:choose>
      <xsl:when test="$this/@unique = 'false'">[×重複]</xsl:when>
      <xsl:when test="$this/@match = 'true' and ( not($this/@unique) or $this/@unique = 'true')">
        <xsl:text>[○</xsl:text>
        <xsl:if test="$this/@unique = 'true'">重複なし</xsl:if>
        <xsl:text>]</xsl:text>
      </xsl:when>
      <xsl:when test="not($this/@match) and $this/@unique = 'true'">[○重複なし]</xsl:when>
      <xsl:when test="$this/@match = 'false'">[×]</xsl:when>
      <xsl:when test="not($this/@match)"></xsl:when>
      <xsl:when test="$this/@match = 'extra'">[×]</xsl:when>
      <xsl:when test="$this/@match = 'short'">[×]</xsl:when>
    </xsl:choose>
    <xsl:value-of select="$this/text()"/>
    <xsl:text>"""</xsl:text>
  </xsl:template>


  <xsl:template name="MailBoxPlaces">
    <xsl:param name="value"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$value"/>
    </xsl:call-template>
    <xsl:call-template name="MailBoxPlace">
      <xsl:with-param name="value" select="$value"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="BookMark">
    <xsl:param name="bm"/>
    <xsl:text>"=""</xsl:text>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="Folder"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="Special = 'true' and Folder = 'BookmarksBar'">ブックマークバー</xsl:when>
      <xsl:when test="Special = 'true' and Folder = 'com.apple.ReadingList'">リーディングリスト</xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="Folder"/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>""",</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="Title"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
    <xsl:call-template name="text">
      <xsl:with-param name="this" select="URL"/>
    </xsl:call-template>
    <xsl:text>,</xsl:text>
  </xsl:template>


  <xsl:template name="maxInactivity">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$this/text()='0'">なし</xsl:when>
      <xsl:when test="$this/text()=''">なし</xsl:when>
      <xsl:when test="$this/text()='2147483647'">なし</xsl:when>
      <xsl:when test="$this/text()='30'">30秒</xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="number($this) div 60"/>
        <xsl:text>分</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="maxGracePeriod">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template>
    <xsl:call-template name="min2hour">
      <xsl:with-param name="min" select="$this/text()"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="allowExplicitContent">
    <xsl:param name="this"/>
    <xsl:call-template name="sign">
      <xsl:with-param name="this" select="$this"/>
    </xsl:call-template>
    <xsl:choose>
      <xsl:when test="$this/text()='true'">不適切な内容</xsl:when>
      <xsl:when test="not($this)"></xsl:when>
      <xsl:otherwise>不適切な内容を含まない</xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="SBParentalControlsCapabilities">
    <xsl:param name="capability"/>
    <xsl:call-template name ="sign">
      <xsl:with-param name="this" select="$capability"/>
    </xsl:call-template>
    <xsl:call-template name="disallow">
      <xsl:with-param name="value" select="$capability"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="KeyBoard">
    <xsl:param name="this"/>
    <xsl:call-template name="sign" >
      <xsl:with-param name="this" select="$this" />
    </xsl:call-template>
    <xsl:if test="contains($this/text(), '@')">
      <xsl:call-template name="language" >
        <xsl:with-param name="countrycode" select="substring-before($this/text(),'@')"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>
    <xsl:if test="not(contains($this/text(), '@'))">
      <xsl:call-template name="language" >
        <xsl:with-param name="countrycode" select="$this/text()"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>
    <xsl:if test="not(starts-with($this/text(),'emoji')) and not(starts-with($this/@master,'emoji'))">
      <xsl:call-template name="keyboard_sw" >
        <xsl:with-param name="key" select="$this"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>
    <!--<xsl:if test="contains($this/text(),'hw=') or contains($this/@master,'hw=')">
      <xsl:call-template name="keyboard_hw" >
        <xsl:with-param name="key" select="$this"/>
      </xsl:call-template>
      <xsl:text>;</xsl:text>
    </xsl:if>-->
    <!--<xsl:if test="starts-with($this/text(),'ja_JP-Kana')">
      <xsl:if test="contains($this/text(),'-Flick')">
        <xsl:text>フリックのみ </xsl:text>
      </xsl:if>
      <xsl:if test="not(contains($this/text(),'-RTL'))">
        <xsl:text>あ行が左</xsl:text>
      </xsl:if>
    </xsl:if>-->
    <xsl:text>,</xsl:text>
  </xsl:template>

</xsl:stylesheet>